var activedirectory = activedirectory || {};
activedirectory.createNS = function (namespace) {
    var nsparts = namespace.split(".");
    var parent = activedirectory;
 
    // we want to be able to include or exclude the root namespace so we strip
    // it if it's in the namespace
    if (nsparts[0] === "activedirectory") {
        nsparts = nsparts.slice(1);
    }
 
    // loop through the parts and create a nested namespace if necessary
    for (var i = 0; i < nsparts.length; i++) {
        var partname = nsparts[i];
        // check if the current parent already has the namespace declared
        // if it isn't, then create it
        if (typeof parent[partname] === "undefined") {
            parent[partname] = {};
        }
        // get a reference to the deepest element in the hierarchy so far
        parent = parent[partname];
    }
    // the parent is now constructed with empty namespaces and can be used.
    // we return the outermost namespace
    return parent;
};

activedirectory.createNS("activedirectory.slider");

activedirectory.slider.showDetailsMaximized = function (o) {
	inchorus.$('activedirectory-slider-maximized').setParameters(o);
	inchorus.$('activedirectory-slider-maximized').load();
	jQuery('#activedirectory-slider-maximized-notclickable').css('display','block');
	setTimeout(function() {
		jQuery('#inc-portal-general-header').addClass('inc-portal-general-header-fixed');
		jQuery('#inc-portal-general-page-wrap').addClass('inc-portal-general-page-wrap-fixed');
	}, 500);
	inchorus.$('activedirectory-slider-maximized').activate();
};

activedirectory.slider.hideDetailsMaximized = function () {
	jQuery('#activedirectory-slider-maximized-notclickable').css('display','none');
	inchorus.$('activedirectory-slider-maximized').deactivate();
	jQuery('#inc-portal-general-header').removeClass('inc-portal-general-header-fixed');
	jQuery('#inc-portal-general-page-wrap').removeClass('inc-portal-general-page-wrap-fixed');	
}

activedirectory.slider.showDetails = function (displaymode,o) {
	
	if (displaymode == 'small') {
		jQuery('#activedirectory-slider-details').removeClass('activedirectory-slider-details-60percent');
		jQuery('#activedirectory-slider-details').removeClass('activedirectory-slider-details-90percent');
	}
	inchorus.$('activedirectory-slider-details').setParameters(o);
	inchorus.$('activedirectory-slider-details').load();
	inchorus.$('activedirectory-slider-details').activate();
}

activedirectory.slider.hideDetails = function () {
	inchorus.$('activedirectory-slider-details').deactivate();
	jQuery('#activedirectory-slider-details').removeClass('activedirectory-slider-details-60percent');
	jQuery('#activedirectory-slider-details').removeClass('activedirectory-slider-details-90percent');
}

activedirectory.createNS("activedirectory.policy");

activedirectory.policy.back = function (parentid, qualitylevel, policyid) {
	inchorus.$(parentid).setCommand("getPolicyFirstData");
	inchorus.$(parentid).setAlternativecontentfile("exchange-admin-policies-policydetails-list-" + policyid);
	inchorus.$(parentid).setParameters(
		{
			"policyid":policyid,
			"qualitylevel":qualitylevel
		}
	);
	inchorus.$(parentid).load();
}


activedirectory.policy.openSecondData= function (parentid, o) {
	inchorus.$(parentid).setCommand("getPolicySecondData");
	inchorus.$(parentid).setParameters(o);
	inchorus.$(parentid).load();
}

