var exchange = exchange || {};
exchange.createNS = function (namespace) {
    var nsparts = namespace.split(".");
    var parent = exchange;
 
    // we want to be able to include or exclude the root namespace so we strip
    // it if it's in the namespace
    if (nsparts[0] === "exchange") {
        nsparts = nsparts.slice(1);
    }
 
    // loop through the parts and create a nested namespace if necessary
    for (var i = 0; i < nsparts.length; i++) {
        var partname = nsparts[i];
        // check if the current parent already has the namespace declared
        // if it isn't, then create it
        if (typeof parent[partname] === "undefined") {
            parent[partname] = {};
        }
        // get a reference to the deepest element in the hierarchy so far
        parent = parent[partname];
    }
    // the parent is now constructed with empty namespaces and can be used.
    // we return the outermost namespace
    return parent;
};

exchange.createNS("exchange.slider");

exchange.slider.showDetailsMaximized = function (o) {
	inchorus.$('exchange-slider-maximized').setParameters(o);
	inchorus.$('exchange-slider-maximized').load();
	jQuery('#exchange-slider-maximized-notclickable').css('display','block');
	setTimeout(function() {
		jQuery('#inc-portal-general-header').addClass('inc-portal-general-header-fixed');
		jQuery('#inc-portal-general-page-wrap').addClass('inc-portal-general-page-wrap-fixed');
	}, 500);
	inchorus.$('exchange-slider-maximized').activate();
};

exchange.slider.hideDetailsMaximized = function () {
	jQuery('#exchange-slider-maximized-notclickable').css('display','none');
	inchorus.$('exchange-slider-maximized').deactivate();
	jQuery('#inc-portal-general-header').removeClass('inc-portal-general-header-fixed');
	jQuery('#inc-portal-general-page-wrap').removeClass('inc-portal-general-page-wrap-fixed');	
}

exchange.slider.showDetails = function (displaymode,o) {
	inchorus.$('exchange-slider-details-secondary').deactivate();
	if (displaymode == 'small') {
		jQuery('#exchange-slider-details').removeClass('exchange-slider-details-60percent');
		jQuery('#exchange-slider-details').removeClass('exchange-slider-details-90percent');
	}
	inchorus.$('exchange-slider-details').setParameters(o);
	inchorus.$('exchange-slider-details').load();
	inchorus.$('exchange-slider-details').activate();
}

exchange.slider.hideDetailsSecondary = function () {
	inchorus.$('exchange-slider-details-secondary').deactivate();
	jQuery('#exchange-slider-details').removeClass('dac-slider-right-100percent');
	jQuery('#exchange-slider-details-secondary').attr('class','dac-slider-right');
}

exchange.slider.hideDetails = function () {
	inchorus.$('exchange-slider-details').deactivate();
	jQuery('#exchange-slider-details').removeClass('exchange-slider-details-60percent');
	jQuery('#exchange-slider-details').removeClass('exchange-slider-details-90percent');
}

exchange.slider.closeUnusedAkkordeons = function (id) {
	$("inchorus-akkordeon").each(function(index) {
	  temp = $(this).attr('id');
	  if (id != temp) {
	  	inchorus.$(temp + '-content').deactivate();
	  	jQuery('#' + temp + '-header inchorus-button').attr('icon','arrow_up');
	  }
	});
}

exchange.createNS("exchange.policy");

exchange.policy.back = function (parentid, qualitylevel, policyid) {
	inchorus.$(parentid).setCommand("getPolicyFirstData");
	inchorus.$(parentid).setAlternativecontentfile("exchange-admin-policies-policydetails-list-" + policyid);
	inchorus.$(parentid).setParameters(
		{
			"policyid":policyid,
			"qualitylevel":qualitylevel
		}
	);
	inchorus.$(parentid).load();
}


exchange.policy.openSecondData= function (parentid, o) {
	inchorus.$(parentid).setCommand("getPolicySecondData");
	inchorus.$(parentid).setParameters(o);
	inchorus.$(parentid).load();
}

