<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

	<xsl:template match="distributiongroups">
	<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>
	
<xsl:for-each select="./distributiongroup">

<xsl:value-of select="$objectsid" />;<xsl:value-of select="uniqueid" />;
<xsl:value-of select="$name" />;<xsl:value-of select="name" />;
<xsl:value-of select="$displayname" />;<xsl:value-of select="displayname" />;
<xsl:value-of select="$alias" />;<xsl:value-of select="alias" />;
<xsl:value-of select="$system_exchange" />;<xsl:value-of select="systemname" />;
<xsl:value-of select="$category" />;<xsl:choose><xsl:when test="category = 'DynamicDistributionGroup'"><xsl:value-of select="$distributiongroupcategory_dynamic"/></xsl:when><xsl:when test="category = 'MailUniversalDistributionGroup'"><xsl:value-of select="$distributiongroupcategory_mailuniversal"/></xsl:when><xsl:when test="category = 'MailUniversalSecurityGroup'"><xsl:value-of select="$distributiongroupcategory_mailuniversalsecurity"/></xsl:when><xsl:otherwise><xsl:value-of select="category" /></xsl:otherwise></xsl:choose>;
<xsl:if test="category != 'DynamicDistributionGroup'"><xsl:value-of select="$grouptype" />;<xsl:value-of select="grouptype" />;
</xsl:if>
<xsl:value-of select="$primaryemailaddress" />;<xsl:value-of select="primaryemailaddress" />;
<xsl:value-of select="$emailaddresses" />;<xsl:value-of select="emailaddresses" />;
<xsl:if test="category = 'DynamicDistributionGroup'"><xsl:value-of select="$includedrecipients" />;<xsl:value-of select="includedrecipients" />;
<xsl:value-of select="$recipientfilter" />;<xsl:value-of select="recipientfilter" />;
<xsl:value-of select="$recipientfiltertype" />;<xsl:value-of select="recipientfiltertype" />;
</xsl:if>
<xsl:value-of select="$maxreceivesize" />;<xsl:choose><xsl:when test="maxreceivesize = 'Unlimited'"><xsl:value-of select="$unlimited"/></xsl:when><xsl:otherwise><xsl:value-of select="maxreceivesize" /></xsl:otherwise></xsl:choose>;
<xsl:value-of select="$maxsendsize" />;<xsl:choose><xsl:when test="maxsendsize = 'Unlimited'"><xsl:value-of select="$unlimited"/></xsl:when><xsl:otherwise><xsl:value-of select="maxsendsize" /></xsl:otherwise></xsl:choose>;
<xsl:value-of select="$hidden" />;<xsl:choose><xsl:when test="hidden = 'true'"><xsl:value-of select="$true_export"/></xsl:when><xsl:otherwise><xsl:value-of select="$false_export"/></xsl:otherwise></xsl:choose>;
<xsl:value-of select="$createdon" />;<xsl:call-template name="format-date"><xsl:with-param name="separator">-</xsl:with-param><xsl:with-param name="language" select="$templanguage" /><xsl:with-param name="date" select="created" /></xsl:call-template>;
<xsl:value-of select="$changedon" />;<xsl:call-template name="format-date"><xsl:with-param name="separator">-</xsl:with-param><xsl:with-param name="language" select="$templanguage" /><xsl:with-param name="date" select="modified" /></xsl:call-template>;
;
<xsl:value-of select="$member_export" />;
<xsl:for-each select="//members/member">
<xsl:value-of select="name" />;
</xsl:for-each>
;
<xsl:value-of select="$manager_export" />;
<xsl:for-each select="//managers/manager">
<xsl:value-of select="name" />;
</xsl:for-each>




</xsl:for-each>


	</xsl:template>
	
<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	<xsl:if test="$date != ''"><xsl:choose>
			<xsl:when test="$language = 'en'"><xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />&#x9;/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>