<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

	<xsl:template match="distributiongroups">
	<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

					<xsl:value-of select="$name_list"/>;<xsl:value-of select="$primaryemailaddress_list"/>;<xsl:value-of select="$systemname_list"/>;<xsl:value-of select="$category_list"/>;<xsl:value-of select="$membercount_list"/>;<xsl:value-of select="$manager_list"/>;
													
<xsl:for-each select="./distributiongroup">
	<xsl:value-of select="name"/>;<xsl:value-of select="primaryemailaddress"/>;<xsl:value-of select="systemname"/>;<xsl:choose><xsl:when test="category = 'DynamicDistributionGroup'"><xsl:value-of select="$distributiongroupcategory_dynamic"/></xsl:when><xsl:when test="category = 'MailUniversalDistributionGroup'"><xsl:value-of select="$distributiongroupcategory_mailuniversal"/></xsl:when><xsl:when test="category = 'MailUniversalSecurityGroup'"><xsl:value-of select="$distributiongroupcategory_mailuniversalsecurity"/></xsl:when><xsl:otherwise><xsl:value-of select="category" /></xsl:otherwise></xsl:choose>;<xsl:value-of select="membercount"/>;<xsl:variable name="managersString"><xsl:for-each select="./managers/manager"><xsl:value-of select="."/>,&#x9;</xsl:for-each></xsl:variable><xsl:value-of select="substring($managersString, 1, string-length($managersString) - 2)" />;
</xsl:for-each>

	</xsl:template>
	
	<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	<xsl:if test="$date != ''"><xsl:choose>
			<xsl:when test="$language = 'en'"><xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>
	
</xsl:stylesheet>