<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="UTF-8" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="users">
		<html>
			<header>
			
				<title><xsl:value-of select="$titlePrintView_User"/></title>
				
				<style>
				
					table { border-collapse: collapse; }
					
					@media print 
					{
        				tr {page-break-inside:avoid;}
     				}
					
					@Page
					{
						margin-top: 0;
						margin-bottom: 0;
						size: A4;
					}
					
				</style>
				
			</header>

			<body style="font-family: Century Gothic">
				<img style="position: absolute; top: -58px; right: 15px">
					<xsl:attribute name="src">../../../activedirectory/inc/img/daccord.svg</xsl:attribute>
					<xsl:attribute name="width">200</xsl:attribute>
					<xsl:attribute name="height">200></xsl:attribute>
				</img>
				
				<h1>
					<xsl:attribute name="align">left</xsl:attribute>
					<xsl:attribute name="style">color: 174A57</xsl:attribute>
					<xsl:value-of select="$documentName_Distributiongroup"/>
				</h1>
				
				<br/>
				<br/>
				<br/>
				
				<table cellspacing="0" cellpadding="15">
						<tr>
							<th style="color:174A57; border-top: 3pt solid #174A57; border-bottom: 3pt solid #174A57; text-align:left" width="20%"><xsl:value-of select="$username" /></th>
							<th style="color:174A57; border-top: 3pt solid #174A57; border-bottom: 3pt solid #174A57; text-align:left" width="20%"><xsl:value-of select="$givenname" /></th>
							<th style="color:174A57; border-top: 3pt solid #174A57; border-bottom: 3pt solid #174A57; text-align:left" width="20%"><xsl:value-of select="$surname" /></th>
							<th style="color:174A57; border-top: 3pt solid #174A57; border-bottom: 3pt solid #174A57; text-align:left" width="5%"><xsl:value-of select="$systemname" /></th>
							<th style="color:174A57; border-top: 3pt solid #174A57; border-bottom: 3pt solid #174A57; text-align:center" width="20%"><xsl:value-of select="$status" /></th>
						</tr>
						
						<xsl:for-each select="./user">
							<tr>
							
								<td width="10%" style="border-bottom: 2pt dotted #000000; text-align:left">
									<xsl:value-of select="name"/>
								</td>
								
								<td width="10%" style="border-bottom: 2pt dotted #000000; text-align:left">
									<xsl:value-of select="givenname"/>
								</td>
								
								<td width="10%" style="border-bottom: 2pt dotted #000000; text-align:left">
									<xsl:value-of select="surname"/>
								</td>
								
								<td width="10%" style="border-bottom: 2pt dotted #000000; text-align:left">
									<xsl:value-of select="systemname"/>
								</td>
								
								<td width="10%" style="border-bottom: 2pt dotted #000000; text-align:center">
									<xsl:call-template name="get-translation">
										<xsl:with-param name="str" select="status" />
							 		</xsl:call-template>
								</td>
									
							</tr>
						</xsl:for-each>
						
					</table>
					
					<br/>
					<br/>
					<br/>
					<br/>
					<br/>
					
					
					
					<p style="display:inline-block" align="left"><xsl:value-of select="$dateOfCreation"/></p> 
					<p style="display:inline-block" id="date"></p>
					<p id="language" hidden="true"><xsl:value-of select="$language"/></p>

					
					
					
											
					
					
				<script>
				
				var myLanguage = document.getElementById("language").innerHTML;
				
				getDate();
			
				function getDate()
				{
				
					n =  new Date();
					y = n.getFullYear();
					m = n.getMonth() + 1;
					d = n.getDate();
					h = n.getHours();
					min = n.getMinutes();
					s = n.getSeconds();
					
					AmPm = "AM";
					
					if(m >= 10)
					{
						m = m
					}
					else
					{
						m = "0" + m
					}
					
					if(d >= 10)
					{
						d = d
					}
					else
					{
						d = "0" + d
					}
					
					if(h >= 10)
					{
						h = h
					}
					else
					{
						h = "0" + h
					}
					
					if(min >= 10)
					{
						min = min
					}
					else
					{
						min = "0" + min
					}
					
					if(s >= 10)
					{
						s = s
					}
					else
					{
						s = "0" + s
					}
					
					
					if(myLanguage == "english")
					{
						if(h > 12)
						{
							AmPm = "PM"
							h = h - 12
						}
						if(h == '00')
						{
							h = 12
						}
						if(h == 12)
						{
							AmPm = "PM"
						}
						document.getElementById("date").innerHTML = m + "/" + d + "/" + y + " " + h + ":" + min + ":" + s + " " + AmPm;
					}
					else
					{
						document.getElementById("date").innerHTML = d + "." + m + "." + y + " " + h + ":" + min + ":" + s;
					}		
					
				}
				
				</script>
				
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="get-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'active'">
				<xsl:value-of select="$active" />
			</xsl:when>
			<xsl:when test="$str = 'disabled'">
				<xsl:value-of select="$disabled" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>