<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:java="java" exclude-result-prefixes="xs" version="3.0">
<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>

<xsl:include href="<!--LANGUAGE-->/language.xsl"/>

<xsl:template match ="distributiongroups" >
<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
        <fo:layout-master-set>
            <fo:simple-page-master master-name="distributiongroup" margin="0mm 0mm 0mm 0mm" page-height="210mm" page-width="297mm">
				<fo:region-body margin="29mm 15mm 15mm 25mm"/>
				<fo:region-before extent="10mm"/>
				<fo:region-after extent="10mm"/>
            </fo:simple-page-master>
        </fo:layout-master-set>

        <fo:page-sequence master-reference="distributiongroup">
   		
   			<fo:static-content flow-name="xsl-region-before">
				<fo:block-container text-align="right" margin-top="9mm" margin-right="3mm">
					<fo:block>
						<fo:external-graphic src="url('http://localhost:55080/activedirectory/inc/img/daccord.svg')"					
							content-width="50%" content-height="50%"/>
					</fo:block>
				</fo:block-container>
        	</fo:static-content>  
        	
        	<fo:static-content flow-name="xsl-region-after">
        	
        	
        		<fo:table>
        			<fo:table-body>
        				<fo:table-row>
        					<fo:table-cell border="hidden" font-size="7px"
        					text-align="left" margin-left="12mm">
        						<fo:block>
        							<xsl:variable name="date" select="java:util.Date.new()"/>
        							
				               		<xsl:variable name="day">
				               			<xsl:call-template name="get-day">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
        							<xsl:variable name="month">
				               			<xsl:call-template name="get-month">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="monthNumber">
				               			<xsl:call-template name="month-as-number">
				               				<xsl:with-param name="month" select="$month"/>
			               				</xsl:call-template>
		               				</xsl:variable>
				               		
				               		<xsl:variable name="year">
				               			<xsl:call-template name="get-year">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="time">
				               			<xsl:call-template name="get-time">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               				<xsl:with-param name="language" select="$language" />
				               			</xsl:call-template>
				               		</xsl:variable>
        							
        							<xsl:choose>
        								<xsl:when test="$templanguage = 'en'">
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$monthNumber"/>/<xsl:value-of select="$day"/>/<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:when>
        								<xsl:otherwise>
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$day"/>.<xsl:value-of select="$monthNumber"/>.<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:otherwise>
        							</xsl:choose>
        							
        						</fo:block>
        					</fo:table-cell>
        					<fo:table-cell border="hidden" font-size="7px"
        					text-align="right" margin-right="7mm">
        						<fo:block>
        							<xsl:value-of select="$page"/><fo:page-number/>/<fo:page-number-citation ref-id="theVeryLastPage"/>
        						</fo:block>
        					</fo:table-cell>
        				</fo:table-row>
        			</fo:table-body>
        		</fo:table>
        	
        	</fo:static-content>
       	
         	
         
            <fo:flow flow-name="xsl-region-body">
                <fo:block  font-family="'Century Gothic'" line-height="0.9em">
				

					<fo:block-container position="fixed" top="14mm">
						<fo:block text-align="left" font-size="16pt" font-weight="bold" color="#174A57" margin-left="11mm">
							<xsl:value-of select="$documentName_Distributiongroup"/>
						</fo:block>
					</fo:block-container>

					<fo:table start-indent="-13mm" width ="207mm">
					
                       	<fo:table-column column-width="50mm" /> <!-- Name -->
		               	<fo:table-column column-width="40mm" /> <!-- Primary Email -->
		               	<fo:table-column column-width="40mm" /> <!-- Systemname -->
		               	<fo:table-column column-width="40mm" /> <!-- Category -->
		               	<fo:table-column column-width="25mm" /> <!--Membercount-->
		               	<fo:table-column column-width="85mm" /> <!-- Manager -->
		               	
		               	<fo:table-header start-indent="0mm">
		               		<fo:table-row>
		             		<fo:table-cell>
		             			<fo:block color="#174A57" font-size="30pt">
		             				_____________________________________________________
		             			</fo:block>
		             		</fo:table-cell>		             	
		             	</fo:table-row>
		             	<fo:table-row>
		             		<fo:table-cell>
		             			<fo:block visibility="hidden">
		             			.
		             			</fo:block>
		             		</fo:table-cell>
		             	</fo:table-row>
		             	
		               		<fo:table-row font-size="8px">
                                <fo:table-cell text-align="left" font-weight="bold" color="#174A57">                                
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$name_list"/>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell  text-align="left" font-weight="bold" color="#174A57">                            
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$primaryemailaddress_list"/>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell text-align="left" font-weight="bold" color="#174A57">                                
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$systemname_list"/> 
                                   	</fo:block>
                                	</fo:table-cell>
                                <fo:table-cell text-align="left" font-weight="bold" color="#174A57">
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$category_list"/> 
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell text-align="left" font-weight="bold" color="#174A57">
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$membercount_list"/>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell text-align="left" font-weight="bold" color="#174A57">
                                    <fo:block padding-top="4mm" padding-bottom="4mm" margin-left="1mm">
                                    	<xsl:value-of select="$manager_list"/>
                                    </fo:block>
                                </fo:table-cell>
                            </fo:table-row>
                            <fo:table-row>
			             		<fo:table-cell>
			             			<fo:block color="#174A57" font-size="30pt" padding-bottom="2mm" padding-top="-5mm">
			             				_____________________________________________________
			             			</fo:block>
			             		</fo:table-cell>		             	
		             	</fo:table-row>
		               	</fo:table-header>
		               	
		               	<fo:table-body start-indent="0mm">
		               		
                            <xsl:for-each select="./distributiongroup">
                            	
                            	<fo:table-row font-size="8pt" page-break-inside="avoid">
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" text-align="left">
                            				<xsl:call-template name="intersperse-with-zero-spaces">
                            					<xsl:with-param name="str" select="name"/>
                            				</xsl:call-template>
                            			</fo:block>
                            		</fo:table-cell>
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" text-align="left">
                            				<xsl:call-template name="intersperse-with-zero-spaces">
                                        		<xsl:with-param name="str" select="primaryemailaddress" />
                                        	</xsl:call-template>
                            			</fo:block>
                            		</fo:table-cell>
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" text-align="left">
                            				<xsl:value-of select="systemname"/>
                            			</fo:block>
                            		</fo:table-cell>
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" margin-right="1mm" text-align="left">
                            				<xsl:choose>
												<xsl:when test="category = 'DynamicDistributionGroup'">
													<xsl:value-of select="$distributiongroupcategory_dynamic"/>
												</xsl:when>
												<xsl:when test="category = 'MailUniversalDistributionGroup'">
													<xsl:value-of select="$distributiongroupcategory_mailuniversal"/>
												</xsl:when>
												<xsl:when test="category = 'MailUniversalSecurityGroup'">
													<xsl:value-of select="$distributiongroupcategory_mailuniversalsecurity"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="category" />
												</xsl:otherwise>
											</xsl:choose>
                            			</fo:block>
                            		</fo:table-cell>
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" margin-right="1mm" text-align="left">
                            				<xsl:value-of select="membercount"/>
                            			</fo:block>
                            		</fo:table-cell>
                            		<fo:table-cell>
                            			<fo:block padding-top="2mm" padding-bottom="2mm" margin-left="1mm" margin-right="1mm" text-align="left">
                            				<xsl:variable name="managersString">
                            					<xsl:for-each select="./managers/manager"><xsl:value-of select="."/>,&#x9;</xsl:for-each>
                           					</xsl:variable>
                            				<xsl:value-of select="substring($managersString, 1, string-length($managersString) - 2)" />
                            			</fo:block>
                            		</fo:table-cell>
                            	</fo:table-row>
                            	<fo:table-row page-break-before="avoid">
                            		<fo:table-cell>
                            			<fo:block>
                            			..........................................................................................................................................................................................................................................................................
                            			</fo:block>
                            		</fo:table-cell>
                            	</fo:table-row>
                            </xsl:for-each>
		               	</fo:table-body>
		               	
		               					
					</fo:table>        
                   <fo:block id="theVeryLastPage"/>
                   
                </fo:block>
            </fo:flow>
        </fo:page-sequence>
    </fo:root>
</xsl:template>

<xsl:template name="get-day">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after(substring-after($date, $separator), $separator), $separator)"/>
</xsl:template>

<xsl:template name="get-month">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />
	
</xsl:template>
 
<xsl:template name="get-year">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:choose>
	    <xsl:when test="not(contains($date, $separator))">
	        <xsl:value-of select="$date" />
	    </xsl:when>
	    <xsl:otherwise>
	        <xsl:call-template name="get-year">
	            <xsl:with-param name="date" select="substring-after($date, $separator)" />
                <xsl:with-param name="separator" select="$separator" />
	        </xsl:call-template>
	    </xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="get-time">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	<xsl:param name="language" />
	
	<xsl:variable name="separator2" select="':'"/>
	
	<xsl:choose>
		<xsl:when test="$language = 'en'">
			<xsl:variable name="hours">
				<xsl:value-of select="substring-before(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$hours >= '12'">
					<xsl:variable name="AmPm">PM</xsl:variable>
					<xsl:choose>
						<xsl:when test="$hours = '12'">12:</xsl:when>
						<xsl:when test="$hours = '13'">1:</xsl:when>
						<xsl:when test="$hours = '14'">2:</xsl:when>
						<xsl:when test="$hours = '15'">3:</xsl:when>
						<xsl:when test="$hours = '16'">4:</xsl:when>
						<xsl:when test="$hours = '17'">5:</xsl:when>
						<xsl:when test="$hours = '18'">6:</xsl:when>
						<xsl:when test="$hours = '19'">7:</xsl:when>
						<xsl:when test="$hours = '20'">8:</xsl:when>
						<xsl:when test="$hours = '21'">9:</xsl:when>
						<xsl:when test="$hours = '22'">10:</xsl:when>
						<xsl:when test="$hours = '23'">11:</xsl:when>
					</xsl:choose>
					<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
						
				</xsl:when>
				<xsl:when test="$hours = '00'">
					<xsl:variable name="AmPm">AM</xsl:variable>
					12:<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="AmPm">AM</xsl:variable>
					<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
					&#8203;
					<xsl:value-of select="$AmPm" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
		</xsl:otherwise>
	</xsl:choose>
	
	
	
</xsl:template>

<xsl:template name="month-as-number">
	<xsl:param name="month" />
	
	<xsl:choose>
		<xsl:when test="$month = 'Jan'">01</xsl:when>
		<xsl:when test="$month = 'Feb'">02</xsl:when>
		<xsl:when test="$month = 'Mar'">03</xsl:when>
		<xsl:when test="$month = 'Apr'">04</xsl:when>
		<xsl:when test="$month = 'May'">05</xsl:when>
		<xsl:when test="$month = 'Jun'">06</xsl:when>
		<xsl:when test="$month = 'Jul'">07</xsl:when>
		<xsl:when test="$month = 'Aug'">08</xsl:when>
		<xsl:when test="$month = 'Sep'">09</xsl:when>
		<xsl:when test="$month = 'Oct'">10</xsl:when>
		<xsl:when test="$month = 'Nov'">11</xsl:when>
		<xsl:when test="$month = 'Dec'">12</xsl:when>
		<xsl:otherwise><xsl:value-of select="$month"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	
	<xsl:if test="$date != ''">
		<xsl:choose>
			<xsl:when test="$language = 'en'">
				<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>

<xsl:template name="linebreak-after-comma">
	<xsl:param name="dn" />
	<xsl:param name="separator" />
	
	<xsl:choose>
	    <xsl:when test="not(contains($dn, $separator))">
	        <xsl:value-of select="$dn" />
	    </xsl:when>
	    <xsl:otherwise>
	        <xsl:value-of select="substring-before($dn, $separator)" />,&#xa;
	        <xsl:call-template name="linebreak-after-comma">
	            <xsl:with-param name="dn" select="substring-after($dn, $separator)" />
                <xsl:with-param name="separator" select="$separator" />
	        </xsl:call-template>
	    </xsl:otherwise>
	</xsl:choose>
	
</xsl:template>

<xsl:template name="intersperse-with-zero-spaces">
<xsl:param name="str"/>
<xsl:variable name="spacechars">
    &#x9;&#xA;
    &#x2000;&#x2001;&#x2002;&#x2003;&#x2004;&#x2005;
    &#x2006;&#x2007;&#x2008;&#x2009;&#x200A;&#x200B;
</xsl:variable>

<xsl:if test="string-length($str) &gt; 0">
    <xsl:variable name="c1" select="substring($str, 1, 1)"/>
    <xsl:variable name="c2" select="substring($str, 2, 1)"/>

    <xsl:value-of select="$c1"/>
    <xsl:if test="$c2 != '' and
        not(contains($spacechars, $c1) or
        contains($spacechars, $c2))">
        <xsl:text>&#x200B;</xsl:text>
    </xsl:if>

    <xsl:call-template name="intersperse-with-zero-spaces">
        <xsl:with-param name="str" select="substring($str, 2)"/>
    </xsl:call-template>
</xsl:if>
</xsl:template>

<xsl:template name="get-translation">
	<xsl:param name="str" />
	
	<xsl:choose>
		<xsl:when test="$str = 'active'">
			<xsl:value-of select="$active" />
		</xsl:when>
		<xsl:when test="$str = 'disabled'">
			<xsl:value-of select="$disabled" />
		</xsl:when>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>