<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:java="java" exclude-result-prefixes="xs" version="3.0">
<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>

<xsl:include href="<!--LANGUAGE-->/language.xsl"/>

<xsl:template match ="mailboxes" >
<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
        <fo:layout-master-set>
            <fo:simple-page-master master-name="mailbox" margin="0mm 0mm 0mm 0mm" page-height="297mm" page-width="210mm">
				<fo:region-body margin="29mm 15mm 15mm 25mm"/>
				<fo:region-before extent="10mm"/>
				<fo:region-after extent="10mm"/>
            </fo:simple-page-master>
        </fo:layout-master-set>

        <fo:page-sequence master-reference="mailbox">
   		
   			<fo:static-content flow-name="xsl-region-before">
				<fo:block-container text-align="right" margin-top="9mm" margin-right="13px">
					<fo:block>
						<fo:external-graphic src="url('http://localhost:55080/activedirectory/inc/img/daccord.svg')"					
							content-width="50%" content-height="50%"/>
					</fo:block>
				</fo:block-container>
        	</fo:static-content>  
        	
        	<fo:static-content flow-name="xsl-region-after">
        	
        	
        	
        		<fo:table>
        			<fo:table-body>
        				<fo:table-row>
        					<fo:table-cell border="hidden" font-size="7px"
        					text-align="left" margin-left="10mm">
        						<fo:block>
        							<xsl:variable name="date" select="java:util.Date.new()"/>
        							
				               		<xsl:variable name="day">
				               			<xsl:call-template name="get-day">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
        							<xsl:variable name="month">
				               			<xsl:call-template name="get-month">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="monthNumber">
				               			<xsl:call-template name="month-as-number">
				               				<xsl:with-param name="month" select="$month"/>
			               				</xsl:call-template>
		               				</xsl:variable>
				               		
				               		<xsl:variable name="year">
				               			<xsl:call-template name="get-year">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="time">
				               			<xsl:call-template name="get-time">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               				<xsl:with-param name="language" select="$language" />
				               			</xsl:call-template>
				               		</xsl:variable>
        							
        							<xsl:choose>
        								<xsl:when test="$templanguage = 'en'">
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$monthNumber"/>/<xsl:value-of select="$day"/>/<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:when>
        								<xsl:otherwise>
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$day"/>.<xsl:value-of select="$monthNumber"/>.<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:otherwise>
        							</xsl:choose>
        							
        						</fo:block>
        					</fo:table-cell>
        					<fo:table-cell border="hidden" font-size="7px"
        					text-align="right" margin-right="25px">
        						<fo:block>
        							<xsl:value-of select="$page"/><fo:page-number/>/<fo:page-number-citation ref-id="theVeryLastPage"/>
        						</fo:block>
        					</fo:table-cell>
        				</fo:table-row>
        			</fo:table-body>
        		</fo:table>
        	
        	</fo:static-content>
       	
         	
         
	            <fo:flow flow-name="xsl-region-body">
	                <fo:block  font-family="'Century Gothic'" line-height="0.9em"> <!-- font-family wird nicht richtig übernommen -->
						<xsl:for-each select="./mailbox">
	
						<fo:block-container position="fixed" top="14mm">
							<fo:block text-align="left" font-size="16pt" font-weight="bold" color="#174A57" margin-left="23px">
								<xsl:value-of select="name" />&#x2000;<xsl:value-of select="$documentName_Mailbox_details" /> 
							</fo:block>
						</fo:block-container>
						
						
						<fo:table start-indent="-17mm" width ="207mm">
						
	                       	<fo:table-column column-width="100mm" />
				               	<fo:table-body start-indent="0mm">
				               		<fo:table-row font-size="9pt">
				               			<fo:table-cell>
				               				<fo:block>
				               				
				               					<fo:table>
				               						<fo:table-column column-width="33mm" />
				               						<fo:table-column column-width="70mm" />
				               						
				               						<fo:table-body>
				               							<!-- 
				               							<fo:table-row text-align="left" font-weight="bold" color="#174A57" font-size="12pt">
				               								<fo:table-cell>
				               									<fo:block margin-top="3mm" margin-bottom="3mm">
				               										<xsl:value-of select="$identity" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							 -->
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$objectsid"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="uniqueid" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$mailboxid"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="mailboxid" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$samaccountname"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="samaccountname" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$name"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="name" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$displayname"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="displayname" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$owner"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="owner" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$system_exchange"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="systemname" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$category"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:choose>
																		<xsl:when test="category = 'UserMailbox'">
																			<xsl:value-of select="$mailboxcategory_user"/>
																		</xsl:when>
																		<xsl:when test="category = 'DiscoveryMailbox'">
																			<xsl:value-of select="$mailboxcategory_discovery"/>
																		</xsl:when>
																		<xsl:when test="category = 'RoomMailbox'">
																			<xsl:value-of select="$mailboxcategory_room"/>
																		</xsl:when>
																		<xsl:when test="category = 'SharedMailbox'">
																			<xsl:value-of select="$mailboxcategory_shared"/>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:value-of select="category" />
																		</xsl:otherwise>
																	</xsl:choose>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$emailaddresses"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:call-template name="split-after-comma">
				               											<xsl:with-param name="str" select="emailaddresses" />
				               											<xsl:with-param name="separator" select="','" />
				               										</xsl:call-template>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$forwardingaddress"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="forwardingaddress" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$forwardingsmtpaddress"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="forwardingsmtpaddress" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$maxreceivesize"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:choose>
				               											<xsl:when test="maxreceivesize = 'Unlimited'">
				               												<xsl:value-of select="$unlimited"/>
				               											</xsl:when>
				               											<xsl:otherwise>
				               												<xsl:value-of select="maxreceivesize" />
				               											</xsl:otherwise>
				               										</xsl:choose>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$maxsendsize"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:choose>
				               											<xsl:when test="maxsendsize = 'Unlimited'">
				               												<xsl:value-of select="$unlimited"/>
				               											</xsl:when>
				               											<xsl:otherwise>
				               												<xsl:value-of select="maxsendsize" />
				               											</xsl:otherwise>
				               										</xsl:choose>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$hidden"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:choose>
				               											<xsl:when test="hidden = 'true'">
				               												<xsl:value-of select="$true_export"/>
				               											</xsl:when>
				               											<xsl:otherwise>
				               												<xsl:value-of select="$false_export"/>
				               											</xsl:otherwise>
				               										</xsl:choose>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$lastlogin" />
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:call-template name="format-date">
				               											<xsl:with-param name="separator" select="'-'" />
				               											<xsl:with-param name="language" select="$templanguage" />
				               											<xsl:with-param name="date" select="lastused" />
				               										</xsl:call-template>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$createdon" />
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:call-template name="format-date">
				               											<xsl:with-param name="separator" select="'-'" />
				               											<xsl:with-param name="language" select="$templanguage" />
				               											<xsl:with-param name="date" select="created" />
				               										</xsl:call-template>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$changedon" />
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:call-template name="format-date">
				               											<xsl:with-param name="separator" select="'-'" />
				               											<xsl:with-param name="language" select="$templanguage" />
				               											<xsl:with-param name="date" select="modified" />
				               										</xsl:call-template>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               						</fo:table-body>
				               					</fo:table>
				               				</fo:block>
				               			</fo:table-cell>
           							</fo:table-row>          							
               					</fo:table-body>
                   			</fo:table>
			               	
			        	</xsl:for-each>
						<xsl:if test="./mailbox/members">
						<fo:block-container margin-left="-36px" margin-top="14mm" margin-bottom="3mm">
							<fo:block text-align="left" font-size="16pt" font-weight="bold" color="#174A57" margin-left="23px">
								<xsl:value-of select="$right_export" />
							</fo:block>
						</fo:block-container>
						
						
						<fo:table start-indent="-17mm" width ="207mm">
						
	                       	<fo:table-column column-width="100mm" />
				               	<fo:table-body start-indent="0mm">
				               		<fo:table-row font-size="9pt">
				               			<fo:table-cell>
				               				<fo:block>
				               				
				               					<fo:table>
				               						<fo:table-column column-width="33mm" />
				               						<fo:table-column column-width="70mm" />
				               						
				               						<fo:table-body>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$name_export"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$right_export"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<xsl:for-each select="./mailbox/members/member">
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               											<xsl:value-of select="name"/>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="substring(level, 1, string-length(level) - 1)" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			..................................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							</xsl:for-each>
				               						</fo:table-body>
				               					</fo:table>
				               				</fo:block>
				               			</fo:table-cell>
           							</fo:table-row>          							
               					</fo:table-body>
                   			</fo:table>
                   		</xsl:if>
	           	        <fo:block id="theVeryLastPage" />
	                   	
	                </fo:block>
	            </fo:flow>
            
        </fo:page-sequence>
    </fo:root>
</xsl:template>


<xsl:template name="split-after-comma">
	<xsl:param name="str" />
	<xsl:param name="separator" />
	
	<xsl:choose>
	    <xsl:when test="not(contains($str, $separator))">
	        <xsl:value-of select="$str" />
	    </xsl:when>
	    <xsl:otherwise>
	        <xsl:value-of select="substring-before($str, $separator)" />,&#8203;
	        <xsl:call-template name="split-after-comma">
	            <xsl:with-param name="str" select="substring-after($str, $separator)" />
                <xsl:with-param name="separator" select="$separator" />
	        </xsl:call-template>
	    </xsl:otherwise>
	</xsl:choose>
	
</xsl:template>

<xsl:template name="get-day">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after(substring-after($date, $separator), $separator), $separator)"/>
</xsl:template>

<xsl:template name="get-month">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />
	
</xsl:template>
 
<xsl:template name="get-year">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:choose>
	    <xsl:when test="not(contains($date, $separator))">
	        <xsl:value-of select="$date" />
	    </xsl:when>
	    <xsl:otherwise>
	        <xsl:call-template name="get-year">
	            <xsl:with-param name="date" select="substring-after($date, $separator)" />
                <xsl:with-param name="separator" select="$separator" />
	        </xsl:call-template>
	    </xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="get-time">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	<xsl:param name="language" />
	
	<xsl:variable name="separator2" select="':'"/>
	
	<xsl:choose>
		<xsl:when test="$language = 'en'">

			<xsl:variable name="hours">
				<xsl:value-of select="substring-before(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$hours >= '12'">
					<xsl:variable name="AmPm">PM</xsl:variable>
					<xsl:choose>
						<xsl:when test="$hours = '12'">12:</xsl:when>
						<xsl:when test="$hours = '13'">1:</xsl:when>
						<xsl:when test="$hours = '14'">2:</xsl:when>
						<xsl:when test="$hours = '15'">3:</xsl:when>
						<xsl:when test="$hours = '16'">4:</xsl:when>
						<xsl:when test="$hours = '17'">5:</xsl:when>
						<xsl:when test="$hours = '18'">6:</xsl:when>
						<xsl:when test="$hours = '19'">7:</xsl:when>
						<xsl:when test="$hours = '20'">8:</xsl:when>
						<xsl:when test="$hours = '21'">9:</xsl:when>
						<xsl:when test="$hours = '22'">10:</xsl:when>
						<xsl:when test="$hours = '23'">11:</xsl:when>
					</xsl:choose>
					<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
						
				</xsl:when>
				<xsl:when test="$hours = '00'">
					<xsl:variable name="AmPm">AM</xsl:variable>
					12:<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="AmPm">AM</xsl:variable>
					<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
					&#8203;
					<xsl:value-of select="$AmPm" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
		</xsl:otherwise>
	</xsl:choose>
	
	
	
</xsl:template>

<xsl:template name="month-as-number">
	<xsl:param name="month" />
	
	<xsl:choose>
		<xsl:when test="$month = 'Jan'">01</xsl:when>
		<xsl:when test="$month = 'Feb'">02</xsl:when>
		<xsl:when test="$month = 'Mar'">03</xsl:when>
		<xsl:when test="$month = 'Apr'">04</xsl:when>
		<xsl:when test="$month = 'May'">05</xsl:when>
		<xsl:when test="$month = 'Jun'">06</xsl:when>
		<xsl:when test="$month = 'Jul'">07</xsl:when>
		<xsl:when test="$month = 'Aug'">08</xsl:when>
		<xsl:when test="$month = 'Sep'">09</xsl:when>
		<xsl:when test="$month = 'Oct'">10</xsl:when>
		<xsl:when test="$month = 'Nov'">11</xsl:when>
		<xsl:when test="$month = 'Dec'">12</xsl:when>
		<xsl:otherwise><xsl:value-of select="$month"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	
	<xsl:if test="$date != ''">
		<xsl:choose>
			<xsl:when test="$language = 'en'">
				<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>