<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

<xsl:template match="mailboxes">
<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

	<xsl:value-of select="$name_list"/>;<xsl:value-of select="$systemname_list"/>;<xsl:value-of select="$category_list"/>;<xsl:value-of select="$alternativeemails_list"/>;<xsl:value-of select="$lastused_list"/>;<xsl:value-of select="$forwardingaddress_list"/>;<xsl:value-of select="$forwardingsmtpaddress_list"/>;
								
<xsl:for-each select="./mailbox">
	<xsl:value-of select="name"/>;<xsl:value-of select="systemname"/>;<xsl:choose><xsl:when test="category = 'UserMailbox'"><xsl:value-of select="$mailboxcategory_user"/></xsl:when><xsl:when test="category = 'DiscoveryMailbox'"><xsl:value-of select="$mailboxcategory_discovery"/></xsl:when><xsl:when test="category = 'RoomMailbox'"><xsl:value-of select="$mailboxcategory_room"/></xsl:when><xsl:when test="category = 'SharedMailbox'"><xsl:value-of select="$mailboxcategory_shared"/></xsl:when><xsl:otherwise><xsl:value-of select="category" /></xsl:otherwise></xsl:choose>;<xsl:value-of select="alternativeemailcount"/>;<xsl:call-template name="format-date"><xsl:with-param name="separator" select="'-'" /><xsl:with-param name="language" select="$templanguage" /><xsl:with-param name="date" select="lastused" /></xsl:call-template>;<xsl:value-of select="forwardingaddress"/>;<xsl:value-of select="forwardingsmtpaddress"/>;
</xsl:for-each>

</xsl:template>

<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	
	<xsl:if test="$date != ''">
		<xsl:choose>
			<xsl:when test="$language = 'en'">
				<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />&#x9;/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>
</xsl:stylesheet>