<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- General -->

	<xsl:variable name="page_language">[DE]</xsl:variable>
	<xsl:variable name="page_browser">[default]</xsl:variable>
		
	<xsl:variable name="my_greetings">Hallo Welt</xsl:variable>
	<xsl:variable name="welcome">Herzlich Willkommen </xsl:variable>
	<xsl:variable name="logged_in_as">Eingeloggt als:</xsl:variable>
	<xsl:variable name="loader_pleasewait">Bitte warten...</xsl:variable>
	
	<!-- Label -->
	<xsl:variable name="lbl_gadgetversion">Version: </xsl:variable>
	<xsl:variable name="lbl_gadgetdescription">Beschreibung: </xsl:variable>
	
	<!-- Login -->
	<xsl:variable name="login_headline">Anmeldung</xsl:variable>
	<xsl:variable name="login_username">Benutzername</xsl:variable>
	<xsl:variable name="login_password">Passwort</xsl:variable>
	<xsl:variable name="login_button">Anmelden</xsl:variable>
	<xsl:variable name="login_error_general">Bei der Anmeldung ist ein Fehler aufgetreten!</xsl:variable>
	<xsl:variable name="login_error_no_authentication">Die Authentisierung war nicht möglich.</xsl:variable>
	<xsl:variable name="login_error_not_authorized">Der eingetragene Benutzer ist nicht zum Zugriff auf das Gadget berechtigt.</xsl:variable>
	<xsl:variable name="login_marketing_1"></xsl:variable>
	<xsl:variable name="login_marketing_2"></xsl:variable>
	<xsl:variable name="login_text"></xsl:variable>
	
	<!-- Logout -->
	<xsl:variable name="logout_button">Abmelden</xsl:variable>
		
	<!-- Text -->
	<xsl:variable name="initsuccess">Das Gadget wurde erfolgreich initialisiert </xsl:variable>
	<xsl:variable name="initfailed">Ein Fehler ist aufgetreten</xsl:variable>
	<xsl:variable name="moreinformations">Dieses Development Kit ist Eigentum der G+H Systems GmbH. <br></br>Alle Rechte vorbehalten. Für weitere Informationen zu inchorus besuchen Sie bitte unsere Webseite:</xsl:variable>
	
	<!-- ERROR -->
	<xsl:variable name="verification_required_description">Der Authentificationmode ist auf "verification" gesetzt.<br></br>Der &#252;bergebene Verification-Code ist entweder leer oder falsch.</xsl:variable>
	<xsl:variable name="session_expired_description">Die Session ist abgelaufen. &#252;ber den Aufruf der index.html erhalten Sie eine neue Session.</xsl:variable>
	<xsl:variable name="no_authentication_data_description">Der Authentificationmode ist auf "authentication" gesetzt. Die übergebenen Login-Daten (Benutzername,Passwort) sind entweder leer oder falsch.</xsl:variable>
	<xsl:variable name="login_process_not_authorized_description">Die Authorisierung ist fehlgeschlagen. Sie besitzen nicht die nötigen Berechtigungen. Bitte wenden Sie sich an Ihren Administrator.</xsl:variable>
	
	<!-- Bitte denken Sie daran die Beschreibung zu übersetzen -->
	<xsl:variable name="gadget_description">A gadget to display and manage persons in daccord.</xsl:variable>
	
	<!--  exchange -->
	<xsl:variable name="exchange_header">Exchange</xsl:variable>
	<xsl:variable name="exchange_tab_administrator">Alle Mailboxen &amp; Verteilerlisten</xsl:variable>
	<xsl:variable name="exchange_tab_inmyresponsibility">In meiner Verantwortung</xsl:variable>
	<xsl:variable name="exchange_tab_user_rights">Rechte von </xsl:variable>
	<xsl:variable name="exchange_tab_general_rights">Allgemeine Rechte</xsl:variable>
	<xsl:variable name="exchange_list_domain">Domäne</xsl:variable>
	<xsl:variable name="exchange_list_effective_users">User</xsl:variable>
	<xsl:variable name="exchange_list_name">Name</xsl:variable>
	<xsl:variable name="exchange_list_primaryemailaddress">Primäre E-Mail Adresse</xsl:variable>
	<xsl:variable name="exchange_list_emailaddresses">Alternative E-Mail Adressen</xsl:variable>
	<xsl:variable name="exchange_list_username">Username</xsl:variable>
	<xsl:variable name="exchange_list_givenname">Vorname</xsl:variable>
	<xsl:variable name="exchange_list_surname">Nachname</xsl:variable>
	<xsl:variable name="exchange_list_lastused">Letzte Anmeldung</xsl:variable>
	<xsl:variable name="exchange_list_system">System</xsl:variable>
	<xsl:variable name="exchange_list_systemname">Exchange System</xsl:variable>
	<xsl:variable name="exchange_list_mailboxname">Name</xsl:variable>
	<xsl:variable name="exchange_list_mailboxsize">Mailboxgröße</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupname">Name</xsl:variable>
	<xsl:variable name="exchange_list_description">Beschreibung</xsl:variable>
	<xsl:variable name="exchange_list_membercount">Anzahl Mitglieder</xsl:variable>
	<xsl:variable name="exchange_list_type">Type</xsl:variable>
	<xsl:variable name="exchange_list_scope">Scope</xsl:variable>
	<xsl:variable name="exchange_list_category">Kategorie</xsl:variable>
	<xsl:variable name="exchange_list_matching">Personenzuordnung</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_global">Global</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_domainlocal">Domänenlokal</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_universal">Universal</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_other">Andere</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_user">Benutzer Mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_discovery">Discovery Mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_room">Raum Mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_shared">Geteilte Mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_linked">Verknüpfte Mailbox</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_dynamic">Dynamisch</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_mailuniversal">Allgemein</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_mailuniversalsecurity">Sicherheitsverteilerliste</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_withouthaspermission">Ohne Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_withonlydisabledusers">Nur inaktive Benutzern</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_others">Weitere</xsl:variable>
	
	<xsl:variable name="exchange_title_policies">Richtlinien</xsl:variable>
	<xsl:variable name="exchange_title_policies_medium">weniger kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="exchange_title_policies_high">kritische Richtlinien sind überschritten</xsl:variable>

	<xsl:variable name="exchange_label_alias">Alias</xsl:variable>
	<xsl:variable name="exchange_label_allemailaddresses">Alle E-Mail Adressen</xsl:variable>
	<xsl:variable name="exchange_label_alternativename">Alternativer Name</xsl:variable>
	<xsl:variable name="exchange_label_category">Kategorie</xsl:variable>
	<xsl:variable name="exchange_label_cn">CN</xsl:variable>
	<xsl:variable name="exchange_label_issuewarningquota">IssueWarningQuota</xsl:variable>
	<xsl:variable name="exchange_label_prohibitsendquota">Sperre für Senden</xsl:variable>
	<xsl:variable name="exchange_label_prohibitsendreceivequota">Sperre für Empfangen</xsl:variable>
	<xsl:variable name="exchange_label_totalitemsize">Belegter Speicher</xsl:variable>
	<xsl:variable name="exchange_label_description">Beschreibung</xsl:variable>
	<xsl:variable name="exchange_label_displayname">Anzeigename</xsl:variable>
	<xsl:variable name="exchange_label_dn">DN</xsl:variable>
	<xsl:variable name="exchange_label_domain">Domäne</xsl:variable>
	<xsl:variable name="exchange_label_forwardingaddress">Weiterleitungsadresse</xsl:variable>
	<xsl:variable name="exchange_label_forwardingsmtpaddress">Weiterleitungsadresse SMTP</xsl:variable>
	<xsl:variable name="exchange_label_fullname">Name</xsl:variable>
	<xsl:variable name="exchange_label_givenname">Vorname</xsl:variable>
	<xsl:variable name="exchange_label_groupid">GruppenID</xsl:variable>
	<xsl:variable name="exchange_label_groupmemberships">Gruppen</xsl:variable>
	<xsl:variable name="exchange_label_grouptype">Gruppentyp</xsl:variable>
	<xsl:variable name="exchange_label_hidden">Verborgen von Adressliste</xsl:variable>
	<xsl:variable name="exchange_label_includedrecipients">Mitgliedstyp</xsl:variable>
	<xsl:variable name="exchange_label_lastlogon">Letzte Nutzung</xsl:variable>
	<xsl:variable name="exchange_label_lastlogon_never">Nie</xsl:variable>
	<xsl:variable name="exchange_label_mailboxid">Mailbox ID</xsl:variable>
	<xsl:variable name="exchange_label_managers">Manager</xsl:variable>
	<xsl:variable name="exchange_label_maxreceivesize">Maximale Empfangsgröße</xsl:variable>
	<xsl:variable name="exchange_label_maxsendsize">Maximale Sendegröße</xsl:variable>
	<xsl:variable name="exchange_label_members">Mitglieder</xsl:variable>
	<xsl:variable name="exchange_label_member">Mitglied</xsl:variable>
	<xsl:variable name="exchange_label_manager">Manager</xsl:variable>
	<xsl:variable name="exchange_label_name">Name</xsl:variable>
	<xsl:variable name="exchange_label_objectsid">ObjectSid</xsl:variable>
	<xsl:variable name="exchange_label_owner">Besitzer</xsl:variable>
	<xsl:variable name="exchange_label_permissions">Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_label_assigned_permissions">Zugewiesene Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_label_primaryemailaddress">Primäre E-Mail Adresse</xsl:variable>
	<xsl:variable name="exchange_label_recipientfilter">Filter</xsl:variable>
	<xsl:variable name="exchange_label_recipientfiltertype">Filtertyp</xsl:variable>
	<xsl:variable name="exchange_label_samaccountname">sAMAccountName</xsl:variable>
	<xsl:variable name="exchange_label_scope">Scope</xsl:variable>
	<xsl:variable name="exchange_label_status">Status</xsl:variable>
	<xsl:variable name="exchange_label_surname">Name</xsl:variable>
	<xsl:variable name="exchange_label_systemname">Exchange System</xsl:variable>
	<xsl:variable name="exchange_label_useraccountcontrol">userAccountControl</xsl:variable>
	<xsl:variable name="exchange_label_whenchanged">Geändert am</xsl:variable>
	<xsl:variable name="exchange_label_whencreated">Erstellt am</xsl:variable>
	<xsl:variable name="exchange_label_distributiongroups">Verteilerlisten</xsl:variable>
	<xsl:variable name="exchange_label_database">Datenbank</xsl:variable>
	<xsl:variable name="exchange_label_usedatabasequotadefaults">Datenbank Standard</xsl:variable>
	
	<xsl:variable name="exchange_assigned_permissions_one"> hat Zugriff auf eine weitere Mailbox.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_none"> hat keinen Zugriff auf andere Mailboxen.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_content_1"> hat Zugriff auf </xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_content_2"> weitere Mailboxen.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_clickhere">Klicken Sie hier um eine Übersicht zu bekommen.</xsl:variable>
	
	<xsl:variable name="exchange_content_unlimited">Nicht limitiert</xsl:variable>
	<xsl:variable name="exchange_content_false">Nein</xsl:variable>
	<xsl:variable name="exchange_content_true">Ja</xsl:variable>
	<xsl:variable name="exchange_content_notSet">Nicht gesetzt</xsl:variable>
	
	<xsl:variable name="exchange_blockheadline_others">Weitere Attribute</xsl:variable>
	<xsl:variable name="exchange_blockheadline_emails">E-Mail Adressen</xsl:variable>
	<xsl:variable name="exchange_blockheadline_filter">Filter für Mitgliedschaft</xsl:variable>
	
	
	<xsl:variable name="exchange_status_active">Aktiv</xsl:variable>
	<xsl:variable name="exchange_status_inactive">Deaktiviert</xsl:variable>
	
	<xsl:variable name="exchange_assigment_matched">Einer Person</xsl:variable>
	<xsl:variable name="exchange_assigment_unmatched">Nicht zugeordnet</xsl:variable>
	<xsl:variable name="exchange_assigment_inactivematched">Inaktiver Person</xsl:variable>
	<xsl:variable name="exchange_assigment_multiple">Mehreren Personen</xsl:variable>	
	
	<xsl:variable name="exchange_statusdetails_script">Das Anmeldeskript wird ausgeführt</xsl:variable>
	<xsl:variable name="exchange_statusdetails_accountdisabled">Das Benutzerkonto ist deaktiviert</xsl:variable>
	<xsl:variable name="exchange_statusdetails_homedir_required">Basisordner ist erforderlich</xsl:variable>
	<xsl:variable name="exchange_statusdetails_lockout">Das Konto ist gesperrt</xsl:variable>
	<xsl:variable name="exchange_statusdetails_dontexpirepassword">Das Kennwort läuft nicht ab</xsl:variable>
	<xsl:variable name="exchange_statusdetails_mnslogonaccount">Dies ist ein MNS Anmeldekonto</xsl:variable>
	<xsl:variable name="exchange_statusdetails_smartcardrequired">Zur Anmeldung wird eine Smartcard benötigt</xsl:variable>
	<xsl:variable name="exchange_statusdetails_trustedfordelegation">Vertrauenswürdig für Delegation</xsl:variable>
	<xsl:variable name="exchange_statusdetails_notdelegated">Nicht delegiert</xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwdnotreqd">Es ist kein Kennwort erforderlich</xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwdcanchange">Das Kennwort kann nicht vom Benutzer geändert werden</xsl:variable>
	<xsl:variable name="exchange_statusdetails_encryptedtextpwdallowed">Das Kennwort wird mit umkehrbarer Verschlüsselung gespeichert</xsl:variable>
	<xsl:variable name="exchange_statusdetails_tempduplicateaccount">Dies ist ein Konto für Benutzer, deren primäres Konto sich in einer anderen Domäne befindet</xsl:variable>
	<xsl:variable name="exchange_statusdetails_interdomaintrustaccount">Dies ist eine Erlaubnis, einem Konto für eine Systemdomäne zu vertrauen, die anderen Domänen vertraut</xsl:variable>
	<xsl:variable name="exchange_statusdetails_workstationtrustaccount">Dies ist ein Computerkonto für einen Computer, auf dem Microsoft Windows NT 4.0 Workstation, Microsoft Windows NT 4.0 Server, Microsoft Windows 2000 Professional oder Windows 2000 Server ausgeführt wird, und der Mitglied dieser Domäne ist.</xsl:variable>
	<xsl:variable name="exchange_statusdetails_servertrustaccount">Computerkonto für einen Domänencontroller, der Mitglied dieser Domäne ist</xsl:variable>
	<xsl:variable name="exchange_statusdetails_usedeskeyonly">Es wird nur die Data Encryption Standard (DES) Verschlüsselung für Schlüssel verwendet.</xsl:variable>
	<xsl:variable name="exchange_statusdetails_dontreqpreauth">Für das Konto ist keine Kerberos-Vorauthentifizierung erforderlich</xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwordexpired">Das Kennwort des Benutzers ist abgelaufen</xsl:variable>
	<xsl:variable name="exchange_statusdetails_trustedtoauthfordelegation">Das Konto ist für Delegierungszwecke aktiviert</xsl:variable>
	<xsl:variable name="exchange_statusdetails_partialsecretsaccount">Das Konto ist eine schreibgeschützte Domänencontroller (RODC)</xsl:variable>

	<xsl:variable name="exchange_group_details_membership_noresult">Es wurden keine Mitglieder gefunden.</xsl:variable>
	<xsl:variable name="exchange_group_details_managers_noresult">Es wurden keine Manager gefunden.</xsl:variable>
	<xsl:variable name="exchange_group_details_permissions_noresult">Es wurden keine Berechtigungen gefunden.</xsl:variable>
	<xsl:variable name="exchange_group_details_distributiongroups_noresult">Es wurden keine Verteilerlisten gefunden.</xsl:variable>
	
	<xsl:variable name="exchange_select_all">Alle</xsl:variable>
	
	<xsl:variable name="exchange_admin_quickfilter_user_1">User in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_user_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_1">Mailboxen in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_distributiongroups_1">Verteilerlisten in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_distributiongroups_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_domains_1">verschiedene</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_domains_2">Exchange's</xsl:variable>
	
	<xsl:variable name="exchange_tooltip_text_exchange">Um die Suche über ein bestimmtes Exchange zu erhalten, wählen Sie das entsprechende Exchange aus.</xsl:variable>
	<xsl:variable name="exchange_tooltip_label_exchange">Domain</xsl:variable>

	<xsl:variable name="exchange_label_policies">Richtlinien</xsl:variable>
	<xsl:variable name="exchange_label_policies_notconfigured">Es stehen keine Richtlinien zur Verfügung, da keine Richtlinien-Packete installiert sind.</xsl:variable>
	<xsl:variable name="exchange_label_policies_risklow">weniger kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="exchange_label_policies_riskhigh">höher kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="exchange_label_policies_showhistory">Historie anzeigen für:</xsl:variable>
	<xsl:variable name="exchange_label_history">Historie:</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last7days">letzten 7 Tage</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last14days">letzten 14 Tage</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last30days">letzten 30 Tage</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last90days">letzten 90 Tage</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last180days">letzten 180 Tage</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_1">Kritikalität: leicht (von</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_2">bis</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_1">Kritikalität: mittel (von</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_2">bis</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_1">Kritikalität: hoch (von</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_2">bis</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_numberof">Anzahl </xsl:variable>
	<xsl:variable name="exchange_message_policies_notscheduled">Hinweis! Die Richtlinie wird aktuell nicht zeitgesteuert analysiert und daher keine historischen Werte ermittelt.</xsl:variable>	
	<xsl:variable name="exchange_message_policies_error_text_1">Es gibt</xsl:variable>
	<xsl:variable name="exchange_message_policies_error_text_2">Richtlinie(n) mit Fehlern.</xsl:variable>
	<xsl:variable name="exchange_message_policies_disabled_text_1">Es gibt</xsl:variable>
	<xsl:variable name="exchange_message_policies_disabled_text_2">deaktivierte Richtlinie(n).</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_critical">kritische Richtlinien anzeigen</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_mediumcritical">weniger kritische Richtlinien anzeigen</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_all_1">alle Richtlinien</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_all_2">anzeigen</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_policies">Es sind momentan keine Richtlinien vorhanden.</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_critical">Es sind momentan keine kritischen Richtlinien vorhanden.</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_mediumcritical">Es sind momentan keine weniger kritischen Richtlinien vorhanden.</xsl:variable>
	
	<xsl:variable name="exchange_message_contenttofollow">Inhalt folgt noch...</xsl:variable>
	<xsl:variable name="exchange_label_systemid">SystemId</xsl:variable>
	<xsl:variable name="exchange_label_uniqueid">UniqueId</xsl:variable>
	
	<xsl:variable name="exchange_select_lastused_all">Alle</xsl:variable>
	<xsl:variable name="exchange_select_lastused_7days">Älter als 1 Woche</xsl:variable>
	<xsl:variable name="exchange_select_lastused_30days">Älter als 1 Monat</xsl:variable>
	<xsl:variable name="exchange_select_lastused_180days">Älter als 180 Tage</xsl:variable>
	<xsl:variable name="exchange_select_lastused_365days">Älter als 1 Jahr</xsl:variable>
	
	<xsl:variable name="exchange_select_grouptype_all">Alle</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_global">Global</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_domainlocal">Domänenlokal</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_universal">Universal</xsl:variable>
	
	<xsl:variable name="exchange_select_groupcategory_all">Alle</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_user">Benutzer Mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_discovery">Discovery Mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_room">Raum Mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_shared">Geteilte Mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_linked">Verknüpfte Mailbox</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_all">Alle</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_distributiongroups">Verteilergruppen</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_mailboxes">Mailboxen</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_headline">Exchange</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_distributiongroups">Verteilerlisten</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_mailboxes">Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_distributiongroups_smallnumbers">Verteilergruppen (Exchange)</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_mailboxes_smallnumbers">Mailboxen (Exchange)</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_exchange">Exchange</xsl:variable>
	<xsl:variable name="exchange_dashboard_message_policies_part1">von</xsl:variable>
	<xsl:variable name="exchange_dashboard_message_policies_part2">Richtlinien sind überschritten </xsl:variable>
	<xsl:variable name="exchange_dashboard_title_alldistributiongroups_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_alldistributiongroups_part2">Verteilergruppen erfasst.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupdeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl Verteilergruppen um</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupdeletecount_part2">Verteilergruppen verringert.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupaddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupaddcount_part2">neue Verteilergruppen hinzugekommen.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_allmailboxes_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_allmailboxes_part2">Mailboxen erfasst.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxdeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl Mailboxen um</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxdeletecount_part2">Mailboxen verringert.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxaddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxaddcount_part2">neue Mailboxen hinzugekommen.</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_status">Status</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_status_title">Übersicht über den Status von Benutzerkonten.</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_matched">Zuordnung</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_matched_title">Sind Benutzerkonten natürlichen Personen zugewiesen?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_login">Anmeldung</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_login_title">Wie verteilt sich die "letzte Anmeldung" über die Zeit?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_members">Mitglieder</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_members_title">Wie viele Mitglieder hat die Verteilerliste?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_manager">Manager</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_manager_title">Wie viele Manager hat die Verteilerliste?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category">Kategorien</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category_mailbox_title">Übersicht über die Kategorien der Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category_distributiongroup_title">Übersicht über die Kategorien der Verteilergruppen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_permissions">Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_permissions_title">Wie viele Berechtigungen sind von einer Mailbox verteilt?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_databases">Datenbanken</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_databases_title">Wie viele Mailboxen hat die jeweilige Datenbank?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit">Größenbegrenzung</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_title">Übersicht über die Größenbeschränkung der Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_sizelimitofmailbox">Größenbegrenzung der Mailbox:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_send">senden</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_sendandreceive">senden/empfangen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_mailboxes">Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5users">Berechtigte User</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5users_title">Top 5 User mit den meisten Zugriffen auf verschiedene Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mostusers">Berechtigte Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mostusers_title">Top 5 Mailboxen auf denen die meisten User berechtigt sind</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mailboxsize">Mailboxgröße</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mailboxsize_title">Top 5 Mailboxen mit den größten Mailboxgrößen</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_numberofdistributiongroup">Anzahl an Verteilergruppen</xsl:variable>
	<xsl:variable name="exchange_dashboard_label_numberofmailbox">Anzahl an Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_label_lastused">Zeitraum der letzten Anmeldung: </xsl:variable>
	<xsl:variable name="exchange_dashboard_days0_7">0-7T</xsl:variable>
	<xsl:variable name="exchange_dashboard_days7_30">7-30T</xsl:variable>
	<xsl:variable name="exchange_dashboard_days30_180">30-180T</xsl:variable>
	<xsl:variable name="exchange_dashboard_days180_365">180-1J</xsl:variable>
	<xsl:variable name="exchange_dashboard_days365andmore">&gt;1J</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_permissions">Anzahl an Mailboxen: </xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithoutmembers">Keine</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions1_10">1-10</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions11_50">11-50</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions51_200">51-200</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions200more">&gt;200</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_membership">Anzahl an Mitgliedern: </xsl:variable>
	<xsl:variable name="exchange_dashboard_withoutmemberof">Keine</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof1_10">1-10</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof11_50">11-50</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof51_200">51-200</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof200more">&gt;200</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_manager">Anzahl an Managern: </xsl:variable>
	<xsl:variable name="exchange_dashboard_withoutmanager">Keine</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager1">1</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager2">2</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager3">3</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager3more">&gt;3</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_sizelimit_1GB">&lt;1 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_2GB">1-2 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_5GB">2-5 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_10GB">5-10 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_more10GB">&gt;10 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_unlimited">UNLIMITED</xsl:variable>
	
		<!-- TAB: ExchangeConnector -->
	<xsl:variable name="system_exchange_header">Exchange</xsl:variable>
	<xsl:variable name="system_exchange_header_added">Hinzugefügte Exchange Connectors</xsl:variable>
	<xsl:variable name="system_exchange_header_local">Verfügbare Exchange Connectors</xsl:variable>
	<xsl:variable name="system_exchange_lightbox_header_add">Neuen ExchangeConnector hinzufügen</xsl:variable>
	<xsl:variable name="system_exchange_dashedbox_text">Dem daccord System wurde noch kein Exchange Connector hinzugefügt.</xsl:variable>
	<xsl:variable name="system_exchange_message_error_create">Der Exchange Connector konnte nicht hinzugefügt werden.</xsl:variable>
	<xsl:variable name="system_exchange_message_error_create_workpath">Das Verzeichnis existiert nicht oder darf nicht verwendet werden.</xsl:variable>
	<xsl:variable name="system_exchange_message_success">VERBINDUNG ERFOLGREICH</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype">Typ:</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype_ssl">Verschlüsselt</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype_plain">Unverschlüsselt</xsl:variable>
	<xsl:variable name="system_exchange_message_connectionhostname">DC:</xsl:variable>
	<xsl:variable name="system_exchange_message_connectionport">Port:</xsl:variable>
	<xsl:variable name="system_exchange_system_header_added">Hinzugefügte Domains</xsl:variable>
	<xsl:variable name="system_exchange_system_header_local">Verfügbare Domains</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_host_header">Neue Domain hinzufügen</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_domainname">Domainname</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_host">Domaincontroller</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_userdn">Benutzerkonto</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_password">Kennwort</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_header">Neue Domain hinzufügen</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_userdn">UserDN</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_groupdn">GroupDN</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_basedn">Ursprungscontainer</xsl:variable>
	<xsl:variable name="system_exchange_tooltip_basedn">Ursprungscontainer in der LDAP-Schreibweise. Achtung! Der Configuration Container muss direkt unter dem angegeben Container liegen.(z.B. dc=dom01,dc=company, dc=net)</xsl:variable>
	
	
	<xsl:variable name="system_doc_exchange"><![CDATA[/daccord-msedition-doc/_installation_konfiguration_und_update.html#_active_directory]]></xsl:variable>
	<xsl:variable name="system_button_next">Weiter</xsl:variable>
	<xsl:variable name="system_adconnector">ExchangeConnector</xsl:variable>
	<xsl:variable name="system_version">Version</xsl:variable>
	<xsl:variable name="system_collectorengine_statusmessage_init">GESTOPPT</xsl:variable>
	<xsl:variable name="system_platform">Plattform</xsl:variable>
	<xsl:variable name="system_collectorengine_statusmessage_ready">LÄUFT</xsl:variable>
	<xsl:variable name="system_button_restart">Neustart</xsl:variable>
	<xsl:variable name="system_button_add">Hinzufügen</xsl:variable>
	
	<xsl:variable name="system_message_error_configure_previous_step1">ACHTUNG!</xsl:variable>
	<xsl:variable name="system_message_error_configure_previous_step2">Bitte konfigurieren oder Sie zunächst die vorherigen Bereiche.</xsl:variable>
	
	<xsl:variable name="system_text_dataisloading">Daten werden geladen...</xsl:variable>
	<xsl:variable name="system_button_collectall">Daten aktualisieren</xsl:variable>
	
	<xsl:variable name="system_policy_notinstalled">NICHT INSTALLIERT</xsl:variable>
	<xsl:variable name="system_installed">INSTALLIERT</xsl:variable>
	<xsl:variable name="system_collector_tooltip_message_nomenubecauserunning">Aktualisierung läuft. Weitere Aktion nach Abschluss verfügbar.</xsl:variable>

	<xsl:variable name="system_button_delete">Löschen</xsl:variable>	
	<xsl:variable name="system_button_deletedata">Nur Daten löschen</xsl:variable>
	<xsl:variable name="system_button_deletecollector">Komplett löschen</xsl:variable>
	
	<xsl:variable name="system_policiesnewtotal">Richtlinien Neu/Total</xsl:variable>
	
	<xsl:variable name="system_category">Kategorie</xsl:variable>
	<xsl:variable name="system_button_showdetails">Details anzeigen</xsl:variable>
	
	<xsl:variable name="system_error_collector">Um die genaue Fehlerursache zu erfahren, klicken Sie bitte auf "Details anzeigen".</xsl:variable>
	
	<xsl:variable name="system_exchange_runtime">Letzte Laufzeit</xsl:variable>
	<xsl:variable name="system_seconds">Sek.</xsl:variable>
	<xsl:variable name="system_minutes">Min.</xsl:variable>
	<xsl:variable name="system_hours">Std.</xsl:variable>
	<xsl:variable name="system_days">Tage</xsl:variable>
	<xsl:variable name="system_box_lastcollect_start">Letzter Start der Aktualisierung:</xsl:variable>
	<xsl:variable name="system_box_lastcollect">Zuletzt aktualisiert am:</xsl:variable>
	<xsl:variable name="system_box_nextcollect">Nächste planm. Aktualisierung:</xsl:variable>
	<xsl:variable name="system_box_timeschedule">Zeitplan:</xsl:variable>
	
	<xsl:variable name="exchange_add_text">Exchange</xsl:variable>
	<xsl:variable name="exchange_config_headline_gadgetconfiguration">Ansicht konfigurieren (Exchange)</xsl:variable>
	<xsl:variable name="exchange_config_headline_removegadget">Ansicht entfernen</xsl:variable>
	<xsl:variable name="exchange_config_modus_big_all">Voller Umfang</xsl:variable>
	<xsl:variable name="exchange_config_modus_big_all_description">Neben der Anzahl von Konten und Gruppen aus Exchange, werden weitere Informationen in Form von Diagrammen dargestellt.</xsl:variable>
	<xsl:variable name="exchange_config_modus_small_numbers">Metriken</xsl:variable>
	<xsl:variable name="exchange_config_modus_small_numbers_description">Je nach Auswahl werden Informationen zu den Konten und Gruppen aus Exchange in Form von Zahlen dargestellt.</xsl:variable>
	<xsl:variable name="exchange_config_modus_medium_numbers_charts">Metriken &amp; Diagramme</xsl:variable>
	<xsl:variable name="exchange_config_modus_medium_numbers_description">Je nach Auswahl, werden Informationen zu den Konten und Gruppen aus Exchange, in Form von Zahlen und Diagrammen dargestellt.</xsl:variable>
	<xsl:variable name="exchange_config_modus_hidden">Versteckt</xsl:variable>
	<xsl:variable name="exchange_config_modus_hidden_text">Ist versteckt und wird nicht angezeigt.</xsl:variable>
	<xsl:variable name="exchange_config_button_remove">Entfernen</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_text">Möchten Sie die Ansicht wirklich entfernen?</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_message_note">ACHTUNG!</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_message_note_text">Wenn Sie die Ansicht entfernen, wird es nicht mehr angezeigt. Sie können die Ansicht aber jederzeit wieder einbinden.</xsl:variable>
	<xsl:variable name="exchange_config_button_customize">Anpassen</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_distributiongroups">Exchange - Verteilergruppen</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_mailboxes">Exchange - Mailboxen</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_fullscore">Exchange - Mailboxen &amp; Verteilergruppen</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_choose">Bitte wählen...</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_header_part1">Es sind</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_header_part2">Diagramme ausgewählt</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_onechart_part1">Es ist</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_onechart_part2">Diagramm ausgewählt</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_nochartselected">Es ist kein Diagramm ausgewählt</xsl:variable>
	<xsl:variable name="exchange_config_label_data">Daten:</xsl:variable>
	<xsl:variable name="exchange_config_label_charts">Diagramme:</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_category">Kategorien</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_members">Mitglieder</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_manager">Manager</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_databases">Datenbanken</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_sizelimit">Größenbeschrenkung</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5users">Berechtigte Benutzer</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5mostusers">Berechtigte Mailboxen</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5mailboxsize">Mailboxgröße</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_category">Kategorien</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_login">Anmeldung</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_permissions">Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_button_listview">Listen-Ansicht</xsl:variable>
	<xsl:variable name="exchange_button_historyview">History-Ansicht</xsl:variable>
	<xsl:variable name="exchange_button_general">Allgemein</xsl:variable>
	<xsl:variable name="exchange_button_history">History</xsl:variable>
	
	<!-- Effektive Sichtweise -->
	<xsl:variable name="exchange_effectiveusers_message_part_1">Hinweis:</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_2">Sie befinden sich in der effektiven Sichtweise. Um diese Sichtweise zu verlassen, leeren Sie das Feld "User" oder klicken Sie</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_3">hier</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_4">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_5">Sie befinden sich in der effektiven Sichtweise.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_button_leave">Effektive Sichtweise verlassen</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_1">Es wurde kein User mit</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_2">gefunden.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_3">Bitte ändern Sie Ihre Suchanfrage und versuchen Sie es erneut.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_headline_effectivepersmissions">Effektive Persmissions</xsl:variable>
	
	<xsl:variable name="exchange_slider_effective_message_part1">Mailboxen und Verteilerlisten zu denen</xsl:variable>
	<xsl:variable name="exchange_slider_effective_message_part2">aktuell Zugriffsberechtigungen hat.</xsl:variable>
	
	<xsl:variable name="exchange_effectiveusers_message_node_group_1">Die angezeigten effektiven Rechte beziehen sich auf die ausgewählte Gruppe</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_group_2">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_user_1">Die angezeigten effektiven Rechte beziehen sich auf den ausgewählten User</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_user_2">.</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_group_1">Die angezeigte Analyse der Rechte bezieht sich auf die ausgewählte Gruppe</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_group_2">.</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_user_1">Die angezeigte Analyse der Rechte bezieht sich auf den ausgewählten User</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_user_2">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_no_result">Für den ausgewählten Benutzer wurden keine Mailboxen oder Verteilerlisten gefunden.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_no_result_mailbox">Für den ausgewählten Benutzer wurden keine Mailboxen gefunden.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_no_result_distributiongroup">Für den ausgewählten Benutzer wurden keine Verteilerlisten gefunden.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_level_mailboxes">Mailboxen</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_level_distributiongroups">Verteilerlisten</xsl:variable>
	<xsl:variable name="exchange_effectiv_tab_mailboxpermissions">Mailbox Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_effectiv_header_mailboxpermissions">Zugriffsberechtigungen auf Mailboxen</xsl:variable>
	
	<xsl:variable name="exchange_header_exchangesummary">Systemdetails</xsl:variable>
	
	<xsl:variable name="exchange_slider-matrix-header">Berechtigungen auf diese Mailbox</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-fullaccess">Vollzugriff</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-read">Berechtigungen lesen</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change">Ändern</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change-owner">Besitzer ändern</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change-permission">Berechtigungen ändern</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send">Senden als</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send-as">Senden als</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send-onbehalf">Senden im Auftrag von</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-external">Externer Account: Geteilte Mailbox oder deaktivierter Benutzer</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-more">Sonst. Berechtigungen</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-delete">Mailbox löschen</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-delete-item">Mailbox löschen</xsl:variable>

	<xsl:variable name="exchange_dashboard_tooltip_top5mailboxes_mailbox">Mailbox:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mailboxes_sizeofmailboxe">Größe der Mailbox</xsl:variable>	
	<xsl:variable name="exchange_dashboard_tooltip_top5users_user">Benutzer:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5users_mailboxes">Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5users_numberofmailboxes">Anzahl Mailboxen</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_mailbox">Mailbox:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_numberofusers">Anzahl Benutzer</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_user">Benutzer</xsl:variable>
	
	<xsl:variable name="exchange_button_deletedata">Nur Daten löschen</xsl:variable>
	<xsl:variable name="exchange_button_deletesystem">Komplett löschen</xsl:variable>
	<xsl:variable name="exchange_button_editsystem">Bearbeiten</xsl:variable>
	<xsl:variable name="exchange_button_export">Export</xsl:variable>
	<xsl:variable name="exchange_button_collectall">Daten aktualisieren</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_notready_attention">ACHTUNG!</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_notready">Es können nicht alle Funktionen genutzt werden, da der benötigte Connector nicht bereit ist.</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_ceunreachable_attention">ACHTUNG!</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_ceunreachable">Es können nicht alle Funktionen genutzt werden, da die benötigte Collector Engine nicht erreichbar ist.</xsl:variable>
	
	<xsl:variable name="exchange_slider_details_name">Name</xsl:variable>
	<xsl:variable name="exchange_slider_details_description">Beschreibung</xsl:variable>
	<xsl:variable name="exchange_slider_details_numberofobjects">Anzahl Objekte</xsl:variable>
	<xsl:variable name="exchange_slider_details_status">Status</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_neverread">NOCH NIE EINGELESEN</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_isrunning">WIRD EINGELESEN</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_success">ERFOLGREICH</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_error">FEHLERHAFT</xsl:variable>
	<xsl:variable name="exchange_slider_details_laststart">Letzter Start der Aktualisierung</xsl:variable>
	<xsl:variable name="exchange_slider_details_lastruntime">Letzte Laufzeit </xsl:variable>
	<xsl:variable name="exchange_slider_details_nextstart">Nächste planm. Aktualisierung</xsl:variable>
	<xsl:variable name="exchange_slider_details_updatedata">Daten aktualisieren</xsl:variable>
	
	<xsl:variable name="exchange_seconds">Sek.</xsl:variable>
	<xsl:variable name="exchange_minutes">Min.</xsl:variable>
	<xsl:variable name="exchange_hours">Std.</xsl:variable>
	<xsl:variable name="exchange_days">Tage</xsl:variable>
	
	<xsl:variable name="exchange_slider_message_updated_success">AKTUALISIERUNG ERFOLGREICH</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_success_short">ERFOLGREICH</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_error">AKTUALISIERUNG FEHLGESCHLAGEN</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_error_short">FEHLGESCHLAGEN</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_warning">NOCH NIE EINGELESEN</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notyetread">AKTUALISIERUNG FOLGT...</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_running">WIRD EINGELESEN</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notconfigured">NICHT KONFIGURIERT</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notscheduled">NICHT GEPLANT</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_disabled">DEAKTIVIERT</xsl:variable>
	
	<xsl:variable name="exchange_slider_collector_text_notconfigured">Der Collector wurde noch nicht konfiguriert.</xsl:variable>
	<xsl:variable name="exchange_slider_collector_text_disabled">Der Collector ist deaktiviert.</xsl:variable>
	<xsl:variable name="exchange_slider_collector_text_notscheduled">Der Collector wurde noch nie eingelesen.</xsl:variable>
	<xsl:variable name="exchange_slider_title_scheduler">wird nach Zeitplan gestartet</xsl:variable>
	<xsl:variable name="exchange_slider_title_scheduler_nextstarttime">Nächste Ausführung:</xsl:variable>
	<xsl:variable name="exchange_slider_title_notscheduler">Zeitplan ist ungeplant.</xsl:variable>
	
	<xsl:variable name="exchange_slider_box_lastcollect_start">Letzter Start der Aktualisierung:</xsl:variable>
	<xsl:variable name="exchange_slider_box_lastcollect">Zuletzt aktualisiert am:</xsl:variable>
	<xsl:variable name="exchange_slider_box_nextcollect">Nächste planm. Aktualisierung:</xsl:variable>
	<xsl:variable name="exchange_slider_box_timeschedule">Zeitplan:</xsl:variable>
	
</xsl:stylesheet>