<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- General -->

	<xsl:variable name="page_language">[EN]</xsl:variable>
	<xsl:variable name="page_browser">[default]</xsl:variable>
	
	<xsl:variable name="my_greetings">Hello World</xsl:variable>
	<xsl:variable name="welcome">Welcome </xsl:variable>
	<xsl:variable name="logged_in_as">Logged in as:</xsl:variable>
	<xsl:variable name="loader_pleasewait">Please wait...</xsl:variable>
	
	<!-- Label -->
	<xsl:variable name="lbl_gadgetversion">Version: </xsl:variable>
	<xsl:variable name="lbl_gadgetdescription">Description: </xsl:variable>
	
	<!-- Login -->
	<xsl:variable name="login_headline">Login</xsl:variable>
	<xsl:variable name="login_username">username</xsl:variable>
	<xsl:variable name="login_password">password</xsl:variable>
	<xsl:variable name="login_button">login</xsl:variable>
	<xsl:variable name="login_error_general">There was an error authenticating the user!</xsl:variable>
	<xsl:variable name="login_error_no_authentication">Authentication was not possible.</xsl:variable>
	<xsl:variable name="login_error_not_authorized">The given user is not authorized to use this gadget.</xsl:variable>
	<xsl:variable name="login_marketing_1"></xsl:variable>
	<xsl:variable name="login_marketing_2"></xsl:variable>
	<xsl:variable name="login_text"></xsl:variable>

	<!-- Logout -->
	<xsl:variable name="logout_button">logout</xsl:variable>	
	
	<!-- Text -->
	<xsl:variable name="initsuccess">The Gadget has been succesfully initiated</xsl:variable>
	<xsl:variable name="initfailed">An error occured</xsl:variable>
	<xsl:variable name="moreinformations">This development kit is the property of G+H Systems GmbH. <br></br>All rights reserved. For more information about inchorus visit our website:</xsl:variable>
	
	<!-- ERROR -->
	<xsl:variable name="verification_required_description">The Authentificationmode is set to "verification". The passed Verification Code is either empty or false.</xsl:variable>
	<xsl:variable name="session_expired_description">The session has expired. By calling the index.html you will get a new session.</xsl:variable>
	<xsl:variable name="no_authentication_data_description">The Authentificationmode is set to "authentication". The entered login details (username, password) are either empty or false.</xsl:variable>
	<xsl:variable name="login_process_not_authorized_description">LOGIN_PROCESS_NOT_AUTHORIZED_ERROR</xsl:variable>
	
	<!-- Please remember to translate your description -->
	<xsl:variable name="gadget_description">A gadget to display and manage persons in daccord.</xsl:variable>
	
	<!--  exchange -->
	<xsl:variable name="exchange_header">Exchange</xsl:variable>
	<xsl:variable name="exchange_tab_administrator">All mailboxes &amp; distribution groups</xsl:variable>
	<xsl:variable name="exchange_tab_inmyresponsibility">In my responsibility</xsl:variable>
	<xsl:variable name="exchange_tab_members">Members</xsl:variable>
	<xsl:variable name="exchange_tab_user_rights">Rights of</xsl:variable>
	<xsl:variable name="exchange_tab_general_rights">General rights</xsl:variable>
	<xsl:variable name="exchange_list_effective_users">User</xsl:variable>
	<xsl:variable name="exchange_list_name">Name</xsl:variable>
	<xsl:variable name="exchange_list_primaryemailaddress">Primary E-Mail Address</xsl:variable>
	<xsl:variable name="exchange_list_emailaddresses">Alternative e-mail adresses</xsl:variable>
	<xsl:variable name="exchange_list_username">Username</xsl:variable>
	<xsl:variable name="exchange_list_givenname">Givenname</xsl:variable>
	<xsl:variable name="exchange_list_surname">Surname</xsl:variable>
	<xsl:variable name="exchange_list_lastused">Last login</xsl:variable>
	<xsl:variable name="exchange_list_system">System</xsl:variable>
	<xsl:variable name="exchange_list_systemname">Exchange system</xsl:variable>
	<xsl:variable name="exchange_list_mailboxname">Name</xsl:variable>
	<xsl:variable name="exchange_list_mailboxsize">Mailbox size</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupname">Name</xsl:variable>
	<xsl:variable name="exchange_list_description">Description</xsl:variable>
	<xsl:variable name="exchange_list_membercount">Number of members</xsl:variable>
	<xsl:variable name="exchange_list_type">Type</xsl:variable>
	<xsl:variable name="exchange_list_scope">Scope</xsl:variable>
	<xsl:variable name="exchange_list_category">Category</xsl:variable>
	<xsl:variable name="exchange_list_matching">Person assignment</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_global">global</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_domainlocal">domainlocal</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_universal">universal</xsl:variable>
	<xsl:variable name="exchange_list_grouptype_other">Other</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_user">User mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_discovery">Discovery mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_room">Room mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_shared">Shared mailbox</xsl:variable>
	<xsl:variable name="exchange_list_mailboxcategory_linked">Linked mailbox</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_dynamic">Dynamic</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_mailuniversal">Universal</xsl:variable>
	<xsl:variable name="exchange_list_distributiongroupcategory_mailuniversalsecurity">Security distribution group</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_withouthaspermission">Without permissions</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_withonlydisabledusers">Only disabled users</xsl:variable>
	<xsl:variable name="exchange_list_mailbox_others">Others</xsl:variable>
	
	<xsl:variable name="exchange_title_policies">Policies</xsl:variable>
	<xsl:variable name="exchange_title_policies_medium">less critical policies have been exceeded</xsl:variable>
	<xsl:variable name="exchange_title_policies_high">critical policies have been exceeded</xsl:variable>

	<xsl:variable name="exchange_label_alias">Alias</xsl:variable>
	<xsl:variable name="exchange_label_allemailaddresses">All e-mail addresses</xsl:variable>
	<xsl:variable name="exchange_label_alternativename">Alternativename</xsl:variable>
	<xsl:variable name="exchange_label_category">Category</xsl:variable>
	<xsl:variable name="exchange_label_cn">CN</xsl:variable>
	<xsl:variable name="exchange_label_issuewarningquota">IssueWarningQuota</xsl:variable>
	<xsl:variable name="exchange_label_prohibitsendquota">Lock sending at</xsl:variable>
	<xsl:variable name="exchange_label_prohibitsendreceivequota">Lock receiving at</xsl:variable>
	<xsl:variable name="exchange_label_totalitemsize">Used memory</xsl:variable>
	<xsl:variable name="exchange_label_description">Description</xsl:variable>
	<xsl:variable name="exchange_label_displayname">Display name</xsl:variable>
	<xsl:variable name="exchange_label_dn">DN</xsl:variable>
	<xsl:variable name="exchange_label_domain">Domain</xsl:variable>
	<xsl:variable name="exchange_label_forwardingaddress">Forwarding address</xsl:variable>
	<xsl:variable name="exchange_label_forwardingsmtpaddress">Forwarding smtp address</xsl:variable>
	<xsl:variable name="exchange_label_fullname">Name</xsl:variable>
	<xsl:variable name="exchange_label_givenname">Givenname</xsl:variable>
	<xsl:variable name="exchange_label_groupid">GroupID</xsl:variable>
	<xsl:variable name="exchange_label_groupmemberships">Groups</xsl:variable>
	<xsl:variable name="exchange_label_grouptype">Grouptype</xsl:variable>
	<xsl:variable name="exchange_label_hidden">Hidden from address list</xsl:variable>
	<xsl:variable name="exchange_label_includedrecipients">Membertype</xsl:variable>
	<xsl:variable name="exchange_label_lastlogon">Last login</xsl:variable>
	<xsl:variable name="exchange_label_lastlogon_never">Never</xsl:variable>
	<xsl:variable name="exchange_label_mailboxid">Mailbox ID</xsl:variable>
	<xsl:variable name="exchange_label_managers">Manager</xsl:variable>
	<xsl:variable name="exchange_label_maxreceivesize">Max receive size</xsl:variable>
	<xsl:variable name="exchange_label_maxsendsize">Max send size</xsl:variable>
	<xsl:variable name="exchange_label_members">Members</xsl:variable>
	<xsl:variable name="exchange_label_name">Name</xsl:variable>
	<xsl:variable name="exchange_label_member">Member</xsl:variable>
	<xsl:variable name="exchange_label_manager">Manager</xsl:variable>
	<xsl:variable name="exchange_label_objectsid">ObjectSid</xsl:variable>
	<xsl:variable name="exchange_label_owner">Owner</xsl:variable>
	<xsl:variable name="exchange_label_permissions">Permissions</xsl:variable>
	<xsl:variable name="exchange_label_assigned_permissions">Assigned aermissions</xsl:variable>
	<xsl:variable name="exchange_label_primaryemailaddress">Primary e-mail address</xsl:variable>
	<xsl:variable name="exchange_label_recipientfilter">Filter</xsl:variable>
	<xsl:variable name="exchange_label_recipientfiltertype">Filtertype</xsl:variable>
	<xsl:variable name="exchange_label_samaccountname">sAMAccountName</xsl:variable>
	<xsl:variable name="exchange_label_scope">Scope</xsl:variable>
	<xsl:variable name="exchange_label_status">Status</xsl:variable>
	<xsl:variable name="exchange_label_surname">Surname</xsl:variable>
	<xsl:variable name="exchange_label_systemname">Exchange system</xsl:variable>
	<xsl:variable name="exchange_label_useraccountcontrol">userAccountControl</xsl:variable>
	<xsl:variable name="exchange_label_whenchanged">Changed on</xsl:variable>
	<xsl:variable name="exchange_label_whencreated">Created on</xsl:variable>
	<xsl:variable name="exchange_label_distributiongroups">Distribution groups</xsl:variable>
	<xsl:variable name="exchange_label_database">Database</xsl:variable>
	<xsl:variable name="exchange_label_usedatabasequotadefaults">Database Default</xsl:variable>
	
	<xsl:variable name="exchange_assigned_permissions_one"> has access to one other Mailbox.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_none"> has Access to no other Mailboxes.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_content_1"> has access to </xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_content_2"> other Mailboxes.</xsl:variable>
	<xsl:variable name="exchange_assigned_permissions_clickhere">Click here to get an overview.</xsl:variable>
	
	<xsl:variable name="exchange_content_unlimited">Unlimited</xsl:variable>
	<xsl:variable name="exchange_content_false">No</xsl:variable>
	<xsl:variable name="exchange_content_true">Yes</xsl:variable>
	<xsl:variable name="exchange_content_notSet">Not set</xsl:variable>
	
	<xsl:variable name="exchange_blockheadline_others">Other attributes</xsl:variable>
	<xsl:variable name="exchange_blockheadline_emails">E-Mail addresses</xsl:variable>
	<xsl:variable name="exchange_blockheadline_filter">Filter for membership</xsl:variable>
	
	
	<xsl:variable name="exchange_status_active">Active</xsl:variable>
	<xsl:variable name="exchange_status_inactive">Disabled</xsl:variable>
	
	<xsl:variable name="exchange_assigment_matched">One Person</xsl:variable>
	<xsl:variable name="exchange_assigment_unmatched">Not assigned</xsl:variable>
	<xsl:variable name="exchange_assigment_inactivematched">Inactive person</xsl:variable>
	<xsl:variable name="exchange_assigment_multiple">Multiple persons</xsl:variable>	
	
	<xsl:variable name="exchange_statusdetails_script">The login script is executed</xsl:variable>
	<xsl:variable name="exchange_statusdetails_accountdisabled">The user account is disabled</xsl:variable>
	<xsl:variable name="exchange_statusdetails_homedir_required">Home folder is required</xsl:variable>
	<xsl:variable name="exchange_statusdetails_lockout">The account is locked</xsl:variable>
	<xsl:variable name="exchange_statusdetails_dontexpirepassword">The password is still valid</xsl:variable>
	<xsl:variable name="exchange_statusdetails_mnslogonaccount">This is a MNS login account</xsl:variable>
	<xsl:variable name="exchange_statusdetails_smartcardrequired">To register, a smartcard is required</xsl:variable>
	<xsl:variable name="exchange_statusdetails_trustedfordelegation">Trustworthy for delegation</xsl:variable>
	<xsl:variable name="exchange_statusdetails_notdelegated">Not delegated</xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwdnotreqd">No password is required</xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwdcanchange">The password can not be changed by the user</xsl:variable>
	<xsl:variable name="exchange_statusdetails_encryptedtextpwdallowed">The password is stored with reversible encryption </xsl:variable>
	<xsl:variable name="exchange_statusdetails_tempduplicateaccount">This is an account for distribution groups whose primary account is in another domain</xsl:variable>
	<xsl:variable name="exchange_statusdetails_interdomaintrustaccount">This is a permit to trust an account for a system domain that trusts other domains</xsl:variable>
	<xsl:variable name="exchange_statusdetails_workstationtrustaccount">This is a computer account for a computer that is running Microsoft Windows NT 4.0 Workstation, Microsoft Windows NT 4.0 Server, Microsoft Windows 2000 Professional, or Windows 2000 Server and is a member of this domain</xsl:variable>
	<xsl:variable name="exchange_statusdetails_servertrustaccount">Computer account for a domain controller that is a member of this domain</xsl:variable>
	<xsl:variable name="exchange_statusdetails_usedeskeyonly">Use only Data Encryption Standard (DES) encryption types for keys</xsl:variable>
	<xsl:variable name="exchange_statusdetails_dontreqpreauth">The account doesn't require Kerberos pre-authentication </xsl:variable>
	<xsl:variable name="exchange_statusdetails_passwordexpired">The password of the user has expired</xsl:variable>
	<xsl:variable name="exchange_statusdetails_trustedtoauthfordelegation">The account is enabled for delegation</xsl:variable>
	<xsl:variable name="exchange_statusdetails_partialsecretsaccount">The account is a read-only domain controller (RODC)</xsl:variable>
	
	<xsl:variable name="exchange_group_details_membership_noresult">No members have been found.</xsl:variable>
	<xsl:variable name="exchange_group_details_managers_noresult">No managers have been found.</xsl:variable>
	<xsl:variable name="exchange_group_details_permissions_noresult">No permissions have been found.</xsl:variable>
	<xsl:variable name="exchange_group_details_distributiongroups_noresult">No distribution groups have been found.</xsl:variable>

	<xsl:variable name="exchange_select_all">All</xsl:variable>
	
	<xsl:variable name="exchange_admin_quickfilter_user_1">Users in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_user_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_1">Mailboxes in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_distributiongroups_1">Distribution groups in</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_distributiongroups_2">Exchange</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_domains_1">Various</xsl:variable>
	<xsl:variable name="exchange_admin_quickfilter_mailboxes_domains_2">Exchange's</xsl:variable>
	
	<xsl:variable name="exchange_tooltip_text_exchange">To get the search for a specific , select the corresponding .</xsl:variable>
	<xsl:variable name="exchange_tooltip_label_exchange">Domain</xsl:variable>

	<xsl:variable name="exchange_label_policies">Policies</xsl:variable>
	<xsl:variable name="exchange_label_policies_notconfigured">No policies are available because no policy packs are installed.</xsl:variable>
	<xsl:variable name="exchange_label_policies_risklow">less critical policies are exceeded</xsl:variable>
	<xsl:variable name="exchange_label_policies_riskhigh">higher critical policies have been exceeded</xsl:variable>
	<xsl:variable name="exchange_label_policies_showhistory">Show history for:</xsl:variable>
	<xsl:variable name="exchange_label_history">History:</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last7days">last 7 days</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last14days">last 14 days</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last30days">last 30 days</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last90days">last 90 days</xsl:variable>
	<xsl:variable name="exchange_select_policies_showhistory_last180days">last 180 days</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_1">Criticality: low (of</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_2">to</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_low_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_1">Criticality: middle (of</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_2">to</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_medium_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_1">Criticality: high (of</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_2">to</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_high_3">)</xsl:variable>
	<xsl:variable name="exchange_select_policies_legend_numberof">Number of </xsl:variable>
	<xsl:variable name="exchange_message_policies_notscheduled">Note! The policy is currently not analyzed on a time-controlled basis and therefore no historical values ​​are determined.</xsl:variable>	
	<xsl:variable name="exchange_message_policies_error_text_1">There are</xsl:variable>
	<xsl:variable name="exchange_message_policies_error_text_2">policies with errors.</xsl:variable>
	<xsl:variable name="exchange_message_policies_disabled_text_1">There are</xsl:variable>
	<xsl:variable name="exchange_message_policies_disabled_text_2">deactivated policies.</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_critical">show critical policies</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_mediumcritical">show less critical policies</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_all_1">show all</xsl:variable>
	<xsl:variable name="exchange_message_policies_show_all_2">policies</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_policies">There are currently no policies available</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_critical">There are currently no critical policies available</xsl:variable>
	<xsl:variable name="exchange_message_policies_no_mediumcritical">There are currently no less critical policies available.</xsl:variable>
	
	<xsl:variable name="exchange_message_contenttofollow">Content to follow...</xsl:variable>
	<xsl:variable name="exchange_label_systemid">SystemId</xsl:variable>
	<xsl:variable name="exchange_label_uniqueid">UniqueId</xsl:variable>
	
	<xsl:variable name="exchange_select_lastused_all">All</xsl:variable>
	<xsl:variable name="exchange_select_lastused_7days">older than 1 week</xsl:variable>
	<xsl:variable name="exchange_select_lastused_30days">older than 1 month</xsl:variable>
	<xsl:variable name="exchange_select_lastused_180days">older than 180 days</xsl:variable>
	<xsl:variable name="exchange_select_lastused_365days">older than 1 year</xsl:variable>
	
	<xsl:variable name="exchange_select_grouptype_all">All</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_global">global</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_domainlocal">domain local</xsl:variable>
	<xsl:variable name="exchange_select_grouptype_universal">universal</xsl:variable>
	
	<xsl:variable name="exchange_select_groupcategory_all">All</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_user">User mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_discovery">Discovery mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_room">Room mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_shared">Shared mailbox</xsl:variable>
	<xsl:variable name="exchange_select_mailboxcategory_linked">Linked mailbox</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_all">All</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_distributiongroups">Distribution groups</xsl:variable>
	<xsl:variable name="exchange_select_datatypes_mailboxes">Mailboxes</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_headline">Exchange</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_distributiongroups">Distribution groups</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_mailboxes">Mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_distributiongroups_smallnumbers">Distribution groups (Exchange)</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_mailboxes_smallnumbers">Mailboxes (Exchange)</xsl:variable>
	<xsl:variable name="exchange_dashboard_subtitle_exchange">Exchange</xsl:variable>
	<xsl:variable name="exchange_dashboard_message_policies_part1">of</xsl:variable>
	<xsl:variable name="exchange_dashboard_message_policies_part2">policies are exceeded </xsl:variable>
	<xsl:variable name="exchange_dashboard_title_alldistributiongroups_part1">A total of</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_alldistributiongroups_part2">distribution group(s) was/were recorded.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupdeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupdeletecount_part2">distribution group(s) has/have been removed.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupaddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_distributiongroupaddcount_part2">distribution group(s) has/have been added.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_allmailboxes_part1">A total of</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_allmailboxes_part2">mailboxes was/were recorded.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxdeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxdeletecount_part2">mailbox(es) has/have been removed.</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxaddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="exchange_dashboard_title_mailboxaddcount_part2">mailbox(es) has/have been added.</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_status">Status</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_status_title">Overview of the status of distribution groups.</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_matched">Assignment</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_matched_title">Are user accounts assigned to natural persons?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_login">Login</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_login_title">How is the "last login" spread over time?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_members">Members</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_members_title">How many members do the distribution groups have?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_manager">Managers</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_manager_title">How many manager do the distribution groups have?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category">Category</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category_mailbox_title">Overview of the category of mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_category_distributiongroup_title">Overview of the category of distribution groups</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_permissions">Permissions</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_permissions_title">How many permissions are assigned to a mailbox?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_databases">Databases</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_databases_title">How many mailboxes does each database have?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit">Size limit</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_title">How many permissions are assigned to a mailbox?</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_sizelimitofmailbox">Mailbox size limit:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_send">send</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_sendandreceive">send/receive</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_sizelimit_toolbox_mailboxes">Mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5users">Authorized user</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5users_title">Top 5 users with the most access to different mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mostusers">Authorized mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mostusers_title">Top 5 mailboxes on which most users are authorized</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mailboxsize">Mailbox size</xsl:variable>
	<xsl:variable name="exchange_dashboard_tab_top5mailboxsize_title">Top 5 mailboxes with the largest mailbox sizes</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_numberofdistributiongroup">Number of distribution groups</xsl:variable>
	<xsl:variable name="exchange_dashboard_label_numberofmailbox">Number of mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_label_lastused">Period of the last login: </xsl:variable>
	<xsl:variable name="exchange_dashboard_days0_7">0-7d</xsl:variable>
	<xsl:variable name="exchange_dashboard_days7_30">7-30d</xsl:variable>
	<xsl:variable name="exchange_dashboard_days30_180">30-180d</xsl:variable>
	<xsl:variable name="exchange_dashboard_days180_365">180-1y</xsl:variable>
	<xsl:variable name="exchange_dashboard_days365andmore">&gt;1y</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_permissions">Number of permissions: </xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithoutmembers">None</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions1_10">1-10</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions11_50">11-50</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions51_200">51-200</xsl:variable>
	<xsl:variable name="exchange_dashboard_mailboxeswithpermissions200more">&gt;200</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_membership">Number of memberships: </xsl:variable>
	<xsl:variable name="exchange_dashboard_withoutmemberof">None</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof1_10">1-10</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof11_50">11-50</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof51_200">51-200</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmemberof200more">&gt;200</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_label_manager">Number of managers: </xsl:variable>
	<xsl:variable name="exchange_dashboard_withoutmanager">None</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager1">1</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager2">2</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager3">3</xsl:variable>
	<xsl:variable name="exchange_dashboard_withmanager3more">&gt;3</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_sizelimit_1GB">&lt;1 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_2GB">1-2 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_5GB">2-5 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_10GB">5-10 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_more10GB">&gt;10 GB</xsl:variable>
	<xsl:variable name="exchange_dashboard_sizelimit_unlimited">UNLIMITED</xsl:variable>
	
		<!-- TAB: ExchangeConnector -->
	<xsl:variable name="system_exchange_header">Exchange</xsl:variable>
	<xsl:variable name="system_exchange_header_added">Added Exchange Connectors</xsl:variable>
	<xsl:variable name="system_exchange_header_local">Available Exchange Connectors</xsl:variable>
	<xsl:variable name="system_exchange_lightbox_header_add">Add new ExchangeConnector</xsl:variable>
	<xsl:variable name="system_exchange_dashedbox_text">No Exchange Connector was added to the daccord System.</xsl:variable>
	<xsl:variable name="system_exchange_message_error_create">The ExchangeConnector could not be added.</xsl:variable>
	<xsl:variable name="system_exchange_message_error_create_workpath">The path does not exist or can't be used</xsl:variable>
	<xsl:variable name="system_exchange_message_success">CONNECTION SUCCESSFULL</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype">Type:</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype_ssl">Encrypted</xsl:variable>
	<xsl:variable name="system_exchange_message_connectiontype_plain">Decrypted</xsl:variable>
	<xsl:variable name="system_exchange_message_connectionhostname">DC:</xsl:variable>
	<xsl:variable name="system_exchange_message_connectionport">Port:</xsl:variable>
	<xsl:variable name="system_exchange_system_header_added">Added Domains</xsl:variable>
	<xsl:variable name="system_exchange_system_header_local">Available Domains</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_host_header">Add new Domain</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_domainname">Domainname</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_host">Domaincontroller</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_userdn">Userdn</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_password">Password</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_header">New Domain added</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_userdn">UserDN</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_groupdn">GroupDN</xsl:variable>
	<xsl:variable name="system_exchange_system_lightbox_add_label_basedn">Source container</xsl:variable>
	<xsl:variable name="system_exchange_tooltip_basedn">Ursprungscontainer in der LDAP-Schreibweise. Achtung! Der Configuration Container muss direkt unter dem angegeben Container liegen.(z.B. dc=dom01,dc=company, dc=net)</xsl:variable>
	
	
	<xsl:variable name="system_doc_exchange"><![CDATA[/daccord-msedition-doc/_installation_konfiguration_und_update.html#_active_directory]]></xsl:variable>
	<xsl:variable name="system_button_next">Next</xsl:variable>
	<xsl:variable name="system_exchangeconnector">ExchangeConnector</xsl:variable>
	<xsl:variable name="system_version">Version</xsl:variable>
	<xsl:variable name="system_collectorengine_statusmessage_init">Stopped</xsl:variable>
	<xsl:variable name="system_platform">Platform</xsl:variable>
	<xsl:variable name="system_collectorengine_statusmessage_ready">Running</xsl:variable>
	<xsl:variable name="system_button_restart">Restart</xsl:variable>
	<xsl:variable name="system_button_add">Add</xsl:variable>
	
	<xsl:variable name="system_message_error_configure_previous_step1">ATTENTION!</xsl:variable>
	<xsl:variable name="system_message_error_configure_previous_step2">Bitte konfigurieren oder Sie zunächst die vorherigen Bereiche.</xsl:variable>
	
	<xsl:variable name="system_text_dataisloading">Data is loading...</xsl:variable>
	<xsl:variable name="system_button_collectall">Update data</xsl:variable>
	
	<xsl:variable name="system_policy_notinstalled">NOT INSTALLED</xsl:variable>
	<xsl:variable name="system_installed">INSTALLED</xsl:variable>
	<xsl:variable name="system_collector_tooltip_message_nomenubecauserunning">Update running. More actions available after completion.</xsl:variable>

	<xsl:variable name="system_button_delete">Delete</xsl:variable>	
	<xsl:variable name="system_button_deletedata">Delete data only</xsl:variable>
	<xsl:variable name="system_button_deletecollector">Delete completely</xsl:variable>
	
	<xsl:variable name="system_policiesnewtotal">Policies new/total</xsl:variable>
	
	<xsl:variable name="system_category">category</xsl:variable>
	<xsl:variable name="system_button_showdetails">Show Details</xsl:variable>
	
	<xsl:variable name="system_error_collector">Click on "Show Details" to find out the exact cause of the error.</xsl:variable>
	
	<xsl:variable name="system_exchange_runtime">Last runtime</xsl:variable>
	<xsl:variable name="system_seconds">Sec.</xsl:variable>
	<xsl:variable name="system_minutes">Min.</xsl:variable>
	<xsl:variable name="system_hours">Hr.</xsl:variable>
	<xsl:variable name="system_days">Days</xsl:variable>
	<xsl:variable name="system_box_lastcollect_start">Last start of update:</xsl:variable>
	<xsl:variable name="system_box_lastcollect">Last updated on:</xsl:variable>
	<xsl:variable name="system_box_nextcollect">Next planned update:</xsl:variable>
	<xsl:variable name="system_box_timeschedule">Time schedule:</xsl:variable>

	<xsl:variable name="exchange_add_text">Exchange</xsl:variable>
	<xsl:variable name="exchange_config_headline_gadgetconfiguration">View configure ()</xsl:variable>
	<xsl:variable name="exchange_config_headline_removegadget">Remove View</xsl:variable>
	<xsl:variable name="exchange_config_modus_big_all">Full scope</xsl:variable>
	<xsl:variable name="exchange_config_modus_big_all_description">In addition to the number of accounts and mailboxes in the , further information is shown in the form of diagrams.</xsl:variable>
	<xsl:variable name="exchange_config_modus_small_numbers">Metrics</xsl:variable>
	<xsl:variable name="exchange_config_modus_small_numbers_description">Depending on the selection, the number of accounts or mailboxes in the  is displayed in the form of a counter.</xsl:variable>
	<xsl:variable name="exchange_config_modus_medium_numbers_charts">Metrics &amp; Charts</xsl:variable>
	<xsl:variable name="exchange_config_modus_medium_numbers_description">Depending on the selection, information on accounts or mailboxes in the  is displayed in the form of counters and diagrams.</xsl:variable>
	<xsl:variable name="exchange_config_modus_hidden">Hidden</xsl:variable>
	<xsl:variable name="exchange_config_modus_hidden_text">Is hidden and not shown.</xsl:variable>
	<xsl:variable name="exchange_config_button_remove">Remove</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_text">Are you sure you want to remove the view?</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_message_note">ATTENTION!!</xsl:variable>
	<xsl:variable name="exchange_config_button_remove_message_note_text">If you remove the view, it will no longer appear. You can integrate the view again at any time.</xsl:variable>
	<xsl:variable name="exchange_config_button_customize">Customize</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_distributiongroups">Exchange - Distribution groups</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_mailboxes">Exchange - Mailboxes</xsl:variable>
	<xsl:variable name="exchange_config_modus_text_fullscore">Exchange - Mailboxes &amp; Distribution groups</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_choose">Please choose...</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_header_part1"></xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_header_part2">charts are selected</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_onechart_part1"></xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_onechart_part2">chart is selected</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_nochartselected">No chart is selected</xsl:variable>
	<xsl:variable name="exchange_config_label_data">Data:</xsl:variable>
	<xsl:variable name="exchange_config_label_charts">Charts:</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_category">Categories</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_members">Members</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_manager">Manager</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_databases">Databases</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_sizelimit">Size limit</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5users">Authorized user</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5mostusers">Authorized mailboxes</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_distributiongroup_top5mailboxsize">Mailbox size</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_category">Categories</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_login">Login</xsl:variable>
	<xsl:variable name="exchange_config_multiselect_charttypes_mailbox_permissions">Permissions</xsl:variable>
	<xsl:variable name="exchange_button_listview">List view</xsl:variable>
	<xsl:variable name="exchange_button_historyview">History View</xsl:variable>
	<xsl:variable name="exchange_button_general">General</xsl:variable>
	<xsl:variable name="exchange_button_history">History</xsl:variable>
	
	<!--  Effective -->
	<xsl:variable name="exchange_effectiveusers_message_part_1">Note:</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_2">You are in the effective perspective. To leave this view, empty the "Users" field or click</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_3">here</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_4">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_part_5">You are in the effective perspective.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_button_leave">Leave effective perspective</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_1">There was no user</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_2">found.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_tooltip_noresults_3">Please change your search query and try again.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_headline_effectivepersmissions">Effective Permissions</xsl:variable>
	
	<xsl:variable name="exchange_slider_effective_message_part1">Mailboxes and distribution groups to which</xsl:variable>
	<xsl:variable name="exchange_slider_effective_message_part2">currently has access rights.</xsl:variable>
	
	<xsl:variable name="exchange_effectiveusers_message_node_group_1">Die angezeigten effektiven Rechte beziehen sich auf die ausgewählte Gruppe</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_group_2">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_user_1">Die angezeigten effektiven Rechte beziehen sich auf den ausgewählten User</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_node_user_2">.</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_group_1">Die angezeigte Analyse der Rechte bezieht sich auf die ausgewählte Gruppe</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_group_2">.</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_user_1">Die angezeigte Analyse der Rechte bezieht sich auf den ausgewählten User</xsl:variable>
	<xsl:variable name="exchange_usersgetover_message_node_user_2">.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_message_no_result">No mailboxes or distribution groups were found for the selected user.</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_level_mailboxes">Mailboxes</xsl:variable>
	<xsl:variable name="exchange_effectiveusers_level_distributiongroups">Distribution groups</xsl:variable>
	<xsl:variable name="exchange_effectiv_tab_mailboxpermissions">Mailbox permissions</xsl:variable>
	<xsl:variable name="exchange_effectiv_header_mailboxpermissions">Access permissions to mailboxes</xsl:variable>
	
	<xsl:variable name="exchange_header_exchangesummary">System details</xsl:variable>
	
	<xsl:variable name="exchange_slider-matrix-header">Rights on this mailbox</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-fullaccess">Full Access</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-read">Read Permissions</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change">Change</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change-owner">Change Owner</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-change-permission">Change Permissions</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send">Send As</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send-as">Send As</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-send-onbehalf">Send on behalf</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-external">External Account: Shared Mailbox or deactivated User</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-more">Additional Rights</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-delete">Delete mailbox</xsl:variable>
	<xsl:variable name="exchange_slider-matrix-delete-item">Delete mailbox</xsl:variable>
	
	<xsl:variable name="exchange_dashboard_tooltip_top5mailboxes_mailbox">Mailbox:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mailboxes_sizeofmailboxe">Size of mailbox</xsl:variable>	
	<xsl:variable name="exchange_dashboard_tooltip_top5users_user">User:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5users_mailboxes">Mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5users_numberofmailboxes">Number of mailboxes</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_mailbox">Mailbox:</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_numberofusers">Number of users</xsl:variable>
	<xsl:variable name="exchange_dashboard_tooltip_top5mostusers_user">User</xsl:variable>
	
	<xsl:variable name="exchange_button_deletedata">Delete data only</xsl:variable>
	<xsl:variable name="exchange_button_deletesystem">Delete completely</xsl:variable>
	<xsl:variable name="exchange_button_editsystem">Edit</xsl:variable>
	<xsl:variable name="exchange_button_export">Export</xsl:variable>
	<xsl:variable name="exchange_button_collectall">Update data</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_notready_attention">ATTENTION!</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_notready">Not all functions can be used because the required connector is not ready.</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_ceunreachable_attention">ATTENTION!</xsl:variable>
	<xsl:variable name="exchange_message_error_connector_ceunreachable">Not all functions can be used because the required collector engine is not reachable.</xsl:variable>
	
	<xsl:variable name="exchange_slider_details_name">Name</xsl:variable>
	<xsl:variable name="exchange_slider_details_description">Description</xsl:variable>
	<xsl:variable name="exchange_slider_details_numberofobjects">Number of objects</xsl:variable>
	<xsl:variable name="exchange_slider_details_status">Status</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_neverread">NEVER READ</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_isrunning">IS RUNNING</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_success">SUCCESSFUL</xsl:variable>
	<xsl:variable name="exchange_slider_details_status_error">FAULTY</xsl:variable>
	<xsl:variable name="exchange_slider_details_laststart">Last start of update</xsl:variable>
	<xsl:variable name="exchange_slider_details_lastruntime">Last term </xsl:variable>
	<xsl:variable name="exchange_slider_details_nextstart">Next scheduled update</xsl:variable>
	<xsl:variable name="exchange_slider_details_updatedata">Update data</xsl:variable>
	
	<xsl:variable name="exchange_seconds">sec</xsl:variable>
	<xsl:variable name="exchange_minutes">min</xsl:variable>
	<xsl:variable name="exchange_hours">hours</xsl:variable>
	<xsl:variable name="exchange_days">days</xsl:variable>
	
	<xsl:variable name="exchange_slider_message_updated_success">UPDATE SUCCESSFUL</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_success_short">SUCCESSFUL</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_error">UPDATE FAILED</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_error_short">FAILED</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_warning">NEVER READ</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notyetread">UPDATE FOLLOWS...</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_running">WILL BE READ</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_notscheduled">NOT PLANNED</xsl:variable>
	<xsl:variable name="exchange_slider_message_updated_disabled">DISABLED</xsl:variable>
	
	<xsl:variable name="exchange_slider_collector_text_notconfigured">The collector has not yet been configured.</xsl:variable>
	<xsl:variable name="exchange_slider_collector_text_disabled">The collector is disabled.</xsl:variable>
	<xsl:variable name="exchange_slider_collector_text_notscheduled">The collector has never been imported.</xsl:variable>
	<xsl:variable name="exchange_slider_title_scheduler">will start according to schedule</xsl:variable>
	<xsl:variable name="exchange_slider_title_scheduler_nextstarttime">Next execution:</xsl:variable>
	<xsl:variable name="exchange_slider_title_notscheduler">The schedule is unplanned.</xsl:variable>
	
	<xsl:variable name="exchange_slider_box_lastcollect_start">Last start of update:</xsl:variable>
	<xsl:variable name="exchange_slider_box_lastcollect">Last updated on:</xsl:variable>
	<xsl:variable name="exchange_slider_box_nextcollect">Next scheduled update:</xsl:variable>
	<xsl:variable name="exchange_slider_box_timeschedule">Time schedule:</xsl:variable>
</xsl:stylesheet>