<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- General -->

	<xsl:variable name="page_language">[EN]</xsl:variable>
	<xsl:variable name="page_browser">[default]</xsl:variable>
	
	<xsl:variable name="exchange_setup_doc_exchange"><![CDATA[/daccord-msedition-doc/_installation_konfiguration_und_update.html#_exchange]]></xsl:variable>
	<xsl:variable name="exchange_setup_doc_exchangeconnector"><![CDATA[https://www.daccord.de/docs/de/products/dacme/ip-exchange-211/dacme-ip-exchange-doc/_daccord_exchange_connector_windows.html]]></xsl:variable>
	
	<xsl:variable name="inchorus_button_updatenow">Update now</xsl:variable>
	
	<!-- Buttons -->
	<xsl:variable name="exchange_setup_button_check">Verify</xsl:variable>
	<xsl:variable name="exchange_setup_button_edit">Edit</xsl:variable>
	<xsl:variable name="exchange_setup_button_configure">Configure</xsl:variable>
	<xsl:variable name="exchange_setup_button_refresh">Refresh</xsl:variable>
	<xsl:variable name="exchange_setup_button_refreshview">Refresh view</xsl:variable>
	<xsl:variable name="exchange_setup_button_add">Add</xsl:variable>
	<xsl:variable name="exchange_setup_button_restart">Restart</xsl:variable>
	<xsl:variable name="exchange_setup_button_save">Save</xsl:variable>
	<xsl:variable name="exchange_setup_button_abort">Abort</xsl:variable>
	<xsl:variable name="exchange_setup_button_close">Close</xsl:variable>
	<xsl:variable name="exchange_setup_button_help">Help</xsl:variable>
	<xsl:variable name="exchange_setup_button_next">NEXT</xsl:variable>
	<xsl:variable name="exchange_setup_button_back">BACK</xsl:variable>
	<xsl:variable name="exchange_setup_button_collect">Collect</xsl:variable>
	<xsl:variable name="exchange_setup_button_collectall">Update Data</xsl:variable>
	<xsl:variable name="exchange_setup_button_delete">Delete</xsl:variable>	
	<xsl:variable name="exchange_setup_button_deletedata">Delete data only</xsl:variable>
	<xsl:variable name="exchange_setup_button_deletecollector">Delete completely</xsl:variable>
	<xsl:variable name="exchange_setup_button_showdetails">Show Details</xsl:variable>
	<xsl:variable name="exchange_setup_button_refreshdata">Update data</xsl:variable>
	
	<!-- TAB: Exchange Connector -->
	<xsl:variable name="exchange_setup_header">Exchange</xsl:variable>
	<xsl:variable name="exchange_setup_header_added">Added Exchange Connectors</xsl:variable>
	<xsl:variable name="exchange_setup_header_local">Found Exchange Connectors</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_add_header">Add new Exchange Connector</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_add_label_loglevel">Loglevel</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_add_label_workpath">Work path</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_host_header">Add new Exchange Connector</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_host_label_host">Host</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_host_label_port">Port</xsl:variable>
	<xsl:variable name="exchange_setup_text">The daccord Microsoft Edition enables you to comprehensively evaluate the permissions assigned to your Microsoft Exchange system. For this it is necessary to import this information into your daccord System and to keep it up to date.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_text">The import process is carried out by the system component "Connector". A minimum of one Exchange Connector is required to import Exchange data.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_text_2">The Exchange Connector needs to be installed on a Microsoft Windows computer. Information on installing the Windows Agent (including the Exchange Connector) can be found in the documentation at "</xsl:variable>
	<xsl:variable name="exchange_setup_connector_text_link">Windows Agent</xsl:variable>
	<xsl:variable name="exchange_setup_connector_text_3">".</xsl:variable>
	<xsl:variable name="exchange_setup_text_addedbox">An Exchange Connector has not yet been added to the daccord System.</xsl:variable>
	<xsl:variable name="exchange_setup_text_addremote">+ Add remote Exchange Connector</xsl:variable>
	<xsl:variable name="exchange_setup_text_local">local</xsl:variable>
	<xsl:variable name="exchange_setup_text_thisisaexchangeconector">This is an Exchange Connector</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_create">The Exchange Connector could not be integrated.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_create_workpath">The folder does not exist or can not be accessed.</xsl:variable>	
	<xsl:variable name="exchange_setup_message_success">CONNECTION SUCCESSFULLY ESTABLISHED</xsl:variable>
	<xsl:variable name="exchange_setup_error_connector_unreachable">The Exchange Connector is not accessible on the host.</xsl:variable>
	<xsl:variable name="exchange_setup_error_connector_nodb">The Exchange Connector does not exist in the database.</xsl:variable>
	<xsl:variable name="exchange_setup_system_header_added">Added Exchange system</xsl:variable>
	<xsl:variable name="exchange_setup_system_header_local">Found Exchange system</xsl:variable>
	<xsl:variable name="exchange_setup_text_addexchange">+ Add Exchange system</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_host_header">Add new Exchange system</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_radio_select_options">Variant</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_domain">AD Domain</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_servername">Servername</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_systemname">Systemname</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_userpw">Password</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_entraid_tenant">Entra ID Tenant</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_organization">Organization</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_appid">Application-ID</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_certThumbprint">Certificate Thumbprint</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_tenantid">Tenant-ID</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_addharddisk_header">Add new Exchange</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_addharddisk_tab_harddisk">Hard Disk</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_addharddisk_choose">Please select the hard disk to import</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_harddisk">Hard Disk</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_select_harddisk_text">Please wait...retrieving the list.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_select_harddisk_search">The search is running</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_harddisk_exists">The hard disk has already been configured.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_folderdepth">Folder depth</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_folderdepth_select_all">All levels</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_folderdepth_select_level">level</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_folderdepth_select_levels">levels</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_importfiles">Importscope</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_importfiles_select_folderonly">Import folder only</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_importfiles_select_folderandfiles">Import folder and files</xsl:variable>
	<xsl:variable name="exchange_setup_system_tab_exchange_data">Data</xsl:variable>
	<xsl:variable name="exchange_setup_system_tab_exchange_connector">Connector</xsl:variable>
	<xsl:variable name="exchange_setup_tab_policies">Policies</xsl:variable>
	<xsl:variable name="exchange_setup_system_node_general">A periodic import is configured after saving the configuration. Please add the planned time schedule. By clicking on "Update Data" you can start the import process manually.</xsl:variable>	
	<xsl:variable name="exchange_setup_system_text">A connection to the Exchange system is required so that the Exchange connector can read the data. Click on "Add Exchange system" to store the necessary data of the Exchange.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_schedule">Schedule</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_excludepath">Excluded paths</xsl:variable>
	<xsl:variable name="exchange_setup_policies_text">Add the Exchange Policies.</xsl:variable>
	<xsl:variable name="exchange_setup_policies_header_added">Added Exchange Policies</xsl:variable>
	<xsl:variable name="exchange_setup_policies_header_local">Found Exchange Policies</xsl:variable>
	<xsl:variable name="exchange_setup_policies_text_addpolicies">+ Add Exchange Policies</xsl:variable>
	<xsl:variable name="exchange_setup_policies_text_addedbox">Exchange Policies have not yet been added to the daccord System.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_tooltip_loglevel">Exchange Connector - Protocol level in the protocol files</xsl:variable>
	<xsl:variable name="exchange_setup_connector_tooltip_workpath">The Exchange Connector saves information in the specified folder on the local hard disk. A folder with sufficient capacity is required.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_tooltip_host">Host name or IP address of the computer containing the daccord Windows Agent (e.g. localhost, 192.168.0.10).</xsl:variable>
	<xsl:variable name="exchange_setup_connector_tooltip_port">Port (z.B. 55080) via which the Windows agent can be reached.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_domain">Name of the Active Directory domain that Exchange is connected to (e.g. DOM01, dom01.company.net)</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_servername">Name of the Exchange server (e.g. SRV-FS01)</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_systemname">Name of the system (freely selectable)</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_userid">User name of a user account with read rights of all folder and files (e.g. Administrator).</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_tenantid">Tenant-ID of the tenant to be accessed in Entra ID.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_appid">Application-ID (clientid) of the application to be accessed in Entra ID.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_organization">Name of the primary .onmicrosoft.com domain of your organization (e.g. contoso.onmicrosoft.com)</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_certThumbprint">Thumbprint value of the certificate that's used for CBA</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_tenant">Name of the Entra ID tenant that Exchange is connected to (e.g. DOM01, dom01.company.net)</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_userpw">Password of the entered user account.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_harddisk">Hard disk of the Exchange to be scanned.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_folderdepth">Amount of levels to be scanned. A high amount of levels lead to longer scan times.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_importfiles">Should files be scanned? If yes, this will lead to higher scan times.</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_excludepath">Seperate folders by a semicolon to exclude them from the scan. (e.g. Users;ProgramData; Windows;Program Files;Program Files (x86);$Recycle.Bin).</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_notconfigured_text">The Exchange Connector has not been configured yet.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_nodb">NO DATABASE</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_unreachable">UNREACHABLE</xsl:variable>
	<xsl:variable name="exchange_setup_system_text_addedbox">A Exchange system has not yet been integrated to the daccord System.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_success">Connection successfully established.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_host">A connection to the Exchange system could not be established.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_exists">A Exchange system with the same name has already be configured.</xsl:variable>
	<xsl:variable name="exchange_setup_nootherexchangeconnector">No further Exchange connectors were found.</xsl:variable>
	<xsl:variable name="exchange_setup_policies_text_nootherpolicies">No further Policy Packages were found.</xsl:variable>
	<xsl:variable name="exchange_setup_numberofobjects">Amount of objects:</xsl:variable>
	<xsl:variable name="exchange_setup_numberofscheduled">Planned schedule:</xsl:variable>
	<xsl:variable name="exchange_setup_numberofrunning">In progress:</xsl:variable>
	<xsl:variable name="exchange_setup_numberoferror">With errors:</xsl:variable>
	<xsl:variable name="exchange_setup_message_updated_success">UPDATE SUCCESSFUL</xsl:variable>
	<xsl:variable name="exchange_setup_message_updated_error">UPDATE FAILED</xsl:variable>
	<xsl:variable name="exchange_setup_message_updated_warning">UNSCANNED</xsl:variable>
	<xsl:variable name="exchange_setup_message_updated_running">SCAN IN PROGRESS</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_collectall_header">Data update</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_collectall_text">Would you like to update the data?</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_collectall_message_success">The update was successfully initiated. Please note, that the data import may take a while.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_collectall_message_error">The data update was not initiated.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedata_message_success">The data was successfully deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedata_message_error">The data could not be deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_message_success">The data was successfully deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_message_error">The data was not deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_history_message_error">The history data could not be deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedata_header">Delete data</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedata_text">Would you like to deleted all scanned data?</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedata_message_1">Attention!</xsl:variable>	
	<xsl:variable name="exchange_setup_lightbox_deletedata_message_2">This action can not be reverted and will take, depending on the size of the data, a few minutes.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_header">Delete configuration and all its data</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_text">Would you really like to delete the configuration of the Exchange import and all its associated data?</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_message_1">Attention!</xsl:variable>	
	<xsl:variable name="exchange_setup_lightbox_deletesystemanddata_message_2">This action can not be reverted and will take, depending on the size of the data, a few minutes.</xsl:variable>	
	<xsl:variable name="exchange_setup_lightbox_deletedisk_header">Delete harddisk</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletedisk_text">>Would you really like to delete the configuration of the harddisk import and all if its associated data?</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_button_collectall">Update data now</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_button_deletedataonly">Delete data only</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_button_deletecomplete">Delete complete data</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_button_deleteharddisk">Delete harddisk</xsl:variable>	
	<xsl:variable name="exchange_setup_runtime">Last run time</xsl:variable>	
	<xsl:variable name="exchange_setup_system_lightbox_collectors_header">System collectors</xsl:variable>
	<xsl:variable name="exchange_setup_servertype">Servertype:</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_notconfigured_text">The Exchange Connector has not yet been configured.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_wrongversion">INCORRECT VERSION</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_wrongversion_text">The Exchange Connector is not compatible with this daccord version. An update of the Exchange connector on the remote server is necessary.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_unreachable">EXCHANGE CONNECTOR NOT ACCESSIBLE</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_unreachable_text">The Exchange Connector is not accessible.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_nodb">NO Exchange CONNECTOR IN SYSTEMDB</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_connector_nodb_text">The configured Exchange Connector has not been found in the system database.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_wrong_workpath">WRONG WORKPATH</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_wrong_workpath_text">The entered work path is incorrect.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_db_query">NEO4J ERROR</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_error_db_query_text">The system database could not be scanned.</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_warning_updaterequired">UPDATE REQUIRED</xsl:variable>
	<xsl:variable name="exchange_setup_statusmessage_warning_updaterequired_text">In order to be able to use the connector, it must be updated. To update the connector now, click the "Update Now" button.</xsl:variable>
	
	<!-- TAB: Collector Engine -->
	<xsl:variable name="exchange_setup_collectorengine_header">Collector Engine</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_header_added">Collector Engines in your system</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_header_local">Found Collector Engine</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_text">The Collector Engine is responsible for collecting data from the integrated systems. For more information please review the documentation at "</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_text_link">Collector Engine</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_text_2">".</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_text_thisisacollectorengine">This is a Collector Engine</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_lightbox_header_add">Add new Collector Engine</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_dashedbox_text">No Collector Engine has been added to the daccord System yet.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_message_error_create">The Collector Engine could not be added.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_message_error_create_workpath">The given workpath does not exist or can not be used.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_message_error_notlocal">No local Collector Engine was found. Please check the environment variable of the Collector Engine.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_message_node_part1">ATTENTION!</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_message_node_part2">Your daccord System requires a minimum of one Collector Engine. Please integrate a Collector Engine now.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_text_foundedcollectorengines">The following Collector Engines can be added to your daccord System. Please click on "Add" to integrate the Collector Engine.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_tooltip_loglevel">Protocol setting in your protocol files of the Collector Engine.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_tooltip_workpath">The Collector Engine saves information to the specified folder of your local hard disk. Please select a folder with sufficient capacity.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_noothercollectorengines">No other Collector Engines were found.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_notconfigured_text">The Collector Engine has not yet been configured.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_init">STOPPED</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_ready">RUNNING</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_wrongversion">WRONG VERSION</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_wrongversion_text">The Collector Engine is not compatible with this daccord version.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_unreachable">WRONG VERSION</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_unreachable_text">The Collector Engine is not accessible.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_db_query">NEO4J ERROR</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_db_query_text">The sytem database could not be queried.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_nodb">DATABASE NOT FOUND</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_ce_nodb_text">The configured Collector Engine could not be found in the system database.</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_wrong_workpath">WRONG WORKPATH</xsl:variable>
	<xsl:variable name="exchange_setup_collectorengine_statusmessage_error_wrong_workpath_text">The entered Workpath is incorrect.</xsl:variable>
	
	<xsl:variable name="exchange_setup_text_dataisloading">Data is loading...</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_configure_previous_step1">Attention!</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_configure_previous_step2">Please first configure the previous tabs.</xsl:variable>
	
	<xsl:variable name="exchange_setup_exchangeconnector">Exchange Connector</xsl:variable>
	<xsl:variable name="exchange_setup_collector_tooltip_message_nomenubecauserunning">Update in progress. Further actions available after update process.</xsl:variable>
	
	<xsl:variable name="exchange_setup_message_success_collectorengine_init">The Collector Engine was successfully configured.</xsl:variable>
	<xsl:variable name="exchange_setup_message_success_collectorengine_otherwise">The required Collector Engine has been successfully set up and is running.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_collectorengine_notlocal">No local Collector Engine was found.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_collectorengine_nodb">No Collector Engine was found in the database.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_collectorengine_init">The initialization of the Collector Engine could not be established.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_collectorengine_unknown">An error has occurred. Please contact customer support.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_collectorengine_dbquery">The data could not be saved. Please try again.</xsl:variable>
	<xsl:variable name="exchange_setup_message_success_exchangesystem_modify">The data for the Exchange export were saved successfully.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_exchangesystem_modify">The data for the Exchange export were not saved.</xsl:variable>
	
	<xsl:variable name="exchange_setup_platform">Platform</xsl:variable>
	<xsl:variable name="exchange_setup_version">Version</xsl:variable>
	<xsl:variable name="exchange_setup_category">Category</xsl:variable>
	<xsl:variable name="exchange_setup_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="exchange_setup_noconnection">NO CONNECTION</xsl:variable>
	<xsl:variable name="exchange_setup_notcompatible">NOT COMPATIBLE</xsl:variable>
	<xsl:variable name="exchange_setup_active">RUNNING</xsl:variable>
	<xsl:variable name="exchange_setup_installed">INSTALLED</xsl:variable>
	<xsl:variable name="exchange_setup_policy_notinstalled">NOT INSTALLED</xsl:variable>	
	
	<xsl:variable name="exchange_setup_policiesnewtotal">Number of Policies</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_import">Import policy package</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_update">Update policy package</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_button_update">Update policy package now</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_version">Version:</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_category">Category:</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_newpolicies">New Policies:</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_updatepolicies">Updates:</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_totalpolicies">Total number of Policies:</xsl:variable>
	<xsl:variable name="exchange_setup_policyengine_policypackage_importpolicypackagenow">Import policy package now</xsl:variable>

	<xsl:variable name="exchange_setup_message_error_validation">Please check your entered information and try again.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_validation_pleaseselectfile">Please select a file first.</xsl:variable>
	
	<xsl:variable name="exchange_setup_error_collector">Please click on "show details" for exact cause of the error.</xsl:variable>
	<xsl:variable name="exchange_setup_seconds">sec</xsl:variable>
	<xsl:variable name="exchange_setup_minutes">min</xsl:variable>
	<xsl:variable name="exchange_setup_hours">h</xsl:variable>
	<xsl:variable name="exchange_setup_days">d</xsl:variable>
	<xsl:variable name="exchange_setup_box_lastcollect_start">Last update start:</xsl:variable>
	<xsl:variable name="exchange_setup_box_lastcollect">Last update on:</xsl:variable>
	<xsl:variable name="exchange_setup_box_nextcollect">Next scheduled update:</xsl:variable>
	<xsl:variable name="exchange_setup_box_timeschedule">Time schedule</xsl:variable>
	
	<xsl:variable name="exchange_setup_message_error_wrong_connectorversion">The data can not be refreshed, as the version of the connector is incorrect. Please check the current version.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_wrong_collectorpath">The data could not be refreshed, as the collector path is incorrect.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_no_connector">The data could not be refreshed, as no collector is installed.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_connector_nolicense">The data could not be refreshed, as no valid license exists for the connector.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_general">The data could not be refreshed. Please try again.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_file_not_found">The import file could not be located in the file system.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_get_xml">An error has occured while reading the Active Directory data.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_querying_ad">An error has occured while scanning the Active Directory.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_invalid_credentials">Incorrect username or password. Please verify the entered credentials.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_unknown_host">The LDAP host is unknown.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_host_unreachable">The LDAP host is not available.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_ldap_connection">An error occured while establising a connection to Active Directory.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_mapping">Powershell: The hard disk mapping could not be established.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_rightsscanner">Powershell: Error executing the rights scanner.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_powershell">Powershell: Error executing the powershell script. Please review the log files for further information.</xsl:variable>
	<xsl:variable name="exchange_setup_message_error_copy_datafile">Powershell: Error copying the data files.</xsl:variable>
	
	<xsl:variable name="exchange_setup_lightbox_addsystem_button_check">Check connection</xsl:variable>
	<xsl:variable name="exchange_setup_system_error_connector_unreachable">The Exchange Connector is not available on the host.</xsl:variable>
	<xsl:variable name="exchange_setup_system_error_connector_nodb">The Exchange Connector is not available in the database.</xsl:variable>
	<xsl:variable name="exchange_setup_system_error_connector_notconfigured">The Exchange Connector is not configured.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_groupdn">GroupDN</xsl:variable>
	<xsl:variable name="exchange_setup_cron_notscheduled">Not scheduled</xsl:variable>
	
		
	<xsl:variable name="exchange_setup_tab_system">System</xsl:variable>
	<xsl:variable name="exchange_setup_tab_harddisk">HardDisk</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_userid">User</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_loglevel">Log level</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_loglevel">File protocol level of the collectors.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_historymaxnumberofdays">Save change history for</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_historymaxnumberofdays">Number of days to store modified data. (e.g. Adding a user right)</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_statisticmaxnumberofdays">Save statistics for</xsl:variable>
	<xsl:variable name="exchange_setup_tooltip_statisticmaxnumberofdays">Number of days in which statistical information on the imports is recorded (e.g. number of imported objects)</xsl:variable>
	<xsl:variable name="exchange_setup_label_scheduler">Time schedule</xsl:variable>
	
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_notsavehistory">do not save</xsl:variable>
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_last7days">last 7 days</xsl:variable>
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_last14days">last 14 days</xsl:variable>
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_last30days">last 30 days</xsl:variable>
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_last90days">last 90 days</xsl:variable>
	<xsl:variable name="exchange_setup_policies_lightbox_select_duration_last180days">last 180 days</xsl:variable>
	
	
	<xsl:variable name="exchange_setup_lightbox_select_harddisk_search">The search is running</xsl:variable>
	
	<xsl:variable name="exchange_setup_collectorsofthesystem">Collectors of System</xsl:variable>
	
	<xsl:variable name="exchange_setup_selectpath_header">Select path</xsl:variable>
	<xsl:variable name="exchange_setup_button_select">Select</xsl:variable>
	<xsl:variable name="exchange_setup_system_text_adddcollector">Add Collector</xsl:variable>
	
	<xsl:variable name="exchange_setup_connector_error_update">The connector update could not be carried out.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_error_update_otherwise">An error occurred, please try again.</xsl:variable>
	<xsl:variable name="exchange_setup_connector_success_update">The update was successful.</xsl:variable>
	
	<xsl:variable name="exchange_policypackage_error_wrongversion">WRONG VERSION</xsl:variable>
	<xsl:variable name="exchange_policypackage_error_wrongversion_text">This policy package is not compatible with this daccord version.</xsl:variable>
	<xsl:variable name="exchange_policypackage_warning_updaterequired">UPDATE REQUIRED</xsl:variable>
	<xsl:variable name="exchange_policypackage_error_update">The update of the policy package could not be carried out.</xsl:variable>
	<xsl:variable name="exchange_policypackage_error_update_otherwise">An error occurred, please try again.</xsl:variable>
	<xsl:variable name="exchange_policypackage_success_update">The update was successful.</xsl:variable>
	<xsl:variable name="exchange_message_warning_policypackage_updaterequired">In order to be able to continue using the policy package, it must be updated. To update the policy package now, click the "Update now" button.</xsl:variable>
	<xsl:variable name="exchange_setup_policypackages_error_update">The update of the policy package could not be carried out.</xsl:variable>
	<xsl:variable name="exchange_setup_policypackages_error_update_otherwise">An error occurred, please try again.</xsl:variable>
	<xsl:variable name="exchange_setup_policypackages_success_update">The update was successful.</xsl:variable>

	<xsl:variable name="exchange_setup_message_error_exchangehdcollector_delete">The hard disk could not be deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_label_configureddisks">Configured hard drives:</xsl:variable>
	<xsl:variable name="exchange_setup_label_additionaldisks">Available hard drives:</xsl:variable>
	<xsl:variable name="exchange_setup_message_notconfigureddisk">No hard disk is currently configured.</xsl:variable>
	
	<!-- NEU aus AD -->
	<xsl:variable name="exchange_setup_system_lightbox_host">Domaincontroller</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_userdn">Username</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_password">Password</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_header">Add new domain</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_userdn">UserDN</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_credentials">The login credentials are incorrect.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_hostname">Hostname of domaincontroller could not be read.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_unknownhost">The given hostname is unknown.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_message_error_ldaphost">Unable to connect to the given host via LDAP.</xsl:variable>
	<xsl:variable name="exchange_setup_system_node_userdn">Please specify the UserBaseDN so that the AD Connector can access the users of the domain.</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_label_basedn">BaseDN</xsl:variable>
	<xsl:variable name="exchange_setup_system_lightbox_add_response_error_exchangesystemcreate">The AD system could not be created.</xsl:variable>
		
	<xsl:variable name="exchange_setup_lightbox_addsystem_header">Add new Exchange</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_label_host">Host</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_tooltip_host">Hostname of a Exchange Domain Controllers (e.g. DC01)</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_userdn">UserDN</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_tooltip_userdn">User account in Exchange with reading permissions(e.g. Administrator)</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_password">Password</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_tooltip_userpw">Password of the specified user account.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_loglevel">Loglevel</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_historymaxnumberofdays">Save history for</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_tooltip_historymaxnumberofdays">Number of days to store modified data. (e.g. Adding a user right)</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_statisticmaxnumberofdays">Save statistics for</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_tooltip_statisticmaxnumberofdays">Number of days in which statistical information on the imports is recorded (e.g. number of imported objects)</xsl:variable>
	
	<xsl:variable name="exchange_setup_message_error_update_graph">An error occurred while writing to the graph database. Please try again.</xsl:variable>
	
	<xsl:variable name="exchange_lightbox_deletesystemanddata_header">Configuration and deletion of data</xsl:variable>
	<xsl:variable name="exchange_lightbox_deletedata_text">Do you really want to delete all imported Data?</xsl:variable>
	<xsl:variable name="exchange_lightbox_deletedata_message_1">ATTENTION!</xsl:variable>	
	<xsl:variable name="exchange_lightbox_deletedata_message_2">This step can not be reverted and, depending on the capacity of the data, will take several minutes.</xsl:variable>
	<xsl:variable name="exchange_lightbox_deletedata_header">Delete Data</xsl:variable>
	<xsl:variable name="exchange_lightbox_button_deletedataonly">Delete data only</xsl:variable>
	<xsl:variable name="exchange_lightbox_editsystem_header">Edit System</xsl:variable>
	
	<xsl:variable name="exchange_lightbox_deletesystemanddata_text">Would you really like to delete the complete Exchange Data configuration and its associated data?</xsl:variable>
	<xsl:variable name="exchange_lightbox_deletesystemanddata_message_1">ATTENTION!</xsl:variable>	
	<xsl:variable name="exchange_lightbox_deletesystemanddata_message_2">This step can not be reverted and, depending on the capacity of the data, will take several minutes.</xsl:variable>	
	
	<xsl:variable name="exchange_setup_button_deletesystem">Delete completely</xsl:variable>
	
	<xsl:variable name="exchange_setup_lightbox_deletecollector_header">Delete Collector</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletecollector_text">Are you sure you want to delete the collector now?</xsl:variable>
	<xsl:variable name="exchange_setup_slider_details_status_isrunning">IS RUNNING</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletecollector_message_success">The collector was successfully deleted.</xsl:variable>
	<xsl:variable name="exchange_setup_lightbox_deletecollector_message_error">The Collector could not be deleted.</xsl:variable>
	
	<xsl:variable name="exchange_setup_checkbox_delete_history">Delete historical data</xsl:variable>
</xsl:stylesheet>