<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
**************************************************************************
*  
*  History:
*
*	Date 	    Programmer		 	Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/19/2016	Thomas Gertler  	1.2.0		Final 
*												
*	Copyright (c) G+H Systems, 2016	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="datatypes" select="//parameters/parameter[@name='datatypes']" />
		<xsl:variable name="preselect" select="//parameters/parameter[@name='preselect']" />
		<xsl:variable name="preselect_distributiongroup">category, members, manager</xsl:variable>
		<xsl:variable name="preselect_mailbox">category, login, permissions, databases, sizelimit, top5users, top5mostusers, top5mailboxsize</xsl:variable>
		<xsl:variable name="temp_preselect">
			<xsl:choose>
				<xsl:when test="$preselect ='' and $datatypes = 'distributiongroup'">
					<xsl:value-of select="$preselect_distributiongroup" />
				</xsl:when>
				<xsl:when test="$preselect ='' and $datatypes = 'mailbox'">
					<xsl:value-of select="$preselect_mailbox" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$preselect" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<div id="multiselect" class="multiselect">
			<div class="selectbox" onclick="showCheckboxes()" style="height: 42px;">
				<select id="configuration-modify-modify-medium-numbers-charts-charttypes-multiselect-selectbox" name="inc-charttype">
					<option id="configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head">
						<xsl:choose>
							<xsl:when test="$datatypes = 'distributiongroup'">					
								<xsl:attribute name="value"><xsl:value-of select="$temp_preselect"/></xsl:attribute>
								<xsl:choose>
									<xsl:when test="string-length($temp_preselect)-string-length(translate($temp_preselect,',',''))+1 = '1'">
										<xsl:value-of select="$exchange_config_multiselect_charttypes_onechart_part1" />&#160;<xsl:value-of select="string-length($temp_preselect)-string-length(translate($temp_preselect,',',''))+1" />&#160;<xsl:value-of select="$exchange_config_multiselect_charttypes_onechart_part2" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$exchange_config_multiselect_charttypes_header_part1" />&#160;<xsl:value-of select="string-length($temp_preselect)-string-length(translate($temp_preselect,',',''))+1" />&#160;<xsl:value-of select="$exchange_config_multiselect_charttypes_header_part2" />
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="$datatypes = 'mailbox'">
								<xsl:attribute name="value"><xsl:value-of select="$temp_preselect"/></xsl:attribute>
								<xsl:value-of select="$exchange_config_multiselect_charttypes_header_part1" />&#160;<xsl:value-of select="string-length($temp_preselect)-string-length(translate($temp_preselect,',',''))+1" />&#160;<xsl:value-of select="$exchange_config_multiselect_charttypes_header_part2" />
							</xsl:when>
						</xsl:choose>
					</option>
				</select>
				<div id="overselect" class="overselect"></div>
			</div>
			<div id="checkboxes-wrapper">
				<inchorus-checkboxes>
					<xsl:attribute name="id">configuration-modify-medium-numbers-charts-charttypes-checkboxes</xsl:attribute>
				    <xsl:attribute name="type">vertical</xsl:attribute>
				    <xsl:attribute name="position">left</xsl:attribute>
				    <xsl:attribute name="hascontentfile">false</xsl:attribute>
				   <xsl:attribute name="onclick">
				    	var temp = '';
				    	var ids = '';
				    	var count = 0;
				    	
				    	$( "#exchange-medium-numbers-charts-charttypes-multiselect-wrapper inchorus-checkboxes input[checked='checked']" ).each(function() {
				    		 if (temp != '') {
							  	ids = ids + ',' + $(this).parent().attr('value');
							  	temp = temp + ', ' + $(this).parent().attr('value');
							  	count = count + 1;
							} else {
							  	ids = $(this).parent().attr('value');
							 	temp = $(this).parent().attr('value');
							 	count = count + 1;
							}
							
							if (count &lt; '2') { 
								$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').html('<xsl:value-of select="$exchange_config_multiselect_charttypes_onechart_part1" /> 1 <xsl:value-of select="$exchange_config_multiselect_charttypes_onechart_part2" />');
								$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').val(temp);
							} else {
								$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').html('<xsl:value-of select="$exchange_config_multiselect_charttypes_header_part1" /> ' + count + ' <xsl:value-of select="$exchange_config_multiselect_charttypes_header_part2" />');
								$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').val(temp);							
							}
							
				    	});	
				    	
				    	if (count == '') {
				    		$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').html('<xsl:value-of select="$exchange_config_multiselect_charttypes_nochartselected" />');
							$('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').val(temp);
				    	}
				    	var temp = $('#configuration-modify-medium-numbers-charts-charttypes-multiselect-selectbox-head').val();
				    	$('#datatypes').val($('#exchange-medium-numbers-charts-datatype select').val());
				    	$('#charttypes').val(temp);
				    	inchorus.$('modus-select').setCheckeditemid('modus-select-medium-numbers-charts');
				    	$("#gs-w").val("8"); 
						$("#gs-h").val("4");
					</xsl:attribute>
								
					<xsl:choose>
						<xsl:when test="$datatypes = 'distributiongroup'">
							<inchorus-checkbox>
								<xsl:attribute name="id">charttypes-category</xsl:attribute>
							    <xsl:attribute name="name">charttype-category</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_category"/></xsl:attribute>
							    <xsl:attribute name="value">category</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'category')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-members</xsl:attribute>
							    <xsl:attribute name="name">charttype-members</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_members"/></xsl:attribute>
							    <xsl:attribute name="value">members</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'members')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-manager</xsl:attribute>
							    <xsl:attribute name="name">charttype-manager</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_manager"/></xsl:attribute>
							    <xsl:attribute name="value">manager</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'manager')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
						</xsl:when>
						<xsl:when test="$datatypes = 'mailbox'">
							<inchorus-checkbox>
								<xsl:attribute name="id">charttypes-category</xsl:attribute>
							    <xsl:attribute name="name">charttype-category</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_mailbox_category"/></xsl:attribute>
							    <xsl:attribute name="value">category</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'category')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-login</xsl:attribute>
							    <xsl:attribute name="name">charttype-login</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_mailbox_login"/></xsl:attribute>
							    <xsl:attribute name="value">login</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'login')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-permissions</xsl:attribute>
							    <xsl:attribute name="name">charttype-permissions</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_mailbox_permissions"/></xsl:attribute>
							    <xsl:attribute name="value">permissions</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'permissions')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-databases</xsl:attribute>
							    <xsl:attribute name="name">charttype-databases</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_databases"/></xsl:attribute>
							    <xsl:attribute name="value">databases</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'databases')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-sizelimit</xsl:attribute>
							    <xsl:attribute name="name">charttype-sizelimit</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_sizelimit"/></xsl:attribute>
							    <xsl:attribute name="value">sizelimit</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'sizelimit')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-top5users</xsl:attribute>
							    <xsl:attribute name="name">charttype-top5users</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_top5users"/></xsl:attribute>
							    <xsl:attribute name="value">top5users</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'top5users')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-top5mostusers</xsl:attribute>
							    <xsl:attribute name="name">charttype-top5mostusers</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_top5mostusers"/></xsl:attribute>
							    <xsl:attribute name="value">top5mostusers</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'top5mostusers')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
							 <inchorus-checkbox>
								<xsl:attribute name="id">charttypes-top5mailboxsize</xsl:attribute>
							    <xsl:attribute name="name">charttype-top5mailboxsize</xsl:attribute>
							    <xsl:attribute name="text"><xsl:value-of select="$exchange_config_multiselect_charttypes_distributiongroup_top5mailboxsize"/></xsl:attribute>
							    <xsl:attribute name="value">top5mailboxsize</xsl:attribute>
							    <xsl:attribute name="preselect"><xsl:value-of select="contains($temp_preselect,'top5mailboxsize')" /></xsl:attribute>
							    <xsl:attribute name="onclick"></xsl:attribute>
							 </inchorus-checkbox>
						</xsl:when>
					</xsl:choose>
				</inchorus-checkboxes>
			</div>
		</div>
		
		
		<script>
			var expanded = false;
			function showCheckboxes() {
				var checkboxes = document.getElementById("checkboxes-wrapper");
				if (!expanded) {
					checkboxes.style.display = "block";
					expanded = true;
				} else {
					checkboxes.style.display = "none";
					expanded = false;
				}
			}
			
			$(document).click(function(event) { 
			  $target = $(event.target);
			
			  if($target.closest('#multiselect').length == '0' &#38;&#38; $('#checkboxes-wrapper').is(":visible") == true) {
			  	showCheckboxes();
			  }
			});
			
		</script>

	</xsl:template>
</xsl:stylesheet>