<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="thisid">configuration-remove</xsl:variable>
		<xsl:variable name="parentid">exchange</xsl:variable>
		
		<xsl:variable name="configurationmode" select="//data/parameters/parameter[@name='configurationmode']/text()"/>
		<xsl:variable name="contentcontainerid" select="//data/parameters/parameter[@name='contentcontainerid']"/>
		<xsl:variable name="contentvariationid" select="//data/parameters/parameter[@name='contentvariationid']/text()"/>
		<xsl:variable name="mode" select="//data/parameters/parameter[@name='mode']/text()"/>

		<h3><xsl:value-of select="$exchange_config_headline_removegadget" /></h3>
		<div class="inchorus-lightbox-options">
		      
			<!-- lightbox close button start -->
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$thisid"/>-close</xsl:attribute>
				<xsl:attribute name="type">icon</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="border">false</xsl:attribute>
				<xsl:attribute name="highlighting">none</xsl:attribute>
				<xsl:attribute name="hover">false</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$parentid"/>-delete-lightbox-config-<xsl:value-of select="$contentvariationid" />').deactivate();
				</xsl:attribute>
			</inchorus-button>
			<!-- lightbox close button end -->
		
		</div>
		
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$thisid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile">contentcontainer-dashboard-edit-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$thisid"/>-form-response</xsl:attribute>
			<xsl:attribute name="alternativegadgetid">1</xsl:attribute>
			<xsl:attribute name="command">removeContentvariationToContentcontainer</xsl:attribute>			
			<xsl:attribute name="parameters">[{"contentcontainerid":"<xsl:value-of select="$contentcontainerid" />"},{"contentvariationid":"<xsl:value-of select="$contentvariationid" />"},{"containerid":"g<xsl:value-of select="$contentvariationid" />"}]</xsl:attribute>
			
			<p>
				<xsl:value-of select="$exchange_config_button_remove_text" />
			</p>
			
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$thisid" />-message-note</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<b><xsl:value-of select="$exchange_config_button_remove_message_note" /></b>&#160;<xsl:value-of select="$exchange_config_button_remove_message_note_text" />
			</inchorus-message>
			
			<div>					
				<xsl:attribute name="id"><xsl:value-of select="$thisid"/>-form-response</xsl:attribute>
			</div>
			
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$thisid"/>-button-save</xsl:attribute>				
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$thisid"/>-form').submit();
				</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">delete</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_config_button_remove" /></xsl:attribute>
				<xsl:attribute name="highlighting">low</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
			</inchorus-button>
			
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$thisid"/>-button-terminate</xsl:attribute>					
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$parentid"/>-delete-lightbox-config-<xsl:value-of select="$contentvariationid" />').deactivate();
				</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$inchorus_button_terminate" /></xsl:attribute>
				<xsl:attribute name="highlighting">low</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
			</inchorus-button>
			
		</inchorus-form>

	</xsl:template>
</xsl:stylesheet>