<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-distributiongroups-chart-managers</xsl:variable>
		<xsl:variable name="distributiongroupcount" select="//countsummary/counts/distributiongroupcount" />
		<xsl:variable name="distributiongroupswithoutmanagers" select="//countsummary/counts/distributiongroupswithoutmanagers" />
		<xsl:variable name="distributiongroupswithmanagers1" select="//countsummary/counts/distributiongroupswithmanagers1" />
		<xsl:variable name="distributiongroupswithmanagers2" select="//countsummary/counts/distributiongroupswithmanagers2" />
		<xsl:variable name="distributiongroupswithmanagers3" select="//countsummary/counts/distributiongroupswithmanagers3" />
		<xsl:variable name="distributiongroupswithmanagers3more" select="//countsummary/counts/distributiongroupswithmanagers3more" />
		
		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$exchange_dashboard_tab_manager_title" />
		</p>
		<div style="width:350px;height:160px;float:left;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			
			<script>
				
				var options = {
					series: [{
						name: "<xsl:value-of select="$exchange_dashboard_label_numberofdistributiongroup" />",
						data: [<xsl:value-of select="$distributiongroupswithoutmanagers"/>, <xsl:value-of select="$distributiongroupswithmanagers1"/>, <xsl:value-of select="$distributiongroupswithmanagers2"/>, <xsl:value-of select="$distributiongroupswithmanagers3"/>, <xsl:value-of select="$distributiongroupswithmanagers3more"/>]
					}],
					plotOptions: {
						bar: {
							columnWidth: '45%',
							distributed: true
						}
					},
					chart: {
						toolbar: {
							show: false
						},
						height: 140,
						type: 'bar',
						events: {
							click: function(chart, w, e) {
								// console.log(chart, w, e)
							}
						}
					},					
			        colors: ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0'],
					dataLabels: {
						enabled: false
					},
					legend: {
						show: false
					},
					title: {
						style: {
							fontSize:  '12pt',
							fontFamily: 'Verdana,Arial,Helvetica,sans serif'
						}	
					},
			        xaxis: {
						categories: [
							['<xsl:value-of select="$exchange_dashboard_withoutmanager"/>'],
							['<xsl:value-of select="$exchange_dashboard_withmanager1"/>'],
							['<xsl:value-of select="$exchange_dashboard_withmanager2"/>'],
							['<xsl:value-of select="$exchange_dashboard_withmanager3"/>'],
							['<xsl:value-of select="$exchange_dashboard_withmanager3more"/>'],
			          ],
			          labels: {
			            style: {
			              colors: ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0'],
			              fontSize: '12px'
			            }
			          }
			        },
			        tooltip: {
  						x: {
    						formatter: function(value, { series, seriesIndex, dataPointIndex, w }) {
      							return '<xsl:value-of select="$exchange_dashboard_label_manager"/>' + value
    						}
  						}
					}
		        };
		
		        var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
		        chart.render();
			</script>
		</div>
	</xsl:template>
</xsl:stylesheet>