<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-distributiongroups</xsl:variable>
		<xsl:variable name="charttypes" select="//parameters/parameter[@name='charttypes']" />
		<xsl:variable name="mode" select="//parameters/parameter[@name='mode']" />
		<xsl:variable name="activeheader_charttype">
			<xsl:choose>
				<xsl:when test="contains($charttypes,',')"><xsl:value-of select="substring-before($charttypes,',')" /></xsl:when>
				<xsl:when test="$mode = 'big_all'">category</xsl:when>
				<xsl:otherwise><xsl:value-of select="$charttypes" /></xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>
		
		<div style="overflow:hidden;height: auto; width:100%;position:relative; top: -50px;">
			<div style="width:calc(35% - 15px);height:auto;float:left;margin-right:20px;padding-top: 40px;">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getDistributiongroupCountSummaryForDashboard</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getDistributiongroupCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>
			</div>
			<div style="width:calc(65% - 7px);height:auto; float:left;">
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$activeheader_charttype" /></xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
						<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							<xsl:if test="contains($charttypes,'category') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-category</xsl:attribute>
									<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-category</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_category_distributiongroup_title" /></xsl:attribute>
				      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>	
				        				<div>
					        				<div>
					        					<xsl:value-of select="$exchange_dashboard_tab_category" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'members') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
				      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-members</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_members_title" /></xsl:attribute>
				        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$exchange_dashboard_tab_members" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'manager') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-manager</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_manager_title" /></xsl:attribute>
				      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-manager</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$exchange_dashboard_tab_manager" />
					        				</div>
					        			</div>		        			
								</inchorus-tab-header>
							</xsl:if>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="command">getDistributiongroupSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="command">getDistributiongroupMemberSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-manager</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-manager</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-manager</xsl:attribute>
			        			<xsl:attribute name="command">getDistributiongroupManagerSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>
			</div>
		</div>
		
		
	<!-- 	
		<div style="height:160px;margin-bottom:20px;">
			<div style="width:calc(35% - 15px);height:100%;float:left;margin-right:20px;">
			
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountSummaryForDashboard</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>

			</div>
			
			<div style="width:calc(65% - 15px);height:100%;float:left;">
			
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
					<xsl:attribute name="style">margin-top: -45px;</xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
						<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
								<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_status_title" /></xsl:attribute>
			      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_status" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-1</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_matched_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_matched" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-2</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_login_title" /></xsl:attribute>
			      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_login" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-3</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_membership_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_membership" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="command">getUserStatusSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="command">getUserMatchingSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="command">getUserLoginSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="command">getUserMemberOfSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>	
				 		
			</div>
			
		</div>
		-->
		
	</xsl:template>
</xsl:stylesheet>