<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-mailboxes-chart-sizelimit</xsl:variable>
		<xsl:variable name="sendlimitunder1GB" select="//countsummary/counts/sendlimitunder1GB" />
		<xsl:variable name="receivelimitunder1GB" select="//countsummary/counts/receivelimitunder1GB" />
		<xsl:variable name="sendlimitunder2GB" select="//countsummary/counts/sendlimitunder2GB" />
		<xsl:variable name="receivelimitunder2GB" select="//countsummary/counts/receivelimitunder2GB" />
		<xsl:variable name="sendlimitunder5GB" select="//countsummary/counts/sendlimitunder5GB" />
		<xsl:variable name="receivelimitunder5GB" select="//countsummary/counts/receivelimitunder5GB" />
		<xsl:variable name="sendlimitunder10GB" select="//countsummary/counts/sendlimitunder10GB" />
		<xsl:variable name="receivelimitunder10GB" select="//countsummary/counts/receivelimitunder10GB" />		
		<xsl:variable name="sendlimitover10GB" select="//countsummary/counts/sendlimitover10GB" />
		<xsl:variable name="receivelimitover10GB" select="//countsummary/counts/receivelimitover10GB" />		
		<xsl:variable name="sendunlimited" select="//countsummary/counts/sendunlimited" />
		<xsl:variable name="receiveunlimited" select="//countsummary/counts/receiveunlimited" />
		
		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$exchange_dashboard_tab_sizelimit_title" />
		</p>
		<div style="width:350px;height:200px;float:left;margin-top:-10px;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			<script>
			
		 var options = {
          series: [{
          name: '<xsl:value-of select="$exchange_dashboard_tab_sizelimit_toolbox_send" />',
          data: [<xsl:value-of select="$sendlimitunder1GB" />, <xsl:value-of select="$sendlimitunder2GB" />, <xsl:value-of select="$sendlimitunder5GB" />, <xsl:value-of select="$sendlimitunder10GB" />, <xsl:value-of select="$sendlimitover10GB" />, <xsl:value-of select="$sendunlimited" />]
        }, {
          name: '<xsl:value-of select="$exchange_dashboard_tab_sizelimit_toolbox_sendandreceive" />',
          data: [<xsl:value-of select="$receivelimitunder1GB" />, <xsl:value-of select="$receivelimitunder2GB" />, <xsl:value-of select="$receivelimitunder5GB" />, <xsl:value-of select="$receivelimitunder10GB" />, <xsl:value-of select="$receivelimitover10GB" />, <xsl:value-of select="$receiveunlimited" />]
        }],
          chart: {
          type: 'bar',
          height: 240,
          width: 350,
          toolbar: {
		    show: true,
		    tools: {
		      download: false
		    }
		  }
        },
        colors: ['#008FFB', '#FEB019', '#00E396', '#FF4560', '#775DD0'],
        plotOptions: {
          bar: {
            horizontal: false,
            columnWidth: '55%',
            endingShape: 'rounded'
          },
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          show: true,
          width: 2,
          colors: ['transparent']
        },
        xaxis: {
          categories: ['<xsl:value-of select="$exchange_dashboard_sizelimit_1GB" />', '<xsl:value-of select="$exchange_dashboard_sizelimit_2GB" />', '<xsl:value-of select="$exchange_dashboard_sizelimit_5GB" />', '<xsl:value-of select="$exchange_dashboard_sizelimit_10GB" />', '<xsl:value-of select="$exchange_dashboard_sizelimit_more10GB" />', '<xsl:value-of select="$exchange_dashboard_sizelimit_unlimited" />'],
        },
        fill: {
          opacity: 1
        },
        tooltip: {
          x: {
            formatter: function (val) {
              return "<xsl:value-of select="$exchange_dashboard_tab_sizelimit_toolbox_sizelimitofmailbox"/> " + val
            }
          },
          y: {
            formatter: function (val) {
              return val + " <xsl:value-of select="$exchange_dashboard_tab_sizelimit_toolbox_mailboxes" />"
            }
          }
        }
        };

		var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
		chart.render();
        
			</script>
			<style>
				.apexcharts-legend {
					margin-top: 50px;
				}
				
				.apexcharts-legend-series {
					margin: 2px 5px !important;
				}

				.apexcharts-legend-marker {
					margin-right: 6px;
				}
			</style>


		</div>
	</xsl:template>
</xsl:stylesheet>