<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-mailboxes</xsl:variable>
		<xsl:variable name="charttypes" select="//parameters/parameter[@name='charttypes']" />
		<xsl:variable name="charttype_count" select="string-length($charttypes) - string-length(translate($charttypes, ',', '')) + 1" />
		<xsl:variable name="mode" select="//parameters/parameter[@name='mode']" />
		<xsl:variable name="activeheader_charttype">
			<xsl:choose>
				<xsl:when test="contains($charttypes,',')"><xsl:value-of select="substring-before($charttypes,',')" /></xsl:when>
				<xsl:when test="$mode = 'big_all'">category</xsl:when>
				<xsl:otherwise><xsl:value-of select="$charttypes" /></xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>

		<xsl:if test="$charttype_count &gt; '2' or $mode='big_all'">
				 
			<div class="exchange-tabs-button-next">
		  		<xsl:attribute name="onclick">
		       			$('#slidercontainer-<xsl:value-of select="$contentid" /> .slides:first-child' ).insertAfter($('#slidercontainer-<xsl:value-of select="$contentid" /> .slides:last-child'));
				</xsl:attribute>
				<i class="gg-chevron-back"></i>
			</div>
		</xsl:if>
	
		<div style="overflow:hidden;height: auto; width:100%;position:relative; top: -50px;">
			<div style="width:calc(35% - 15px);height:auto;float:left;margin-right:20px;padding-top: 40px;">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getMailboxCountSummaryForDashboard</xsl:attribute>
					<xsl:attribute name="style">margin-top:50px;</xsl:attribute>
				</inchorus-content>

				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getMailboxCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>
			</div>
			<div style="width:calc(65% - 7px);height:auto;float:left;">
				
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$activeheader_charttype" /></xsl:attribute>
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
				    	<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
				    	<!-- <xsl:attribute name="style">style="height: 30px;position: absolute;overflow: hidden !important;top: 0px;width: 360px;left: 200px;border: 1px solid red;margin-bottom:40px;"</xsl:attribute>-->
<div style="width:305px;overflow:hidden;">
<div class="slidescontainer">
	<xsl:attribute name="id">slidercontainer-<xsl:value-of select="$contentid" /></xsl:attribute>
							<xsl:if test="contains($charttypes,'category') = 'true' or $mode = 'big_all'">		
								<inchorus-tab-header class="slides">
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-category</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_category_mailbox_title" /></xsl:attribute>
				        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$exchange_dashboard_tab_category" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'login') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-login</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_login_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_login" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'permissions') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-permissions</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_permissions_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-permissions</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_permissions" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'databases') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-databases</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_databases_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-databases</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_databases" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'sizelimit') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-sizelimit</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_sizelimit_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-sizelimit</xsl:attribute>
			        		
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_sizelimit" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'top5users') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-top5users</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_top5users_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5users</xsl:attribute>
			        		
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_top5users" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'top5mostusers') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-top5mostusers</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_top5mostusers_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5mostusers</xsl:attribute>
			        		
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_top5mostusers" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'top5mailboxsize') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header class="slides">
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-top5mailboxsize</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$exchange_dashboard_tab_top5mailboxsize_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5mailboxsize</xsl:attribute>
			        		
			        				<div>
				        				<div>
				        					<xsl:value-of select="$exchange_dashboard_tab_top5mailboxsize" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
							</div>
							</div>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>			        			
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxLoginSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-permissions</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-permissions</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxPermissionCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-databases</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-databases</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxDatabasesCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-sizelimit</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-sizelimit</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxSizelimitCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5mailboxsize</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-top5mailboxsizes</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxTop5MailboxesCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>

			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5users</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-top5users</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxTop5UsersCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5mostusers</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-top5mostusers</xsl:attribute>
			        			<xsl:attribute name="command">getMailboxTop5MostUsersCountSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>

				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>

			</div>
		</div>
		
	</xsl:template>
</xsl:stylesheet>