<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-distributiongroups-details</xsl:variable>
		<xsl:variable name="groupid" select="//parameters/parameter[@name='groupid']" />
		<xsl:variable name="name" select="//parameters/parameter[@name='name']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueid" select="//data/groups/group/uniqueid" />
		<xsl:variable name="dn" select="//data/groups/group/groupid" />
		<xsl:variable name="cn" select="//data/groups/group/name" />
		<xsl:variable name="description" select="//data/groups/group/description" />
		<xsl:variable name="modified" select="//data/groups/group/modified" />
		<xsl:variable name="created" select="//data/groups/group/created" />
		<xsl:variable name="scope" select="//data/groups/group/scope" />
		<xsl:variable name="category" select="//data/groups/group/category" />
		<xsl:variable name="hasPrint">true</xsl:variable>
		<xsl:variable name="hasExportcsv">true</xsl:variable>
		<xsl:variable name="hasExportpdf">true</xsl:variable>
		<xsl:variable name="mode">dev</xsl:variable>
		
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="function_to_close" select="//parameters/parameter[@name='function_to_close']" />

		<div style="width:100%; height:8px;background-color: #005162;">
		</div>
		<div style="padding:20px;border-left: 2px solid #ddd;height: calc(100% - 8px);width:530px;">
			<div style="margin:0px;">
				<h1 style="width:444px;float:left;overflow:hidden; min-height:34px;height:auto;">
					<div class="exchange-slider-headline-icon exchange-slider-headline-icon-distributionlist" style="margin-bottom:0px;"></div>
					<b><xsl:value-of select="$header" /></b>
				</h1>
				<!-- 
				<inchorus-button>
			  		<xsl:attribute name="id">inchorus-favorite-lightbox-close</xsl:attribute>
			  		<xsl:attribute name="active">true</xsl:attribute>
			  		<xsl:attribute name="title">Close</xsl:attribute>
			  		<xsl:attribute name="type">icon</xsl:attribute>
			  		<xsl:attribute name="icon">close</xsl:attribute>
			  		<xsl:attribute name="border">false</xsl:attribute>
			  		<xsl:attribute name="highlighting">none</xsl:attribute>
			  		<xsl:attribute name="hover">false</xsl:attribute>
			  		<xsl:attribute name="onClick">
			  			jQuery('inchorus-list-content-row.active_row').removeClass('active_row');
			  			toggleSlider();
			  		</xsl:attribute>
			  		<xsl:attribute name="style">float:left;margin:0px;</xsl:attribute>
			  	</inchorus-button>
			  	-->
			 </div>
			 
			 <div class="dac-slider-right-options">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="onclick"><xsl:value-of select="$function_to_close" /></xsl:attribute>
				</inchorus-button>
				
				<xsl:if test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">				
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-export</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').activate();
					</xsl:attribute>
				</inchorus-button>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export</xsl:attribute>
					<xsl:attribute name="position">bottom-left</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-button-export</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
					<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
					
					<div class="dac-exchange-tooltip-wrapper">
					
						<xsl:if test="$hasExportpdf = 'true'">							
							<div class="dac-exchange-tooltip-reports-row">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-export-form').setParameters(
									{
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'systemid' : '<xsl:value-of select="$systemid"/>',
										'orientation' : 'portrait',
										'exporttype' : 'pdf'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-export-form').submit();
								</xsl:attribute>
								<div class="dac-exchange-reports-pdf" />
								<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
							</div>
						</xsl:if>
						<xsl:if test="$hasExportcsv = 'true'">
								<div class="dac-exchange-tooltip-reports-row-last">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-export-form').setParameters(
									{
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'systemid' : '<xsl:value-of select="$systemid"/>',
										'exporttype' : 'csv'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-export-form').submit();
								</xsl:attribute>
								<div class="dac-exchange-reports-csv" />
								<xsl:value-of select="$inchorus_tooltip_reports_csv" />
							</div>
						</xsl:if>
					</div>
					
				</inchorus-tooltip>
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-export-form</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">download</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">exportGroupDetails</xsl:attribute>
				</inchorus-form>
			</xsl:if>
			<xsl:if test="$hasPrint = 'true'">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-print</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">print</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_print" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">
							<xsl:attribute name="style">float:right;margin-right:15px;</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid"/>-print').submit();
					</xsl:attribute>
				</inchorus-button>						
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-print</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">tab</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">exportGroupDetails</xsl:attribute>
					<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}, {"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				</inchorus-form>
			</xsl:if>
			</div>
			 
			 
			 <div style="clear:both;">
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_objectsid" />
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$uniqueid"/>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_dn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">	
						<xsl:choose>
						    <xsl:when test="$dn = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
						   	 <xsl:value-of select="$dn"/>
						    </xsl:otherwise>
					    </xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_cn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
						    <xsl:when test="$cn = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
						   	 <xsl:value-of select="$cn"/>
						    </xsl:otherwise>
					    </xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_description"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
						    <xsl:when test="$description = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
						   	 <xsl:value-of select="$description"/>
						    </xsl:otherwise>
					    </xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_whencreated"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
							<xsl:when test="$created = 'null'">
						    </xsl:when>
							<xsl:otherwise test="$created != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_whenchanged"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
							<xsl:when test="$modified = 'null'">
						    </xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$exchange_label_category"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
							<xsl:when test="$category = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
								<xsl:value-of select="$category"/>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							Scope
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
							<xsl:when test="$scope = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
								<xsl:value-of select="$scope"/>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
			</div>
			
			<div style="overflow:hidden;">
				<div style="overflow:hidden;border-bottom: 1px dotted silver;">
					<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
							<b style="font-size:20px;"><xsl:value-of select="$exchange_label_permissions"/></b>
					</div>
				</div>
										
				<div style="overflow-y: scroll; height:160px;">
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-members</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getDistributiongroupMembers</xsl:attribute>
					</inchorus-content>
				</div>
			</div>
			
		</div>		
	</xsl:template>
	
	<xsl:template name="replace-string">
	    <xsl:param name="text"/>
	    <xsl:param name="replace"/>
	    <xsl:param name="with"/>
	    <xsl:choose>
	      <xsl:when test="contains($text,$replace)">
	        <xsl:value-of select="substring-before($text,$replace)"/>
	        <xsl:value-of select="$with"/>
	        <xsl:call-template name="replace-string">
	          <xsl:with-param name="text" select="substring-after($text,$replace)"/>
	          <xsl:with-param name="replace" select="$replace"/>
	          <xsl:with-param name="with" select="$with"/>
	        </xsl:call-template>
	      </xsl:when>
	      <xsl:otherwise>
	        <xsl:value-of select="$text"/>
	      </xsl:otherwise>
	    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>