<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-distributiongroups-history-filter</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin-distributiongroups</xsl:variable>
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="status" select="//parameters/parameter[@name='status']" />
		<xsl:variable name="objectcode" select="//parameters/parameter[@name='objectcode']" />
		<xsl:variable name="eventtype" select="//parameters/parameter[@name='eventtype']" />
		<xsl:variable name="variable_column_1" select="//parameters/parameter[@name='column-1']" />
		<xsl:variable name="variable_column_2" select="//parameters/parameter[@name='column-2']" />
		<xsl:variable name="language"><!--GADGET:LANGUAGE--></xsl:variable>
		
		<input>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-systemid</xsl:attribute>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="name">inc-ftSystemid</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$systemid"/></xsl:attribute>
		</input>
		
		<table>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-table</xsl:attribute>
		    <tr>
		    	<th style="width:124px;"><xsl:value-of select="$dac_exchange_history_period" /></th>
		        <th style="width:0px;"></th>
		        <th style="width:124px;"></th>
		        <th><xsl:value-of select="$dac_exchange_history_type"/></th>
		        <th><xsl:value-of select="$dac_exchange_history_name"/></th>
		        <th><xsl:value-of select="$dac_exchange_history_eventtype"/></th>
		        <th style="width:82px;"></th>
		    </tr>
		    <tr>
				<td>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-input-startdate</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
						<xsl:attribute name="name">inc-ftStartdate</xsl:attribute>
					</input>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-startdate</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="name">ftStartdate</xsl:attribute>
						<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
						<xsl:attribute name="onchange">
						   	if (jQuery('#<xsl:value-of select="$parentid" />-field-startdate').val().length == '') {
					 			jQuery('#<xsl:value-of select="$parentid" />-input-startdate').val('');
					 		}
						</xsl:attribute>
						<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
						<xsl:attribute name="style">float:left;width: 120px;</xsl:attribute>
					</input>
			    
				    <inchorus-button>
				    	 <xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-startdate</xsl:attribute>
				    	 <xsl:attribute name="type">icon</xsl:attribute>
				    	 <xsl:attribute name="icon">datepicker</xsl:attribute>
						 <xsl:attribute name="highlighting">low</xsl:attribute>
						 <xsl:attribute name="position">rightwithoutmargin </xsl:attribute>
						 <xsl:attribute name="onclick">jQuery('#<xsl:value-of select="$parentid" />-field-startdate').focus();</xsl:attribute>
						 <xsl:attribute name="style">float:left;margin-right: 0px;</xsl:attribute>
				    </inchorus-button>
					
					<script>
						if ('<xsl:value-of select="$language"/>' == 'de')
				   			jQuery("#<xsl:value-of select="$parentid" />-field-startdate").datepicker({
				   				changeMonth: true, 
				   				changeYear: true,
				   				dateFormat: "dd.mm.yy",
				   				altField: "#<xsl:value-of select="$parentid" />-input-startdate",
	      						altFormat: "yy-mm-dd"
				   			});
			   			else {
			   				jQuery("#<xsl:value-of select="$parentid" />-field-startdate").datepicker({
				   				changeMonth: true, 
				   				changeYear: true,
				   				dateFormat: "yy-dd-mm",
				   				altField: "#<xsl:value-of select="$parentid" />-input-startdate",
	      						altFormat: "yy-mm-dd"
				   			});
			   			}	
			  		</script>
				</td>
				<td>
					-
				</td>
				<td>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-input-enddate</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
						<xsl:attribute name="name">inc-ftEnddate</xsl:attribute>
					</input>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-enddate</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="name">ftEnddate</xsl:attribute>
						<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
						<xsl:attribute name="onchange">
							if (jQuery('#<xsl:value-of select="$parentid" />-field-enddate').val().length == '') {
					 			jQuery('#<xsl:value-of select="$parentid" />-input-enddate').val('');
					 		}
					 	</xsl:attribute>
						<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
						<xsl:attribute name="style">float:left;width:120px;</xsl:attribute>
					</input>
			    
				    <inchorus-button>
				    	 <xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-enddate</xsl:attribute>
				    	 <xsl:attribute name="type">icon</xsl:attribute>
				    	 <xsl:attribute name="icon">datepicker</xsl:attribute>
						 <xsl:attribute name="highlighting">low</xsl:attribute>
						 <xsl:attribute name="position">rightwithoutmargin </xsl:attribute>
						 <xsl:attribute name="onclick">jQuery('#<xsl:value-of select="$parentid" />-field-enddate').focus();</xsl:attribute>
						 <xsl:attribute name="style">float:left;margin-right: 0px;</xsl:attribute>
				    </inchorus-button>
					
					<script>
						if ('<xsl:value-of select="$language"/>' == 'de')
				   			jQuery("#<xsl:value-of select="$parentid" />-field-enddate").datepicker({
				   				changeMonth: true, 
				   				changeYear: true,
				   				dateFormat: "dd.mm.yy",
				   				altField: "#<xsl:value-of select="$parentid" />-input-enddate",
	      						altFormat: "yy-mm-dd"
				   			});
			   			else {
			   				jQuery("#<xsl:value-of select="$parentid" />-field-enddate").datepicker({
				   				changeMonth: true, 
				   				changeYear: true,
				   				dateFormat: "yy-dd-mm",
				   				altField: "#<xsl:value-of select="$parentid" />-input-enddate",
	      						altFormat: "yy-mm-dd"
				   			});
			   			}	
			  		</script>
				</td>
				<td>
					<inchorus-select>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-objectcode</xsl:attribute>
						<xsl:attribute name="name">inc-ftObjectcode</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">select-distributiongroups-objectcode</xsl:attribute>
						<!-- <xsl:attribute name="command">getTypeList</xsl:attribute>-->
						<xsl:attribute name="preselect">DISTRIBUTIONGROUPALL</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
					</inchorus-select>
				</td>
				<td>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-searchstring</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="name">inc-ftSearchstring</xsl:attribute>
						<xsl:attribute name="title"></xsl:attribute>
						<xsl:attribute name="value"></xsl:attribute>
						<xsl:attribute name="preselect"></xsl:attribute>
					</input>	
				</td>
				<td>
					<inchorus-select>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-eventype</xsl:attribute>
						<xsl:attribute name="name">inc-ftEventtype</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">select-eventtype</xsl:attribute>
						<!-- <xsl:attribute name="command">getTypeList</xsl:attribute>-->
						<xsl:attribute name="preselect"><xsl:value-of select="$eventtype" /></xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
					</inchorus-select>
				</td>
				<td style="width:82px;">
		          <inchorus-button>
		          	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-search</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">search</xsl:attribute>
		            <xsl:attribute name="highlighting">medium</xsl:attribute>
		            <xsl:attribute name="title"><xsl:value-of select="$inchorus_button_search" /></xsl:attribute>
		            <xsl:attribute name="onclick">
		            	inchorus.$('<xsl:value-of select="$parentid" />').submit();
		            </xsl:attribute>
		          </inchorus-button>
		          <inchorus-button>
		            <xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-clear</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">clear</xsl:attribute>
		            <xsl:attribute name="title"><xsl:value-of select="$inchorus_button_clear" /></xsl:attribute>
		            <xsl:attribute name="onclick">
<!-- 		            	inchorus.$('<xsl:value-of select="$previousparentid"/>').setParameters(
							{
							"status" : "",
							"type" : ""	
							}
						); -->
		            	inchorus.$('<xsl:value-of select="$parentid" />').clear();
		            	inchorus.$('<xsl:value-of select="$parentid" />').submit();
		            </xsl:attribute>
		            <xsl:attribute name="style">margin-right:0px;</xsl:attribute>
		          </inchorus-button>
		          <!-- 
		          <inchorus-button>
		          	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-button-arrowdown</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">arrow_down</xsl:attribute>
		            <xsl:attribute name="title">Zusatzfilter ausklappen</xsl:attribute>
		            <xsl:attribute name="onclick">
		            	if (jQuery('#dac-identities-admin-general-subfilter').attr('active') == 'false') {
		            		inchorus.$('dac-identities-admin-general-subfilter').activate();
		            		jQuery('#dac-identities-admin-general-filter-button-arrowdown').attr('icon','arrow_up');
		            		jQuery('#dac-identities-admin-general-filter-button-arrowdown').attr('title','Zusatzfilter zuklappen');
		            	} else {
		            		inchorus.$('dac-identities-admin-general-subfilter').deactivate();
		            		jQuery('#dac-identities-admin-general-filter-button-arrowdown').attr('icon','arrow_down');
		            		jQuery('#dac-identities-admin-general-filter-button-arrowdown').attr('title','Zusatzfilter ausklappen');
		            	} 
		            </xsl:attribute>
		          </inchorus-button>
		          -->
		        </td>
			</tr>
		</table>
		<script>
			$('#<xsl:value-of select="$parentid" />').each(function() {
				var tempid = this.id;
				$(this).find('input').keypress(function(e) {
					 if(e.which == 10 || e.which == 13) {
						 $('#<xsl:value-of select="$parentid" />').submit();
					 }
				});
			});
		</script>
	</xsl:template>
</xsl:stylesheet>