<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_person.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-general-effective-tree</xsl:variable>
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']" />
		<xsl:variable name="subfolder" select="//parameters/parameter[@name='subfolder']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />

		<xsl:choose>
			<xsl:when test="$modus = 'effectiveview_aduser'">
				<!-- <h2 class="dac-slider-blockheadline" style="margin-bottom: 20px !important;"><xsl:value-of select="$exchange_effectiv_header_mailboxpermissions" /></h2> -->
				
<!-- 				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$exchange_slider_effective_message_part1" />&#160;<b><xsl:value-of select="$adusername" /></b>&#160;<xsl:value-of select="$exchange_slider_effective_message_part2" />
				</inchorus-message> -->
			</xsl:when>
			<xsl:otherwise>
				
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<b>
						<xsl:value-of select="$exchange_effectiveusers_message_part_1" />
					</b>&#160;<xsl:value-of select="$exchange_effectiveusers_message_part_2" />
					<b>&#160;
		 			<span class="exchange-effective-close">
						<a href="#" style="color:#8c8c8c;">
							<xsl:attribute name="onclick">
								var currentlyactive = jQuery('#exchange-admin-quickfilter').attr('currentlyactive');
								jQuery('#exchange-admin-effective-filter-field-effectiveusers').val(''); 
								jQuery('#exchange-admin-effective-filter-field-uniqueid').val(''); 
								inchorus.$('exchange-admin-' + currentlyactive).load();
							</xsl:attribute>
							<xsl:value-of select="$exchange_effectiveusers_button_leave" />
						</a>
					</span>
					</b>
				</inchorus-message>
				
				<inchorus-tree-row>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-header</xsl:attribute>
					<div class="dac-exchange-tree-row-flex-container">
						<div class="dac-exchange-tree-row-flex-container-width-1833">
							<xsl:value-of select="$dac_persons_name"/>
						</div>
					</div>
				</inchorus-tree-row>
			</xsl:otherwise>
		</xsl:choose>
		
		
		<xsl:choose>
			<xsl:when test="//members/member">	
				<div class="dac-slider-matrix" style="margin-left: 20px; margin-bottom: 20px; width: 70%;">
						<div class="dac-slider-matrix-header">
							<div class="dac-slider-matrix-header-left exchange-effectiveview-matrix-left">
								<!-- <b style="font-size: 20px; font-weight: normal;"><xsl:value-of select="$exchange_slider-matrix-header"></xsl:value-of></b> -->
								<h2 class="dac-slider-blockheadline" style="margin-bottom: 20px !important;"><xsl:value-of select="$exchange_effectiv_header_mailboxpermissions" /></h2>
							</div>
							<div class="dac-slider-matrix-header-right exchange-effectiveview-matrix-right" style="width: 250px">
								<div style="border-left: none;">
									<span></span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-fullaccess" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-change-owner" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-change-permission" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-read" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-send-as" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-send-onbehalf" />
									</span>
								</div>
								<div style="border-right: 1px dotted silver;">
									<span>
										<xsl:value-of select="$exchange_slider-matrix-more" />
									</span>
								</div>
							</div>
						</div>
						<div style="overflow-y: auto; height:70%; padding-bottom: 30px;">
				
							<xsl:for-each select="//members/member">
								<xsl:variable name="uniqueid" select="uniqueid" />
								<xsl:variable name="level" select="level" />
								<xsl:variable name="name" select="name" />
								<xsl:variable name="securityprincipallabel" select="securityprincipallabel" />
								<xsl:variable name="type" select="type" />
																
								<div class="dac-slider-matrix-row">
									<div class="dac-slider-matrix-row-left exchange-effectiveview-matrix-left exchange-slider-matrix-icon-mailbox">
										<span style="margin-left:34px;line-height:23px;">
											<xsl:attribute name="title"><xsl:value-of select="$name"/></xsl:attribute>
											<xsl:choose>
											  <xsl:when test="string-length($name) > 49">
												<xsl:value-of select="concat(substring($name, 1, 46), '...')"/>
											  </xsl:when>
											  <xsl:otherwise>
												<xsl:value-of select="$name"/>
											  </xsl:otherwise>
											</xsl:choose>
										</span>
									</div>
									
									<div class="dac-slider-matrix-row-right exchange-effectiveview-matrix-right" style="width: 250px">
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center" style="border-left: none;"></div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'FullAccess')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'ChangeOwner')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'ChangePermission')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'ReadPermission')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'SendAs')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'SendOnBehalf')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center" style="border-right: 1px dotted silver;">
											<xsl:choose>
												<xsl:when test="contains($level, 'DeleteItem') or contains($level, 'ExternalAccount')">
													<xsl:attribute name="title">
														<xsl:choose>
															<xsl:when test="contains($level, 'DeleteItem') and contains($level, 'ExternalAccount')">
																<xsl:value-of select="$exchange_slider-matrix-delete-item" />; <xsl:value-of select="$exchange_slider-matrix-external" />
															</xsl:when>
															<xsl:otherwise>
																<xsl:if test="contains($level, 'DeleteItem')">
																	<xsl:value-of select="$exchange_slider-matrix-delete-item" />
																</xsl:if>
																<xsl:if test="contains($level, 'ExternalAccount')">
																	<xsl:value-of select="$exchange_slider-matrix-external" />
																</xsl:if>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
									</div>
								</div>
							</xsl:for-each>
						</div>
				</div>	
			</xsl:when>
				
			<xsl:otherwise>
				
				<inchorus-message>
					<xsl:attribute name="id">noresults</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$exchange_group_details_permissions_noresult"/>
				</inchorus-message>
				
			</xsl:otherwise>
		</xsl:choose>


<!-- 		<inchorus-tree>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-nextrow</xsl:attribute>
	    	<xsl:attribute name="active">true</xsl:attribute>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	   	 	<xsl:attribute name="parameters">[{"modus":"effectiveview_aduser"},{"subfolder":"<xsl:value-of select="$subfolder" />"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />"},{"adusername":"<xsl:value-of select="$adusername" />"}]</xsl:attribute>
	   	 	<xsl:choose>
	   	 		<xsl:when test="$modus = 'effectiveview_aduser'">
	   	 			<xsl:attribute name="command">getExchangeResourceCountForUser</xsl:attribute>
	   	 		</xsl:when>
	   	 		<xsl:otherwise>
	   	 			<xsl:attribute name="command">getExchangeRelationsForUser</xsl:attribute>
	   	 		</xsl:otherwise>
	   	 	</xsl:choose>
		</inchorus-tree> -->
		
	</xsl:template>
</xsl:stylesheet>