<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-headerinfos-policiessummary</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin</xsl:variable>
		<xsl:variable name="total" select="//data/policiessummary/total" />
		<xsl:variable name="error" select="//data/policiessummary/error" />
		<xsl:variable name="success" select="//data/policiessummary/success" />
		<xsl:variable name="level_none" select="//data/policiessummary/level_none" />
		<xsl:variable name="level_low" select="//data/policiessummary/level_low" />
		<xsl:variable name="level_medium" select="//data/policiessummary/level_medium" />
		<xsl:variable name="level_high" select="//data/policiessummary/level_high" />
		<xsl:variable name="level_sum" select="$level_medium + $level_high" />

		<div class="dac-header-infos-middle-icon-wrapper">
			<inchorus-icon style="background-position-y: 0px;">
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-icon-policiessummary</xsl:attribute>
	 			<xsl:attribute name="title"><xsl:value-of select="$exchange_title_policies" /></xsl:attribute>
	 			<xsl:attribute name="picture">/<!--GADGET:PATH-->/inc/img/inchorus/actions/policies/policies.png</xsl:attribute>
	 			<xsl:attribute name="type">bubble-green-red</xsl:attribute>
	 			<xsl:attribute name="active">true</xsl:attribute>
	 			<xsl:attribute name="highlighting1">
	 				<xsl:choose>
	 					<xsl:when test="$level_high != '' and $level_high != '0'">high</xsl:when>
	 					<xsl:otherwise>none</xsl:otherwise>
	 				</xsl:choose>
	 			</xsl:attribute>
				<xsl:attribute name="highlighting2">
				 	<xsl:choose>
	 					<xsl:when test="$level_medium != '' and $level_medium != '0'">medium</xsl:when>
	 					<xsl:otherwise>none</xsl:otherwise>
	 				</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="title1"><xsl:value-of select="$level_high" />&#160;<xsl:value-of select="$exchange_title_policies_high" /></xsl:attribute>
				<xsl:attribute name="title2"><xsl:value-of select="$level_medium" />&#160;<xsl:value-of select="$exchange_title_policies_medium" /></xsl:attribute>
				<xsl:attribute name="value1"><xsl:value-of select="$level_high" /></xsl:attribute>
				<xsl:attribute name="value2"><xsl:value-of select="$level_medium" /></xsl:attribute>
				<xsl:attribute name="class">dac-header-infos-middle-icon-policies</xsl:attribute>
				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-mailboxes').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-distributiongroups').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-policies').activate();
				</xsl:attribute>
			</inchorus-icon>
		</div>
		
		
	</xsl:template>
</xsl:stylesheet>