<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_person.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-headerinfos</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin</xsl:variable>
		
		<!-- 
		<xsl:variable name="personcount" select="//persons/person/personcount" />
		<xsl:variable name="activepersoncount" select="//persons/person/activepersoncount" />
		<xsl:variable name="inactivepersoncount" select="//persons/person/inactivepersoncount" />
		<xsl:variable name="internalpersoncount" select="//persons/person/internalpersoncount" />
		<xsl:variable name="externalpersoncount" select="//persons/person/externalpersoncount" />
		<xsl:variable name="validateperson" select="//validateperson" />
		<xsl:variable name="uncertifiedpersoncount" select="//counts/count/uncertifiedpersoncount" />
		<xsl:variable name="certifiedpersoncountuntil30days" select="//counts/count/certifiedpersoncountuntil30days" />
		-->
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-exchangesummary</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getAllExchangeDomains</xsl:attribute>
		</inchorus-content>
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policiessummary</xsl:attribute>
			<xsl:attribute name="active">true</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getPoliciesSummary</xsl:attribute>
			<div class="dac-header-infos-middle-icon-wrapper">
				<inchorus-icon style="background-position-y: 0px;">
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-icon-policiessummary-isloading</xsl:attribute>
		 			<xsl:attribute name="picture">/<!--GADGET:PATH-->/inc/img/inchorus/actions/policies/policies.png</xsl:attribute>
		 			<xsl:attribute name="type">bubble-green-red</xsl:attribute>
		 			<xsl:attribute name="active">true</xsl:attribute>
		 			<xsl:attribute name="highlighting1">none</xsl:attribute>
					<xsl:attribute name="highlighting2">none</xsl:attribute>
					<xsl:attribute name="title1"></xsl:attribute>
					<xsl:attribute name="title2"></xsl:attribute>
					<xsl:attribute name="value1">0</xsl:attribute>
					<xsl:attribute name="value2">0</xsl:attribute>
					<xsl:attribute name="title"></xsl:attribute>
					<xsl:attribute name="class">dac-header-infos-middle-icon-policies dac-header-infos-icon-policies-grey</xsl:attribute>
				</inchorus-icon>
				<img src="inc/img/loading.gif" style="margin-left:-16px;margin-top:12px;position:relative;"/>
			</div>
		</inchorus-content>
	
	
	</xsl:template>
</xsl:stylesheet>