<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-mailboxes</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin-mailboxes</xsl:variable>
		<xsl:variable name="previouspreviousparentid">exchange-admin</xsl:variable>
		<xsl:variable name="status" select="//parameters/parameter[@name='status']" />
		<xsl:variable name="type" select="//parameters/parameter[@name='type']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="view" select="//parameters/parameter[@name='view']" />
		
		<inchorus-filter>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
	    	<!-- <xsl:attribute name="active">true</xsl:attribute> -->
			<xsl:choose>
				<xsl:when test="not ($view) or $view = '' or $view = 'mailbox-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
   			<xsl:attribute name="submitonenter">true</xsl:attribute>
   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-list</xsl:attribute>
   			<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
   			<xsl:attribute name="command">filterAllMailboxes</xsl:attribute>
  		</inchorus-filter>
  		
  		<inchorus-filter>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-history-filter</xsl:attribute>
	    	<!-- <xsl:attribute name="active">false</xsl:attribute> -->
			<xsl:choose>
				<xsl:when test="$view = 'group-history-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
   			<xsl:attribute name="submitonenter">true</xsl:attribute>
   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-history-list</xsl:attribute>
   			<!-- <xsl:attribute name="parameters">[{"objectcode":"MAILBOXALL","systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute> -->
   			<xsl:attribute name="parameters">[{"ftSystemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
   			<xsl:attribute name="command">filterHistory</xsl:attribute>
				<!-- <select name="inc-ftObjectcode">
					<option value="MAILBOXALL" selected="selected"></option>
				</select>
				
			    <input id="ftSystemid-hidden" type="hidden" name="inc-ftSystemid">
			    	<xsl:attribute name="value"><xsl:value-of select="$systemid" /></xsl:attribute>
  				</input> -->
  		</inchorus-filter>
	
		<div>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-buttonbar</xsl:attribute>
			
			<div class="dac-buttonbar-wrapper">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-list</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">menu</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_button_listview"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />-history-filter').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-filter').activate();
						jQuery('#<xsl:value-of select="$parentid" />-buttonbar').removeClass('nofilter');
						jQuery('#<xsl:value-of select="$parentid" />-button-config').show();
						//jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').show();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports-wrapper').show();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-print').show();
						inchorus.$('<xsl:value-of select="$parentid" />-filter').clear();
						inchorus.$('<xsl:value-of select="$parentid" />-filter').submit();
						inchorus.$('<xsl:value-of select="$parentid" />-content-history-list').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-list').activate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-charts').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-button-list').setHighlighting("high");
						inchorus.$('<xsl:value-of select="$parentid" />-button-history-list').setHighlighting("low");
						//inchorus.$('<xsl:value-of select="$parentid" />-button-charts').setHighlighting("low");
					</xsl:attribute>
					<!-- <xsl:attribute name="highlighting">high</xsl:attribute> -->
					<xsl:choose>
						<xsl:when test="not ($view) or $view = '' or $view = 'mailbox-list'">
							<xsl:attribute name="highlighting">high</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="highlighting">low</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</inchorus-button>
				<div class="dac-views-history-wrapper">
					<xsl:value-of select="$exchange_label_history" />
				</div>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-history-list</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">history</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_button_historyview"/></xsl:attribute>
					<xsl:attribute name="onclick">
						var temp = jQuery('#exchange-selectDomain').val();
						inchorus.$('<xsl:value-of select="$parentid" />-history-filter').setParameters(
							{
								"systemid": temp,
								"ftObjectcode": "MAILBOXALL"
							}
						);
						inchorus.$('<xsl:value-of select="$parentid" />-history-list').setParameters(
							{
								"systemid" : temp,
								"ftSystemid" : temp,
								"ftObjectcode": "MAILBOXALL"
							}
						);
						inchorus.$('<xsl:value-of select="$parentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$parentid" />-button-history-list').setHighlighting("high");
						inchorus.$('<xsl:value-of select="$parentid" />-filter').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-history-filter').activate();
						jQuery('#<xsl:value-of select="$parentid" />-buttonbar').removeClass('nofilter');
						jQuery('#<xsl:value-of select="$parentid" />-button-config').show();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports-wrapper').hide();						
						inchorus.$('<xsl:value-of select="$parentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-history-list').activate();
						inchorus.$('<xsl:value-of select="$parentid" />-history-list').activate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-charts').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-button-list').setHighlighting("low");
						//inchorus.$('<xsl:value-of select="$parentid" />-button-charts').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$parentid" />-button-history-list').setHighlighting("high");
						<!-- inchorus.$('<xsl:value-of select="$parentid" />-history-list').submit(); -->
					</xsl:attribute>
					<!-- <xsl:attribute name="highlighting">low</xsl:attribute> -->
					<xsl:choose>
						<xsl:when test="$view = 'group-history-list'">
							<xsl:attribute name="highlighting">high</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="highlighting">low</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</inchorus-button>
			</div>
			<div class="dac-buttonbar-wrapper">
				<div>
					<xsl:choose>
						<xsl:when test="not ($view) or $view = '' or $view = 'mailbox-list'">
							<xsl:attribute name="style">text-align:right;color:#888;line-height:34px;display-inline:block;display:block</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="style">text-align:right;color:#888;line-height:34px;display-inline:block;display:none</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-reports-wrapper</xsl:attribute>
					Report: 
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
						<xsl:attribute name="type">icon</xsl:attribute>
						<xsl:attribute name="icon">reports</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports"/></xsl:attribute>
						<xsl:attribute name="onclick">
							inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setPosition('bottom-left');
							inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setLinkedpointerid('<xsl:value-of select="$parentid" />-button-reports');
							inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').activate();
						</xsl:attribute>
						<xsl:attribute name="style">margin-left: 10px;</xsl:attribute>
						<xsl:attribute name="highlighting">low</xsl:attribute>
						<xsl:attribute name="class">dac-buttonbar-button-right</xsl:attribute>
					</inchorus-button>
				</div>
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-print</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">print</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_print"/></xsl:attribute>
					<xsl:attribute name="onclick">
						parameters = jQuery('#exchange-admin-mailboxes-list').attr('filters');
						parameters = parameters.replace(']',',{"exporttype":"html"}]');
						jQuery('#<xsl:value-of select="$parentid"/>-report-form').attr('parameters',parameters);
						inchorus.$('<xsl:value-of select="$parentid"/>-report-form').setResponsetype('tab');
						inchorus.$('<xsl:value-of select="$parentid"/>-report-form').submit();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
				-->
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-config</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">config</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_config"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').setAlternativecontentfile('<xsl:value-of select="$parentid" />-lightbox-config');
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-persons-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
				-->
			</div>
		</div>		
	
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-list</xsl:attribute>
			<xsl:choose>
				<xsl:when test="not ($view) or $view = '' or $view = 'mailbox-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
						
			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="sortdirection">asc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">name</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<xsl:attribute name="parameters">[{"ftSystemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
				<xsl:attribute name="command">filterAllMailboxes</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-exchange-margintop-20px</xsl:attribute>		
			</inchorus-list>
		</inchorus-content>
		
		<inchorus-content>
			<xsl:attribute name="id">exchange-admin-general-effective-tree</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="alternativecontentfile">exchange-admin-general-effective-tree</xsl:attribute>
			<xsl:attribute name="command">getDefaultData</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
		</inchorus-content>
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-history-list</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$view = 'group-history-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>

			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-history-list</xsl:attribute>	
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-history-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="active">false</xsl:attribute>
				<xsl:attribute name="sortdirection">desc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">datetime</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<xsl:attribute name="parameters">[{"ftObjectcode":"MAILBOXALL","ftSystemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">filterHistory</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-exchange-margintop-20px</xsl:attribute>
			</inchorus-list>
		</inchorus-content>
	
	<inchorus-content>
		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-charts</xsl:attribute>
		<xsl:attribute name="active">false</xsl:attribute>
		<xsl:attribute name="hascontentfile">true</xsl:attribute>
		<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-content-charts</xsl:attribute>
		<xsl:attribute name="command">getMailboxChart</xsl:attribute>
	</inchorus-content>
	
	<inchorus-tooltip>
		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-report</xsl:attribute>
		<xsl:attribute name="position">bottom-left</xsl:attribute>
		<xsl:attribute name="active">false</xsl:attribute>
		<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
		<xsl:attribute name="hascontentfile">false</xsl:attribute>
		<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
		<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
		<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
		<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
		
		<div class="dac-exchange-tooltip-wrapper">
			<div class="dac-exchange-reports-preload-loading"/>
			<div class="dac-exchange-tooltip-reports-row">
				<xsl:attribute name="onClick">
					parameters = jQuery('#exchange-admin-mailboxes-list').attr('filters');
					if (parameters != '[]') {
						parameters = parameters.replace(']',',{"exporttype":"pdf"},{"orientation":"portrait"}]');
					} else {
						parameters = '[{"exporttype":"pdf"},{"orientation":"portrait"}]';
					}			
					jQuery('#<xsl:value-of select="$parentid"/>-report-form').attr('parameters',parameters);
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').setResponsetype('download');
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').submit();
					
					jQuery("#<xsl:value-of select="$parentid" />-tooltip-report-pdf-portrait").attr('class','dac-exchange-reports-loading');
  					inchorus.$.delay(
						2000, 
						"inchorus.$('<xsl:value-of select="$parentid" />-tooltip-report').deactivate();jQuery('#<xsl:value-of select="$parentid" />-tooltip-report-pdf-portrait').attr('class','dac-exchange-reports-pdf')"
					);
					
				</xsl:attribute>
				<div class="dac-exchange-reports-pdf">
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-report-pdf-portrait</xsl:attribute>
				</div>
				<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
			</div>
			<div class="dac-exchange-tooltip-reports-row">
				<xsl:attribute name="onClick">
					parameters = jQuery('#exchange-admin-mailboxes-list').attr('filters');
					if (parameters != '[]') {
						parameters = parameters.replace(']',',{"exporttype":"pdf"},{"orientation":"landscape"}]');
					} else {
						parameters = '[{"exporttype":"pdf"},{"orientation":"landscape"}]';
					}			
					jQuery('#<xsl:value-of select="$parentid"/>-report-form').attr('parameters',parameters);
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').setResponsetype('download');
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').submit();
					
					jQuery("#<xsl:value-of select="$parentid" />-tooltip-report-pdf-landscape").attr('class','dac-exchange-reports-loading');
 					inchorus.$.delay(
						2000, 
						"inchorus.$('<xsl:value-of select="$parentid" />-tooltip-report').deactivate();jQuery('#<xsl:value-of select="$parentid" />-tooltip-report-pdf-landscape').attr('class','dac-exchange-reports-pdf')"
					);	
					
				</xsl:attribute>
				<div class="dac-exchange-reports-pdf">					
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-report-pdf-landscape</xsl:attribute>				
				</div>
				<xsl:value-of select="$inchorus_tooltip_reports_pdf_details" />
			</div>
			<!-- 
			<div class="dac-exchange-tooltip-reports-row">
				<div class="dac-exchange-reports-xsl" />
				<xsl:value-of select="$inchorus_tooltip_reports_xsl" />
			</div>
			-->
			<div class="dac-exchange-tooltip-reports-row-last">
				<xsl:attribute name="onClick">
					parameters = jQuery('#exchange-admin-mailboxes-list').attr('filters');
					if (parameters != '[]') {
						parameters = parameters.replace(']',',{"exporttype":"csv"}]');
					} else {
						parameters = '[{"exporttype":"csv"}]';
					}	
					jQuery('#<xsl:value-of select="$parentid"/>-report-form').attr('parameters',parameters);
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').setResponsetype('download');
					inchorus.$('<xsl:value-of select="$parentid"/>-report-form').submit();
					
					jQuery("#<xsl:value-of select="$parentid" />-tooltip-report-csv").attr('class','dac-exchange-reports-loading');
 					inchorus.$.delay(
						2000, 
						"inchorus.$('<xsl:value-of select="$parentid" />-tooltip-report').deactivate();jQuery('#<xsl:value-of select="$parentid" />-tooltip-report-csv').attr('class','dac-exchange-reports-csv')"
					);	
				</xsl:attribute>
				<div class="dac-exchange-reports-csv">
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-report-csv</xsl:attribute>
				</div>
				<xsl:value-of select="$inchorus_tooltip_reports_csv" />
			</div>
		</div>
		
	</inchorus-tooltip>
	
	<inchorus-form>
		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-report-form</xsl:attribute>
		<xsl:attribute name="submitprefix">inc-</xsl:attribute>
		<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-reports-response</xsl:attribute>
		<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-reports-response</xsl:attribute>
		<xsl:attribute name="responsetype">download</xsl:attribute>
		<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		<xsl:attribute name="command">exportAllMailboxes</xsl:attribute>
	</inchorus-form>
	<div>
		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-reports-response</xsl:attribute>
	</div>
	
		
	<inchorus-lightbox>
		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-lightbox</xsl:attribute>	
		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	</inchorus-lightbox>
	
	<style>
		#apexcharts-bar-area-0 {
			min-width:40px;
		}
	</style>
	</xsl:template>
</xsl:stylesheet>