<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" /> 
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_person.xsl" /> 
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" /> 
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-policies</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin</xsl:variable>
		<xsl:variable name="previouspreviousparentid">exchange</xsl:variable>
		<xsl:variable name="riskfilter" select="//parameters/parameter[@name='riskfilter']" />
		<xsl:variable name="total" select="policies/policiessummary/total" />
		<xsl:variable name="error" select="policies/policiessummary/error" />
		<xsl:variable name="disabled" select="policies/policiessummary/disabled" />
		<xsl:variable name="level_high" select="policies/policiessummary/level_high" />
		<xsl:variable name="level_medium" select="policies/policiessummary/level_medium" />
		<xsl:variable name="level_sum" select="$level_high + $level_medium" />
		<xsl:variable name="filterLevel" select="policies/policiessummary/filterLevel" />

		<div>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-buttonbar</xsl:attribute>

			<div class="dac-exchange-buttonbar-wrapper">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-list</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">menu</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_list"/></xsl:attribute>
					<xsl:attribute name="onclick">

					</xsl:attribute>
					<xsl:attribute name="highlighting">high</xsl:attribute>
				</inchorus-button>
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-charts</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">statistic</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_chart"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-filter').clear();
						jQuery('#<xsl:value-of select="$previousparentid" />-filter').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-buttonbar').addClass('nofilter');
						jQuery('#<xsl:value-of select="$previousparentid" />-button-config').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').hide();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-charts').activate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-charts').setHighlighting("high");
					</xsl:attribute>
				</inchorus-button>
				-->
			</div>
			<div class="dac-exchange-buttonbar-wrapper">
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setPosition('bottom-left');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setLinkedpointerid('<xsl:value-of select="$parentid" />-button-reports');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-exchange-buttonbar-button-right</xsl:attribute>
				</inchorus-button>

				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-config</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">config</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_config"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').setAlternativecontentfile('<xsl:value-of select="$parentid" />-lightbox-config');
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-exchange-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
				-->
			</div>
		</div>
		
		
		<div style="margin-top:20px;">
			<div class="policies-quickfilter-box">
				<xsl:attribute name="onClick">
					inchorus.$('exchange-admin-policies').setParameters(
						{
							"riskfilter":"risk_high"
						}
					);
					inchorus.$('exchange-admin-policies').load();
				</xsl:attribute>
				<div class="dashboard-statistic dashboard-statistic-bordergrey policies-risky">
					<div>
						<div class="policies-wrapper-h3">
							<h3><xsl:value-of select="$level_high"/></h3>
						</div>
						<div class="policies-wrapper-span">
							<span>
								<xsl:value-of select="$exchange_message_policies_show_critical" />
							</span>
						</div>
					</div>
				</div>
			</div>

		<div class="policies-quickfilter-box">
			<xsl:attribute name="onClick">
				inchorus.$('exchange-admin-policies').setParameters(
					{
						"riskfilter":"risk_medium"
					}
				);
				inchorus.$('exchange-admin-policies').load();
			</xsl:attribute>
			<div class="dashboard-statistic dashboard-statistic-bordergrey policies-middlerisky">
				<div>
					<div class="policies-wrapper-h3">
						<h3><xsl:value-of select="$level_medium"/></h3>
					</div>
					<div class="policies-wrapper-span">
						<span>
							<xsl:value-of select="$exchange_message_policies_show_mediumcritical" />
						</span>
					</div>
				</div>
			</div>
		</div>
		<!-- 
		<div class="policies-quickfilter-box">
			<div class="dashboard-statistic dashboard-statistic-bordergrey policies-lowrisky">
				<div>
					<div class="policies-wrapper-h3">
						<h3>2</h3>
					</div>
					<div class="policies-wrapper-span">
						<span>
							weniger kritische Richtlinien (Kritikalität 3)
						</span>
					</div>
				</div>
			</div>
		</div>
		-->
		<div class="policies-quickfilter-box">
			<xsl:attribute name="onClick">
				inchorus.$('exchange-admin-policies').setParameters(
					{
						"riskfilter":"all"
					}
				);
				inchorus.$('exchange-admin-policies').load();
			</xsl:attribute>
			<div class="dashboard-statistic dashboard-statistic-bordergrey policies-all">
				<div>
					<div class="policies-wrapper-h3">
						<h3><xsl:value-of select="$total"/></h3>
					</div>
					<div class="policies-wrapper-span">
						<span>
							<xsl:value-of select="$exchange_message_policies_show_all_1" /><br/><xsl:value-of select="$exchange_message_policies_show_all_2" />
						</span>
					</div>
				</div>
			</div>
		</div>
	</div>
		<div style="clear:both;"/>	
		
		<xsl:if test="$error != '0' and $riskfilter='all'">		
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-policieserrors</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<xsl:value-of select="$exchange_message_policies_error_text_1" />&#160;<xsl:value-of select="$error" />&#160;<xsl:value-of select="$exchange_message_policies_error_text_2" />
			</inchorus-message>		
		</xsl:if>
		
		<xsl:if test="$disabled != '0' and $riskfilter='all'">		
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-disabled</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<xsl:value-of select="$exchange_message_policies_disabled_text_1" />&#160;<xsl:value-of select="$disabled" />&#160;<xsl:value-of select="$exchange_message_policies_disabled_text_2" />
			</inchorus-message>		
		</xsl:if>
		
		<xsl:choose>
			<xsl:when test="policies/policy">
				<xsl:for-each select="policies/policy">
					<xsl:variable name="policyid" select="policyid" />
					<xsl:variable name="description" select="description" />
					<xsl:variable name="message" select="message" />
					<xsl:variable name="level" select="level" />
					<xsl:variable name="resultcode" select="resultcode" />
										
					<xsl:if test="$resultcode = 'SUCCESS'">						
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-<xsl:value-of select="$policyid" /></xsl:attribute>
							<xsl:attribute name="type">
								<xsl:choose>
									<xsl:when test="$level = 'high'">error</xsl:when>
									<xsl:when test="$level = 'medium'">warning</xsl:when>
									<xsl:when test="$level = 'low'">success</xsl:when>
									<xsl:when test="$level = 'none'">node</xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="onclick">
								exchange.slider.showDetailsMaximized(
									{
										"policyid":"<xsl:value-of select="$policyid"/>"
									}
								);
							</xsl:attribute>
							<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
							<b><xsl:value-of select="$description" /></b> - <i><xsl:value-of select="$message" /></i>
						</inchorus-message>
					</xsl:if>				
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$total = '0'">
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$exchange_message_policies_no_policies" />
						</inchorus-message>
					</xsl:when>
					<xsl:when test="$level_high = '0'">
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$exchange_message_policies_no_critical" />
						</inchorus-message>
					</xsl:when>
					<xsl:when test="$level_medium = '0'">
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$exchange_message_policies_no_mediumcritical" />
						</inchorus-message>
					</xsl:when>
					<xsl:otherwise>
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$exchange_message_policies_no_policies" />
						</inchorus-message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>