<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin-quickfilter</xsl:variable>
		<xsl:variable name="previousparentid">exchange-admin</xsl:variable>
		<xsl:variable name="countusers" select="//data/countusers" />
		<xsl:variable name="countmailboxes" select="//data/countmailboxes" />
		<xsl:variable name="countdistributiongroups" select="//data/countdistributiongroups" />
		<xsl:variable name="countdomain" select="count(//data/systems/system)" />
		<xsl:variable name="domainname" select="//data/systems/system/name" />
		<xsl:variable name="domainname_length" select="string-length($domainname)" />
		<xsl:variable name="domainid" select="//data/systems/system/systemid" />
		<xsl:variable name="active" select="//parameters/parameter[@name='active']" />
		<!-- <xsl:variable name="qf" select="//parameters/parameter[@name='qf']" /> -->
		<xsl:variable name="view" select="//parameters/parameter[@name='view']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="systemname" select="//parameters/parameter[@name='systemname']" />
		<xsl:variable name="systemname_length" select="string-length($systemname)" />

		<div class="exchange-admin-quickfilter-row">
		
			<script>
				<!-- inchorus.$('<xsl:value-of select="$previousparentid" />-users').setParameters(
					{
						"systemid":"<xsl:value-of select="$systemid" />"
					}
				); -->
				inchorus.$('<xsl:value-of select="$previousparentid" />-mailboxes').setParameters(
					{
						"systemid":"<xsl:value-of select="$systemid" />"
					}
				);	
				inchorus.$('<xsl:value-of select="$previousparentid" />-distributiongroups').setParameters(
					{
						"systemid":"<xsl:value-of select="$systemid" />"
					}
				);			
			</script>
			
			
			<div id="exchange-admin-quickfilter-selectdomain" class="exchange-admin-quickfilter-row-box exchange-admin-quickfilter-exchange">
				<!-- <xsl:if test="$countdomain = '1'"> -->
					<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$parentid" />-tooltip-selectdomain').setPosition('bottom-center');
							inchorus.$('<xsl:value-of select="$parentid" />-tooltip-selectdomain').setLinkedpointerid('<xsl:value-of select="$parentid" />-selectdomain');
							inchorus.$('<xsl:value-of select="$parentid" />-tooltip-selectdomain').activate();
					</xsl:attribute>
				<!--  </xsl:if> -->
				<div class="dashboard-statistic color-green exchange-admin-quickfilter-row-box-wrapper" style="cursor: default;" >
					<xsl:if test="$countdomain = '1'">
						<xsl:attribute name="title"><xsl:value-of select="$domainname" /></xsl:attribute>
					</xsl:if>
					
					<div class="exchange-admin-quickfilter-row-box-content">
						<div class="exchange-admin-quickfilter-headline">
							<h3>
								<xsl:attribute name="id"><xsl:value-of select="$parentid" />-exchange-h3</xsl:attribute>
								<xsl:choose>
									<xsl:when test="$countdomain = '1'">
										<xsl:choose>
											<xsl:when test="$domainname_length &gt; '9' and $domainname_length &lt; '11'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-35pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$domainname_length &gt; '10' and $domainname_length &lt; '13'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-30pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$domainname_length &gt; '12' and $domainname_length &lt; '15'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-25pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$domainname_length &gt; '14'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-20pt</xsl:attribute>
											</xsl:when>
										</xsl:choose>	
									</xsl:when>
									<xsl:when test="$systemid != ''">
										<xsl:choose>
											<xsl:when test="$systemname_length &gt; '10' and $systemname_length &lt; '12'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-35pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$systemname_length &gt; '11' and $systemname_length &lt; '14'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-30pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$systemname_length &gt; '13' and $systemname_length &lt; '16'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-25pt</xsl:attribute>
											</xsl:when>
											<xsl:when test="$systemname_length &gt; '15'">
												<xsl:attribute name="class"><xsl:value-of select="$parentid" />-headline-fontsize-20pt</xsl:attribute>
											</xsl:when>
										</xsl:choose>	
									</xsl:when>
								</xsl:choose>
															
								
								<xsl:choose>
									<xsl:when test="$countdomain = '1'">
										<xsl:choose>
											<xsl:when test="$domainname_length &gt; '18'">
												<xsl:call-template name="shorten">
													<xsl:with-param name="string" select="$domainname"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$domainname"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="$systemid != ''">
										<xsl:choose>
											<xsl:when test="$systemname_length &gt; '18'">
												<xsl:call-template name="shorten">
													<xsl:with-param name="string" select="$systemname"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$systemname"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$countdomain"/>
									</xsl:otherwise>
								</xsl:choose>
							</h3>
						</div>
						<xsl:if test="$countdomain != '1'">
							<div class="exchange-admin-quickfilter-text">
								<span class="exchange-admin-quickfilter-green">
									<xsl:choose>
										<xsl:when test="$countdomain != '1' and $systemid = ''">
											<xsl:value-of select="$exchange_admin_quickfilter_mailboxes_domains_1" /><br/><xsl:value-of select="$exchange_admin_quickfilter_mailboxes_domains_2" />
										</xsl:when>
										<xsl:otherwise>
										</xsl:otherwise>
									</xsl:choose> 
								</span>
							</div>
						</xsl:if>
					</div>
				</div>
			</div>
			<!-- User -->
			<!-- <div class="exchange-admin-quickfilter-row-box"> 
 				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').setParameters(
						{
							"systemid":"<xsl:value-of select="$systemid" />",
							"systemname":"<xsl:value-of select="$systemname" />",
							"active":"users"
						}
					);
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').load();
					inchorus.$('<xsl:value-of select="$previousparentid" />-users').activate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-mailboxes').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-distributiongroups').deactivate();
				</xsl:attribute>
				<div class="dashboard-statistic color-green exchange-admin-quickfilter-row-box-wrapper">
					<xsl:attribute name="title">
						<xsl:value-of select="$countusers" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_user_1" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_user_2" />
					</xsl:attribute>
					<div>
						<xsl:choose>
							<xsl:when test="not($active) and not($view)">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-users-active</xsl:attribute>
							</xsl:when>
							<xsl:when test="$active = 'users' or $view = '' or $view = 'mailbox-list' or $view = 'mailbox-history-list'">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-users-active</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-users</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<div class="exchange-admin-quickfilter-headline">
							<h3>
								<xsl:call-template name="format-longnumber">
									<xsl:with-param name="number" select="$countusers"/>
								</xsl:call-template>
							</h3>
						</div>
						<div class="exchange-admin-quickfilter-text">
							<span class="exchange-admin-quickfilter-green">
								<xsl:value-of select="$exchange_admin_quickfilter_user_1" /><br/><xsl:value-of select="$exchange_admin_quickfilter_user_2" />
							</span>
						</div>
					</div>
				</div>
			</div> -->
			<div class="exchange-admin-quickfilter-row-box"> <!-- Mailbox -->
				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').setParameters(
						{
							"systemid":"<xsl:value-of select="$systemid" />",
							"systemname":"<xsl:value-of select="$systemname" />",
							"active":"mailboxes"
						}
					);
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').load();
					<!-- inchorus.$('<xsl:value-of select="$previousparentid" />-users').deactivate(); -->
					inchorus.$('<xsl:value-of select="$previousparentid" />-mailboxes').activate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-distributiongroups').deactivate();
				</xsl:attribute>
				<div class="dashboard-statistic color-red exchange-admin-quickfilter-row-box-wrapper">
					<xsl:attribute name="title">
						<xsl:value-of select="$countmailboxes" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_mailboxes_1" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_mailboxes_2" />
					</xsl:attribute>
					<div>
						<xsl:choose>
							<!-- <xsl:when test="not($active) and not($view)">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-groups-active</xsl:attribute>
							</xsl:when> -->
							<xsl:when test="not($active) and not($view)">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-mailboxes-active</xsl:attribute>
							</xsl:when>
							<xsl:when test="$active = 'mailboxes' or $view = '' or $view = 'mailbox-list' or $view = 'mailboxes-history-list'">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-mailboxes-active</xsl:attribute>
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-mailboxes-active</xsl:attribute>
								<script>
								inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').setParameters(
									{
									"active":"mailboxes"
									}
								);
								jQuery('#<xsl:value-of select="$parentid" />').attr('currentlyactive', 'mailboxes')
								</script>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-mailboxes</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<div class="exchange-admin-quickfilter-headline">
							<h3>
								<xsl:call-template name="format-longnumber">
									<xsl:with-param name="number" select="$countmailboxes"/>
								</xsl:call-template>
							</h3>
						</div>
						<div class="exchange-admin-quickfilter-text">
							<span class="exchange-admin-quickfilter-red">
								<xsl:value-of select="$exchange_admin_quickfilter_mailboxes_1" /><br/><xsl:value-of select="$exchange_admin_quickfilter_mailboxes_2" />
							</span>
						</div>
					</div>
				</div>
			</div>
			<div class="exchange-admin-quickfilter-row-box"> <!-- Distributiongroup -->
				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').setParameters(
						{
							"systemid":"<xsl:value-of select="$systemid" />",
							"systemname":"<xsl:value-of select="$systemname" />",
							"active":"distributiongroups"
						}
					);
					jQuery('#<xsl:value-of select="$parentid" />').attr('currentlyactive', 'distributiongroups')
					inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').load();
					<!-- inchorus.$('<xsl:value-of select="$previousparentid" />-users').deactivate(); -->
					inchorus.$('<xsl:value-of select="$previousparentid" />-mailboxes').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-distributiongroups').activate();
				</xsl:attribute>
				<div class="dashboard-statistic color-red exchange-admin-quickfilter-row-box-wrapper">
					<xsl:attribute name="title">
						<xsl:value-of select="$countdistributiongroups" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_distributiongroups_1" />&#160;<xsl:value-of select="$exchange_admin_quickfilter_distributiongroups_2" />
					</xsl:attribute>
					<div>
						<xsl:choose>
							<xsl:when test="$active = 'distributiongroups' or $view = 'distributiongroup-list' or $view = 'distributiongroup-history-list'">
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-distributionlists-active</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="class">exchange-admin-quickfilter-row-box-content exchange-admin-quickfilter-distributionlists</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<div class="exchange-admin-quickfilter-headline">
							<h3>
								<xsl:call-template name="format-longnumber">
									<xsl:with-param name="number" select="$countdistributiongroups"/>
								</xsl:call-template>
							</h3>
						</div>
						<div class="exchange-admin-quickfilter-text">
							<span class="exchange-admin-quickfilter-red">
								<xsl:value-of select="$exchange_admin_quickfilter_distributiongroups_1" /><br/><xsl:value-of select="$exchange_admin_quickfilter_distributiongroups_2" />
							</span>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<inchorus-tooltip>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-selectdomain</xsl:attribute>
			<xsl:attribute name="position">bottom-center</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
			<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
			<xsl:attribute name="hascontentfile">false</xsl:attribute>
			<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-selectdomain</xsl:attribute>
			<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
			<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
			<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
			<xsl:attribute name="style">margin-top:-20px;width: 300px;</xsl:attribute>
			
			<div class="exchange-tooltip-wrapper" style="padding: 15px 0px 20px 0px !important;">
				<xsl:value-of select="$exchange_tooltip_text_exchange" />
				<br/><br/>
				<b><xsl:value-of select="$exchange_tooltip_label_exchange" /></b>
					
				<inchorus-select>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-selectdomain</xsl:attribute>
					<xsl:attribute name="name">inc-ftSystemid</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
					<xsl:attribute name="command">getAllExchangeDomains</xsl:attribute>
					<xsl:attribute name="preselect"><xsl:value-of select="$systemid" /></xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>

					<xsl:attribute name="onchange">
						if(jQuery('#exchange-admin-users-filter').attr('active') == 'true') {
							jQuery('#exchange-admin-users-filter-field-systemid').val(jQuery('#exchange-selectDomain').val());
							inchorus.$('exchange-admin-users-filter').submit();
							inchorus.$('exchange-admin-quickfilter-tooltip-selectdomain').deactivate();
							
							systemid = jQuery('#exchange-admin-users-filter-field-systemid').val();
							systemname = $("#exchange-selectDomain option:selected").text();
							
							jQuery('#exchange-selectDomain-table').val(systemid);
							
							inchorus.$('<xsl:value-of select="$parentid" />').setParameters(
								{
									"systemid":systemid,
									"systemname":systemname,
									"active":"users"
								}
							);
							inchorus.$('<xsl:value-of select="$parentid" />').load();
							inchorus.$('exchange-admin-distributiongroups-list').setParameters(
									{
										"ftSystemid":""
									}
								);

						} else {
							jQuery('#exchange-admin-mailboxes-filter-field-systemid').val(jQuery('#exchange-selectDomain').val());
							inchorus.$('exchange-admin-mailboxes-filter').submit();
							inchorus.$('exchange-admin-quickfilter-tooltip-selectdomain').deactivate();

							systemid = jQuery('#exchange-admin-mailboxes-filter-field-systemid').val();
							systemname = $("#exchange-selectDomain option:selected").text();
							
							jQuery('#exchange-selectDomain-table').val(systemid);
							
							inchorus.$('<xsl:value-of select="$parentid" />').setParameters(
								{
									"systemid":systemid,
									"systemname":systemname,
									"active":"groups"
								}
							);
							inchorus.$('<xsl:value-of select="$parentid" />').load();
							inchorus.$('exchange-admin-mailboxes-list').setParameters(
									{
										"ftSystemid":""
									}
								);
							
						};
					</xsl:attribute>
				</inchorus-select>
			</div>
		</inchorus-tooltip>
	</xsl:template>
	
	
	
	<xsl:template name="shorten">
  		<xsl:param name="string" />
		<xsl:choose>
	 		<xsl:when test="string-length($string) > 18">
				<xsl:value-of select="concat(substring($string, 1, 18), '...')"/>
	 		</xsl:when>
	 		<xsl:otherwise>
				<xsl:value-of select="$string"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<xsl:template name="format-longnumber">
	    <xsl:param name="number"/>
	    <xsl:choose>
	      <xsl:when test="$number &lt; '10000'">
	        	<xsl:value-of select="$number"/>
	      </xsl:when>
	      <xsl:when test="$number &lt; '100000'">
	        	<xsl:value-of select="substring($number,1,2)"/>.<xsl:value-of select="substring($number,3,1)"/>k
	      </xsl:when>
	      <xsl:when test="$number = '100000'">
	        	<xsl:value-of select="substring($number,1,2)"/>k
	      </xsl:when>
	      <xsl:when test="$number &lt; '1000000'">
	        	<xsl:value-of select="substring($number,1,3)"/>.<xsl:value-of select="substring($number,4,1)"/>k
	      </xsl:when>
	      <xsl:when test="$number &lt; '1100000'">
	        	1M
	      </xsl:when>
	      <xsl:when test="$number &lt; '10000000'">
	        	<xsl:value-of select="substring($number,1,1)"/>.<xsl:value-of select="substring($number,2,1)"/>M
	      </xsl:when>
	      <xsl:when test="$number &lt; '100000000'">
	        	<xsl:value-of select="substring($number,1,2)"/>.<xsl:value-of select="substring($number,3,1)"/>M
	      </xsl:when>
	      <xsl:when test="$number &lt; '1000000000'">
	        	<xsl:value-of select="substring($number,1,3)"/>M
	      </xsl:when>
	      <xsl:when test="$number &gt;= '1000000000'">
	        	<xsl:value-of select="$number"/>
	      </xsl:when>
	      <xsl:otherwise>
	        	<xsl:value-of select="$number"/>
	      </xsl:otherwise>
	    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>