<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-admin</xsl:variable>
		<xsl:variable name="view" select="//parameters/parameter[@name='view']" />
		<!-- <xsl:variable name="qf" select="//parameters/parameter[@name='qf']" /> -->
		<!-- <xsl:variable name="systemid" select="//data/systems/system/systemid" /> -->
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="domainname" select="//data/systems/system/name" />
		<xsl:variable name="domainid" select="//data/systems/system/systemid" />
		<xsl:variable name="countdomains" select="count(//data/systems/system/systemid)" />
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-headerinfos</xsl:attribute>
			<xsl:attribute name="class">dac-header-infos</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-headerinfos</xsl:attribute>
			<xsl:attribute name="command">getDefaultData</xsl:attribute>
		</inchorus-content>
		
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-quickfilter</xsl:attribute>
			<xsl:attribute name="currentlyactive">mailboxes</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$view = '' or $view = 'mailbox-list' or $view = 'distributiongroup-list' or $view = 'mailbox-history-list' or $view = 'distributiongroup-history-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getAdminQuickfilterCounts</xsl:attribute>
			<xsl:choose>
			<xsl:when test="$countdomains = '1'">
				<xsl:attribute name="parameters">[{"view":"<xsl:value-of select="$view"/>"}, {"systemid":"<xsl:value-of select="$domainid"/>"}]</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="parameters">[{"view":"<xsl:value-of select="$view"/>"}, {"systemid":""}]</xsl:attribute>			
			</xsl:otherwise>
			</xsl:choose>
		</inchorus-content>

		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-mailboxes</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="activationcontentmode">once</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$view = '' or $view = 'mailbox-list' or $view = 'mailbox-history-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="parameters">[{"view":"<xsl:value-of select="$view"/>"}, {"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
		</inchorus-content>
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-distributiongroups</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="activationcontentmode">once</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$view = 'distributiongroup-list' or $view = 'distributiongroup-history-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="parameters">[{"view":"<xsl:value-of select="$view"/>"}, {"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
		</inchorus-content>
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-policies</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-policies</xsl:attribute>
			<xsl:attribute name="activationcontentmode">once</xsl:attribute>
			<xsl:attribute name="parameters">[{"riskfilter":"risk_high"}]</xsl:attribute>
			<xsl:attribute name="command">getPoliciesOverview</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$view = 'policies-list'">
					<xsl:attribute name="active">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="active">false</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</inchorus-content>
	</xsl:template>
</xsl:stylesheet>