<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-form-validity" select="//data/parameters/parameter[@name='inchorus-form-validity']"/>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />	
		<xsl:variable name="contentid" select="//session/contentid" />
		
		<script>
			inchorus.$('exchange-portalsetup-admin-systems-lightbox-addsystem-add-general-button-save').setStatus('enabled');
		</script>

		<xsl:choose>
			<xsl:when test="$inchorus-form-validity='false'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_message_error_validation" />
				</inchorus-message>
			</xsl:when>
			<xsl:when test="$statuscode='ERROR_EXCHANGESYSTEM_CREATE'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_add_response_error_exchangesystemcreate" />
				</inchorus-message>
			</xsl:when>
			<xsl:when test="$statuscode='SUCCESS_EXCHANGESYSTEM_CREATE'">
				<script>
					inchorus.$('system-admin-systems-lightbox').deactivate();
					jQuery('#system-admin-systems-lightbox').removeClass('addsystem_ad_step3');
					inchorus.$('system-admin-systems-list').load();
				</script>
			</xsl:when>		
			
		</xsl:choose>

	</xsl:template>
</xsl:stylesheet>