<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-portalsetup-admin-systems-lightbox-addsystem-add</xsl:variable>
		
		<xsl:variable name="type" select="//data/parameters/parameter[@name='type']"/>
		
		<xsl:variable name="domainname" select="//data/parameters/parameter[@name='domainname']"/>
		<xsl:variable name="servername" select="//data/parameters/parameter[@name='servername']"/>
		<xsl:variable name="systemname" select="//data/parameters/parameter[@name='systemname']"/>
		<xsl:variable name="domainbasedn" select="//data/parameters/parameter[@name='domainbasedn']"/>
		<xsl:variable name="host" select="//data/parameters/parameter[@name='host']"/>
		<xsl:variable name="hostname" select="//data/parameters/parameter[@name='hostname']"/>
		<xsl:variable name="ssl" select="//data/parameters/parameter[@name='ssl']"/>
		<xsl:variable name="port" select="//data/parameters/parameter[@name='port']"/>
		<xsl:variable name="userid" select="//data/parameters/parameter[@name='userid']"/>
		<xsl:variable name="userpw" select="//data/parameters/parameter[@name='userpw']"/>
		
		<xsl:variable name="tenantname" select="//data/parameters/parameter[@name='tenantname']"/>
		<xsl:variable name="organization" select="//data/parameters/parameter[@name='organization']"/>
		<xsl:variable name="tenantid" select="//data/parameters/parameter[@name='tenantid']"/>
		<xsl:variable name="appid" select="//data/parameters/parameter[@name='appid']"/>
		<xsl:variable name="certThumbprint" select="//data/parameters/parameter[@name='certThumbprint']"/>
		<xsl:variable name="connecteddomain" select="//data/parameters/parameter[@name='connecteddomain']" />
		
			<h3>
				<xsl:value-of select="$exchange_setup_lightbox_addsystem_header" />
			</h3>
			
			<div class="inchorus-lightbox-options">
			
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" />Test|<xsl:value-of select="$systemname" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('system-admin-systems-lightbox').deactivate();
						jQuery('#system-admin-systems-lightbox').removeClass('addsystem_ad_step3');
					</xsl:attribute>
		 		</inchorus-button>
				
			</div>
			
			
			
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-general-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">
				<xsl:choose>
					<xsl:when test="$tenantname != ''">createExchangeOnlineSystem</xsl:when>
					<xsl:otherwise>createExchangeSystem</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			
			<div style="padding:10px 20px 10px 20px;">
	 			<inchorus-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-general</xsl:attribute>
	      			<xsl:attribute name="command">getDefaultData</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	      		</inchorus-content>
			</div>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-domainname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$domainname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-servername</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$servername"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-systemname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$systemname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-domainbasedn</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$domainbasedn"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-host</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$host"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-hostname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$hostname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-ssl</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$ssl"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-port</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$port"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-userid</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$userid"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userpw</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-userpw</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$userpw"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-tenantname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$tenantname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-organization</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$organization"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-tenantid</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$tenantid"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-appid</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$appid"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-certThumbprint</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$certThumbprint"/></xsl:attribute>
			</input>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>