<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-online</xsl:variable>
		
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-response</xsl:attribute>
			<xsl:attribute name="responsetargetid">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">checkExchangeOnlineConnection</xsl:attribute>
			<!-- <xsl:attribute name="command">getDefaultData</xsl:attribute> -->
			
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-systemname</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_systemname" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemname</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-systemname</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-systemname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-systemname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-systemname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemname-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-systemname</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_systemname" />
					</div>
				</inchorus-tooltip>
			</div>		
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenantname</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_entraid_tenant" />*
				</label>
				<inchorus-select>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-tenantname</xsl:attribute>
					<xsl:attribute name="name">inc-tenantname</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
					<xsl:attribute name="command">getEntraIDSystems</xsl:attribute>
					<xsl:attribute name="parameters">[{"callFrom":"systemsetup-host"}]</xsl:attribute>
					<!-- <xsl:attribute name="preselect"><xsl:value-of select="$type" /></xsl:attribute> -->
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-tenantname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</inchorus-select>
				<!--  
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantname</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-tenantname</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-tenantname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				-->
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantname-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-tenantname</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_tenant" />
					</div>
				</inchorus-tooltip>
			</div>
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-organization</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_organization" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-organization</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-organization</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-organization-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-organization-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-organization').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-organization-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-organization</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_organization" />
					</div>
				</inchorus-tooltip>
			</div>	
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenantid</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_tenantid" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantid</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-tenantid</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-tenantid-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenantid-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-tenantid').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantid-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-tenantid</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_tenantid" />
					</div>
				</inchorus-tooltip>
			</div>
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-appid</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_appid" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-appid</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-appid</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-appid-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-appid-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-appid').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-appid-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-appid</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_appid" />
					</div>
				</inchorus-tooltip>
			</div>
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-certThumbprint</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_certThumbprint" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-certThumbprint</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-certThumbprint</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>	
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-certThumbprint-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-certThumbprint-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-certThumbprint').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-certThumbprint-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-certThumbprint</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_certThumbprint" />
					</div>
				</inchorus-tooltip>
			</div>
			
			<div id="exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-response"/>
			
			<div class="dac-buttons-wrapper">
				<inchorus-button>
					<xsl:attribute name="id">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-button-check</xsl:attribute>
					<xsl:attribute name="class">dac-system-lightbox-button-check</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_add" /></xsl:attribute>
					<xsl:attribute name="status">enabled</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-button-check').setStatus('loading');
						//const certThumbprint = document.getElementById('<xsl:value-of select="$parentid"/>-certThumbprint');
						//certThumbprint.value = btoa(unescape(encodeURIComponent(certThumbprint.value)));
						inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
						//certThumbprint.value = '';
					</xsl:attribute>
				</inchorus-button>

				<inchorus-button>
					<xsl:attribute name="id">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-button-abort</xsl:attribute>
					<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
					<xsl:attribute name="type">icontext</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('system-admin-systems-lightbox').deactivate();
					</xsl:attribute>
				</inchorus-button>
				
				<inchorus-button>
					<xsl:attribute name="id">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange-button-next</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_next" /></xsl:attribute>
					<xsl:attribute name="onclick">
						jQuery('#system-admin-systems-lightbox').removeClass('addsystem_exchange_step2');
						jQuery('#system-admin-systems-lightbox').addClass('addsystem_exchange_step3');
						inchorus.$('system-admin-systems-lightbox').load();
					</xsl:attribute>
				</inchorus-button>
			</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>