<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange</xsl:variable>
		<xsl:variable name="previousparentid">exchange-portalsetup-admin-systems-lightbox-addsystem</xsl:variable>

		<h3>
			<xsl:value-of select="$exchange_setup_system_lightbox_host_header" />
		</h3>
		<div class="inchorus-lightbox-options">
		
		<!-- lightbox close button start -->
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
				<xsl:attribute name="type">icon</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="border">false</xsl:attribute>
				<xsl:attribute name="highlighting">none</xsl:attribute>
				<xsl:attribute name="hover">false</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" /></xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('system-admin-systems-lightbox').deactivate();
					jQuery('#system-admin-systems-lightbox').removeClass('addsystem_exchange_step2');
				</xsl:attribute>
	 		</inchorus-button>
		<!-- lightbox close button end -->
			
		</div>
	
		<div style="padding:0px 20px 10px 20px;">
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field" style="line-height: 60px;margin-bottom:10px;">
					<xsl:value-of select="$exchange_setup_system_lightbox_radio_select_options" />*
				</label>
				<inchorus-radio id="radio-exchange" style="padding-top: 10px;">
				    <xsl:attribute name="name">inc-radio-exchange</xsl:attribute>
				    <xsl:attribute name="type">horizontal</xsl:attribute>
				    <xsl:attribute name="preselect">radio-exchange-onpremise</xsl:attribute>
				  
				    <inchorus-radio-item>
					    <xsl:attribute name="id">radio-exchange-onpremise</xsl:attribute>
					    <xsl:attribute name="name">radio-exchange-onpremise</xsl:attribute>
					    <xsl:attribute name="text">Exchange On-Premise</xsl:attribute>
					    <xsl:attribute name="value">onpremise</xsl:attribute>
					    <xsl:attribute name="style">margin-bottom: 10px;</xsl:attribute>
					    <xsl:attribute name="onclick">
					    	inchorus.$('<xsl:value-of select="$parentid"/>-online').deactivate();
					    	inchorus.$('<xsl:value-of select="$parentid"/>-onpremise').activate();
					    </xsl:attribute>
				    </inchorus-radio-item>
				  
				    <inchorus-radio-item>
					    <xsl:attribute name="id">radio-exchange-online</xsl:attribute>
					    <xsl:attribute name="name">radio-exchange-online</xsl:attribute>
					    <xsl:attribute name="text">Exchange Online</xsl:attribute>
					    <xsl:attribute name="value">online</xsl:attribute>
					    <xsl:attribute name="style">margin-bottom: 10px;</xsl:attribute>
					    <xsl:attribute name="onclick">
					    	inchorus.$('<xsl:value-of select="$parentid"/>-onpremise').deactivate();
					    	inchorus.$('<xsl:value-of select="$parentid"/>-online').activate();
					    </xsl:attribute>
				    </inchorus-radio-item>
			  	</inchorus-radio>
		  	</div>
				  	
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-onpremise</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="command">getDefaultData</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
			</inchorus-content>
			
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-online</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="command">getDefaultData</xsl:attribute>
				<xsl:attribute name="active">false</xsl:attribute>
			</inchorus-content>
		
		</div>
	</xsl:template>
</xsl:stylesheet>