<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-portalsetup-admin-systems-lightbox-editsystem-exchange-online</xsl:variable>
		<xsl:variable name="previousparentidtemp">exchange-portalsetup-admin-systems-lightbox-editsystem-exchange</xsl:variable>
		<xsl:variable name="previousparentid">slider-systemdetails-lightbox-editsystem</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="systemname" select="//data/systems/system/parameters/parameter[@name='systemname']"/>
		<xsl:variable name="tenantname" select="//data/systems/system/parameters/parameter[@name='tenantname']" />
		<xsl:variable name="organization" select="//data/systems/system/parameters/parameter[@name='organization']" />
		<xsl:variable name="appid" select="//data/systems/system/parameters/parameter[@name='appid']" />
		<xsl:variable name="tenantid" select="//data/systems/system/parameters/parameter[@name='tenantid']" />
		<xsl:variable name="certThumbprint" select="//data/systems/system/parameters/parameter[@name='certThumbprint']" />
		<xsl:variable name="schedule" select="//data/systems/collectors/collector/schedule"/>
		<xsl:variable name="loglevel" select="//data/systems/collectors/collector/loglevel"/>
		<xsl:variable name="historymaxnumberofdays" select="//data/systems/collectors/collector/historymaxnumberofdays"/>
		<xsl:variable name="statisticmaxnumberofdays" select="//data/systems/collectors/collector/statisticmaxnumberofdays"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$previousparentidtemp"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">modifyExchangeOnlineSystem</xsl:attribute>
		
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemid</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$systemid"/></xsl:attribute>
				<xsl:attribute name="name">inc-systemid</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-appid-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$appid"/></xsl:attribute>
				<xsl:attribute name="name">inc-appid-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-certThumbprint-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$certThumbprint"/></xsl:attribute>
				<xsl:attribute name="name">inc-certThumbprint-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-organization-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$organization"/></xsl:attribute>
				<xsl:attribute name="name">inc-organization-old</xsl:attribute>
			</input>
			
				<div style="padding:0px 0px 0px 0px;">
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
							
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-systemname</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_systemname" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemname</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$systemname" /></xsl:attribute>
									<xsl:attribute name="name">inc-systemname</xsl:attribute>
									<xsl:attribute name="disabled">disabled</xsl:attribute>
								</input>	
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper" style="padding-left:15px;">							
							
 								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenantname</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_entraid_tenant" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-tenantname</xsl:attribute>
									<xsl:attribute name="name">inc-tenantname</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
									<xsl:attribute name="command">getEntraIDSystems</xsl:attribute>
									<xsl:attribute name="parameters">[{"callFrom":"systemsetup-host"}]</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$tenantname" /></xsl:attribute>
									<!-- <xsl:attribute name="preselect"><xsl:value-of select="$type" /></xsl:attribute> -->
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenantname-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-tenantname').removeClass('inchorus-form-invalid');
										//inchorus.$('databases-systemdb-form-error').deactivate();
									</xsl:attribute>
								</inchorus-select>

								<!-- 
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantname-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-tenantname</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_tenantname" />
									</div>
								</inchorus-tooltip>							
							 	-->
							</div>
						</div>
					</div>
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">		
							
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-organization</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_organization" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-organization</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$organization" /></xsl:attribute>
									<xsl:attribute name="name">inc-organization</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-organization-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-organization-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-organization').removeClass('inchorus-form-invalid');
										//inchorus.$('databases-systemdb-form-error').deactivate();
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-organization-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-organization</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
				
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_organization" />
									</div>
								</inchorus-tooltip>														
							
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper" style="padding-left:15px;">							

								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenantid</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_tenantid" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantid</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$tenantid" /></xsl:attribute>
									<xsl:attribute name="name">inc-tenantid</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-tenantid-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenantid-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-tenantid').removeClass('inchorus-form-invalid');
										//inchorus.$('databases-systemdb-form-error').deactivate();
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantid-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-tenantid</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
				
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_tenantid" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>							
					
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">		
							
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-appid</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_appid" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-appid</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$appid" /></xsl:attribute>
									<xsl:attribute name="name">inc-appid</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-appid-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-appid-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-appid').removeClass('inchorus-form-invalid');
										//inchorus.$('databases-systemdb-form-error').deactivate();
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-appid-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-appid</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
				
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_appid" />
									</div>
								</inchorus-tooltip>		
							
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper" style="padding-left:15px;">							

								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-certThumbprint</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_certThumbprint" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-certThumbprint</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$certThumbprint" /></xsl:attribute>
									<xsl:attribute name="name">inc-certThumbprint</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>	
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-certThumbprint-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-certThumbprint-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-certThumbprint').removeClass('inchorus-form-invalid');
										//inchorus.$('databases-systemdb-form-error').deactivate();
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-certThumbprint-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-certThumbprint</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
				
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_certThumbprint" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>
					
					<div class="inc-portal-input-wrapper">

						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-fsschedule</xsl:attribute>
							<xsl:value-of select="$exchange_setup_label_scheduler" />*
						</label>
						
						<div>
							<script type="text/javascript">
								    $('#<xsl:value-of select="$parentid"/>-fsschedule-wrapper').cron({
									    <xsl:choose>
									    	<xsl:when test="$schedule != ''">
									    		initial: "<xsl:value-of select="$schedule"/>",
									    	</xsl:when>
									    	<xsl:otherwise>
									    		initial: "0 0 0 0 0",
									    	</xsl:otherwise>
								    	</xsl:choose>
								    	onChange: function() {
								        	$('#<xsl:value-of select="$parentid"/>-fsschedule').val($(this).cron("value"));
								    	},
								    	customValues: {
									        "<xsl:value-of select="$exchange_setup_cron_notscheduled"/>" : "0 0 0 0 0"
									    }
									}); 
							</script>
						</div>
						
						<div>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-fsschedule-wrapper</xsl:attribute>
						</div>
										 
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-fsschedule</xsl:attribute>
							<xsl:attribute name="type">hidden</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$schedule != ''">
						    		<xsl:attribute name="value"><xsl:value-of select="$schedule"/></xsl:attribute>
						    	</xsl:when>
						    	<xsl:otherwise>
									<xsl:attribute name="value">0 0 0 0 0</xsl:attribute>
						    	</xsl:otherwise>
						   </xsl:choose>
							<xsl:attribute name="name">inc-fsschedule</xsl:attribute>
						</input>
					</div>
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-loglevel</xsl:attribute>
							<xsl:value-of select="$exchange_setup_system_lightbox_loglevel" />*
						</label>
						<inchorus-select>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-loglevel</xsl:attribute>
							<xsl:attribute name="name">inc-loglevel</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="alternativecontentfile">select-loglevel</xsl:attribute>
							<xsl:attribute name="command">getADSystems</xsl:attribute>
							<xsl:attribute name="preselect"><xsl:value-of select="$loglevel" /></xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-loglevel').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</inchorus-select>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loglevel-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-loglevel</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help</xsl:attribute>

							<div style="margin: 0px 15px;padding: 0px;">
								<xsl:value-of select="$exchange_setup_tooltip_loglevel" />
							</div>
						</inchorus-tooltip>
					</div>

					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field" style="line-height:24px;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-historymaxnumberofdays</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_historymaxnumberofdays" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="name">inc-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="command">getADSystems</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$historymaxnumberofdays" /></xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-historymaxnumberofdays').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</inchorus-select>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_historymaxnumberofdays" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper" style="padding-left:15px;">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field" style="line-height:24px;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-statisticmaxnumberofdays</xsl:attribute>
									<xsl:value-of select="$exchange_setup_system_lightbox_statisticmaxnumberofdays" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="name">inc-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="command">getDefaultData</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$statisticmaxnumberofdays" /></xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-statisticmaxnumberofdays').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</inchorus-select>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$exchange_setup_tooltip_statisticmaxnumberofdays" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>
							
					<div style="position:absolute;bottom:67px;width:calc(100% - 40px);">
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-response</xsl:attribute>
					</div>
					
					<div style="width: 100%;position:absolute;bottom:10px;">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$previousparentidtemp" />-button-check</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-check</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">save</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_save" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$previousparentidtemp"/>-button-check').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$previousparentid"/>').deactivate();
							</xsl:attribute>
							<xsl:attribute name="style">right:25px;position:absolute;bottom:0px;</xsl:attribute>
						</inchorus-button>
					</div>
				</div>
		</inchorus-form>
								
	</xsl:template>
</xsl:stylesheet>