<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-portalsetup-admin-systems-lightbox-editsystem-exchange</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="type" select="//systems/system/type" />

		<xsl:choose>
			<xsl:when test="$type = 'Online'">

				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-online</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-online</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getSystem</xsl:attribute>
					<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
				</inchorus-content>
				
			</xsl:when>
			<xsl:otherwise>

				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-onpremise</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-onpremise</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getSystem</xsl:attribute>
					<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
				</inchorus-content>
				
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
</xsl:stylesheet>