<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-connector-addedconnectors</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		
		<div style="overflow:hidden;width:100%;margin-bottom:40px;">
			<xsl:choose>
				<xsl:when test="//data/connectors/connector">
					<xsl:for-each select="//data/connectors/connector">
						<xsl:variable name="id" select="id" />
						<xsl:variable name="name" select="name" />
						<xsl:variable name="description" select="description" />
						<xsl:variable name="position_local_from_this" select="position_local_from_this" />
						<xsl:variable name="status" select="status" />
						<xsl:variable name="host" select="host" />
						<xsl:variable name="url" select="url" />
						<xsl:variable name="version" select="version" />
						<xsl:variable name="platform" select="platform" />
						<xsl:variable name="statusmessage" select="statusmessage" />					

						<xsl:if test="$statusmessage='SUCCESS_CONNECTOR_READY'">
							<script>
								inchorus.$('exchange-systemsetup-connector-button-next').activate();
							</script>
						</xsl:if>
						<inchorus-content>	
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-connector-<xsl:value-of select="$id"/></xsl:attribute>
							
							<div class="dac-system-box">
								<xsl:choose>
									<xsl:when test="$statusmessage = 'SUCCESS_CONNECTOR_READY'">
										<xsl:attribute name="class">dac-system-box dac-system-box-success</xsl:attribute>
									</xsl:when>
									<xsl:when test="$statusmessage = 'SUCCESS_CONNECTOR_INIT' or $statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
										<xsl:attribute name="class">dac-system-box dac-system-box-warning</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">dac-system-box dac-system-box-error</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>		
								
								<div style="padding:0px 15px; 15px 20px;">
									<h2  style="margin-bottom:10px;">
										<xsl:attribute name="title"><xsl:value-of select="$description"/></xsl:attribute>
										<div class="dac-system-exchange-icon"></div>
										<xsl:choose>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_NOTCONFIGURED'">
												<xsl:value-of select="$exchange_setup_exchangeconnector" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:choose>
													<xsl:when test="$name= ''">
														<xsl:value-of select="$name" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$exchange_setup_exchangeconnector" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:otherwise>
										</xsl:choose>
									</h2>
									<p class="dac-system-box-message" style="font-weight:bold;">
										<xsl:choose>
											<xsl:when test="$statusmessage = 'SUCCESS_CONNECTOR_INIT'">
												<xsl:value-of select="$exchange_setup_collectorengine_statusmessage_init" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'SUCCESS_CONNECTOR_READY'">
												<xsl:value-of select="$exchange_setup_collectorengine_statusmessage_ready" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_NOTCONFIGURED'">
												<xsl:value-of select="$exchange_setup_statusmessage_notconfigured" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_WRONGVERSION'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_connector_wrongversion" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_UNREACHABLE'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_connector_unreachable" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_WRONG_WORKPATH'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_wrong_workpath" />
											</xsl:when>
											<xsl:when test=" $statusmessage = 'ERROR_CONNECTOR_NOTCONFIGURED'">
												<xsl:value-of select="$exchange_setup_statusmessage_notconfigured" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
												<xsl:value-of select="$exchange_setup_statusmessage_warning_updaterequired" />
											</xsl:when>	
											<xsl:otherwise>
												<xsl:value-of select="$statusmessage" />
											</xsl:otherwise>
										</xsl:choose>
									</p>
									<div style="margin-bottom:20px;line-height:24px;">
										<xsl:choose>
											<xsl:when test="$status != 'error'">
												<xsl:choose>
													<xsl:when test="string-length($version) = 3">
														<xsl:value-of select="$exchange_setup_version" />&#160;<xsl:value-of select="substring($version,1,1)"/>.<xsl:value-of select="substring($version,2,1)"/>.<xsl:value-of select="substring($version,3,1)"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$exchange_setup_version" />&#160;<xsl:value-of select="$version"/>
													</xsl:otherwise>
												</xsl:choose>
												<br/>
												<xsl:value-of select="$exchange_setup_platform" />:&#160;<span style="text-transform:uppercase;"><xsl:value-of select="$platform" /></span>
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_NOTCONFIGURED'">
												<xsl:value-of select="$exchange_setup_statusmessage_notconfigured_text" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_WRONGVERSION'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_connector_wrongversion_text" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_CONNECTOR_UNREACHABLE'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_connector_unreachable_text" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'ERROR_WRONG_WORKPATH'">
												<xsl:value-of select="$exchange_setup_statusmessage_error_wrong_workpath_text" />
											</xsl:when>
											<xsl:when test=" $statusmessage = 'ERROR_CONNECTOR_NOTCONFIGURED'">
												<xsl:value-of select="$exchange_setup_statusmessage_notconfigured_text" />
											</xsl:when>
											<xsl:when test="$statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
												<xsl:value-of select="$exchange_setup_statusmessage_warning_updaterequired_text" />
											</xsl:when>
										</xsl:choose>
									</div>
								</div>
								<xsl:choose>
									<xsl:when test="$statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
											<p style="padding: 0px 15px;"><xsl:value-of select="$exchange_setup_statusmessage_warning_updaterequired_text" /></p>
											<div style="border-top: 1px solid #ddd;padding:10px;min-height: 34px;">
												<inchorus-content>
													<xsl:attribute name="id"><xsl:value-of select="$parentid" />-update-response</xsl:attribute>
													<xsl:attribute name="active">false</xsl:attribute>
													<xsl:attribute name="hascontentfile">true</xsl:attribute>
													<xsl:attribute name="command">updateConnector</xsl:attribute>
													<xsl:attribute name="parameters">[{"url":"<xsl:value-of select='$url'/>"}]</xsl:attribute>
												</inchorus-content>
													
												<inchorus-button>
													<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-uploadnow</xsl:attribute>
													<xsl:attribute name="class"><!--GADGET:LANGUAGE--></xsl:attribute>
													<xsl:attribute name="type">icontext</xsl:attribute>
													<xsl:attribute name="icon">download</xsl:attribute>
													<xsl:attribute name="text"><xsl:value-of select="$inchorus_button_updatenow" /></xsl:attribute>
													<xsl:attribute name="active">true</xsl:attribute>
													<xsl:attribute name="highlighting">low</xsl:attribute>
													<xsl:attribute name="onclick">
														inchorus.$('<xsl:value-of select="$parentid" />-button-uploadnow').setStatus('loading');
														inchorus.$('<xsl:value-of select="$parentid" />-update-response').activate();
													</xsl:attribute>
												</inchorus-button>
											</div>
									</xsl:when>
									<xsl:when test="$status != 'error'">
										<div style="border-top: 1px solid #ddd;padding:10px;min-height: 34px;">
											<inchorus-button class="dac-system-box-button-restart">
												<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-add-<xsl:value-of select="$id" /></xsl:attribute>
												<xsl:attribute name="type">text</xsl:attribute>
												<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_restart" /></xsl:attribute>
												<xsl:attribute name="onclick">
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setParameters(
														{
															"id":"<xsl:value-of select='$id'/>",
															"url":"<xsl:value-of select='$url'/>"
														}
													);
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setResponsetargetid('<xsl:value-of select="$parentid"/>-response');
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('restartExchangeConnector');
													inchorus.$('<xsl:value-of select="parentid" />-button-add-<xsl:value-of select="$id" />').setStatus('loading');
													inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
												</xsl:attribute>
											</inchorus-button>
										</div>
									</xsl:when>
								</xsl:choose>
							</div>
						</inchorus-content>
						
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<div class="dac-system-dashedbox">
						<div class="dac-system-dashedbox-wrapper">
							<center><xsl:value-of select="$exchange_setup_text_addedbox" /></center>
						</div>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		</inchorus-form>
		
		<div>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
		</div>
		<script>
			setTimeout(function(){
				exchange.setup.divelement();
			}, 300);
		</script>
	</xsl:template>
</xsl:stylesheet>