<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-connector-lightbox-add</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="loglevel" select="DEBUG"/>
		<xsl:variable name="workpath" select="workpath"/>
		<xsl:variable name="url" select="//data/parameters/parameter[@name='url']"/>
		<xsl:variable name="host" select="//data/parameters/parameter[@name='host']"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-url</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$url"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-host</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$host"/></xsl:attribute>
			</input>
			
			<h3>
				<xsl:value-of select="$exchange_setup_lightbox_add_header" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('exchange-systemsetup-connector-lightbox').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:0px 20px 10px 20px;">
			<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-loglevel</xsl:attribute>
							<xsl:value-of select="$exchange_setup_lightbox_add_label_loglevel"/>*
						</label>
						<select>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loglevel</xsl:attribute>
							<xsl:attribute name="name">inc-loglevel</xsl:attribute>
							<xsl:attribute name="onfocus">
								inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').activate();
								$('#<xsl:value-of select="$parentid"/>-label-loglevel').removeClass('inchorus-form-invalid');
								$('#<xsl:value-of select="$parentid"/>-loglevel').removeClass('inchorus-form-invalid');
								inchorus.$('config-form-error').deactivate();
							</xsl:attribute>
							<xsl:attribute name="onfocusout">
								inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').deactivate();
							</xsl:attribute>
							<option value="INFO">
								<xsl:if test="$loglevel = 'INFO'">
									<xsl:attribute name="selected" />
								</xsl:if>
								INFO
							</option>
							<option value="DEBUG">
								<xsl:if test="$loglevel = 'DEBUG'">
									<xsl:attribute name="selected" />
								</xsl:if>
								DEBUG
							</option>
						</select>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loglevel-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-loglevel</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 0px;">
								<xsl:value-of select="$exchange_setup_connector_tooltip_loglevel" />
							</div>
						</inchorus-tooltip>
					</div>
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-workpath</xsl:attribute>
							<xsl:value-of select="$exchange_setup_lightbox_add_label_workpath"/>*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-workpath</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$workpath" /></xsl:attribute>
							<xsl:attribute name="name">inc-workpath</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onfocus">
								inchorus.$('<xsl:value-of select="$parentid"/>-workpath-tooltip').activate();
								$('#<xsl:value-of select="$parentid"/>-label-workpath').removeClass('inchorus-form-invalid');
								$('#<xsl:value-of select="$parentid"/>-workpath').removeClass('inchorus-form-invalid');
								//inchorus.$('config-form-error').deactivate();
							</xsl:attribute>
							<xsl:attribute name="onfocusout">
									inchorus.$('<xsl:value-of select="$parentid"/>-workpath-tooltip').deactivate();
							</xsl:attribute>
							<!-- 
							<xsl:attribute name="onclick">
								var workpath_select = replaceBackslash($(this).val());
								inchorus.$('<xsl:value-of select="$parentid"/>-selectpath').setParameters(
									{
										"url" : "<xsl:value-of select="$url" />",
										"path" : workpath_select
									}
								);
								inchorus.$('<xsl:value-of select="$parentid"/>-selectpath').activate();
							</xsl:attribute>
							-->
							<xsl:attribute name="oninput">
								$(this).removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</input>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-workpath-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-workpath</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 0px;">
								<xsl:value-of select="$exchange_setup_connector_tooltip_workpath" />
							</div>
						</inchorus-tooltip>
						
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-workpath</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-workpath</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="text">...</xsl:attribute>
							<xsl:attribute name="highlighting">low</xsl:attribute>
							<xsl:attribute name="position">rightwithoutmargin</xsl:attribute>
							<xsl:attribute name="style">padding: 4px 10px !important;line-height:24px;</xsl:attribute>
							<xsl:attribute name="onclick">
								var workpath_select = replaceBackslash(jQuery('#exchange-systemsetup-connector-lightbox-add-workpath').val());
								var workpath_check = jQuery('#<xsl:value-of select="$parentid"/>-workpath').hasClass('inchorus-form-invalid');

								if (workpath_check == true || workpath_select == '') {
									workpath_select = 'C:\\\\';
									jQuery('#<xsl:value-of select="$parentid"/>-workpath').val('C:\\');
									if (workpath_check == true) {
										jQuery('#<xsl:value-of select="$parentid"/>-label-workpath').removeClass('inchorus-form-invalid');
										jQuery('#<xsl:value-of select="$parentid"/>-workpath').removeClass('inchorus-form-invalid');
										inchorus.$('config-form-error').deactivate();
									}
								}
								
								inchorus.$('<xsl:value-of select="$parentid"/>-selectpath').setParameters(
									{
										"url" : "<xsl:value-of select="$url" />",
										"path" : workpath_select
									}
								);
								inchorus.$('<xsl:value-of select="$parentid"/>-selectpath').activate();
							</xsl:attribute>
						</inchorus-button>
					</div>
					<div>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-response</xsl:attribute>
					</div>
					<div class="dac-buttons-wrapper">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-add</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-add</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">save</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_save" /></xsl:attribute>
							<xsl:attribute name="status">enabled</xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-button-add').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('importExchangeConnector');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>

						<inchorus-button>
							<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('exchange-systemsetup-connector-lightbox').deactivate();
							</xsl:attribute>
						</inchorus-button>
					</div>
				</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>