<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-connector-lightbox-host-response</xsl:variable>
		<xsl:variable name="inchorus-form-validity" select="//data/parameters/parameter[@name='inchorus-form-validity']"/>
		<xsl:variable name="host" select="//data/parameters/parameter[@name='host']"/>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />	
		<xsl:variable name="contentid" select="//session/contentid" />
		<xsl:variable name="statusmessage" select="//data/connectors/connector/statusmessage" />

		<script>
			inchorus.$('exchange-systemsetup-connector-lightbox-button-add').setStatus('enabled');
		</script>

		<xsl:choose>
			<xsl:when test="$inchorus-form-validity='false'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-form-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_message_error_validation" />
				</inchorus-message>
			</xsl:when>
			<xsl:when test="$statusmessage='ERROR_CONNECTOR_UNREACHABLE'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-form-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_error_connector_unreachable" />
				</inchorus-message>
			</xsl:when>	
			<xsl:when test="$statusmessage='ERROR_CONNECTOR_NODB'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-form-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_error_connector_nodb" />
				</inchorus-message>
			</xsl:when>		
			<xsl:when test="$statusmessage='ERROR_CONNECTOR_WRONGVERSION'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-form-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$exchange_setup_statusmessage_error_connector_wrongversion_text" />
				</inchorus-message>
			</xsl:when>	
			<xsl:when test="$statusmessage='ERROR_CONNECTOR_NOTCONFIGURED'">
				<script>
					inchorus.$('exchange-systemsetup-connector-remoteconnectors').setParameters(
						{
							"host":"<xsl:value-of select="$host"/>"
						}
					);
					inchorus.$('exchange-systemsetup-connector-remoteconnectors').setCommand('checkRemoteExchangeConnector');
					inchorus.$('exchange-systemsetup-connector-remoteconnectors').load();
					inchorus.$('exchange-systemsetup-connector-lightbox').deactivate();
				</script>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>