<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-connector-lightbox</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="platform" select="//data/gadget/platform"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-host-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-host-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">checkRemoteExchangeConnector</xsl:attribute>
			
			<h3>
				<xsl:value-of select="$exchange_setup_lightbox_host_header" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button id="exchange-systemsetup-connector-lightbox-button-close">
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('exchange-systemsetup-connector-lightbox').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:0px 20px 10px 20px;">
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-host</xsl:attribute>
							<xsl:value-of select="$exchange_setup_lightbox_host_label_host"/>*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-host</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"></xsl:attribute>
							<xsl:attribute name="name">inc-host</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-host-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-host-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-host').removeClass('inchorus-form-invalid');
								//inchorus.$('databases-systemdb-form-error').deactivate();
							</xsl:attribute>
						</input>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-host-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-host</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 0px;">
								<xsl:value-of select="$exchange_setup_connector_tooltip_host" />
							</div>
						</inchorus-tooltip>
					</div>
					
					<xsl:if test="$platform = 'container'">
						<div class="inc-portal-input-wrapper">
							<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-port</xsl:attribute>
								<xsl:value-of select="$exchange_setup_lightbox_host_label_port"/>*
							</label>
							<input>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-port</xsl:attribute>
								<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="value">55080</xsl:attribute>
								<xsl:attribute name="name">inc-port</xsl:attribute>
								<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
								<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
								<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-port-tooltip').activate();</xsl:attribute>
								<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-port-tooltip').deactivate();</xsl:attribute>
								<xsl:attribute name="onchange">
									$('#<xsl:value-of select="$parentid"/>-label-host').removeClass('inchorus-form-invalid');
									//inchorus.$('databases-systemdb-form-error').deactivate();
								</xsl:attribute>
							</input>
							<inchorus-tooltip>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-port-tooltip</xsl:attribute>
								<xsl:attribute name="active">false</xsl:attribute>
								<xsl:attribute name="position">right-middle</xsl:attribute>
								<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
								<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
								<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-port</xsl:attribute>
								<xsl:attribute name="hascontentfile">false</xsl:attribute>
								<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
	
								<div style="margin: 0px 15px;padding: 0px;">
									<xsl:value-of select="$exchange_setup_connector_tooltip_port" />
								</div>
							</inchorus-tooltip>
						</div>
					</xsl:if>
					
					<div id="exchange-systemsetup-connector-lightbox-host-response"/>
					
					<div class="dac-buttons-wrapper">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-add</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-add</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_add" /></xsl:attribute>
							<xsl:attribute name="status">enabled</xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-button-add').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>

						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('exchange-systemsetup-connector-lightbox').deactivate();
							</xsl:attribute>
						</inchorus-button>
					</div>
				</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>