<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
 		<xsl:variable name="parentid">exchange-systemsetup-connector</xsl:variable>
 		<xsl:variable name="initmajorstate" select="//data/initmajorstate" />
		<xsl:variable name="initminorstate" select="//data/initminorstate" />
		<xsl:variable name="initmessage" select="//data/initmessage" />
		<xsl:variable name="platform" select="//data/gadget/platform" />
		<xsl:variable name="connectors_statusmessage" select="//data/parameters/parameter[@name='connectors_statusmessage']"/>
		
		<xsl:choose>
	 		<xsl:when test="$connectors_statusmessage = 'WARNING_CONNECTOR_NOTCONFIGURED'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-install</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<b><xsl:value-of select="$exchange_setup_lightbox_deletedata_message_1" /></b>&#160;<xsl:value-of select="$exchange_setup_connector_text" /><br/><br/>
					<xsl:value-of select="$exchange_setup_connector_text_2"/><a target="_blank"><xsl:attribute name="href"><xsl:value-of select="$exchange_setup_doc_exchangeconnector" /></xsl:attribute><xsl:value-of select="$exchange_setup_connector_text_link" /></a><xsl:value-of select="$exchange_setup_connector_text_3"/>
				</inchorus-message>
			</xsl:when>
			<xsl:otherwise>
				<p style="line-height: 24px;"></p>
			</xsl:otherwise>
		</xsl:choose>
		
		<div class="dac-system-addedcomponent-header">
 			<xsl:value-of select="$exchange_setup_header_added" />
 		</div>
 		
 		<inchorus-content>
 			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-addedconnectors</xsl:attribute>
 			<xsl:attribute name="hascontentfile">true</xsl:attribute>
 			<xsl:attribute name="command">getExchangeConnectors</xsl:attribute>
 			<div class="dac-system-dashedbox">
				<div class="dac-system-dashedbox-wrapper">
					<center><xsl:value-of select="$exchange_setup_text_dataisloading" /></center>
				</div>
			</div>
 		</inchorus-content>
 		
 		<div class="dac-system-localcomponent-header">
 			<xsl:value-of select="$exchange_setup_header_local" />
 		</div>
 		
 		<inchorus-content>
 			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-remoteconnectors</xsl:attribute>
 			<xsl:attribute name="hascontentfile">true</xsl:attribute>
 			<xsl:attribute name="active">true</xsl:attribute>
 			<xsl:attribute name="command">getExchangeConnectors</xsl:attribute>
 		</inchorus-content>
		
		<inchorus-lightbox>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-lightbox</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getExchangeConnector</xsl:attribute>
			<xsl:if test="$platform = 'container'">
				<xsl:attribute name="style">height: 320px !important;</xsl:attribute>
			</xsl:if>
		</inchorus-lightbox>
		
		<inchorus-lightbox>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-lightbox-add-selectpath</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getConnectorFolderInformation</xsl:attribute>
			<xsl:attribute name="style">width:575px;</xsl:attribute>	
		</inchorus-lightbox>
		
		<div style="width:100%;">
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-next</xsl:attribute>
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_next" /></xsl:attribute>
				<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
				<xsl:attribute name="active">false</xsl:attribute>
				<xsl:attribute name="onclick">
						jQuery('#setup-tabs').removeClass('height_policies');
	        			jQuery('#setup-tabs').removeClass('height_connector');
						jQuery('#setup-tabs').addClass('height_system');
						inchorus.$('exchange-systemsetup-tabs').setActiveheaderid('exchange-systemsetup-header-system');
				</xsl:attribute>
			</inchorus-button>
		</div>

	</xsl:template>
</xsl:stylesheet>