<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-form-validity" select="//data/parameters/parameter[@name='inchorus-form-validity']"/>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />	
		<xsl:variable name="contentid" select="//session/contentid" />

		<xsl:choose>
			<xsl:when test="$inchorus-form-validity='false'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="deactivationdelay">1500</xsl:attribute>
					<xsl:value-of select="$exchange_setup_message_error_validation" />
				</inchorus-message>
				<script>
					inchorus.$('exchange-systemsetup-policies-lightbox-button-add').activate();
					jQuery('#exchange-systemsetup-policies-lightbox-loading-add').hide();
				</script>
			</xsl:when>
			<xsl:when test="$statuscode='SUCCESS_POLICYPACKAGE_CREATE'">
				<script>
					var connector = jQuery('#exchange-systemsetup-header-connector .dac-system-tabs-horizontal-tab-row-2-middle').hasClass('dac-system-tabs-horizontal-tab-row-2-middle-exchange-success');
					var system = jQuery('#exchange-systemsetup-header-system .dac-system-tabs-horizontal-tab-row-2-middle').hasClass('dac-system-tabs-horizontal-tab-row-2-middle-exchange-success');
					var policies = jQuery('#exchange-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').hasClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-success');

					if (connector = 'true') {
						if (system = 'true') {
							if (policies = 'true') {
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-notedited div').addClass('tab-success');
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-notedited div').removeClass('tab-notconfigured');
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-notedited').addClass('dac-system-maintabs-tab-image');
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-notedited').removeClass('dac-system-maintabs-tab-image-notedited');
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-line-bottom-notedited').addClass('dac-system-maintabs-tab-image-line-bottom');
								jQuery('#setup-header-integrationpackage-Exchange .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-line-bottom-notedited').removeClass('dac-system-maintabs-tab-image-line-bottom-notedited');
							} 
						} 
					}
					
					inchorus.$('exchange-systemsetup-policies-remotepolicies').load();
					inchorus.$('exchange-systemsetup-policies-addedpolicies').load();
					inchorus.$('exchange-systemsetup-policies-lightbox').deactivate();
					inchorus.$('exchange-systemsetup-header-policies').setStatus('enabled');
					jQuery('#exchange-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').addClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-success');
					jQuery('#exchange-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').removeClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-notconfigured');
					if(jQuery('#exchange-systemsetup-header-policies').attr('onclicktemp')) {
						var onclicktemp = jQuery('#exchange-systemsetup-header-policies').attr('onclicktemp');
						jQuery('#exchange-systemsetup-header-policies').attr('onclick', onclicktemp);
						jQuery('#exchange-systemsetup-header-policies').removeAttr('onclicktemp');
					}
					exchange.setup.divelement();
				</script>
			</xsl:when>		
			
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>