<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-policies-lightbox</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="policypackage_name" select="//policypackage/name"/>
		<xsl:variable name="policypackage_category" select="//policypackage/category"/>
		<xsl:variable name="policypackage_version" select="//policypackage/version"/>
		<xsl:variable name="policypackage_policycount_total" select="//policypackage/policycount_total"/>
		<xsl:variable name="policypackage_policycount_new" select="//policypackage/policycount_new"/>
		<xsl:variable name="policypackage_description_de" select="//policypackage/description_de"/>
		<xsl:variable name="policypackage_description_en" select="//policypackage/description_en"/>
		<xsl:variable name="policypackage_id" select="//policypackage/id"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">importPolicypackage</xsl:attribute>
			 
			<input>
				<xsl:attribute name="id">name</xsl:attribute>
				<xsl:attribute name="name">inc-name</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$policypackage_name" /></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id">category</xsl:attribute>
				<xsl:attribute name="name">inc-category</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$policypackage_category" /></xsl:attribute>
			</input>
			
			<h3>
				<xsl:value-of select="$exchange_setup_policyengine_policypackage_import" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:0px 20px 10px 20px;">
				<h2>
					<div class="dac-system-policies-icon"></div>
					<span style="text-transform:uppercase;"><xsl:value-of select="$policypackage_name" /></span>
				</h2>
				<p>
					<xsl:choose>
						<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
							<xsl:value-of select="$policypackage_description_de" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$policypackage_description_en" />
						</xsl:otherwise>
					</xsl:choose>
				</p>
				<p>
					<xsl:value-of select="$exchange_setup_policyengine_policypackage_version" />&#160;
					<xsl:choose>
						<xsl:when test="string-length($policypackage_version) = '3'">
							<xsl:value-of select="substring($policypackage_version, 1, 1)" />.<xsl:value-of select="substring($policypackage_version, 2, 1)" />.<xsl:value-of select="substring($policypackage_version, 3, 1)" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$policypackage_version" />
						</xsl:otherwise>
					</xsl:choose>	
					<br/>
					<xsl:value-of select="$exchange_setup_policyengine_policypackage_category" />&#160;<span style="text-transform:uppercase;"><xsl:value-of select="$policypackage_category" /></span><br/>
					<xsl:value-of select="$exchange_setup_policiesnewtotal" />:&#160;<xsl:value-of select="$policypackage_policycount_total" />
				</p>
			</div>
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-response</xsl:attribute>
			</div>
			
					<div>
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-add</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-add</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">save</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_policyengine_policypackage_importpolicypackagenow" /></xsl:attribute>
							<xsl:attribute name="status">enabled</xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-button-add').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('createPolicypackage');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-abort</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-close</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid" />').deactivate();
							</xsl:attribute>
						</inchorus-button>
					</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>