<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-policies-remotepolicies</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="statuscode" select="//data/status/code"/>

		<xsl:choose>						 
			<xsl:when test="not(//data/policypackages/policypackage)">
					<!-- 
					<div>			
						<div>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
						</div>
	
						<div style="float:left;border: 1px solid #ddd;border-top:4px solid #DE536F;overflow:hidden;height:auto;background-color:#fff;border-radius: 6px;width: 268px;height:174px;">
							<div style="padding:0px 15px; 15px 20px;">
								<h2 style="margin-bottom:10px;">NTFS-Connector <span style="font-size:18px;">(lokal)</span></h2>
								<p style="color: #DE536F;"><b>Es wurde keine lokaler NTFS-Connector gefunden. Bitte pr&#252;fen Sie die Environment Variable des NTFS-Connectors.</b></p>
							</div>
						</div>
					</div>
					-->
 					
					<div style="border: 1px dashed #888;height:173px;margin-bottom:20px;width: 100%;">
						<div style="text-align: center;margin-top:75px;">
							<xsl:value-of select="$exchange_setup_policies_text_nootherpolicies"/>
						</div>
					</div>
			</xsl:when>
			<xsl:when test="//data/policypackages/policypackage">
				<xsl:for-each select="//data/policypackages/policypackage">
					<xsl:variable name="policypackage_name" select="name" />
					<xsl:variable name="policypackage_category" select="category" />
					<xsl:variable name="policypackage_version" select="version" />
					<xsl:variable name="policypackage_policycount_total" select="policycount_total" />
					<xsl:variable name="policypackage_policycount_new" select="policycount_new" />
					<xsl:variable name="policypackage_statusmessage" select="statusmessage" />

					<div>
						<div>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
						</div>
	
						<div>
							<xsl:choose>
								<xsl:when test="$policypackage_statusmessage = 'ERROR_POLICYPACKAGE_WRONGVERSION'">
									<xsl:attribute name="class">dac-system-box dac-system-box-error</xsl:attribute>
								</xsl:when>	
								<xsl:otherwise>
									<xsl:attribute name="class">dac-system-box dac-system-box-otherwise</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							
							<div style="padding:0px 15px; 15px 20px;">
								<h2 style="margin-bottom:10px;">
									<div class="dac-system-policies-icon"></div>
									<span style="text-transform:uppercase"><xsl:value-of select="$policypackage_name" /></span></h2>
								<div class="status" style="font-weight:bold;">
									<xsl:choose>
										<xsl:when test="$policypackage_statusmessage = 'ERROR_POLICYPACKAGE_WRONGVERSION'">
											<xsl:value-of select="$exchange_policypackage_error_wrongversion" />
										</xsl:when>	
										<xsl:otherwise>
											<xsl:value-of select="$exchange_setup_policy_notinstalled"/>
										</xsl:otherwise>
									</xsl:choose>
								</div>
								<p>
									<xsl:choose>
										<xsl:when test="$policypackage_statusmessage = 'ERROR_POLICYPACKAGE_WRONGVERSION'">
											<xsl:value-of select="$exchange_policypackage_error_wrongversion_text" />
										</xsl:when>	
										<xsl:otherwise>
											<xsl:value-of select="$exchange_setup_version" />: 
											<xsl:choose>
												<xsl:when test="string-length($policypackage_version) = '3'">
													<xsl:value-of select="substring($policypackage_version, 1, 1)" />.<xsl:value-of select="substring($policypackage_version, 2, 1)" />.<xsl:value-of select="substring($policypackage_version, 3, 1)" />
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$policypackage_version" />
												</xsl:otherwise>
											</xsl:choose>
											<br/>
											<xsl:value-of select="$exchange_setup_category" />: <span style="text-transform:uppercase"><xsl:value-of select="$policypackage_category" /></span><br/>
											<xsl:value-of select="$exchange_setup_policiesnewtotal" />: <xsl:value-of select="$policypackage_policycount_total" /><br/>
										</xsl:otherwise>
									</xsl:choose>
								</p>
							</div>
							<xsl:choose>
								<xsl:when test="$policypackage_statusmessage = 'ERROR_POLICYPACKAGE_WRONGVERSION'">
								</xsl:when>
								<xsl:otherwise>
									<div style="border-top: 1px solid #ddd;padding:10px;">							 
										<inchorus-button>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-add</xsl:attribute>
											<xsl:attribute name="class">dac-system-box-button-add</xsl:attribute>
											<xsl:attribute name="type">icontext</xsl:attribute>
											<xsl:attribute name="icon">new</xsl:attribute>
											<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_add" /></xsl:attribute>
											<xsl:attribute name="active">true</xsl:attribute>
											<xsl:attribute name="onclick">
												inchorus.$('exchange-systemsetup-policies-lightbox').setAlternativecontentfile('exchange-systemsetup-policies-lightbox');
												inchorus.$('exchange-systemsetup-policies-lightbox').setParameters(
													{
														"name" : "<xsl:value-of select="$policypackage_name"/>",
														"category": "<xsl:value-of select="$policypackage_category"/>"
													}
												);
												inchorus.$('exchange-systemsetup-policies-lightbox').setCommand('getPolicypackageDefinition');
												inchorus.$('exchange-systemsetup-policies-lightbox').activate();
											</xsl:attribute>
										</inchorus-button>
									</div>
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
				</xsl:for-each>
			</xsl:when>
			<!-- 
			<xsl:when test="//data/systems/system">
				<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;cursor: pointer;">
					<xsl:attribute name="onclick">
						jQuery('#exchange-systemsetup-system-lightbox').attr('class','dac-system-exchange-system-lightbox-small');
						inchorus.$('exchange-systemsetup-system-lightbox').setAlternativecontentfile('exchange-systemsetup-system-lightbox-host');
						inchorus.$('exchange-systemsetup-system-lightbox').activate();
					</xsl:attribute>
					
					<div style="text-align: center;margin-top:75px;">
						<xsl:value-of select="$exchange_setup_text_addexchange"/>
					</div>
					</div>		
			</xsl:when>
			-->
		</xsl:choose>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		</inchorus-form>
	
		<script>
			setTimeout(function(){
				exchange.setup.divelement();
			}, 500);
		</script>
	</xsl:template>
</xsl:stylesheet>