<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="systemid" select="//data/system/systemid" />
		<xsl:variable name="name" select="//data/system/name" />
		<xsl:variable name="statusmessage" select="//data/system/statusmessage" />
		<xsl:variable name="statuscode" select="//data/status/code" />
		<xsl:variable name="parentid">exchange-systemsetup-system-addedsystems</xsl:variable>

		<xsl:choose>
			<xsl:when test="$statuscode = 'SUCCESS_SYSTEM_RESTART'">
				<script>
					inchorus.$('exchange-systemsetup-addedconnectors').load();
				</script>
			</xsl:when>
			<xsl:when test="$statuscode = 'SUCCESS_SYSTEM_DELETE'">
				<script>
					inchorus.$('exchange-systemsetup-system-addedsystems').load();
					inchorus.$('exchange-systemsetup-system-collectors').deactivate();
					inchorus.$('exchange-systemsetup-system-remotesystems').load();
				</script>
			</xsl:when> 
			<xsl:when test="$statuscode = 'SUCCESS_SYSTEMDATA_DELETE'">
				<script>
					inchorus.$('exchange-systemsetup-system-addedsystems').load();
					inchorus.$('exchange-systemsetup-system-collectors').deactivate();
					inchorus.$('exchange-systemsetup-system-remotesystems').load();
				</script>
			</xsl:when> 
			<xsl:otherwise>
				<div class="dac-system-box">
					<xsl:attribute name="class">dac-system-box dac-system-box-success</xsl:attribute>
							
							
					<div style="padding:0px 15px; 15px 20px;">
						<h2  style="margin-bottom:10px;">
								<xsl:value-of select="$name" />
						</h2>
						<div>
							SystemId: <xsl:value-of select="$systemid" />
						</div>
						<p class="dac-system-box-message" style="font-weight:bold;">
							<xsl:value-of select="$statusmessage" />
						</p>
					</div>
					<div style="border-top: 1px solid #ddd;padding:10px;">
						<inchorus-button class="dac-system-box-button-check">
							<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-check</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_check" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setResponsetargetid('exchange-systemsetup-system-addedsystems-system-<xsl:value-of select="$systemid"/>');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('checkADConnector');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						<inchorus-button class="dac-system-box-button-restart">
							<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-add-<xsl:value-of select="$systemid" /></xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="icon">refresh</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_restart" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setResponsetargetid('<xsl:value-of select="$parentid"/>-response');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('restartADSystem');
								inchorus.$('<xsl:value-of select="parentid" />-button-add-<xsl:value-of select="$systemid" />').deactivate();
								jQuery('#<xsl:value-of select="$parentid"/>-loading-<xsl:value-of select="$systemid" />').show();
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						<img class="dac-system-box-loading">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loading-<xsl:value-of select="$systemid" /></xsl:attribute>
							<xsl:attribute name="style">display:none;</xsl:attribute>
							<xsl:attribute name="src">inc/img/loading.gif</xsl:attribute>
						</img>
					</div>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>