<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-system-lightbox-add-general</xsl:variable>
		<div style="margin-top:10px;">
		
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-node</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:value-of select="$exchange_setup_system_node_general" />
			</inchorus-message>
			
<!-- 			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-basedn</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_add_label_basedn"/>*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-basedn</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-basedn</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-basedn-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-basedn-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-basedn').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-basedn-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-basedn</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_basedn" />
					</div>
				</inchorus-tooltip>
			</div> -->
			
			<div class="inc-portal-input-wrapper">
				<!-- <label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field"> -->
				<label>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-schedule</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_add_label_schedule"/>*
				</label>
				
				<div>
					<script type="text/javascript">
						$(document).ready(function() {
						    $('#<xsl:value-of select="$parentid"/>-schedule-wrapper').cron({
						    	initial: "30 2 * * *",
						    	onChange: function() {
						        	$('#<xsl:value-of select="$parentid"/>-schedule').val($(this).cron("value"));
						    	},
						    	customValues: {
							        "<xsl:value-of select="$exchange_setup_cron_notscheduled"/>" : "0 0 0 0 0"
							    }
							}); 
						});
					</script>
				</div>
				
				<div>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-schedule-wrapper</xsl:attribute>
				</div>
							 
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-schedule</xsl:attribute>
					<xsl:attribute name="type">hidden</xsl:attribute>
					<xsl:attribute name="value">0 * * * *</xsl:attribute>
					<xsl:attribute name="name">inc-schedule</xsl:attribute>
				</input>
				
			</div>
			
			<div style="padding: 10px 0px 0px 0px;">
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-response</xsl:attribute>
			</div>
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-save</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">save</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_save" /></xsl:attribute>
				<xsl:attribute name="style">margin:10px 0px 0px 0px;float:right;position: absolute;right: 20px !important;bottom: 20px !important;</xsl:attribute>
				<xsl:attribute name="status">enabled</xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$parentid"/>-button-save').setStatus('loading');
					const userpw = document.getElementById('exchange-systemsetup-system-lightbox-add-userpw');
					userpw.value = btoa(unescape(encodeURIComponent(userpw.value)));
					inchorus.$('exchange-systemsetup-system-lightbox-add-form').submit();
					userpw.value = '';
				</xsl:attribute>
			</inchorus-button>
		</div>	
	</xsl:template>
</xsl:stylesheet>