<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-system-lightbox-onpremise</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile">exchange-systemsetup-system-lightbox-host-response</xsl:attribute>
			<xsl:attribute name="responsetargetid">exchange-systemsetup-system-lightbox-host-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">checkExchangeConnection</xsl:attribute>
			<!-- <xsl:attribute name="command">getDefaultData</xsl:attribute> -->
			
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-systemname</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_systemname" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemname</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-systemname</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-systemname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-systemname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-systemname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemname-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-systemname</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_systemname" />
					</div>
				</inchorus-tooltip>
			</div>	
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-domainname</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_domain" />*
				</label>
				<inchorus-select>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-domainname</xsl:attribute>
					<xsl:attribute name="name">inc-domainname</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
					<xsl:attribute name="command">getADSystems</xsl:attribute>
					<xsl:attribute name="parameters">[{"callFrom":"systemsetup-host"}]</xsl:attribute>
					<!-- <xsl:attribute name="preselect"><xsl:value-of select="$type" /></xsl:attribute> -->
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-domainname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-domainname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-domainname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</inchorus-select>
				<!--  
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-domainname</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-domainname</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-domainname-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-domainname-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-domainname').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				-->
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-domainname-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-domainname</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_domain" />
					</div>
				</inchorus-tooltip>
			</div>
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-servername</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_servername" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-servername</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-servername</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-servername-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-servername-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-servername').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-servername-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-servername</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_servername" />
					</div>
				</inchorus-tooltip>
			</div>	
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-userid</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_userid" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userid</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-userid</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-userid-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-userid-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-userid').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userid-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-userid</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_userid" />
					</div>
				</inchorus-tooltip>
			</div>
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-userpw</xsl:attribute>
					<xsl:value-of select="$exchange_setup_system_lightbox_userpw" />*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userpw</xsl:attribute>
					<xsl:attribute name="type">password</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-userpw</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>	
					<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-userpw-tooltip').activate();</xsl:attribute>
					<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-userpw-tooltip').deactivate();</xsl:attribute>
					<xsl:attribute name="onchange">
						$('#<xsl:value-of select="$parentid"/>-label-userpw').removeClass('inchorus-form-invalid');
						//inchorus.$('databases-systemdb-form-error').deactivate();
					</xsl:attribute>
				</input>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userpw-tooltip</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="position">right-middle</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-userpw</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

					<div style="margin: 0px 15px;padding: 0px;">
						<xsl:value-of select="$exchange_setup_tooltip_userpw" />
					</div>
				</inchorus-tooltip>
			</div>
			<div id="exchange-systemsetup-system-lightbox-host-response"/>
			<div class="dac-buttons-wrapper">
				<inchorus-button>
					<xsl:attribute name="id">exchange-systemsetup-system-lightbox-button-check</xsl:attribute>
					<xsl:attribute name="class">dac-system-lightbox-button-check</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_add" /></xsl:attribute>
					<xsl:attribute name="status">enabled</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('exchange-systemsetup-system-lightbox-button-check').setStatus('loading');
						const userpw = document.getElementById('<xsl:value-of select="$parentid"/>-userpw');
						userpw.value = btoa(unescape(encodeURIComponent(userpw.value)));
						inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
						userpw.value = '';
					</xsl:attribute>
				</inchorus-button>

				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
					<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
					<xsl:attribute name="type">icontext</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('exchange-systemsetup-system-lightbox').deactivate();
					</xsl:attribute>
				</inchorus-button>
			</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>