<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-system-lightbox-validation-collectall-response</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="statuscode" select="//data/status/code"></xsl:variable>
		
		<script>
			inchorus.$('exchange-systemsetup-system-lightbox-validation-delete-systemanddata-button-deletecollector').setStatus('enabled');
		</script>
			
		<xsl:choose>
			<xsl:when test="$statuscode = 'SUCCESS_SYSTEM_DELETE'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$exchange_setup_lightbox_deletesystemanddata_message_success" />
				</inchorus-message>
				<script>
					inchorus.$('exchange-systemsetup-system-collectors').deactivate();
					inchorus.$('exchange-systemsetup-system-addedsystems').load();
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-content').hide();
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-buttons').hide();
					inchorus.$('exchange-systemsetup-system-remotesystems').load();
					setTimeout(function(){
						//inchorus.$('exchange-systemsetup-system-lightbox-validation').deactivate();
					}, 2000);
				</script>
			</xsl:when>
			<xsl:when test="ERROR_SYSTEM_DELETE">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$exchange_setup_lightbox_deletesystemanddata_message_error" />
				</inchorus-message>
				<script>
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-content').hide();
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-buttons').hide();
					setTimeout(function(){
						//inchorus.$('exchange-systemsetup-system-lightbox-validation').deactivate();
					}, 2000);
				</script>
			</xsl:when>
			<xsl:when test="ERROR_HISTORY_DELETE">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$exchange_setup_lightbox_history_message_error" />
				</inchorus-message>
				<script>
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-content').hide();
					jQuery('.system-exchange-systemsetup-system-lightbox-validation-buttons').hide();
					setTimeout(function(){
						//inchorus.$('exchange-systemsetup-system-lightbox-validation').deactivate();
					}, 2000);
				</script>
			</xsl:when>
		</xsl:choose>
		
	</xsl:template>
</xsl:stylesheet>