<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-system-localsystems</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="statuscode" select="//data/status/code"/>

		<xsl:variable name="connected" select="//data/parameters/parameter[@name='connected']" />
		<xsl:variable name="message" select="//data/parameters/parameter[@name='message']" />
		
		<xsl:variable name="type" select="//data/parameters/parameter[@name='type']" />
		
		<xsl:variable name="domainname" select="//data/parameters/parameter[@name='domainname']" />
		<xsl:variable name="servername" select="//data/parameters/parameter[@name='servername']" />
		<xsl:variable name="systemname" select="//data/parameters/parameter[@name='systemname']" />
		<xsl:variable name="servertype" select="//data/parameters/parameter[@name='servertype']" />
		<xsl:variable name="userid" select="//data/parameters/parameter[@name='userid']" />
		<xsl:variable name="userpw" select="//data/parameters/parameter[@name='userpw']" />
		
		<xsl:variable name="tenantname" select="//data/parameters/parameter[@name='tenantname']" />
		<xsl:variable name="organization" select="//data/parameters/parameter[@name='organization']" />
		<xsl:variable name="tenantid" select="//data/parameters/parameter[@name='tenantid']" />
		<xsl:variable name="appid" select="//data/parameters/parameter[@name='appid']" />
		<xsl:variable name="certThumbprint" select="//data/parameters/parameter[@name='certThumbprint']" />

		<xsl:choose>						 
			<xsl:when test="not(//data/systems/system) and (not($connected) or $connected = 'false')">
					<!-- 
					<div>			
						<div>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
						</div>
	
						<div style="float:left;border: 1px solid #ddd;border-top:4px solid #DE536F;overflow:hidden;height:auto;background-color:#fff;border-radius: 6px;width: 268px;height:174px;">
							<div style="padding:0px 15px; 15px 20px;">
								<h2 style="margin-bottom:10px;">NTFS-Connector <span style="font-size:18px;">(lokal)</span></h2>
								<p style="color: #DE536F;"><b>Es wurde keine lokaler NTFS-Connector gefunden. Bitte pr&#252;fen Sie die Environment Variable des NTFS-Connectors.</b></p>
							</div>
						</div>
					</div>
					-->
 					
					<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;cursor: pointer;">
						<xsl:attribute name="onclick">
							jQuery('#exchange-systemsetup-system-lightbox').attr('class','dac-system-exchange-system-lightbox-middle');
							inchorus.$('exchange-systemsetup-system-lightbox').setAlternativecontentfile('exchange-systemsetup-system-lightbox-host');
							inchorus.$('exchange-systemsetup-system-lightbox').activate();
						</xsl:attribute>
						
						<div style="text-align: center;margin-top:75px;">
							<xsl:value-of select="$exchange_setup_text_addexchange"/>
						</div>
					</div>	
			</xsl:when>
			<xsl:when test="not(//data/systems/system) and $connected = 'true'">
				<div>
					<div>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
					</div>

					<div style="float:left;border: 1px solid #ddd;border-top:4px solid #ddd;overflow:hidden;height:auto;background-color:#fff;border-radius: 6px;width: 268px;">
						<div style="padding:0px 15px; 15px 20px;cursor:default;">
							<h2 style="margin-bottom:10px;">
								<xsl:attribute name="title">
									<xsl:choose>
										<xsl:when test="$type = 'onpremise'">
											<xsl:value-of select="$servername" />
										</xsl:when>
										<xsl:when test="$type = 'online'">
											<xsl:value-of select="$organization" />
										</xsl:when>
									</xsl:choose>
								</xsl:attribute>
								<xsl:attribute name="style">cursor:default;</xsl:attribute>
								<div class="dac-system-exchange-data-icon"></div>
								<xsl:choose>
									<xsl:when test="string-length($servername) > 16">
										<xsl:value-of select="concat(substring($servername, 1, 15), '...')"/>
								    </xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$systemname"/>
									</xsl:otherwise>
								</xsl:choose>
							</h2>
							<p class="dac-system-box-message" style="font-weight:bold;">								
								<xsl:choose>
									<xsl:when test="$message = 'SUCCESS'">
										<xsl:value-of select="$exchange_setup_message_success" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$message" />
									</xsl:otherwise>
								</xsl:choose>
							</p>
						</div>
						<div style="border-top: 1px solid #ddd;padding:10px;">							
							<inchorus-button>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-add</xsl:attribute>
								<xsl:attribute name="class">dac-system-box-button-add</xsl:attribute>
								<xsl:attribute name="type">icontext</xsl:attribute>
								<xsl:attribute name="icon">new</xsl:attribute>
								<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_add" /></xsl:attribute>
								<xsl:attribute name="active">true</xsl:attribute>
								<!--  -->
								<xsl:choose>
									<xsl:when test="$type = 'onpremise'">
										<xsl:attribute name="onclick">
											jQuery('#exchange-systemsetup-system-lightbox').attr('class','dac-system-exchange-system-lightbox-middle');
											inchorus.$('exchange-systemsetup-system-lightbox').setAlternativecontentfile('exchange-systemsetup-system-lightbox-add');
											inchorus.$('exchange-systemsetup-system-lightbox').setParameters(
												{
													"connected":"<xsl:value-of select="$connected"/>",
													"domainname":"<xsl:value-of select="$domainname"/>",
													"servername":"<xsl:value-of select="$servername"/>",
													"systemname":"<xsl:value-of select="$systemname"/>",
													"servertype":"<xsl:value-of select="$servertype"/>",
													"userid":"<xsl:value-of select="$userid"/>",
													"userpw":"<xsl:value-of select="$userpw"/>"
												}
											);
											inchorus.$('exchange-systemsetup-system-lightbox').activate();
										</xsl:attribute>
									</xsl:when>
									<xsl:when test="$type = 'online'">
										<xsl:attribute name="onclick">
											jQuery('#exchange-systemsetup-system-lightbox').attr('class','dac-system-exchange-system-lightbox-middle');
											inchorus.$('exchange-systemsetup-system-lightbox').setAlternativecontentfile('exchange-systemsetup-system-lightbox-add');
											inchorus.$('exchange-systemsetup-system-lightbox').setParameters(
												{
													"connected":"<xsl:value-of select="$connected"/>",
													"tenantname":"<xsl:value-of select="$tenantname"/>",
													"organization":"<xsl:value-of select="$organization"/>",
													"systemname":"<xsl:value-of select="$systemname"/>",
													"tenantid":"<xsl:value-of select="$tenantid"/>",
													"appid":"<xsl:value-of select="$appid"/>",
													"certThumbprint":"<xsl:value-of select="$certThumbprint"/>"
												}
											);
											inchorus.$('exchange-systemsetup-system-lightbox').activate();
										</xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</inchorus-button>
						</div>
					</div>
				</div>
				<!--  
				<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;float:right;cursor: pointer;">
					<div style="text-align: center;margin-top:75px;">+ Remote hinzuf&#252;gen</div>
				</div>
				-->
			</xsl:when>
			<xsl:when test="//data/systems/system">
				<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;cursor: pointer;">
					<xsl:attribute name="onclick">
						jQuery('#exchange-systemsetup-system-lightbox').attr('class','dac-system-exchange-system-lightbox-middle');
						inchorus.$('exchange-systemsetup-system-lightbox').setAlternativecontentfile('exchange-systemsetup-system-lightbox-host');
						inchorus.$('exchange-systemsetup-system-lightbox').activate();
					</xsl:attribute>
					
					<div style="text-align: center;margin-top:75px;">
						<xsl:value-of select="$exchange_setup_text_addexchange"/>
					</div>
				</div>		
			</xsl:when>
		</xsl:choose>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		</inchorus-form>
	
		<script>
			exchange.setup.divelement();
		</script>
	</xsl:template>
</xsl:stylesheet>