<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">exchange-systemsetup-system</xsl:variable>
		<xsl:variable name="initmajorstate" select="//data/initmajorstate" />
		<xsl:variable name="initminorstate" select="//data/initminorstate" />
		<xsl:variable name="initmessage" select="//data/initmessage" />
		
		<xsl:choose>
			<xsl:when test="$initmajorstate &lt; 8 or ($initmajorstate = '8' and $initminorstate &lt; 2)">
			
				<inchorus-message>
 					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message</xsl:attribute>
 					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<b><xsl:value-of select="$exchange_setup_message_error_configure_previous_step1" /></b>&#160;<xsl:value-of select="$exchange_setup_message_error_configure_previous_step2" />
 				</inchorus-message>
			
			</xsl:when>
			<xsl:otherwise>
			
				<p class="dac-system-text">
					<xsl:value-of select="$exchange_setup_system_text" />
				</p>
				
				<div class="dac-system-addedcomponent-header">
					<xsl:value-of select="$exchange_setup_system_header_added" />
				</div>
			
		 		<inchorus-content>
		 			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-addedsystems</xsl:attribute>
		 			<xsl:attribute name="hascontentfile">true</xsl:attribute>
		 			<xsl:attribute name="command">getExchangeSystems</xsl:attribute>
		 			<div class="dac-system-dashedbox">
						<div class="dac-system-dashedbox-wrapper">
							<center><xsl:value-of select="$exchange_setup_text_dataisloading" /></center>
						</div>
					</div>
		 		</inchorus-content>
		 		
		 	
		 		<inchorus-content>
		 			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-collectors</xsl:attribute>
		 			<xsl:attribute name="hascontentfile">true</xsl:attribute>
		 			<xsl:attribute name="active">false</xsl:attribute>
		 			<xsl:attribute name="command">getCollectors</xsl:attribute>
		 		</inchorus-content>
		 		
		 		
		 		<div class="dac-system-localcomponent-header">
		 			<xsl:value-of select="$exchange_setup_system_header_local" />
		 		</div>
		
		 		<inchorus-content>
		 			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-remotesystems</xsl:attribute>
		 			<xsl:attribute name="hascontentfile">true</xsl:attribute>
		 			<xsl:attribute name="active">true</xsl:attribute>
		 			<xsl:attribute name="command">getExchangeSystems</xsl:attribute>
		 		</inchorus-content>
				
				<inchorus-lightbox>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-lightbox</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
				</inchorus-lightbox>
			
				<div style="width:100%;">
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-next</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_next" /></xsl:attribute>
						<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="onclick">
							jQuery('#setup-tabs').removeClass('height_system');
		        			jQuery('#setup-tabs').removeClass('height_connector');
							jQuery('#setup-tabs').addClass('height_policies');
							inchorus.$('exchange-systemsetup-tabs').setActiveheaderid('exchange-systemsetup-header-policies');
						</xsl:attribute>
					</inchorus-button>
				</div>
				
				<inchorus-lightbox>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-lightbox-validation</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
				</inchorus-lightbox>			
			
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
</xsl:stylesheet>