<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		
		<xsl:variable name="parentid">exchange-systemsetup</xsl:variable>
<!-- 		<xsl:variable name="initmajorstate" select="//data/initmajorstate" />
		<xsl:variable name="initminorstate" select="//data/initminorstate" />
		<xsl:variable name="initmessage" select="//data/initmessage" /> -->
		<xsl:variable name="connectors_status" select="//data/components/systemtypes/systemtype/requiredcomponents/connectors/connector/status" />
		<xsl:variable name="connectors_statusmessage" select="//data/components/systemtypes/systemtype/requiredcomponents/connectors/connector/statusmessage" />
		<xsl:variable name="systems_status" select="//data/components/systemtypes/systemtype/requiredcomponents/systems/status" />
		<xsl:variable name="systems_statusmessage" select="//data/components/systemtypes/systemtype/requiredcomponents/systems/statusmessage" />
		<xsl:variable name="policypackages_status" select="//data/components/systemtypes/systemtype/requiredcomponents/policypackages/policypackage/status" />
		<xsl:variable name="policypackages_statusmessage" select="//data/components/systemtypes/systemtype/requiredcomponents/policypackages/policypackage/statusmessage"></xsl:variable>
		
		<xsl:choose>
			<xsl:when test="$connectors_status = 'READY' and $systems_status = 'READY' and $policypackages_statusmessage = 'WARNING_POLICYPACKAGE_NOTCONFIGURED'">
				<script>
					if (jQuery('#setup-header-integrationpackage-Exchange div div div div').hasClass('tab-update')) {
						jQuery('#setup-header-integrationpackage-Exchange div div div div').addClass('tab-notconfigured');
						jQuery('#setup-header-integrationpackage-Exchange div div div div').removeClass('tab-update');
						jQuery('#setup-header-integrationpackage-Exchange div div div.dac-system-maintabs-tab-image-line-bottom').addClass('dac-system-maintabs-tab-image-line-bottom-notedited-updated');
						jQuery('#setup-header-integrationpackage-Exchange div div div..dac-system-maintabs-tab-image-line-bottom').removeClass('dac-system-maintabs-tab-image-line-bottom');
					}
				</script>
			</xsl:when>
			<xsl:when test="$connectors_status = 'READY' and $systems_status = 'READY' and $policypackages_status = 'READY'">
				<script>
					if (jQuery('#setup-header-integrationpackage-Exchange div div div div').hasClass('tab-update')) {
						jQuery('#setup-header-integrationpackage-Exchange div div div div').addClass('tab-success');
						jQuery('#setup-header-integrationpackage-Exchange div div div div').removeClass('tab-update');
					}
				</script>
			</xsl:when>
		</xsl:choose>
		
		<img src="inc/img/icons/activedirectory.png" style="float:left;margin-top:3px;margin-right:15px;"/>
		<h2 class="dac-system-h2"><xsl:value-of select="$exchange_setup_header" /></h2>
		<p class="dac-system-text"><xsl:value-of select="$exchange_setup_text" /></p>
	
		<inchorus-tabs>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
    		<xsl:attribute name="type">horizontal</xsl:attribute>
    		
    		<xsl:choose>
	    		<xsl:when test="$connectors_status = 'ERROR' or $connectors_statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
	    			<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-connector</xsl:attribute>
	    			<script>
	    				jQuery('#setup-tabs').addClass('height_connector');
	    			</script>
				</xsl:when>
	    		<xsl:when test="$systems_status = 'ERROR'">
	    			<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-system</xsl:attribute>
	    			<script>
	    				jQuery('#setup-tabs').addClass('height_system');
	    			</script>
				</xsl:when>
	    		<xsl:when test="$policypackages_status = 'ERROR' or $policypackages_statusmessage = 'WARNING_POLICYPACKAGE_UPDATEREQUIRED' ">
	    			<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-policies</xsl:attribute>
	    			<script>
	    				jQuery('#setup-tabs').addClass('height_policies');
	    			</script>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-connector</xsl:attribute>
					<script>
	    				jQuery('#setup-tabs').addClass('height_connector');
	    			</script>
				</xsl:otherwise>
			</xsl:choose>
    		
			<inchorus-tab-header-area style="margin-top: -1px;">
	    		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
	      		
	      		<div class="dac-system-tabs-horizontal-placeholder">
	      			<div class="dac-system-tabs-horizontal-placeholder-wrapper">
	        			<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-1">
	        			</div>
	        			<div  class="dac-system-tabs-horizontal-placeholder-wrapper-row-2">
	        				<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-2-image">
	        				</div>
	        			</div>
	        		</div>
	      		</div>
	      		
	      		<inchorus-tab-header style="border: 0px solid black !important;">
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-connector</xsl:attribute>
	        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-connector</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$connectors_statusmessage ='WARNING_CONNECTOR_NOTCONFIGURED'">
							<xsl:attribute name="status">disabled</xsl:attribute>
							<xsl:attribute name="onclicktemp">
			        			jQuery('#setup-tabs').removeClass('height_policies');
			        			jQuery('#setup-tabs').removeClass('height_system');
								jQuery('#setup-tabs').addClass('height_connector');
							</xsl:attribute>	
		    			</xsl:when>
		    			<xsl:otherwise>		    				
							<xsl:attribute name="onclick">
			        			jQuery('#setup-tabs').removeClass('height_policies');
			        			jQuery('#setup-tabs').removeClass('height_system');
								jQuery('#setup-tabs').addClass('height_connector');
							</xsl:attribute>
		    			</xsl:otherwise>
		    		</xsl:choose>
					
	        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					<xsl:value-of select="$exchange_setup_system_tab_exchange_connector" />
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:choose>
 	        						<xsl:when test="$connectors_status = 'READY'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-exchange-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="$connectors_statusmessage = 'WARNING_CONNECTOR_NOTCONFIGURED'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-exchange-notconfigured</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="$connectors_statusmessage = 'WARNING_CONNECTOR_UPDATEREQUIRED'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-exchange-warning</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-exchange-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
	      		</inchorus-tab-header>
      		
	      		<inchorus-tab-header style="border-bottom: 1px dotted silver;padding-bottom:5px;">
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-system</xsl:attribute>
	        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-system</xsl:attribute>
	        		<xsl:choose>
	        			<xsl:when test="$systems_statusmessage ='WARNING_SYSTEM_NOTCONFIGURED'">
	        				<xsl:attribute name="status">disabled</xsl:attribute>
	        				<xsl:attribute name="onclicktemp">
			        			jQuery('#setup-tabs').removeClass('height_connector');
			        			jQuery('#setup-tabs').removeClass('height_policies');
			        			jQuery('#setup-tabs').addClass('height_system');
			        		</xsl:attribute>
	        			</xsl:when>
	        			<xsl:otherwise>
	        				<xsl:attribute name="onclick">
			        			jQuery('#setup-tabs').removeClass('height_connector');
			        			jQuery('#setup-tabs').removeClass('height_policies');
			        			jQuery('#setup-tabs').addClass('height_system');
			        		</xsl:attribute>
	        			</xsl:otherwise>
	        		</xsl:choose>
	        		
	        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					<xsl:value-of select="$exchange_setup_system_tab_exchange_data" />
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">	 							
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:choose>
	        						<xsl:when test="$systems_status = 'READY'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-domain-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="$systems_statusmessage = 'WARNING_SYSTEM_NOTCONFIGURED'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-domain-notconfigured</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-domain-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
	      		</inchorus-tab-header>
	      		
	      		<inchorus-tab-header style="border-bottom: 1px dotted silver;padding-bottom:5px;">
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-policies</xsl:attribute>
	        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-policies</xsl:attribute>
	        			<xsl:choose>
		        		<xsl:when test="$policypackages_statusmessage ='WARNING_POLICYPACKAGE_NOTCONFIGURED'">
			        		<xsl:attribute name="status">disabled</xsl:attribute>
			        		<xsl:attribute name="onclicktemp">
			        			jQuery('#setup-tabs').removeClass('height_connector');
			        			jQuery('#setup-tabs').removeClass('height_system');
			        			jQuery('#setup-tabs').addClass('height_policies');
			        		</xsl:attribute>
		        		</xsl:when>
		        		<xsl:otherwise>
		        			<xsl:attribute name="onclick">
			        			jQuery('#setup-tabs').removeClass('height_connector');
			        			jQuery('#setup-tabs').removeClass('height_system');
			        			jQuery('#setup-tabs').addClass('height_policies');
			        		</xsl:attribute>
		        		</xsl:otherwise>
		        	</xsl:choose>
		        	
	        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					<xsl:value-of select="$exchange_setup_tab_policies" />
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">	 							
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:choose>
	        						<xsl:when test="$policypackages_status = 'READY'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-policies-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="$policypackages_statusmessage = 'WARNING_POLICYPACKAGE_NOTCONFIGURED'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-policies-notconfigured</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="$policypackages_statusmessage = 'WARNING_POLICYPACKAGE_UPDATEREQUIRED'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-policies-warning</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle dac-system-tabs-horizontal-tab-row-2-middle-policies-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
	      		</inchorus-tab-header>
	      		
	      		<div class="dac-system-tabs-horizontal-placeholder">
	      			<div class="dac-system-tabs-horizontal-placeholder-wrapper">
	        			<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-1">
	        			</div>
	        			<div  class="dac-system-tabs-horizontal-placeholder-wrapper-row-2">
	        				<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-2-image">
	        				</div>
	        			</div>
	        		</div>
	      		</div>
	      		
      		</inchorus-tab-header-area>
 				
	 		<inchorus-tab-content-area>
	    		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
	      		
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-connector</xsl:attribute>
	      			<!-- <xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute> -->
	      			<xsl:attribute name="parameters">[{"connectors_statusmessage":"<xsl:value-of select="$connectors_statusmessage" />"}]</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	      		</inchorus-tab-content>
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-system</xsl:attribute>
	      			<!-- <xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute> -->
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	      		</inchorus-tab-content>
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policies</xsl:attribute>
	      			<!-- <xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute> -->
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	      		</inchorus-tab-content>
	    	</inchorus-tab-content-area>
 		</inchorus-tabs>
	</xsl:template>
</xsl:stylesheet>