<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_person.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">index</xsl:variable>
		<xsl:variable name="tab" select="//parameters/parameter[@name='tab']" />
		<xsl:variable name="qf" select="//parameters/parameter[@name='qf']" />
		<xsl:variable name="view" select="//parameters/parameter[@name='view']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="systemname" select="//parameters/parameter[@name='systemname']" />
		<xsl:variable name="spid" select="//parameters/parameter[@name='spid']" />
		<xsl:variable name="rsid" select="//parameters/parameter[@name='rsid']" />
		<xsl:variable name="details" select="//parameters/parameter[@name='details']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />
		<xsl:variable name="path" select="//parameters/parameter[@name='path']" />
		
		<xsl:variable name="modus" select="//data/parameters/parameter[@name='modus']/text()"/>
		<xsl:variable name="openedslider" select="//data/parameters/parameter[@name='openedslider']"/>
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="hasheader" select="//parameters/parameter[@name='hasheader']" />
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="function_to_close" select="//parameters/parameter[@name='function_to_close']" />
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="relatedsecurityprincipalname" select="//parameters/parameter[@name='relatedsecurityprincipalname']" />
		
		<xsl:variable name="systemtype" select="//parameters/parameter[@name='systemtype']" />
		
		<xsl:if test="$modus='setup'">
			<script type="text/javascript" src="/<!--GADGET:PATH-->/inc/js/inchorus.{$gadgetname}.setup.js" />
		</xsl:if>
		
		<!-- Gadget specific CSS -->
		<xsl:choose>
			<xsl:when test="$modus = 'hidden'">
			</xsl:when>
			<xsl:when test="$modus='setup' or $modus='portalsetupadd' or $modus='portalsetupedit'">
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/inchorus.{$gadgetname}.setup.css" />
			</xsl:when>
			<xsl:otherwise>
				<script type="text/javascript" src="/<!--GADGET:PATH-->/inc/js/inchorus.{$gadgetname}.js" />
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/inchorus.{$gadgetname}.css" />
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:choose>
		
			<xsl:when test="$modus='hidden'">
			
				<!-- NOTHING TO DISPLAY -->

			</xsl:when>
			
			<xsl:when test="$modus='setup'">
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/inchorus.exchange.setup.css" />
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-systemsetup</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">exchange-systemsetup</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">checkComponents</xsl:attribute>
				</inchorus-content>

			</xsl:when>
			
			<xsl:when test="$modus='portalsetupadd'">
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/inchorus.exchange.setup.css" />
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-portalsetup-admin-systems-lightbox-addsystem</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">exchange-portalsetup-admin-systems-lightbox-addsystem-exchange</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='portalsetupedit'">
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/inchorus.exchange.setup.css" />
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-portalsetup-admin-systems-lightbox-editsystem</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">exchange-portalsetup-admin-systems-lightbox-editsystem</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"},{"systemtype":"<xsl:value-of select="$systemtype" />"},{"header":"<xsl:value-of select="$header" />"}]</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='systemdetails'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-portalsetup-admin-system-slider-systemdetails</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-systemdetails</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"},{"systemtype":"<xsl:value-of select="$systemtype" />"},{"systemname":"<xsl:value-of select="$systemname"/>"},{"path":"<xsl:value-of select="$path" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
			  		<xsl:attribute name="command">checkRequiredComponentStatus</xsl:attribute>
			  		<div class="exchange-slider-akkordeon-loader" style="margin-top:calc(75% - 24px);">
						<xsl:value-of select="$loader_pleasewait" />
					</div>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='aduser'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-aduser-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"hasheader":"<xsl:value-of select="$hasheader" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='effectiveview_aduser'">
				<input id="exchange-admin-general-effective-filter-field-userandgroups" type="hidden">
					<xsl:attribute name="value"><xsl:value-of select="$adusername"/></xsl:attribute>
				</input>
				
				<input id="msfileserver-admin-general-effective-filter-field-securityprincipallabel" type="hidden">
					<xsl:attribute name="value">User</xsl:attribute>
				</input>
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" /></xsl:attribute>
					<xsl:attribute name="type">icontext</xsl:attribute>
					<xsl:attribute name="icon">tree</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$msfileserver_slider_button_effectiveview" /></xsl:attribute>
					<xsl:attribute name="highlighting">high</xsl:attribute>
					<xsl:attribute name="style">margin-bottom: 10px;</xsl:attribute>
				</inchorus-button>
				-->

				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-effectiveview</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">exchange-admin-general-effective-tree</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute> 			
		 			<xsl:attribute name="active">true</xsl:attribute>
			  		<xsl:attribute name="animation">fade</xsl:attribute>
			  		<xsl:attribute name="animationspeed">500</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus"/>"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal"/>"},{"adusername":"<xsl:value-of select="$adusername"/>"}]</xsl:attribute>
				</inchorus-content>	

				<inchorus-content>
		  			<xsl:attribute name="id">exchange-slider-details</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-details-content</xsl:attribute>
			  		<xsl:attribute name="hascontentfile">true</xsl:attribute> 			
		 			<xsl:attribute name="active">false</xsl:attribute>
			  		<xsl:attribute name="animation">fade</xsl:attribute>
			  		<xsl:attribute name="animationspeed">500</xsl:attribute>
			  		<xsl:attribute name="style">display:none;</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='aduser-history'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content-history</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-aduser-details-history-list-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getHistoryDetailsById</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus" />"},{"id":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"hasheader":"<xsl:value-of select="$hasheader" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='mailbox-history'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content-history</xsl:attribute>
			  		<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-list-details</xsl:attribute>
			  		<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getHistoryDetailsById</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:when test="$modus='mailbox'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content</xsl:attribute>
					<!-- <xsl:attribute name="alternativecontentfile">exchange-admin-groups-details</xsl:attribute> -->
					<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
						
			<xsl:when test="$modus='effectiveview_securityprincipals'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content-secondary</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-linkedresource-mailbox-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"relatedsecurityprincipalname":"<xsl:value-of select="$relatedsecurityprincipalname" />"},{"header":"<xsl:value-of select="$header" />"},{"openedslider":"<xsl:value-of select="$openedslider" />"},{"function_to_close":"<xsl:value-of select="$function_to_close" />"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			
			<xsl:otherwise>
		
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-details-content</xsl:attribute>
			  		<xsl:attribute name="hascontentfile">true</xsl:attribute> 			
		 			<xsl:attribute name="active">false</xsl:attribute>
			  		<xsl:attribute name="animation">fade</xsl:attribute>
			  		<xsl:attribute name="animationspeed">500</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-secondary</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-details-content</xsl:attribute>
			  		<xsl:attribute name="hascontentfile">true</xsl:attribute> 			
		 			<xsl:attribute name="active">false</xsl:attribute>
			  		<xsl:attribute name="animation">fade</xsl:attribute>
			  		<xsl:attribute name="animationspeed">500</xsl:attribute>
			  		<xsl:attribute name="style">display:none;</xsl:attribute>
			  		<xsl:attribute name="class">dac-slider-right</xsl:attribute>
				</inchorus-content>
				
				<h1 class="dac-exchange-headline">
					<xsl:value-of select="$exchange_header" />
				</h1>
				
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tabs</xsl:attribute>
				   	<xsl:choose>
						<xsl:when test="$tab = 'admin'">
							<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid" />-tab-header-admin</xsl:attribute>
					    </xsl:when>
					    <xsl:otherwise>
						   	<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid" />-tab-header-admin</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
		
				   	<inchorus-tab-header-area>
				   		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-header-area</xsl:attribute>
				    		
				     	<inchorus-tab-header>
				     		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-header-admin</xsl:attribute>
				        	<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid" />-tab-content-admin</xsl:attribute>
				        	<xsl:value-of select="$exchange_tab_administrator" />
				      	</inchorus-tab-header>
				      	
				    </inchorus-tab-header-area>
				    
					<inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tabs-content-area</xsl:attribute>
					    <inchorus-tab-content>
					    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-content-admin</xsl:attribute>
					       	<xsl:attribute name="hascontentfile">true</xsl:attribute>
					      	<xsl:attribute name="alternativecontentfile">exchange-admin</xsl:attribute>
					      	<xsl:attribute name="command">getAllExchangeDomains</xsl:attribute>
					      	<xsl:attribute name="parameters">[{"view":"<xsl:value-of select="$view"/>"},{"qf":"<xsl:value-of select="$qf"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
					    </inchorus-tab-content>
					    
					</inchorus-tab-content-area>
				</inchorus-tabs>
		
				<div>
					<xsl:attribute name="id">exchange-slider-maximized-notclickable</xsl:attribute>
					<xsl:attribute name="onClick">
						exchange.slider.hideDetailsMaximized();
						exchange.slider.hideDetails();
					</xsl:attribute>
				</div>				
				
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-maximized</xsl:attribute>
			  		<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="alternativecontentfile">exchange-admin-policies-policydetails</xsl:attribute>
			  		<xsl:attribute name="active">false</xsl:attribute>
			  		<xsl:attribute name="animation">fade</xsl:attribute>
			  		<xsl:attribute name="animationspeed">500</xsl:attribute>
			  		<xsl:attribute name="command">getPolicyDetails</xsl:attribute>
				</inchorus-content>
				
				<script type="text/javascript" src="/<!--GADGET:PATH-->/inc/js/jqui/jquery.ui.js" />
				<script type="text/javascript" src="/<!--GADGET:PATH-->/inc/js/jqui/<!--GADGET:LANGUAGE-->/datepicker_lang.js" />
				<link media="screen" rel="stylesheet" type="text/css" href="/<!--GADGET:PATH-->/inc/css/jqui/jquery.ui.css" />

				<link rel="stylesheet" type="text/css" href="inc/css/apexcharts/apexcharts.css" />
				<script type="text/javascript" src="inc/js/apexcharts/apexcharts.js" />			
			</xsl:otherwise>
				
		</xsl:choose>
		
	</xsl:template>
</xsl:stylesheet>