<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-select-selected" select="//data/parameters/parameter[@name='inchorus-select-selected']"/>
      	<xsl:variable name="inchorus-select-name" select="//data/parameters/parameter[@name='inchorus-select-name']"/>
      	<xsl:variable name="inchorus-select-active" select="//data/parameters/parameter[@name='inchorus-select-active']"/>
      	<xsl:variable name="inchorus-select-validate" select="//data/parameters/parameter[@name='inchorus-select-validate']"/>
        <xsl:variable name="notalltyps" select="//parameters/parameter[@name='notalltyps']" />
		
		<select id="persons-selectTyp">
			<xsl:attribute name="name"><xsl:value-of select="$inchorus-select-name" /></xsl:attribute>
			<xsl:choose>
				<xsl:when test="$notalltyps = 'true'">
				</xsl:when>
				<xsl:otherwise>
					<option value="">
						<xsl:value-of select="$dac_exchange_history_eventtype_select_all" />
					</option>
					
					<!-- Muss raus wenn an DB angeschlossen -->
					<option value="add">
						<xsl:if test="$inchorus-select-selected = 'add'">
							<xsl:attribute name="selected">selected</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="$dac_exchange_history_eventtype_add" />
					</option>
					<option value="modify">
						<xsl:if test="$inchorus-select-selected = 'modify'">
							<xsl:attribute name="selected">selected</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="$dac_exchange_history_eventtype_modify" />
					</option>
					<option value="delete">
						<xsl:if test="$inchorus-select-selected = 'delete'">
							<xsl:attribute name="selected">selected</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="$dac_exchange_history_eventtype_delete" />
					</option>
				</xsl:otherwise>
			</xsl:choose>
		</select>
	</xsl:template>
</xsl:stylesheet>