<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
	
		<xsl:choose>
			<xsl:when test="//members/member">	
				<div>
			 		<xsl:for-each select="//members/member">
						<xsl:variable name="uniqueid" select="uniqueid" />
						<xsl:variable name="level" select="level" />
						<xsl:variable name="name" select="name" />
						<xsl:variable name="securityprincipallabel" select="securityprincipallabel" />
			
						<div class="exchange_table_row dac-slider-list-small-row" style="border-bottom: 1px dotted silver;overflow:hidden;">
							<div style="float:left;float:left;padding: 3px 0px;">
								<xsl:choose>
									<xsl:when test="$securityprincipallabel = 'User'">
										<xsl:attribute name="style">float:left;float:left;padding: 3px 0px;background: url(../exchange/inc/img/inchorus/user.png);background-repeat: no-repeat; background-position:3px 7px;</xsl:attribute>
									</xsl:when>
									<xsl:when test="$securityprincipallabel = 'Group'">
										<xsl:attribute name="style">float:left;float:left;padding: 3px 0px;background: url(../exchange/inc/img/inchorus/group.png);background-repeat: no-repeat; background-position:3px 7px;</xsl:attribute>
									</xsl:when>
								</xsl:choose>
								<span style="margin-left:26px;line-height:23px;"><xsl:value-of select="$name" /></span>
								<span style="margin-left:26px;line-height:23px;"><xsl:value-of select="$level" /></span>
							</div>
						</div>
			
					</xsl:for-each>
				</div>
			</xsl:when>
			<xsl:otherwise>
				
				<inchorus-message>
					<xsl:attribute name="id">noresults-members</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$exchange_group_details_membership_noresult"/>
				</inchorus-message>
				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>