<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-distributiongroup-details-distributiongroup</xsl:variable>
		<xsl:variable name="alias" select="//data/distributiongroups/distributiongroup/alias" />
		<xsl:variable name="category" select="//data/distributiongroups/distributiongroup/category" />
		<xsl:variable name="created" select="//data/distributiongroups/distributiongroup/created" />
		<xsl:variable name="displayname" select="//data/distributiongroups/distributiongroup/displayname" />
		<xsl:variable name="emailaddresses" select="//data/distributiongroups/distributiongroup/emailaddresses" />
		<xsl:variable name="grouptype" select="//data/distributiongroups/distributiongroup/grouptype" />
		<xsl:variable name="hidden" select="//data/distributiongroups/distributiongroup/hidden" />
		<xsl:variable name="includedrecipients" select="//data/distributiongroups/distributiongroup/includedrecipients" />
		<xsl:variable name="maxreceivesize" select="//data/distributiongroups/distributiongroup/maxreceivesize" />
		<xsl:variable name="maxsendsize" select="//data/distributiongroups/distributiongroup/maxsendsize" />
		<xsl:variable name="modified" select="//data/distributiongroups/distributiongroup/modified" />
		<xsl:variable name="name" select="//data/distributiongroups/distributiongroup/name" />
		<xsl:variable name="primaryemailaddress" select="//data/distributiongroups/distributiongroup/primaryemailaddress" />
		<xsl:variable name="recipientfilter" select="//data/distributiongroups/distributiongroup/recipientfilter" />
		<xsl:variable name="recipientfiltertype" select="//data/distributiongroups/distributiongroup/recipientfiltertype" />
		<xsl:variable name="uniqueid" select="//data/distributiongroups/distributiongroup/uniqueid" />
		<xsl:variable name="personuniqueid" select="//data/distributiongroups/distributiongroup/personuniqueid" />
		<xsl:variable name="systemname" select="//data/distributiongroups/distributiongroup/systemname" />
		
		<xsl:variable name="groupid" select="//parameters/parameter[@name='groupid']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="description" select="//data/distributiongroups/distributiongroup/description" />
		
		
		
		<div style="height:calc(100% - 100px);overflow-y:auto;">
		<div class="dac-slider-list">
			<div>
				<label>
					<xsl:value-of select="$exchange_label_objectsid" />
				</label>
				<div>
					<xsl:value-of select="$uniqueid"/>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_name"/>
				</label>
				<div>
					<xsl:value-of select="$name" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_displayname"/>
				</label>
				<div>
					<xsl:value-of select="$displayname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_alias"/>
				</label>
				<div>
					<xsl:value-of select="$alias" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_systemname"/>
				</label>
				<div>
					<xsl:value-of select="$systemname" />
				</div>
			</div>
			<div>
					<label>
						<xsl:value-of select="$exchange_label_category"/>
					</label>
					<div>
						<xsl:choose>
							<xsl:when test="$category = 'DynamicDistributionGroup'">
								<xsl:value-of select="$exchange_list_distributiongroupcategory_dynamic"/>
							</xsl:when>
							<xsl:when test="$category = 'MailUniversalDistributionGroup'">
								<xsl:value-of select="$exchange_list_distributiongroupcategory_mailuniversal"/>
							</xsl:when>
							<xsl:when test="$category = 'MailUniversalSecurityGroup'">
								<xsl:value-of select="$exchange_list_distributiongroupcategory_mailuniversalsecurity"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$category" />
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
			<xsl:if test="$category != 'DynamicDistributionGroup'">
				<div>
					<label>
						<xsl:value-of select="$exchange_label_grouptype"/>
					</label>
					<div>
						<xsl:value-of select="$grouptype" />
					</div>
				</div>
			</xsl:if>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_primaryemailaddress"/>
				</label>
				<div>
					<xsl:value-of select="$primaryemailaddress" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_allemailaddresses"/>
				</label>
				<div>
					<xsl:value-of select="$emailaddresses" />
				</div>
			</div>
		</div>
		<div style="border-bottom:0px;">
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-others-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_blockheadline_others" /></xsl:attribute>
				<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-others-akkordeon');</xsl:attribute>
		    	<inchorus-content id="slider-admin-details-others-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
		    		
		    	
		    	<div class="dac-slider-list">
					<div>
						<label>
							<xsl:value-of select="$exchange_label_maxreceivesize"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$maxreceivesize = 'Unlimited'">
									<xsl:value-of select="$exchange_content_unlimited" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$maxreceivesize" />
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_maxsendsize"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$maxsendsize = 'Unlimited'">
									<xsl:value-of select="$exchange_content_unlimited" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$maxsendsize" />
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_hidden"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$hidden = 'true'">
									<xsl:value-of select="$exchange_content_true" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$exchange_content_false" />
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_whencreated"/>
						</label>
						<div>
							<xsl:if test="$created != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_whenchanged"/>
						</label>
						<div>
							<xsl:if test="$modified != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
					</div>
				</div>
		    	</inchorus-content>
			</inchorus-akkordeon>
			<xsl:if test="$category = 'DynamicDistributionGroup'">
				<inchorus-akkordeon>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-akkordeon</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$exchange_blockheadline_filter" /></xsl:attribute>
					<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-filter-akkordeon');</xsl:attribute>
			    	<inchorus-content id="slider-admin-details-filter-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
			    		
			    	
			    	<div class="dac-slider-list">
						<div>
							<label>
								<xsl:value-of select="$exchange_label_includedrecipients"/>
							</label>
							<div>
								<xsl:value-of select="$includedrecipients" />
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$exchange_label_recipientfilter"/>
							</label>
							<div style="width:calc(100% - 206px); float:left;">
		     					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-input</xsl:attribute>
	     						<xsl:choose>
									<xsl:when test="string-length($recipientfilter) > 15">
										<xsl:value-of select="concat(substring($recipientfilter, 1, 15), '...')"/>
								    </xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$recipientfilter"/>
									</xsl:otherwise>
								</xsl:choose>
	     					</div>
	     					<inchorus-button>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-open-filter-button</xsl:attribute>
								<xsl:attribute name="type">icon</xsl:attribute>
								<xsl:attribute name="icon">new</xsl:attribute>
								<xsl:attribute name="title"></xsl:attribute>
								<xsl:attribute name="highlighting">low</xsl:attribute>
								<xsl:attribute name="active">true</xsl:attribute>
								<xsl:attribute name="border">false</xsl:attribute>
								<xsl:attribute name="hover">true</xsl:attribute>
								<xsl:attribute name="onclick">
									document.getElementById('<xsl:value-of select="$parentid" />-filter-input').setAttribute("hidden", "true");
									document.getElementById('<xsl:value-of select="$parentid" />-filter-textarea').removeAttribute("hidden");
									document.getElementById('<xsl:value-of select="$parentid" />-close-filter-button').removeAttribute("hidden");
									document.getElementById('<xsl:value-of select="$parentid" />-open-filter-button').setAttribute("hidden", "true");
								</xsl:attribute>
								<xsl:attribute name="style">margin-top: 4px;background-color: transparent;</xsl:attribute>
							</inchorus-button>
	     					<inchorus-button hidden="">
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-close-filter-button</xsl:attribute>
								<xsl:attribute name="type">icon</xsl:attribute>
								<xsl:attribute name="icon">close</xsl:attribute>
								<xsl:attribute name="title"></xsl:attribute>
								<xsl:attribute name="highlighting">low</xsl:attribute>
								<xsl:attribute name="active">true</xsl:attribute>
								<xsl:attribute name="border">false</xsl:attribute>
								<xsl:attribute name="hover">true</xsl:attribute>
								<xsl:attribute name="onclick">
									document.getElementById('<xsl:value-of select="$parentid" />-filter-textarea').setAttribute("hidden", "true");
									document.getElementById('<xsl:value-of select="$parentid" />-filter-input').removeAttribute("hidden");
									document.getElementById('<xsl:value-of select="$parentid" />-open-filter-button').removeAttribute("hidden");
									document.getElementById('<xsl:value-of select="$parentid" />-close-filter-button').setAttribute("hidden", "true");
								</xsl:attribute>
								<xsl:attribute name="style">margin-top: 4px;background-color: transparent;position:relative;left: 300px;</xsl:attribute>
							</inchorus-button>
							<textarea hidden="true" style="width:calc(100% - 11px);cursor: text;resize: vertical;" disabled="true" rows="10">
								<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-textarea</xsl:attribute>
								<xsl:value-of select="$recipientfilter" />
							</textarea>
							<!-- <div>
								<xsl:value-of select="$recipientfilter" />
							</div> -->
						</div>
						<div>
							<label>
								<xsl:value-of select="$exchange_label_recipientfiltertype"/>
							</label>
							<div>
								<xsl:value-of select="$recipientfiltertype" />
							</div>
						</div>
					</div>
			    	</inchorus-content>
				</inchorus-akkordeon>
			</xsl:if>
			<div style="overflow:hidden;">
				<!-- <div style="overflow:hidden;border-bottom: 1px dotted silver;">
					<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
						<b style="font-size:20px;"><xsl:value-of select="$exchange_label_managers"/></b>
					</div>
				</div> -->
										
					<inchorus-akkordeon>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-managers</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="text"><xsl:value-of select="$exchange_label_managers"/></xsl:attribute>
						<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-managers');</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getDistributiongroupManagers</xsl:attribute>
					</inchorus-akkordeon>
			</div>
			<div style="overflow:hidden;">
				<!-- <div style="overflow:hidden;border-bottom: 1px dotted silver;">
					<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
						<b style="font-size:20px;"><xsl:value-of select="$exchange_label_members"/></b>
					</div>
				</div> -->
										
					<inchorus-akkordeon>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-members</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="text"><xsl:value-of select="$exchange_label_members"/></xsl:attribute>
						<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-members');</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getDistributiongroupMembers</xsl:attribute>
					</inchorus-akkordeon>
			</div>
			<!-- <div style="padding: 0px 20px;float:left; height:20px;padding-top:200px;">
			</div> -->
		</div>
		</div>
	</xsl:template>
</xsl:stylesheet>