<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="openedslider" select="//parameters/parameter[@name='openedslider']"/>
		<xsl:variable name="days">30</xsl:variable>
		<xsl:variable name="parentid">slider-admin-linkedresource-mailbox-details-history</xsl:variable>
		
		<div style="height:calc(100% - 100px);overflow-y:auto;">			
			<h2 class="dac-slider-blockheadline">
				<xsl:value-of select="$dac_exchange_history_mailboxhistory" />
			</h2>	
		
			<inchorus-filter>
		    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
		    	<xsl:attribute name="active">true</xsl:attribute>
		    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
		    	<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-filter</xsl:attribute>
		    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
	   			<xsl:attribute name="submitonenter">true</xsl:attribute>
	   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-list</xsl:attribute>
	   			<!-- <xsl:attribute name="command">getHistoryDistributiongroupData</xsl:attribute> -->
	   			<xsl:attribute name="parameters">[{"previousparentid":"<xsl:value-of select="$parentid" />-filter"}]</xsl:attribute>
	   			<select name="inc-ftDays">
					<option value="30" selected="selected"></option>
				</select>
	  		</inchorus-filter>
				
			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-list</xsl:attribute>
				<xsl:attribute name="sortdirection">desc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">name</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<xsl:attribute name="command">getHistoryMailboxData</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"days":"<xsl:value-of select="$days"/>"},{"modus":"effectiveview"},{"openedslider":"<xsl:value-of select="$openedslider" />"}]</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-slider-list-dotted</xsl:attribute>
			</inchorus-list>
	
			<div style="padding-top:15px;"></div>
			
			<h2 class="dac-slider-blockheadline">
				<xsl:value-of select="$dac_exchange_history_rightshistory" />
			</h2>
	 
			<inchorus-filter>
		    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-rights-filter</xsl:attribute>
		    	<xsl:attribute name="active">true</xsl:attribute>
		    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
		    	<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-rights-filter</xsl:attribute>
		    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
	   			<xsl:attribute name="submitonenter">true</xsl:attribute>
	   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-rights-list</xsl:attribute>
	  			<xsl:attribute name="parameters">[{"previousparentid":"<xsl:value-of select="$parentid" />-rights-filter"}]</xsl:attribute>
				<select name="inc-ftDays">
					<option value="30" selected="selected"></option>
				</select>
				<select name="inc-ftType">
					<option value="RIGHTSALL" selected="selected"></option>
				</select>
	  		</inchorus-filter>
		
			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-rights-list</xsl:attribute>
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-rights-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-rights-list</xsl:attribute>
				<xsl:attribute name="sortdirection">desc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">name</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<xsl:attribute name="command">getHistoryMailboxRightsData</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"days":"<xsl:value-of select="$days"/>"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal"/>"},{"modus":"effectiveview"},{"openedslider":"<xsl:value-of select="$openedslider" />"}]</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-slider-list-dotted</xsl:attribute>		
			</inchorus-list>
				
			<div style="padding-top:15px;"></div>
			
			<h2 class="dac-slider-blockheadline">
				<xsl:value-of select="$dac_exchange_history_distributiongroupmembershiphistory" />
			</h2>
	 
			<inchorus-filter>
		    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-groupmembership-filter</xsl:attribute>
		    	<xsl:attribute name="active">true</xsl:attribute>
		    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
		    	<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-groupmembership-filter</xsl:attribute>
		    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
	   			<xsl:attribute name="submitonenter">true</xsl:attribute>
	   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-groupmembership-list</xsl:attribute>
	  			<!-- <xsl:attribute name="command">getHistoryUserDistributiongroupMembershipData</xsl:attribute> -->
	   			<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"days":"<xsl:value-of select="$days"/>"},{"previousparentid":"<xsl:value-of select="$parentid" />-groupmembership-filter"}]</xsl:attribute>
				<select name="inc-ftDays">
					<option value="30" selected="selected"></option>
				</select>
	  		</inchorus-filter>
		
			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-groupmembership-list</xsl:attribute>
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-groupmembership-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-history-groupmembership-list</xsl:attribute>
				<xsl:attribute name="sortdirection">desc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">name</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<xsl:attribute name="command">getHistoryUserDistributiongroupMembershipData</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"days":"<xsl:value-of select="$days"/>"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal"/>"},{"modus":"effectiveview"},{"openedslider":"<xsl:value-of select="$openedslider" />"}]</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-slider-list-dotted</xsl:attribute>		
			</inchorus-list>
		</div>
	</xsl:template>
</xsl:stylesheet>