<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
	
	<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		
		<div class="dac-slider-list-small-scrollable dac-slider-list-small-height-150px" style="overflow:auto;height: auto;max-height:402px;">
		<xsl:choose>
			<xsl:when test="//distributiongroups/distributiongroup">	
				<xsl:for-each select="//distributiongroups/distributiongroup">
					<xsl:variable name="uniqueid" select="uniqueid" />
					<xsl:variable name="name" select="name" />
					<xsl:variable name="relationtype" select="relationtypes/relationtype" />
					
					<div class="dac-slider-list-small-row">
						<div style="width: 100%;" class="exchange-slider-list-small-icon-distributionlist">
							<div>
								<xsl:attribute name="title"><xsl:value-of select="$name"/></xsl:attribute>
								<span style="float: left;">
								<xsl:choose>
								  <xsl:when test="string-length($name) > 53">
									<xsl:value-of select="concat(substring($name, 1, 50), '...')"/>
								  </xsl:when>
								  <xsl:otherwise>
									<xsl:value-of select="$name"/>
								  </xsl:otherwise>
								</xsl:choose>
								</span>
								<span style="float: right; margin-right: 10px;">
								<xsl:choose>
									<xsl:when test="$relationtype = 'MANAGED_BY'">
										(<xsl:value-of select="$exchange_label_manager"></xsl:value-of>)
									</xsl:when>
									<xsl:otherwise>
										(<xsl:value-of select="$exchange_label_member"></xsl:value-of>)
									</xsl:otherwise>
								</xsl:choose>
								</span>
							</div>
						</div>
					</div>
				</xsl:for-each>
			</xsl:when>
				
			<xsl:otherwise>
				
				<inchorus-message>
					<xsl:attribute name="id">linkedresource-noresults</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$exchange_group_details_distributiongroups_noresult"/>
				</inchorus-message>
				
			</xsl:otherwise>
		</xsl:choose>
		</div>
	</xsl:template>
</xsl:stylesheet>