<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="ownername" select="//parameters/parameter[@name='ownername']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />

		<xsl:choose>
			<xsl:when test="//members/member">	
				<div class="dac-slider-matrix" style="margin-left: 20px; margin-bottom: 20px;">
						<div class="dac-slider-matrix-header">
							<div class="dac-slider-matrix-header-left">
								<b style="font-size: 20px; font-weight: normal;"><xsl:value-of select="$exchange_slider-matrix-header"></xsl:value-of></b>
							</div>
							<div class="dac-slider-matrix-header-right">
								<div style="border-left: none;">
									<span></span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-fullaccess" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-change" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-read" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-send-as" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-send-onbehalf" />
									</span>
								</div>
								<div>
									<span>
										<xsl:value-of select="$exchange_slider-matrix-more" />
									</span>
								</div>
							</div>
						</div>
						<div style="overflow-y: scroll; max-height:186px; padding-bottom: 30px;">
				
							<xsl:for-each select="//members/member">
								<xsl:variable name="uniqueid" select="uniqueid" />
								<xsl:variable name="level" select="level" />
								<xsl:variable name="name" select="name" />
								<xsl:variable name="securityprincipallabel" select="securityprincipallabel" />
								<xsl:variable name="type" select="type" />
																
								<div class="dac-slider-matrix-row">
									<div class="dac-slider-matrix-row-left">
										<xsl:choose>
											<xsl:when test="$securityprincipallabel = 'User'">
												<xsl:attribute name="class">exchange-slider-matrix-icon-user</xsl:attribute>
											</xsl:when>
											<xsl:when test="$securityprincipallabel = 'Group'">
												<xsl:attribute name="class">exchange-slider-matrix-icon-group</xsl:attribute>
											</xsl:when>
										</xsl:choose>
										<span style="margin-left:34px;line-height:23px;">
											<xsl:attribute name="title"><xsl:value-of select="$name"/></xsl:attribute>
											<xsl:choose>
											  <xsl:when test="string-length($name) > 29">
												<xsl:value-of select="concat(substring($name, 1, 26), '...')"/>
											  </xsl:when>
											  <xsl:otherwise>
												<xsl:value-of select="$name"/>
											  </xsl:otherwise>
											</xsl:choose>
										</span>
									</div>
									
									<div class="dac-slider-matrix-row-right">
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center" style="border-left: none;"></div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'FullAccess')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'ChangeOwner') or contains($level, 'ChangePermission')">
													<xsl:attribute name="title">
														<xsl:choose>
															<xsl:when test="contains($level, 'ChangeOwner')">
																<xsl:value-of select="$exchange_slider-matrix-change-owner" />
															</xsl:when>
															<xsl:when test="contains($level, 'ChangePermission')">
																<xsl:value-of select="$exchange_slider-matrix-change-permission" />
															</xsl:when>
														</xsl:choose>
													</xsl:attribute>
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'ReadPermission')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'SendAs')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'SendOnBehalf')">
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<div class="dac-slider-matrix-cell-30x30 dac-slider-matrix-icon-center">
											<xsl:choose>
												<xsl:when test="contains($level, 'DeleteItem') or contains($level, 'ExternalAccount')">
													<xsl:attribute name="title">
														<xsl:choose>
															<xsl:when test="contains($level, 'DeleteItem') and contains($level, 'ExternalAccount')">
																<xsl:value-of select="$exchange_slider-matrix-delete-item" />; <xsl:value-of select="$exchange_slider-matrix-external" />
															</xsl:when>
															<xsl:otherwise>
																<xsl:if test="contains($level, 'DeleteItem')">
																	<xsl:value-of select="$exchange_slider-matrix-delete-item" />
																</xsl:if>
																<xsl:if test="contains($level, 'ExternalAccount')">
																	<xsl:value-of select="$exchange_slider-matrix-external" />
																</xsl:if>
															</xsl:otherwise>
														</xsl:choose>
													</xsl:attribute>
													<xsl:choose>
														<xsl:when test="$type = 'Deny'">
															<div class="exchange-slider-matrix-icon-deny" />
														</xsl:when>
														<xsl:otherwise>
															<div class="exchange-slider-matrix-icon-allowed" />
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<div class="exchange-slider-matrix-icon-denied" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
									</div>
								</div>
							</xsl:for-each>
						</div>
				</div>	
			</xsl:when>
				
			<xsl:otherwise>
				
				<inchorus-message>
					<xsl:attribute name="id">noresults</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$exchange_group_details_permissions_noresult"/>
				</inchorus-message>
				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>