<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-linkedresource-mailbox-details-mailbox</xsl:variable>
		
		<xsl:variable name="category" select="//data/mailboxes/mailbox/category" />
		<xsl:variable name="created" select="//data/mailboxes/mailbox/created" />
		<xsl:variable name="usedatabasequotadefaults" select="//data/mailboxes/mailbox/usedatabasequotadefaults" />
		<xsl:variable name="issuewarningquota" select="//data/mailboxes/mailbox/issuewarningquota" />
		<xsl:variable name="prohibitsendquota" select="//data/mailboxes/mailbox/prohibitsendquota" />
		<xsl:variable name="prohibitsendreceivequota" select="//data/mailboxes/mailbox/prohibitsendreceivequota" />
		<xsl:variable name="displayname" select="//data/mailboxes/mailbox/displayname" />
		<xsl:variable name="emailaddresses" select="//data/mailboxes/mailbox/emailaddresses" />
		<xsl:variable name="forwardingaddress" select="//data/mailboxes/mailbox/forwardingaddress" />
		<xsl:variable name="forwardingsmtpaddress" select="//data/mailboxes/mailbox/forwardingsmtpaddress" />
		<xsl:variable name="hidden" select="//data/mailboxes/mailbox/hidden" />
		<xsl:variable name="lastlogin" select="//data/mailboxes/mailbox/lastused" />
		<xsl:variable name="mailboxid" select="//data/mailboxes/mailbox/mailboxid" />
		<xsl:variable name="maxreceivesize" select="//data/mailboxes/mailbox/maxreceivesize" />
		<xsl:variable name="maxsendsize" select="//data/mailboxes/mailbox/maxsendsize" />
		<xsl:variable name="modified" select="//data/mailboxes/mailbox/modified" />
		<xsl:variable name="name" select="//data/mailboxes/mailbox/name" />
		<xsl:variable name="samaccountname" select="//data/mailboxes/mailbox/samaccountname" />
		<xsl:variable name="totalitemsize" select="//data/mailboxes/mailbox/totalitemsize" />
		<xsl:variable name="uniqueid" select="//data/mailboxes/mailbox/uniqueid" />
		<xsl:variable name="databasename" select="//data/mailboxes/mailbox/databasename" />
		
		<xsl:variable name="owner" select="//data/mailboxes/mailbox/owner" />
		<xsl:variable name="personstatus" select="//data/mailboxes/mailbox/personstatus" />
		<xsl:variable name="personcount" select="//data/mailboxes/personcount" />
		
		<xsl:variable name="uniqueidsecurityprincipal" select="//data/mailboxes/mailbox/uniqueidsecurityprincipal" />
		
		<xsl:variable name="systemname" select="//data/mailboxes/mailbox/systemname" />
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		<xsl:variable name="systemid" select="//data/mailboxes/mailbox/systemid" />
		
		<xsl:variable name="openedslider" select="//parameters/parameter[@name='openedslider']"/>
		
		<script>
			inchorus.$('slider-admin-linkedresource-mailbox-details-history').setParameters('[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"openedslider":"<xsl:value-of select="$openedslider" />"}]');
		</script>
		
		<div>
			<xsl:choose>
				<xsl:when test="$personcount ='1' and $personstatus = 'active'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-active <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_exchange_history_matching_matched_title" /></xsl:attribute>
					<div class="dac-matching-details-image exchange-matching-details-icon-active"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_exchange_history_matching_matched_title" /></div>
				</xsl:when>
				<xsl:when test="$personcount = '1' and $personstatus != 'active'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-inactive <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_exchange_history_matching_inactivematched_title" /></xsl:attribute>
					<div class="dac-matching-details-image exchange-matching-details-icon-inactive"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_exchange_history_matching_inactivematched_title" /></div>
				</xsl:when>
			    <xsl:when test="$personcount > '1'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-warning <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_exchange_history_matching_matched_warning_title" /></xsl:attribute>
					<div class="dac-matching-details-image exchange-matching-details-icon-warning"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_exchange_history_matching_matched_warning_title" /></div>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class">dac-matching-details dac-matching-details-unmatched <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_exchange_history_matching_unmatched_title" /></xsl:attribute>
					<div class="dac-matching-details-image exchange-matching-details-icon-unmatched"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_exchange_history_matching_unmatched_title" /></div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		
		<div style="height:calc(100% - 100px);overflow-y:auto;">
		
		<div class="dac-slider-list">
			<div>
				<label>
					<xsl:value-of select="$exchange_label_objectsid" />
				</label>
				<div>
					<xsl:value-of select="$uniqueid"/>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_mailboxid"/>
				</label>
				<div>
					<xsl:value-of select="$mailboxid" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_samaccountname"/>
				</label>
				<div>
					<xsl:value-of select="$samaccountname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_name"/>
				</label>
				<div>
					<xsl:value-of select="$name" />
				</div>
			</div>
			<div class="slider-detail-right-row">
				<label>
					<xsl:value-of select="$exchange_label_displayname"/>
				</label>
				<div>
					<xsl:value-of select="$displayname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_owner"/>
				</label>
				<div>
					<xsl:value-of select="$owner" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_systemname"/>
				</label>
				<div>
					<xsl:value-of select="$systemname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_category"/>
				</label>
				<div>
					<xsl:value-of select="$category" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$exchange_label_database"/>
				</label>
				<div>
					<xsl:value-of select="$databasename" />
				</div>
			</div>
		</div>
		<div style="border-bottom:0px;">
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-emails-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_blockheadline_emails" /></xsl:attribute>
				<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-emails-akkordeon');</xsl:attribute>
		    	<inchorus-content id="slider-admin-details-emails-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
		    		
		    	<div class="dac-slider-list">
			    	<div>
						<label>
							<xsl:value-of select="$exchange_label_allemailaddresses"/>
						</label>
						<div>
							<xsl:value-of select="$emailaddresses" />
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_forwardingaddress"/>
						</label>
						<div>
							<xsl:value-of select="$forwardingaddress" />
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_forwardingsmtpaddress"/>
						</label>
						<div>
							<xsl:value-of select="$forwardingsmtpaddress" />
						</div>
					</div>
				</div>
		    	</inchorus-content>
			</inchorus-akkordeon>
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-others-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_blockheadline_others" /></xsl:attribute>
				<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-others-akkordeon');</xsl:attribute>
		    	<inchorus-content id="slider-admin-details-others-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
		    		
		    	
		    	<div class="dac-slider-list">
					<div>
						<label>
							<xsl:value-of select="$exchange_label_maxreceivesize"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$maxreceivesize = 'Unlimited'">
									<xsl:value-of select="$exchange_content_unlimited" />
								</xsl:when>
								<xsl:when test="$maxreceivesize = ''">
									<xsl:value-of select="$exchange_content_notSet" />
								</xsl:when>
								<xsl:when test="not(number($maxreceivesize) = number($maxreceivesize))">
									<xsl:value-of select="$maxreceivesize" />
								</xsl:when>
								<xsl:otherwise>
									<!-- <xsl:value-of select="$maxreceivesize" /> -->
									
									<xsl:choose>
										<xsl:when test="$maxreceivesize &lt; 1024">
											<xsl:value-of select="$maxsendsize" /> B
										</xsl:when>
										<xsl:when test="$maxreceivesize >= 1024 and $maxreceivesize &lt; 1048576">
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxreceivesize div 1024" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> KB
										</xsl:when>
										<xsl:when test="$maxreceivesize >= 1048576 and $maxreceivesize &lt; 1073741824">
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxreceivesize div 1048576" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> MB
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxreceivesize div 1073741824" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> GB
										</xsl:otherwise>
									</xsl:choose>
									
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_maxsendsize"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$maxsendsize = 'Unlimited'">
									<xsl:value-of select="$exchange_content_unlimited" />
								</xsl:when>
								<xsl:when test="$maxsendsize = ''">
									<xsl:value-of select="$exchange_content_notSet" />
								</xsl:when>
								<xsl:when test="not(number($maxsendsize) = number($maxsendsize))">
									<xsl:value-of select="$maxsendsize" />
								</xsl:when>
								<xsl:otherwise>
									<!-- <xsl:value-of select="$maxsendsize" /> -->
									
									<xsl:choose>
										<xsl:when test="$maxsendsize &lt; 1024">
											<xsl:value-of select="$maxsendsize" /> B
										</xsl:when>
										<xsl:when test="$maxsendsize >= 1024 and $maxsendsize &lt; 1048576">
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxsendsize div 1024" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> KB
										</xsl:when>
										<xsl:when test="$maxsendsize >= 1048576 and $maxsendsize &lt; 1073741824">
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxsendsize div 1048576" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> MB
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="convertedBytes"><xsl:value-of select="$maxsendsize div 1073741824" /></xsl:variable>
											<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> GB
										</xsl:otherwise>
									</xsl:choose>
									
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_prohibitsendquota"/>
						</label>
						<div>
							<!-- <xsl:value-of select="$prohibitsendquota" /> -->
 							<xsl:choose>
 								<xsl:when test="$prohibitsendquota = ''">
									<xsl:value-of select="$exchange_content_notSet" />
								</xsl:when>
 								<xsl:when test="not(number($prohibitsendquota) = number($prohibitsendquota))">
									<xsl:value-of select="$prohibitsendquota" />
								</xsl:when>
								<xsl:when test="$prohibitsendquota &lt; 1024">
									<xsl:value-of select="$prohibitsendquota" /> B
								</xsl:when>
								<xsl:when test="$prohibitsendquota >= 1024 and $prohibitsendquota &lt; 1048576">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendquota div 1024" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> KB
								</xsl:when>
								<xsl:when test="$prohibitsendquota >= 1048576 and $prohibitsendquota &lt; 1073741824">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendquota div 1048576" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> MB
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendquota div 1073741824" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> GB
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="$usedatabasequotadefaults = 'true'"> (<xsl:value-of select="$exchange_label_usedatabasequotadefaults" />)</xsl:if>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_prohibitsendreceivequota"/>
						</label>
						<div>
							<!-- <xsl:value-of select="$prohibitsendreceivequota" /> -->
 							<xsl:choose>
 								<xsl:when test="$prohibitsendreceivequota = ''">
									<xsl:value-of select="$exchange_content_notSet" />
								</xsl:when>
 								<xsl:when test="not(number($prohibitsendreceivequota) = number($prohibitsendreceivequota))">
									<xsl:value-of select="$prohibitsendreceivequota" />
								</xsl:when>
								<xsl:when test="$prohibitsendreceivequota &lt; 1024">
									<xsl:value-of select="$prohibitsendreceivequota" /> B
								</xsl:when>
								<xsl:when test="$prohibitsendreceivequota >= 1024 and $prohibitsendreceivequota &lt; 1048576">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendreceivequota div 1024" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> KB
								</xsl:when>
								<xsl:when test="$prohibitsendreceivequota >= 1048576 and $prohibitsendreceivequota &lt; 1073741824">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendreceivequota div 1048576" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> MB
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="convertedBytes"><xsl:value-of select="$prohibitsendreceivequota div 1073741824" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> GB
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="$usedatabasequotadefaults = 'true'"> (<xsl:value-of select="$exchange_label_usedatabasequotadefaults" />)</xsl:if>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_totalitemsize"/>
						</label>
						<div>
							<!-- <xsl:value-of select="$totalitemsize" /> -->
 							<xsl:choose>
 								<xsl:when test="$totalitemsize = ''">
									<xsl:value-of select="$exchange_content_notSet" />
								</xsl:when>
 								<xsl:when test="not(number($totalitemsize) = number($totalitemsize))">
									<xsl:value-of select="$totalitemsize" />
								</xsl:when>
								<xsl:when test="$totalitemsize &lt; 1024">
									<xsl:value-of select="$totalitemsize" /> B
								</xsl:when>
								<xsl:when test="$totalitemsize >= 1024 and $totalitemsize &lt; 1048576">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$totalitemsize div 1024" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> KB
								</xsl:when>
								<xsl:when test="$totalitemsize >= 1048576 and $totalitemsize &lt; 1073741824">
									<xsl:variable name="convertedBytes"><xsl:value-of select="$totalitemsize div 1048576" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> MB
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="convertedBytes"><xsl:value-of select="$totalitemsize div 1073741824" /></xsl:variable>
									<xsl:value-of select="format-number(number($convertedBytes), '####0.00')" /> GB
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_hidden"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$hidden = 'true'">
									<xsl:value-of select="$exchange_content_true" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$exchange_content_false" />
								</xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_lastlogon"/>
						</label>
						<div>
							<xsl:choose>
								<xsl:when test="$lastlogin != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($lastlogin,9,2)"/>.<xsl:value-of select="substring($lastlogin,6,2)"/>.<xsl:value-of select="substring($lastlogin,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($lastlogin,1,4)"/>-<xsl:value-of select="substring($lastlogin,6,2)"/>-<xsl:value-of select="substring($lastlogin,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$exchange_label_lastlogon_never" /></xsl:otherwise>
							</xsl:choose>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_whencreated"/>
						</label>
						<div>
							<xsl:if test="$created != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
					</div>
					<div>
						<label>
							<xsl:value-of select="$exchange_label_whenchanged"/>
						</label>
						<div>
							<xsl:if test="$modified != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
					</div>
				</div>
		    	</inchorus-content>
			</inchorus-akkordeon>
			
			<div style="overflow:hidden;">
				<div>
					<xsl:choose>
						<xsl:when test="$modus='effectiveview_aduser'">
						<div style="overflow:hidden;border-bottom: 1px dotted silver;">
								<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
									<b style="font-size:20px;"><xsl:value-of select="$exchange_label_permissions"/></b>
								</div>
							</div>
							<inchorus-tabs>
								<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tabs</xsl:attribute>
								<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid" />-tabs-header-user</xsl:attribute>
								<xsl:attribute name="type">horizontal</xsl:attribute>
								<xsl:attribute name="hascontentfile">true</xsl:attribute>
								<xsl:attribute name="class">inchorus-tab-header-area inchorus-tab-header</xsl:attribute>
								<xsl:attribute name="parameters">[{"uniqueidUser":"<xsl:value-of select="$uniqueidsecurityprincipal"/>"},{"uniqueidMailbox":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"modus":"<xsl:value-of select="$modus" />"}]</xsl:attribute>
								<xsl:attribute name="command">getDefaultData</xsl:attribute>
							</inchorus-tabs>
						</xsl:when>
						<xsl:otherwise>
							<inchorus-akkordeon>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-members</xsl:attribute>
								<xsl:attribute name="hascontentfile">true</xsl:attribute>
								<xsl:attribute name="text"><xsl:value-of select="$exchange_label_permissions"/></xsl:attribute>
								<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-members');</xsl:attribute>
								<xsl:attribute name="parameters">[{"adusername":"<xsl:value-of select="$name"/>"},{"ownername":"<xsl:value-of select="$owner"/>"},{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
								<xsl:attribute name="command">getMailboxHasPermissions</xsl:attribute>
							</inchorus-akkordeon>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</div>
			
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-distributiongroups</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_label_distributiongroups"/></xsl:attribute>
				<xsl:attribute name="onclick">exchange.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-distributiongroups');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"modus":"<xsl:value-of select="$modus" />"}]</xsl:attribute>
				<xsl:attribute name="command">getMailboxDistributiongroups</xsl:attribute>
			</inchorus-akkordeon>
			
			<!-- <div style="padding: 0px 20px;float:left; height:20px;padding-top:100px;">
			</div> -->
		</div>
		</div>
	</xsl:template>
</xsl:stylesheet>