<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-mailbox-details-history-groupmembership-list</xsl:variable>
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		<xsl:variable name="openedslider" select="//parameters/parameter[@name='openedslider']"/>

		<!-- list header area start -->
					<xsl:variable name="headerareaid"><xsl:value-of select="parentid" />-list-header</xsl:variable>
					<inchorus-list-header-row>
						<inchorus-list-header class="dac-slider-list-header-datetime">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-datetime</xsl:attribute>
							<xsl:attribute name="databinding">datetime</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sort">false</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$dac_exchange_history_datetime"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-slider-list-header-name">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-name</xsl:attribute>
							<xsl:attribute name="databinding">sourceobjectname</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$dac_exchange_history_distributiongroup"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-slider-list-header-action">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-eventtype</xsl:attribute>
							<xsl:attribute name="databinding">eventtype</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$dac_exchange_history_eventtype"/></xsl:attribute>
						</inchorus-list-header>
					</inchorus-list-header-row>
				<!-- list header area end -->	
				
				
				<xsl:choose>
					<xsl:when test="//distributiongrouphistory/entry">	
				
						<inchorus-list-content class="rowname" style="overflow-y: scroll;height: 120px;min-height: 120px;">
							<xsl:for-each select="//distributiongrouphistory/entry">
								<xsl:variable name="id" select="id" />
								<xsl:variable name="datetime" select="datetime" />
								<xsl:variable name="systemname" select="systemname" />
								<xsl:variable name="eventtype" select="eventtype" />
								<xsl:variable name="objectcode" select="objectcode" />
								<xsl:variable name="sourceobjectuniqueid" select="sourceobjectuniqueid" />
								<xsl:variable name="sourceobjectname" select="sourceobjectname" />
								<xsl:variable name="sourceobjectusername" select="data/sourceobject/username" />
								<xsl:variable name="sourceobjectgroupname" select="data/sourceobject/groupname" />
								<xsl:variable name="targetobjectname" select="data/targetobject/groupname" />
							
								<inchorus-list-content-row class="transparent" style="cursor:pointer;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-<xsl:value-of select="$id"/></xsl:attribute>
									<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="onclick">
										<xsl:choose>
											<xsl:when test="$modus = 'effectiveview'">
												jQuery('#slider-admin-linkedresource-mailbox-details-history .active_row').removeClass('active_row');
												jQuery('#<xsl:value-of select="$parentid"/>-<xsl:value-of select="$id"/>').addClass('active_row');
												inchorus.$('slider-admin-linkedresource-mailbox-details-history-list-details').deactivate();
												inchorus.$('slider-admin-linkedresource-mailbox-details-tabs-content').deactivate();
												jQuery('#<xsl:value-of select="$openedslider"/>').addClass('dac-slider-right-60percent');
												inchorus.$('slider-admin-linkedresource-mailbox-details-history-list-details').setParameters(
													{
														"id":"<xsl:value-of select="$id"/>"
													}
												
												);
												inchorus.$('slider-admin-linkedresource-mailbox-details-history-list-details').activate();
												inchorus.$('slider-admin-linkedresource-mailbox-details-history-list-details').load();
											</xsl:when>
											<xsl:otherwise>
												jQuery('#slider-admin-mailbox-details-history .active_row').removeClass('active_row');
												jQuery('#<xsl:value-of select="$parentid"/>-<xsl:value-of select="$id"/>').addClass('active_row');
												inchorus.$('slider-admin-mailbox-details-history-list-details').deactivate();
												jQuery('#exchange-slider-details').addClass('exchange-slider-details-60percent');
												inchorus.$('slider-admin-mailbox-details-history-list-details').setParameters(
													{
														"id":"<xsl:value-of select="$id"/>"
													}
												
												);
												inchorus.$('slider-admin-mailbox-details-history-list-details').activate();
												inchorus.$('slider-admin-mailbox-details-history-list-details').load();
											</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
									
									<div style="cursor:pointer;padding:0px !important;width: 208px !important;">
										<div>
											<xsl:choose>
												<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
													<xsl:value-of select="substring($datetime,9,2)"/>.<xsl:value-of select="substring($datetime,6,2)"/>.<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="substring($datetime,6,2)"/>/<xsl:value-of select="substring($datetime,9,2)"/>/<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
												</xsl:otherwise>
											</xsl:choose>
										</div>
									</div>
									<div style="cursor:pointer;padding:0px !important;width: 271px !important;">
										<div>
											<xsl:if test="$objectcode = 'USER2DISTGROUP' or $objectcode = 'ENTRAIDUSER2DISTGROUP'">
												<xsl:value-of select="$sourceobjectname" />
											</xsl:if>
											<xsl:if test="$objectcode = 'DISTGROUP2MANAGER' or $objectcode = 'DISTGROUP2ENTRAIDMANAGER'">
												<xsl:value-of select="$sourceobjectname" />
											</xsl:if>
										</div>
									</div>
									<div style="cursor:pointer;padding:0px !important;width: 155px !important;">
										<div style="line-height: 1.5em;">
											<xsl:if test="$objectcode = 'USER2DISTGROUP' or $objectcode = 'ENTRAIDUSER2DISTGROUP'">
												<xsl:choose>
													<xsl:when test="$eventtype = 'ADD'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-add</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_addmember" />
													</xsl:when>
													<xsl:when test="$eventtype = 'MODIFY'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-modify</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_modifymember" />
													</xsl:when>
													<xsl:when test="$eventtype = 'DELETE'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-delete</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_deletemember" />
													</xsl:when>
												</xsl:choose>
											</xsl:if>
											<xsl:if test="$objectcode = 'DISTGROUP2MANAGER' or $objectcode = 'DISTGROUP2ENTRAIDMANAGER'">
												<xsl:choose>
													<xsl:when test="$eventtype = 'ADD'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-add</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_addmanager" />
													</xsl:when>
													<xsl:when test="$eventtype = 'MODIFY'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-modify</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_modifymanager" />
													</xsl:when>
													<xsl:when test="$eventtype = 'DELETE'">
														<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-delete</xsl:attribute>
														<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_deletemanager" />
													</xsl:when>
												</xsl:choose>
											</xsl:if>
										</div>
									</div>
								</inchorus-list-content-row>
							</xsl:for-each>
												
						</inchorus-list-content>

					</xsl:when>
					<xsl:otherwise>
						
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-noresults</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$dac_exchange_history_message_noresults_distributiongroupmembership"/>
						</inchorus-message>
						
					</xsl:otherwise>
				</xsl:choose>
	</xsl:template>

</xsl:stylesheet>