<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-mailbox-details-history-list-details</xsl:variable>
		<xsl:variable name="datetime" select="history/entry/datetime" />
		<xsl:variable name="eventtype" select="history/entry/eventtype" />
		<xsl:variable name="objecttype" select="history/entry/objecttype" />
		<xsl:variable name="objectcode" select="history/entry/objectcode" />
		<xsl:variable name="sourceobjectname" select="history/entry/sourceobjectname" />
	<div>			
		<h2 class="dac-slider-blockheadline"><xsl:value-of select="$dac_exchange_history_details_headline" /></h2>
		<div>
			<div class="slider-detail-right-row" style="color: #888;"> 
				<label><xsl:value-of select="$dac_exchange_history_datetime"/></label>
				<div>
					<xsl:choose>
						<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
							<xsl:value-of select="substring($datetime,9,2)"/>.<xsl:value-of select="substring($datetime,6,2)"/>.<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring($datetime,6,2)"/>/<xsl:value-of select="substring($datetime,9,2)"/>/<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</div>
		</div>
		<div>
			<div class="slider-detail-right-row" style="color: #888;">
				<xsl:choose>
					<xsl:when test="$objectcode = 'SP2MAILBOX' or $objectcode = 'ENTRAIDSP2MAILBOX'">
						<label><xsl:value-of select="$dac_exchange_history_rightat"/></label>
					</xsl:when>
					<xsl:otherwise>
						<label><xsl:value-of select="$dac_exchange_history_name"/></label>
					</xsl:otherwise>
				</xsl:choose>
				<div><xsl:value-of select="$sourceobjectname" /></div>
			</div>
		</div>
		<div>
			<div class="slider-detail-right-row" style="color: #888;">
				<label><xsl:value-of select="$dac_exchange_history_eventtype"/></label>
				<div>
					<xsl:choose>
						<xsl:when test="$objectcode = 'DISTGROUP2MANAGER' or $objectcode = 'DISTGROUP2ENTRAIDMANAGER'">
							<xsl:choose>
								<xsl:when test="$eventtype = 'ADD'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-add</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_addmanager" />
								</xsl:when>
								<xsl:when test="$eventtype = 'MODIFY'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-modify</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_modifymanager" />
								</xsl:when>
								<xsl:when test="$eventtype = 'DELETE'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-delete</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_deletemanager" />
								</xsl:when>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$objectcode = 'USER2DISTGROUP' or $objectcode = 'ENTRAIDUSER2DISTGROUP'">
							<xsl:choose>
								<xsl:when test="$eventtype = 'ADD'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-add</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_addmember" />
								</xsl:when>
								<xsl:when test="$eventtype = 'MODIFY'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-modify</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_modifymember" />
								</xsl:when>
								<xsl:when test="$eventtype = 'DELETE'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-delete</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_distributiongroup_deletemember" />
								</xsl:when>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$eventtype = 'ADD'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-add</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_add" />
								</xsl:when>
								<xsl:when test="$eventtype = 'MODIFY'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-modify</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_modify" />
								</xsl:when>
								<xsl:when test="$eventtype = 'DELETE'">
									<xsl:attribute name="class">exchange-list-history-eventtype exchange-list-history-eventtype-delete</xsl:attribute>
									<xsl:value-of select="$dac_exchange_history_eventtype_delete" />
								</xsl:when>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</div>
		</div>
		
		<div style="height:40px;">
		</div>
		
		<div>
			<div class="slider-detail-right-row" style="color: #888;">
				<label><b><xsl:value-of select="$dac_exchange_history_attribut" /></b></label>
				<div><b><xsl:value-of select="$dac_exchange_history_value" /></b></div>
			</div>
		</div>
		
		
		<xsl:choose>
			<xsl:when test="$eventtype = 'MODIFY'">
				<div style="overflow-y: scroll; height: 550px; min-height:550px;">
					<xsl:for-each select="//history/entry/data/modifyattributes/*">
						<xsl:variable name="name" select="name()" />
						<xsl:variable name="oldvalue" select="./oldvalue" />
						<xsl:variable name="newvalue" select="./newvalue" />
						
						<div>
							<div class="slider-detail-right-row" style="color: #888;">
								<label><xsl:value-of select="$name" /></label>
								<div>
									<xsl:if test=" $oldvalue != '' and $newvalue != ''">
										<span style="opacity:0.5;"><xsl:value-of select="$oldvalue" />&#160;(<xsl:value-of select="$dac_exchange_history_value_before" />)</span><br/>
										<xsl:value-of select="$newvalue" />
									</xsl:if>
									<xsl:if test=" $oldvalue = '' and $newvalue != ''">
										<xsl:value-of select="$newvalue" /> (<xsl:value-of select="$dac_exchange_history_eventtype_add" />)
									</xsl:if>
									<xsl:if test=" $oldvalue != '' and $newvalue = ''">
										<span style="opacity:0.5;"><xsl:value-of select="$oldvalue" /> (<xsl:value-of select="$dac_exchange_history_eventtype_delete" />)&#160;</span><br/>
									</xsl:if>
								</div>
							</div>
						</div>
					</xsl:for-each>
				</div>
			</xsl:when>
			<xsl:when test="$objecttype ='RELATION'">
				<div style="overflow-y: scroll; height: 550px; min-height:550px;">
					<xsl:for-each select="//history/entry/data">
						<xsl:if test="$objectcode ='SP2MAILBOX' or $objectcode = 'ENTRAIDSP2MAILBOX'">
							<xsl:variable name="mailbox" select="targetobject/mailboxname" />
							<xsl:variable name="user" select="sourceobject/username" />
							<xsl:variable name="group" select="sourceobject/groupname" />
							<xsl:variable name="right" select="properties/level" />
							
							
							<div>
								<div class="slider-detail-right-row" style="color: #888;">
									<label><xsl:value-of select="$dac_exchange_history_mailbox" /></label>
									<div><xsl:value-of select="$mailbox" /></div>
								</div>
							</div>
							<xsl:choose>
								<xsl:when test="$user != ''">
									<div>
										<div class="slider-detail-right-row" style="color: #888;">
											<label><xsl:value-of select="$dac_exchange_history_user" /></label>
											<div><xsl:value-of select="$user" /></div>
										</div>
									</div>
								</xsl:when>
								<xsl:when test="$group != ''">
									<div>
										<div class="slider-detail-right-row" style="color: #888;">
											<label><xsl:value-of select="$dac_exchange_history_group" /></label>
											<div><xsl:value-of select="$group" /></div>
										</div>
									</div>								
								</xsl:when>
							</xsl:choose>
							<div>
								<div class="slider-detail-right-row" style="color: #888;">
									<label><xsl:value-of select="$dac_exchange_history_right" /></label>
									<div><xsl:value-of select="$right" /></div>
								</div>
							</div>
						</xsl:if>
						
						<xsl:if test="$objectcode ='USER2DISTGROUP' or $objectcode ='DISTGROUP2MANAGER' or $objectcode = 'ENTRAIDUSER2DISTGROUP' or $objectcode = 'DISTGROUP2ENTRAIDMANAGER'">
							<xsl:variable name="username" select="sourceobject/username" />
							<xsl:variable name="userid" select="sourceobject/userid" />
							<xsl:variable name="groupname" select="targetobject/groupname" />
							<xsl:variable name="groupid" select="targetobject/groupid" />
							
							
							<div>
								<div class="slider-detail-right-row" style="color: #888;">
									<label><xsl:value-of select="$dac_exchange_history_user" /></label>
									<div><xsl:value-of select="$username" /></div>
								</div>
							</div>
							<div>
								<div class="slider-detail-right-row" style="color: #888;">
									<xsl:if test="$objectcode ='USER2DISTGROUP' or $objectcode = 'ENTRAIDUSER2DISTGROUP'"><label><xsl:value-of select="$dac_exchange_history_memberof" /></label></xsl:if>		
									<xsl:if test="$objectcode ='DISTGROUP2MANAGER' or $objectcode = 'DISTGROUP2ENTRAIDMANAGER'"><label><xsl:value-of select="$dac_exchange_history_managerof" /></label></xsl:if>	
									<div><xsl:value-of select="$groupname" /></div>
								</div>
							</div>
						</xsl:if>
					</xsl:for-each>
				</div>			
			</xsl:when>
			<xsl:otherwise>
				<div style="overflow-y: scroll; height: 550px; min-height:550px;">
					<xsl:for-each select="//history/entry/data/*">
						<xsl:variable name="name" select="name()" />
						<xsl:variable name="value" select="." />
						
						<div>
							<xsl:if test=" $name != 'runtimeid' and $name != 'collectionid'">
								<div class="slider-detail-right-row" style="color: #888;">
									<label><xsl:value-of select="$name" /></label>
									<div><xsl:value-of select="$value" /></div>
								</div>
							</xsl:if>
						</div>
					</xsl:for-each>
				</div>			
			</xsl:otherwise>
		</xsl:choose>
	</div>

	</xsl:template>

</xsl:stylesheet>