<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="ownername" select="//parameters/parameter[@name='ownername']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />
		<xsl:variable name="permissioncount" select="//permissioncount" />
		
		<!-- this slider deactivate inchorus.$('exchange-admin-' + currentlyactive + '-content-list').deactivate();
            	inchorus.$('exchange-admin-general-effective-tree').setParameters(
            		{
            			"subfolder": currentlyactive ,
            			"uniqueidsecurityprincipal": jQuery('#exchange-admin-effective-filter-field-uniqueid').val()
            		}
            	); -->
		
	<!-- 	inchorus.$('exchange-slider-details').setParameters(
					{
						"isParentSecurityPrincipal":"<xsl:value-of select="$isParentSecurityPrincipal" />",
						"path":"<xsl:value-of select="$path" />",
						"header":"<xsl:value-of select="$name" /> - <xsl:value-of select="$username" />",
						"uniqueid":"<xsl:value-of select="$uniqueid" />",
						"adusername":"<xsl:value-of select="$username" />",
						"integrationpackageid":"<xsl:value-of select="$integrationpackageid" />"
					}
				); -->
		<div class="exchange_table_row" style="overflow:hidden;cursor:pointer;">
			<xsl:attribute name="onclick">
				inchorus.$('exchange-slider-details-secondary').setParameters(
					{
						"objecttype":"mailbox",
						"modus":"effectiveview",
						"header":"<xsl:value-of select="$adusername" />",
						"adusername":"<xsl:value-of select="$adusername" />",
						"uniqueid":"<xsl:value-of select="$uniqueid" />",
						"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />",
						"systemid":"<xsl:value-of select="$systemid" />"
					}
				);
				jQuery('#exchange-slider-details-secondary').addClass('dac-slider-right-100percent');
				inchorus.$('exchange-slider-details-secondary').setAlternativecontentfile('slider-details-content');
				inchorus.$('exchange-slider-details-secondary').activate();
			</xsl:attribute>
	<!-- 		<div>
				<xsl:attribute name="style">float:left;padding: 3px 0px;background: url(../exchange/inc/img/inchorus/actions/mailbox.png);background-repeat: no-repeat; background-position:3px 7px;</xsl:attribute>
				<xsl:attribute name="onclick"></xsl:attribute>
				<span style="margin-left:26px;line-height:23px;"><xsl:value-of select="$exchange_assigned_permissions_content_1"></xsl:value-of>x<xsl:value-of select="$exchange_assigned_permissions_content_2"></xsl:value-of></span>
			</div> -->
			<inchorus-message id="slider-admin-details-assigned-permissions-akkordeon-content-message" style="position: relative; display: block; left: 20px; margin-right: 40px;">
	          	<xsl:attribute name="type">node</xsl:attribute>
		        <xsl:attribute name="active">true</xsl:attribute>
		        <xsl:choose>
		        	<xsl:when test="$permissioncount &gt; 1">
		        		 <xsl:value-of select="$ownername" /><xsl:value-of select="$exchange_assigned_permissions_content_1" /><xsl:value-of select="$permissioncount" /><xsl:value-of select="$exchange_assigned_permissions_content_2"/><br/><xsl:value-of select="$exchange_assigned_permissions_clickhere" />
		        	</xsl:when>
		        	<xsl:when test="$permissioncount = 1">
		        		<xsl:value-of select="$ownername" /><xsl:value-of select="$exchange_assigned_permissions_one" /><br/><xsl:value-of select="$exchange_assigned_permissions_clickhere" />
		        	</xsl:when>
		        	<xsl:otherwise>
		    			 <xsl:value-of select="$ownername" /><xsl:value-of select="$exchange_assigned_permissions_none"/>   	
		        	</xsl:otherwise>
		        </xsl:choose>
		    </inchorus-message>
		</div>
		<div class="exchange_table_row" style="border-bottom: 1px dotted silver;margin-top: 15px;"></div>
	</xsl:template>
</xsl:stylesheet>