<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-mailbox-details-mailbox-tabs</xsl:variable>
		
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueidMailbox" select="//parameters/parameter[@name='uniqueidMailbox']" />
		<xsl:variable name="uniqueidUser" select="//parameters/parameter[@name='uniqueidUser']" />
		<xsl:variable name="userName" select="//parameters/parameter[@name='userName']" />
		
		<inchorus-tab-header-area style="height: auto !important;">
		   	<inchorus-tab-header class="lightbox-tab-header">
		   		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-header-user</xsl:attribute>
		   		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid" />-user</xsl:attribute>

		  		<b><xsl:value-of select="$exchange_tab_user_rights" /></b>

			</inchorus-tab-header>
			<inchorus-tab-header class="lightbox-tab-header">
		 		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-header-general</xsl:attribute>
		 		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid" />-general</xsl:attribute>
		 				 		
		 	   	<b><xsl:value-of select="$exchange_tab_general_rights" /></b>
		 	   	
	  		</inchorus-tab-header>
		</inchorus-tab-header-area>
		
		
		<inchorus-tab-content-area class="lightbox-tab-content-area policybuilder-lightbox-tabs-content">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-area</xsl:attribute>
			
			<inchorus-tab-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-user</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-mailbox-rights</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueidUser":"<xsl:value-of select="$uniqueidUser"/>"},{"uniqueidMailbox":"<xsl:value-of select="$uniqueidMailbox"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"modus":"<xsl:value-of select="$modus" />"}]</xsl:attribute>
 				<xsl:attribute name="command">getMailboxRightsForUser</xsl:attribute>
			</inchorus-tab-content>
			
			<inchorus-tab-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-general</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details-mailbox-members</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueidMailbox"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"modus":"<xsl:value-of select="$modus" />"}]</xsl:attribute>
				<xsl:attribute name="command">getMailboxHasPermissions</xsl:attribute>				
			</inchorus-tab-content>
			
			
			
	  	</inchorus-tab-content-area>
	</xsl:template>

</xsl:stylesheet>