<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="function_to_close" select="//parameters/parameter[@name='function_to_close']" />
		<xsl:variable name="parentid">slider-admin-mailbox-details</xsl:variable>
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		
		<div class="dac-slider-border-top"></div>
		
		<div class="dac-slider-content-wrapper">
			<div class="dac-slider-content">
			
				<h1 class="exchange-slider-headline">
					<b><xsl:value-of select="$header" /></b>
				</h1>
			
			<div class="dac-slider-right-options">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="onclick"><xsl:value-of select="$function_to_close" /></xsl:attribute>
				</inchorus-button>
			</div>
			
			<div class="dac-slider-right-content-wrapper">
					<inchorus-content>
				  		<xsl:attribute name="id">slider-admin-mailbox-history-details-content</xsl:attribute>
				  		<xsl:attribute name="hascontentfile">true</xsl:attribute>
				  		<xsl:attribute name="active">true</xsl:attribute>
				  		<xsl:attribute name="parameters">[{"id":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
				  		<xsl:attribute name="command">getHistoryDetailsById</xsl:attribute>
				  		<!-- <xsl:attribute name="style">padding:20px;</xsl:attribute> -->
					</inchorus-content>
				</div>
			</div>
			
			<div class="dac-slider-content-placeholder">
				<div class="dac-slider-content-placeholder-line">
				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>