<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-details-content</xsl:variable>
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />		
		<xsl:variable name="objecttype" select="//parameters/parameter[@name='objecttype']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="uniqueidsecurityprincipal" select="//parameters/parameter[@name='uniqueidsecurityprincipal']" />
		<xsl:variable name="hasheader" select="//parameters/parameter[@name='hasheader']" />
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']"/>
		<xsl:variable name="openedslider" select="//parameters/parameter[@name='openedslider']"/>
		
		<xsl:choose>
			<xsl:when test="$objecttype = 'mailbox'">
				<xsl:choose>
					<xsl:when test="$modus = 'effectiveview'">
						<inchorus-content>
					  		<xsl:attribute name="id">exchange-slider-details-secondary-content</xsl:attribute>
							<xsl:attribute name="alternativecontentfile">slider-admin-linkedresource-mailbox-details</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>
					  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
					  		<xsl:attribute name="parameters">[{"adusername":"<xsl:value-of select="$adusername" />"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"modus":"<xsl:value-of select="$modus" />"},{"header":"<xsl:value-of select="$header" />"},{"objecttype":"mailbox"},{"function_to_close":"exchange.slider.hideDetailsSecondary()"}]</xsl:attribute>
						</inchorus-content>
					</xsl:when>
					<xsl:otherwise>
						<inchorus-content>
						  		<xsl:attribute name="id">exchange-slider-details-content</xsl:attribute>
								<!-- <xsl:attribute name="alternativecontentfile">exchange-admin-groups-details</xsl:attribute> -->
								<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-details</xsl:attribute>
								<xsl:attribute name="hascontentfile">true</xsl:attribute>
						  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
						  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"uniqueidsecurityprincipal":"<xsl:value-of select="$uniqueidsecurityprincipal" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"modus":"<xsl:value-of select="$modus" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
						</inchorus-content>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$objecttype = 'distributiongroup'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content</xsl:attribute>
					<!-- <xsl:attribute name="alternativecontentfile">exchange-admin-groups-details</xsl:attribute> -->
					<xsl:attribute name="alternativecontentfile">slider-admin-distributiongroup-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'aduser'">
				<inchorus-gadget>
					<xsl:attribute name="id">g2003</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/activedirectory</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"aduser"},{"systemid":"<xsl:value-of select="$systemid" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'adgroup'">
				<inchorus-gadget>
					<xsl:attribute name="id">g2003</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/activedirectory</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"adgroup"},{"systemid":"<xsl:value-of select="$systemid" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraiduser'">
				<inchorus-gadget>
					<xsl:attribute name="id">g6003</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/entraid</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"entraiduser"},{"systemid":"<xsl:value-of select="$systemid" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidgroup'">
				<inchorus-gadget>
					<xsl:attribute name="id">g6003</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/entraid</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"entraidgroup"},{"systemid":"<xsl:value-of select="$systemid" />"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'person'">
				<inchorus-gadget>
					<xsl:attribute name="id">g13</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/persons</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"person"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'mailboxhistory' or $objecttype = 'distributiongrouphistory'">
				<inchorus-content>
			  		<xsl:attribute name="id">exchange-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-mailbox-history-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"exchange.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:otherwise>
				<div>ERROR_TYPE_NOTAVAILABLE</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

</xsl:stylesheet>