<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-systemdetails-lightbox-validation-collectsingle</xsl:variable>
		<xsl:variable name="previousparentid">slider-systemdetails-lightbox-validation</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="collectorid" select="//data/parameters/parameter[@name='collectorid']"/>
		
		<h3>
			<xsl:value-of select="$exchange_setup_lightbox_collectall_header" />
		</h3>
		<div class="inchorus-lightbox-options">
			<!-- lightbox close button start -->
			<inchorus-button id="setup-ntfs-lightbox-button-close">
				<xsl:attribute name="type">icon</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="border">false</xsl:attribute>
				<xsl:attribute name="highlighting">none</xsl:attribute>
				<xsl:attribute name="hover">false</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$exchange_setup_button_close" /></xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$previousparentid" />').deactivate();
				</xsl:attribute>
				</inchorus-button>
			<!-- lightbox close button end -->			
		</div>
		<div style="padding:0px 20px 10px 20px;">
			<p class="slider-systemdetails-lightbox-validation-text" style="text-align: left;">
				<xsl:value-of select="$exchange_setup_lightbox_collectall_text" />
			</p>
		</div>
		
		<div class="slider-systemdetails-lightbox-validation-buttons">
			<inchorus-button style="float:left;">
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-collectsingle</xsl:attribute>
				<xsl:attribute name="class">dac-system-lightbox-button-add</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">start</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_collectall" /></xsl:attribute>
				<xsl:attribute name="onclick">
					jQuery('#slider-systemdetails-details-status b').html('<xsl:value-of select="$exchange_setup_slider_details_status_isrunning" />');
					jQuery('#slider-systemdetails-details-status b').removeClass('textcolor_grey');
					jQuery('#slider-systemdetails-details-status b').removeClass('textcolor_green');
					jQuery('#slider-systemdetails-details-status b').removeClass('textcolor_red');
					jQuery('#slider-systemdetails-details-status b').addClass('textcolor_yellow');
					inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
					setTimeout(function(){
						inchorus.$('slider-systemdetails-collectors').load();
					}, 1000);
				</xsl:attribute>
			</inchorus-button>
			<inchorus-button style="float:left;margin-right:0px;">
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
				<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$exchange_setup_button_abort" /></xsl:attribute>
				<xsl:attribute name="style">position:absolute;right:0px;</xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$previousparentid" />').deactivate();
				</xsl:attribute>
			</inchorus-button>	
		</div>
		<div style="margin: 0px 20px;">
			<inchorus-form>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
				<xsl:attribute name="submitprefix">inc-</xsl:attribute>
				<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
				<xsl:attribute name="hasresponsefile">true</xsl:attribute>
				<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"},{"collectorid":"<xsl:value-of select="$collectorid" />"}]</xsl:attribute>
				<xsl:attribute name="command">runCollectorSingle</xsl:attribute>
			</inchorus-form>
		</div>
	</xsl:template>
</xsl:stylesheet>