<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_person.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="username" select="//data/persons/person/username" />
		<xsl:variable name="workforceid" select="//data/persons/person/workforceid" />
		<xsl:variable name="surname" select="//data/persons/person/surname" />
		<xsl:variable name="givenname" select="//data/persons/person/givenname" />
		<xsl:variable name="status" select="//data/persons/person/status" />
		<xsl:variable name="type" select="//data/persons/person/type" />
		<xsl:variable name="department1" select="//data/persons/person/department1" />
		<xsl:variable name="department2" select="//data/persons/person/department2" />
		<xsl:variable name="department3" select="//data/persons/person/department3" />
		<xsl:variable name="pmsurname" select="//data/persons/person/pmsurname" />
		<xsl:variable name="pmgivenname" select="//data/persons/person/pmgivenname" />
		<xsl:variable name="company" select="//data/persons/person/company" />
		<xsl:variable name="company" select="//data/persons/person/company" />
		<xsl:variable name="location" select="//data/persons/person/location" />
		<xsl:variable name="phone" select="//data/persons/person/phone" />
		<xsl:variable name="mobile" select="//data/persons/person/mobile" />
		<xsl:variable name="email" select="//data/persons/person/email" />
		
		<div style="margin-bottom:30px;">
			<h2 class="dac-person-blockheadline">
				<xsl:value-of select="$dac_persons_blockheadline_identity" />
			</h2>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_username" /></label>
				<div><xsl:value-of select="$username" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_workforceid" /></label>
				<div><xsl:value-of select="$workforceid" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_givenname" /></label>
				<div><xsl:value-of select="$givenname" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_surname" /></label>
				<div><xsl:value-of select="$surname" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_status" /></label>
				<div>
					<xsl:choose>
						<xsl:when test="$status = 'active'">
							<xsl:attribute name="class">status_active_list</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$dac_persons_status_active" /></span>
						</xsl:when>
						<xsl:when test="$status = 'inactive'">
							<xsl:attribute name="class">status_inactive_list</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$dac_persons_status_inactive" /></span>
						</xsl:when>
						<xsl:when test="$status = 'deleted'">
							<xsl:attribute name="class">status_delete_list</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$dac_persons_status_delete" /></span>
						</xsl:when>
					</xsl:choose>
				</div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_typ" /></label>
				<div>
					<xsl:choose>
						<xsl:when test="$type = 'internal'">
							<xsl:attribute name="class">type_internal_list</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$dac_persons_typ_internal_long" /></span>
						</xsl:when>
						<xsl:when test="$status = 'external'">
							<xsl:attribute name="class">type_external_list</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$dac_persons_typ_external_long" /></span>
						</xsl:when>
					</xsl:choose>
				</div>
			</div>
		</div>
		<h2 class="dac-person-blockheadline">
			<xsl:value-of select="$dac_persons_blockheadline_organisation" />
		</h2>
		<div style="margin-bottom:30px;">
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_department" /></label>
				<div>
					<xsl:choose>
						<xsl:when test="$department3 != ''">
							<xsl:value-of select="$department1" />&#160;&gt;&#160;<xsl:value-of select="$department2" />&#160;&gt;&#160;<xsl:value-of select="$department3" />
						</xsl:when>
						<xsl:when test="$department2 != ''">
							<xsl:value-of select="$department1" />&#160;&gt;&#160;<xsl:value-of select="$department2" />
						</xsl:when>
						<xsl:when test="$department1 != ''">
							<xsl:value-of select="$department1" />
						</xsl:when>
					</xsl:choose>
				</div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_company" /></label>
				<div><xsl:value-of select="$company" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_location" /></label>
				<div><xsl:value-of select="$location" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_responsible" /></label>
				<div><xsl:value-of select="$pmgivenname" />&#160;<xsl:value-of select="$pmsurname" /></div>
			</div>
		</div>
		<div>
			<h2 class="dac-person-blockheadline">
				<xsl:value-of select="$dac_persons_blockheadline_contact" />
			</h2>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_phone" /></label>
				<div><xsl:value-of select="$phone" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_mobile" /></label>
				<div><xsl:value-of select="$mobile" /></div>
			</div>
			<div class="slider-detail-right-row">
				<label><xsl:value-of select="$dac_persons_email" /></label>
				<div><xsl:value-of select="$email" /></div>
			</div>
		</div>
	
	<style>
		body {
			margin:0px;
			color: #333;
			font-family: Verdana,Arial,Helvetica sans-serif;
			font-size: 10pt;
		}
		
		.slider-detail-right-row {
			border-bottom: 1px dotted silver;
			padding: 10px 4px; 
			overflow: hidden;
		}
		
		.slider-detail-right-row label {
			line-height: 24px;
			width: 140px;
			margin-right: 30px;
			padding-left: 8px;
			min-height: 100%;
			float: left;
		}
		
		.slider-detail-right-row div {
			line-height: 24px;
			overflow: hidden;
			max-width: 100%;
		}
		
		.slider-detail-right-row div.type_internal_list {
		    background-image: url("../../../persons/inc/img/inchorus/actions/type/type_internal.png");
		    background-repeat: no-repeat;
		    background-position: 0px 50%;
		}
		
		.slider-detail-right-row div.type_external_list {
		    background-image: url("../../../persons/inc/img/inchorus/actions/type/type_external.png");
		    background-repeat: no-repeat;
		    background-position: 0px 50%;
		}
		
		.status_active_list {
		    background-image: url("../../../persons/inc/img/inchorus/actions/status/status_active.png");
		    background-repeat: no-repeat;
		    background-position: 0px 50%;
		}
		
		.status_inactive_list {
		    background-image: url("../../../persons/inc/img/inchorus/actions/status/status_inactive.png");
		    background-repeat: no-repeat;
		    background-position: 0px 50%;
		}
		
		.status_delete_list {
		    background-image: url("../../../persons/inc/img/inchorus/actions/status/status_delete.png");
		    background-repeat: no-repeat;
		    background-position: 0px 50%;
		}
		
		.slider-detail-right-row div span.list_specialvalue {
			padding-left: 0px;
		}
		
		.dac-person-blockheadline {
			font-size:12pt;
			font-weight:bold;
			line-height: 16px;
			margin-bottom:10px;
			padding-left:10px;
		}
	</style>
	
	</xsl:template>

</xsl:stylesheet>