<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="case" select="case" />
		<html>
			<head>
				<xsl:choose>
					<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_STARTED'">
						<meta HTTP-EQUIV='REFRESH'>
							<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl"/><xsl:if test="$case != ''"><![CDATA[?case=]]><xsl:value-of select="$case"/></xsl:if></xsl:attribute>
						</meta>						
					</xsl:when>
					<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_SUCCESS'">
						<meta HTTP-EQUIV='REFRESH'>
							<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl"/><xsl:if test="$case != ''"><![CDATA[?case=]]><xsl:value-of select="$case"/></xsl:if></xsl:attribute>
						</meta>	
					</xsl:when>
					<xsl:when test="$statustype='success' and $statuscode='LOGOUT_PROCESS_SUCCESS'">
						<meta HTTP-EQUIV='REFRESH'>
							<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl"/><xsl:if test="$case != ''"><![CDATA[?case=]]><xsl:value-of select="$case"/></xsl:if></xsl:attribute>
						</meta>	
					</xsl:when>
					<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NO_AUTHENTICATION_ERROR'">
						<meta HTTP-EQUIV='REFRESH'>
							<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl"/><![CDATA[?statuscode=]]><xsl:value-of select="$statuscode"/></xsl:attribute>
						</meta>	
					</xsl:when>
					<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NOT_AUTHORIZED_ERROR'">
						<meta HTTP-EQUIV='REFRESH'>
							<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl"/><![CDATA[?statuscode=]]><xsl:value-of select="$statuscode"/></xsl:attribute>
						</meta>	
					</xsl:when>
					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>
			</head>
			<body>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>