<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="data">
		<html>
			<head>
				<title>
					<xsl:value-of select="$gadgetname" />
				</title>
				<!-- jquery -->
				<script src="inc/js/jquery/jquery_test.js" type="text/javascript"/>
			
				<!-- inchorus standard -->	
				<script src="inc/js/inchorus/inchorus.gadget.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus/inchorus.gadget.css" />
			    
				<!-- webcomponents in dependency of browser -->
				<script type="text/javascript" src="inc/js/webcomponents/polyfills/webcomponents-loader.js"></script>
				<script>
					var ua = window.navigator.userAgent;
					var msie = ua.indexOf("MSIE ");
					var script = 'inc/js/webcomponents/inchorus-webcomponents.js';
					if (msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./)) {
						script = 'inc/js/webcomponents/inchorus-webcomponents-ie11.js';
					}
					var s = document.createElement('script');
	            	s.src = script;
	            	document.head.appendChild(s);
				</script>
				
				<script src="inc/js/inchorus.{$gadgetname}.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus.{$gadgetname}.css" />
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus.System.css" />
				
				<!-- Favicon - Start -->
				<link rel="shortcut icon" href="inc/img/favicon/favicon.ico" />
				<link rel="icon" href="inc/img/favicon/favicon.ico" />
				<!-- Favicon - End -->
				
				<!-- jQuery-Cron-Quartz -->
				<!-- 
				<script type="text/javascript" src="inc/js/jquery-cron-quartz/jquery-cron-quartz-de.js" ></script>
				<link rel="stylesheet" type="text/css" href="inc/css/jquery/jquery-cron-quartz.css" />
				-->
				
				<!-- jQuery-Cron -->
				<script type="text/javascript" src="inc/js/jquery-cron/jquery-cron-<!--GADGET:LANGUAGE-->.js" ></script>
				<link rel="stylesheet" type="text/css" href="inc/css/jquery/jquery-cron.css" />
			</head>
			<body>
	
				<!-- 
				Attention! In this template the INTEGRATED mode is used also for STANDALONE content. 
				After authentication (if required) the gadget will be reinitialized with the following code in integration mode.
				You can change the displaymode of your gadget from default throught changing the 
				attribute: displaymode to maximized or minimized or via request parameter displaymode=maximized
				-->

<!-- 
				<div id="inc-portal-general-page-wrapper">
					<div id="inc-portal-general-header">
						<img id="inc-portal-general-logo" src="inc/img/daccord.svg" alt="daccord-Logo" />
						<span style="float:left;margin-top:23px;">Microsoft Edition XXX</span>
					</div>
				</div>
-->				
<!-- 				<div id="inc-portal-general-content-wrapper" style="background-color: #F7F7F7;20px 80px 20px;min-height: 840px;">
					<inchorus-gadget>
 						<xsl:attribute name="id">-1</xsl:attribute>
						<xsl:attribute name="version">1.0.1</xsl:attribute>
 						<xsl:attribute name="path">/<xsl:value-of select="$gadgetpath"/></xsl:attribute>
 						<xsl:attribute name="displaymode"><xsl:value-of select="$displaymode"/></xsl:attribute>
						<xsl:attribute name="integrationmode">integrated</xsl:attribute>
						<xsl:attribute name="parameters">[{"mode":"setup"}]</xsl:attribute>
						<xsl:attribute name="class">dac-persons dac-persons-GADGET:LANGUAGE</xsl:attribute>
					</inchorus-gadget>
				</div> -->
				<!-- 
				<div id="inc-portal-general-footer-wrapper">
					<div id="inc-portal-general-footer-copyright">
						&#169;&#160;2019 G+H Systems GmbH
					</div>	
				</div>
				-->
				<!-- 				
				If you want to have different behavior in standalone mode vs. integration mode, you may replace the code by the following:

				<inchorus-gadget>
 					<xsl:attribute name="id">1</xsl:attribute>
					<xsl:attribute name="version">1.0.0</xsl:attribute>
					
					Start your custom code here.

				</inchorus-gadget>							
				-->
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>