<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="data">
		<xsl:variable name="statuscode" select="parameters/parameter[@name='statuscode']" />
		<html>
			<head>
				<title>
					<xsl:value-of select="$login_headline" /> - <xsl:value-of select="$gadgetname" />
				</title>
				<!-- jquery -->
				<script src="inc/js/jquery/jquery.js" type="text/javascript"/>
			
				<!-- inchorus standard -->	
				<script src="inc/js/inchorus/inchorus.gadget.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus/inchorus.gadget.css" />
			
				<!-- webcomponents in dependency of browser -->
				<script type="text/javascript" src="inc/js/webcomponents/polyfills/webcomponents-loader.js"></script>
				<script>
					var ua = window.navigator.userAgent;
					var msie = ua.indexOf("MSIE ");
					var script = 'inc/js/webcomponents/inchorus-webcomponents.js';
					if (msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./)) {
						script = 'inc/js/webcomponents/inchorus-webcomponents-ie11.js';
					}
					var s = document.createElement('script');
	            	s.src = script;
	            	document.head.appendChild(s);
				</script>
				
				<script src="inc/js/inchorus.{$gadgetname}.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus.{$gadgetname}.css" />
				
			</head>
			<body class="dac-system-login-body">
			
				<div id="dac-system-loginpage-image">
							
				</div>
				
				<div id="dac-system-loginpage-text">
					<xsl:value-of select="$login_marketing_1" />&#160;-<br/>
					<span style="color:#99cec9;">daccord</span>&#160;<xsl:value-of select="$login_marketing_2" />	
				</div>			
	
				<inchorus-gadget>
				 	<xsl:attribute name="id">1</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
 					<xsl:attribute name="path">/<xsl:value-of select="$gadgetpath"/></xsl:attribute>					
			
					<form>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-form-1</xsl:attribute>
						<xsl:attribute name="method">POST</xsl:attribute>
						<xsl:attribute name="action">/<xsl:value-of select="$gadgetpath"/>/authenticate.html</xsl:attribute>
						<xsl:attribute name="class">dac-system-login-form</xsl:attribute>
						
						<svg version="1.1" id="logo" x="0px" y="0px" width="220px" height="55px" viewBox="0 0 220 55" style="enable-background:new 0 0 220 55;margin-left: 100px;margin-top: 30px;margin-bottom: 0px;" xml:space="preserve" itemprop="logo" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg">
								<style type="text/css">
									.st0 {
									fill:#2E302F;
									}
									.st1 {
										fill:#005162;
									}
								</style>
								<path class="st1" d="M10.386,44.062c0-0.316-0.148-0.688-0.434-1.109c-0.254-0.327-0.876-0.947-2.409-2.031l-5.337-3.71    c1.474,3.383,3.635,6.405,6.305,8.883c0.466-0.109,0.85-0.295,1.152-0.557C10.154,45.104,10.386,44.631,10.386,44.062"></path>
								<path class="st1" d="M2.171,25.421c0.274,0.332,1.095,1.074,3.429,2.71l4.079,2.854c1.568-0.771,2.071-1.233,2.23-1.453    c0.505-0.666,0.745-1.329,0.745-2.031c0-0.558-0.242-1.168-0.726-1.809c-0.369-0.493-1.328-1.429-3.791-3.104l-4.355-3.009    c-0.869,0.431-1.522,0.944-1.944,1.534c-0.479,0.663-0.709,1.323-0.709,2.012c0,0.716,0.346,1.484,1.03,2.284"></path>
								<path class="st1" d="M11.967,7.488h6.234c-0.27-1.997-1.01-3.735-2.234-5.274c-1.868,0.813-3.614,1.83-5.225,3.026    C11.277,5.837,11.686,6.582,11.967,7.488"></path>
								<path class="st1" d="M13.762,35.754l-1.044-0.861l1.265-0.496c1.839-0.713,3.271-1.801,4.254-3.233    c0.978-1.434,1.476-3.107,1.476-4.976c0-1.787-0.443-3.448-1.318-4.932c-0.888-1.504-2.556-3.095-4.949-4.731l-5.572-3.822    c-1.069-0.73-1.951-1.372-2.655-1.929c-1.972,2.659-3.454,5.699-4.329,8.989c0.645-0.725,1.531-1.341,2.657-1.826l0.4-0.176    l5.089,3.517c2.149,1.458,3.511,2.59,4.163,3.455c0.698,0.925,1.05,1.856,1.05,2.77c0,1.046-0.356,2.053-1.063,2.986    c-0.477,0.641-1.51,1.322-3.241,2.134l-0.42,0.199l-4.838-3.385c-2.68-1.875-3.42-2.609-3.738-2.998    c-0.378-0.443-0.679-0.889-0.903-1.335C0.014,25.599,0,26.098,0,26.597c0,2.782,0.43,5.468,1.225,7.991l7.231,5.029    c1.408,0.996,2.316,1.774,2.777,2.395l0.019,0.024c0.481,0.696,0.724,1.377,0.724,2.025c0,1.033-0.424,1.929-1.261,2.669    c-0.247,0.22-0.53,0.4-0.833,0.553c1.742,1.409,3.661,2.6,5.723,3.539c1.9-1.721,2.826-3.8,2.826-6.35    c0-1.636-0.348-3.153-1.037-4.512C16.699,38.586,15.476,37.169,13.762,35.754"></path>
								<path class="st1" d="M41.48,21.748l-0.257-0.177c-5.352,4.038-9.06,12.65-9.06,22.6c0,1.063,0.04,2.117,0.125,3.143    c2.085,1.172,4.333,2.126,6.718,2.812c8.431-4.459,14.185-13.321,14.185-23.529c0-1.312-0.097-2.601-0.281-3.859    c-1.472,0.657-3.102,1.022-4.815,1.022C45.646,23.76,43.372,23.019,41.48,21.748"></path>
								<path class="st1" d="M37.857,11.866c0,5.643,4.591,10.234,10.236,10.234c1.622,0,3.153-0.378,4.517-1.055    C51.13,14.08,46.927,8.122,41.163,4.343C39.13,6.215,37.857,8.896,37.857,11.866"></path>
								<path class="st1" d="M30.552,46.263h0.004c-0.035-0.691-0.057-1.39-0.057-2.092c0-7.073,1.791-13.733,5.043-18.757    c1.301-2.008,2.773-3.66,4.369-4.93c-2.286-2.168-3.716-5.229-3.716-8.618c0-3.287,1.339-6.266,3.503-8.418    C35.831,1.255,31.362,0,26.598,0c-3.201,0-6.263,0.565-9.101,1.6c1.408,1.917,2.209,4.14,2.378,6.633l0.059,0.848h-9.217    l-0.14-0.619c-0.217-0.964-0.575-1.7-1.084-2.23C8.302,7.229,7.201,8.333,6.206,9.522c0.611,0.486,1.438,1.096,2.566,1.866    l5.571,3.818c2.588,1.77,4.416,3.532,5.423,5.24c1.022,1.73,1.541,3.663,1.541,5.739c0,2.197-0.592,4.172-1.759,5.875    c-0.945,1.38-2.224,2.484-3.819,3.299c1.396,1.285,2.429,2.59,3.085,3.884c0.804,1.58,1.209,3.341,1.209,5.226    c0,2.737-0.949,5.091-2.816,7.015c2.919,1.103,6.084,1.708,9.391,1.708c3.613,0,7.056-0.726,10.198-2.029    c-2.161-0.759-4.213-1.724-6.124-2.874C30.622,47.621,30.58,46.944,30.552,46.263"></path>
								<path class="st0" d="M208.302,24.242c-1.554,0-2.846,0.548-3.876,1.65c-1.028,1.099-1.544,2.511-1.544,4.229    c0,1.734,0.521,3.159,1.567,4.277c1.052,1.122,2.336,1.679,3.868,1.679c1.584,0,2.896-0.549,3.934-1.652    c1.044-1.099,1.564-2.538,1.564-4.321c0-1.745-0.521-3.158-1.564-4.239C211.214,24.782,209.896,24.242,208.302,24.242     M213.595,12.369h5.029V40.17h-5.029v-2.118c-0.982,0.934-1.968,1.609-2.955,2.018c-0.99,0.411-2.063,0.618-3.213,0.618    c-2.592,0-4.83-1.009-6.721-3.013c-1.895-2.012-2.839-4.51-2.839-7.496c0-3.097,0.919-5.635,2.745-7.614    c1.826-1.979,4.05-2.969,6.666-2.969c1.201,0,2.332,0.229,3.388,0.682c1.052,0.456,2.032,1.138,2.929,2.047"></path>
								<path class="st0" d="M185.535,20.113h4.315v2.526c0.466-0.997,1.086-1.751,1.862-2.27c0.777-0.515,1.621-0.772,2.543-0.772    c0.652,0,1.334,0.172,2.048,0.516l-1.565,4.333c-0.593-0.297-1.078-0.444-1.457-0.444c-0.773,0-1.428,0.481-1.968,1.439    c-0.528,0.959-0.797,2.837-0.797,5.642l0.017,0.977v8.11h-4.998"></path>
								<path class="st0" d="M172.052,24.332c-1.568,0-2.864,0.544-3.907,1.634c-1.041,1.088-1.556,2.481-1.556,4.177    c0,1.744,0.509,3.155,1.535,4.239c1.031,1.079,2.332,1.624,3.908,1.624c1.574,0,2.885-0.549,3.934-1.642    c1.049-1.092,1.57-2.501,1.57-4.222c0-1.722-0.515-3.119-1.541-4.194C174.968,24.87,173.652,24.332,172.052,24.332 M171.971,19.598    c1.889,0,3.67,0.472,5.335,1.418c1.664,0.945,2.965,2.23,3.898,3.853c0.932,1.624,1.401,3.376,1.401,5.253    c0,1.895-0.47,3.665-1.413,5.311c-0.939,1.649-2.219,2.936-3.847,3.863c-1.619,0.929-3.405,1.392-5.358,1.392    c-2.879,0-5.332-1.025-7.369-3.07c-2.029-2.046-3.047-4.53-3.047-7.457c0-3.134,1.147-5.744,3.446-7.835    C167.035,20.507,169.352,19.598,171.971,19.598"></path>
								<path class="st0" d="M158.011,24.168l-4.188,2.307c-0.788-0.824-1.57-1.397-2.335-1.717c-0.772-0.317-1.673-0.479-2.707-0.479    c-1.882,0-3.409,0.561-4.569,1.684c-1.162,1.123-1.74,2.564-1.74,4.317c0,1.706,0.557,3.098,1.68,4.177    c1.117,1.08,2.589,1.62,4.41,1.62c2.252,0,4.004-0.768,5.262-2.303l3.963,2.716c-2.15,2.796-5.186,4.197-9.104,4.197    c-3.523,0-6.289-1.044-8.285-3.134c-1.999-2.093-2.997-4.534-2.997-7.34c0-1.939,0.487-3.728,1.456-5.363    c0.971-1.635,2.324-2.918,4.066-3.852c1.733-0.936,3.682-1.401,5.834-1.401c1.993,0,3.778,0.396,5.362,1.187    C155.708,21.578,157.005,22.707,158.011,24.168"></path>
								<path class="st0" d="M133.843,24.168l-4.189,2.307c-0.787-0.824-1.568-1.397-2.336-1.717c-0.767-0.317-1.67-0.479-2.705-0.479    c-1.884,0-3.404,0.561-4.568,1.684c-1.159,1.123-1.74,2.564-1.74,4.317c0,1.706,0.556,3.098,1.678,4.177    c1.117,1.08,2.588,1.62,4.412,1.62c2.249,0,4.004-0.768,5.26-2.303l3.965,2.716c-2.15,2.796-5.185,4.197-9.104,4.197    c-3.526,0-6.289-1.044-8.286-3.134c-1.997-2.093-2.995-4.534-2.995-7.34c0-1.939,0.482-3.728,1.456-5.363    c0.973-1.635,2.325-2.918,4.061-3.852c1.74-0.936,3.685-1.401,5.838-1.401c1.992,0,3.781,0.396,5.365,1.187    C131.539,21.578,132.835,22.707,133.843,24.168"></path>
								<path class="st0" d="M98.797,24.242c-1.556,0-2.848,0.548-3.878,1.65c-1.027,1.099-1.542,2.511-1.542,4.229    c0,1.734,0.525,3.159,1.569,4.277c1.05,1.122,2.335,1.679,3.868,1.679c1.583,0,2.893-0.549,3.935-1.652    c1.041-1.098,1.564-2.538,1.564-4.321c0-1.745-0.523-3.158-1.564-4.239C101.707,24.782,100.391,24.242,98.797,24.242     M104.086,20.113h5.036V40.17h-5.036v-2.118c-0.979,0.934-1.964,1.61-2.953,2.018c-0.989,0.411-2.06,0.618-3.217,0.618    c-2.584,0-4.828-1.008-6.719-3.013c-1.892-2.012-2.834-4.51-2.834-7.496c0-3.097,0.913-5.634,2.741-7.614    c1.83-1.979,4.053-2.969,6.67-2.969c1.2,0,2.328,0.229,3.389,0.682c1.05,0.456,2.031,1.138,2.923,2.047"></path>
								<path class="st0" d="M73.872,24.242c-1.554,0-2.845,0.548-3.876,1.65c-1.027,1.099-1.541,2.511-1.541,4.229    c0,1.734,0.52,3.159,1.569,4.277c1.046,1.122,2.336,1.679,3.865,1.679c1.582,0,2.894-0.549,3.933-1.652    c1.044-1.099,1.563-2.538,1.563-4.321c0-1.745-0.519-3.158-1.563-4.239C76.783,24.782,75.466,24.242,73.872,24.242 M79.163,12.369    h5.036V40.17h-5.036v-2.118c-0.98,0.934-1.967,1.609-2.956,2.018c-0.99,0.411-2.06,0.618-3.212,0.618    c-2.589,0-4.832-1.009-6.721-3.013c-1.892-2.012-2.837-4.51-2.837-7.496c0-3.097,0.913-5.635,2.746-7.614    c1.828-1.979,4.05-2.969,6.666-2.969c1.2,0,2.33,0.229,3.387,0.682c1.054,0.456,2.029,1.138,2.927,2.047"></path>
						</svg>
						
						<div class="dac-system-loginpage-text">
							<p>
								<center>
									<xsl:value-of select="$login_text" />
								</center>
							</p>
							
							<xsl:if test="$statuscode = 'ERROR_AUTHENTICATE_SESSION'">
							
								<inchorus-message class="dac-system-login-message">
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-1</xsl:attribute>
	          						<xsl:attribute name="type">error</xsl:attribute>
	           						<h3><xsl:value-of select="$login_error_general"/></h3>
	          						<p><xsl:value-of select="$login_error_no_authentication"/></p>
	       					 	</inchorus-message>
								
							</xsl:if>
							<xsl:if test="$statuscode = 'LOGIN_PROCESS_NOT_AUTHORIZED_ERROR' ">
							
								<inchorus-message>
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-2</xsl:attribute>
	          						<xsl:attribute name="type">error</xsl:attribute>
	          						<h3><xsl:value-of select="$login_error_general"/></h3>
	          						<p><xsl:value-of select="$login_error_not_authorized"/></p>
	       					 	</inchorus-message>
	       					 	
							</xsl:if>
	
							<div class="dac-system-login-input-group-wrapper" style="margin-top:20px;">
								<span class="dac-system-input-group-addon">
									<i>
										<img src="inc/img/icons/user-black.png" />
									</i>
								</span>
								<input style="margin:0px;">
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-username</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="name">username</xsl:attribute>							
								</input>
							</div>
	
							<div class="dac-system-login-input-group-wrapper" style="margin-top:20px;margin-bottom:10px;">
								<span class="dac-system-input-group-addon">
									<i>
										<img src="inc/img/icons/lock-black.png" />
									</i>
								</span>
								<input style="margin:0px;">
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-password</xsl:attribute>
									<xsl:attribute name="type">password</xsl:attribute>
									<xsl:attribute name="name">password</xsl:attribute>							
								</input>
							</div>
				
							<inchorus-button>
								<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-button-1</xsl:attribute>
						        <xsl:attribute name="type">text</xsl:attribute>
						        <xsl:attribute name="highlighting">medium</xsl:attribute>
						        <xsl:attribute name="text"><xsl:value-of select="$login_button"/></xsl:attribute>
						        <xsl:attribute name="onclick">document.getElementById("<xsl:value-of select="$contentid"/>-login-form-1").submit();</xsl:attribute>
								<xsl:attribute name="class">dac-system-portal-button</xsl:attribute>
							</inchorus-button>
						</div>
					</form>
				</inchorus-gadget>
				<script>
				
					$("#<xsl:value-of select="$contentid"/>-login-input-username").focus();
				
					$("#<xsl:value-of select="$contentid"/>-login-form-1").find('input').keypress(function(e) {
	 					if(e.which == 10 || e.which == 13) {
		 					$('#<xsl:value-of select="$contentid"/>-login-form-1').submit();
	 					}
					});
				</script>

			</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>