<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="//data">	
	
		<inchorus-pages>
			<xsl:attribute name="id">pages</xsl:attribute>

 			<xsl:choose>
				<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_STARTED'">
					<xsl:attribute name="activepageid">page-login</xsl:attribute>
				</xsl:when>
				<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_SUCCESS'">
					<xsl:attribute name="activepageid">page-index</xsl:attribute>
				</xsl:when>
				<xsl:when test="$statustype='success' and $statuscode='LOGOUT_PROCESS_SUCCESS'">
					<xsl:attribute name="activepageid">page-index</xsl:attribute>
				</xsl:when>
				<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NO_AUTHENTICATION_ERROR'">
					<xsl:attribute name="activepageid">page-login</xsl:attribute>
				</xsl:when>
				<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NOT_AUTHORIZED_ERROR'">
					<xsl:attribute name="activepageid">page-login</xsl:attribute>
				</xsl:when>
			</xsl:choose>

			
 			<inchorus-page>
				<xsl:attribute name="id">page-index</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="parameters">[{"device":"<xsl:value-of select="$device"/>"}]</xsl:attribute>				
			</inchorus-page>
			
			<inchorus-page>
				<xsl:attribute name="id">page-login</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="securitymode">public</xsl:attribute>
				<xsl:attribute name="parameters">[{"statustype":"<xsl:value-of select="$statustype"/>"},{"statuscode":"<xsl:value-of select="$statuscode"/>"}]</xsl:attribute>			
			</inchorus-page>					
		</inchorus-pages>					

	</xsl:template>
</xsl:stylesheet>