<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="data">
		<xsl:variable name="paramstatustype" select="//data/parameters/parameter[@name='statustype']"/>
		<xsl:variable name="paramstatuscode" select="//data/parameters/parameter[@name='statuscode']"/>

		<inchorus-page-header>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-pages-page-1-header</xsl:attribute>
			<h1><xsl:value-of select="$gadgetname" /></h1>
		</inchorus-page-header>

		<inchorus-page-content>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-pages-page-1-content</xsl:attribute>
			<xsl:attribute name="padding">true</xsl:attribute>					
			<br/><br/>
			<img src="inc/img/inchorus-logo.png" style="height:auto;display: block;margin-left: auto;margin-right: auto;" />						
			<br/><br/>
			<inchorus-form>
				<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-form-1</xsl:attribute>
				<xsl:attribute name="submitprefix"><xsl:value-of select="$contentid"/>-login-input-</xsl:attribute>
				<xsl:attribute name="responsetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
				<xsl:attribute name="hasresponsefile">true</xsl:attribute>
				<xsl:attribute name="command">authenticate</xsl:attribute>
				<xsl:attribute name="submitonenter">true</xsl:attribute>
				<xsl:attribute name="securitymode">public</xsl:attribute>

				<xsl:if test="$paramstatuscode = 'LOGIN_PROCESS_NO_AUTHENTICATION_ERROR' ">
				
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-1</xsl:attribute>
        				<xsl:attribute name="type">error</xsl:attribute>
        				<h3 style="margin-top:0px;margin-bottom:0px;"><xsl:value-of select="$login_error_general"/></h3>
        				<p style="margin-top:5px;margin-bottom:0px;"><xsl:value-of select="$login_error_no_authentication"/></p>
     				</inchorus-message>
					
				</xsl:if>
				<xsl:if test="$paramstatuscode = 'LOGIN_PROCESS_NOT_AUTHORIZED_ERROR' ">
				
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-2</xsl:attribute>
        				<xsl:attribute name="type">error</xsl:attribute>
        				<h3 style="margin-top:0px;margin-bottom:0px;"><xsl:value-of select="$login_error_general"/></h3>
        				<p style="margin-top:5px;margin-bottom:0px;"><xsl:value-of select="$login_error_not_authorized"/></p>
     				</inchorus-message>
     					 	
				</xsl:if>

				<div style="margin-top:15px;"><xsl:value-of select="$login_username"/>:</div>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-username</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="$contentid"/>-login-input-username</xsl:attribute>							
				</input>
				<div><xsl:value-of select="$login_password"/>:</div>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-password</xsl:attribute>
					<xsl:attribute name="type">password</xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="$contentid"/>-login-input-password</xsl:attribute>							
				</input>
			</inchorus-form>
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-button-1</xsl:attribute>
		        <xsl:attribute name="type">text</xsl:attribute>
		        <xsl:attribute name="highlighting">medium</xsl:attribute>
		        <xsl:attribute name="fullwidth">true</xsl:attribute>
		        <xsl:attribute name="text"><xsl:value-of select="$login_button"/></xsl:attribute>
		        <xsl:attribute name="style">margin-top:5px;</xsl:attribute>
		        <xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$contentid"/>-login-form-1').submit();</xsl:attribute>
			</inchorus-button>
			
		</inchorus-page-content>
		
		<inchorus-page-footer>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-pages-page-1-footer</xsl:attribute>
			<xsl:value-of select="$lbl_gadgetversion" />&#160;<xsl:value-of select="$gadgetversion" />
		</inchorus-page-footer>
		
		<script>
			$("#<xsl:value-of select="$contentid"/>-login-input-username").focus();
		</script>		
	</xsl:template>
	
</xsl:stylesheet>